(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[   1238030,      26365]
NotebookOptionsPosition[   1225886,      26036]
NotebookOutlinePosition[   1226429,      26055]
CellTagsIndexPosition[   1226386,      26052]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Diagrama de transici\[OAcute]n de un DFA", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691063501396*^9}, {
   3.5467105172060843`*^9, 3.5467105349010963`*^9}, {3.5467109098145404`*^9, 
   3.546710913532753*^9}, {3.546711063276318*^9, 3.546711080818321*^9}, {
   3.5467114939669523`*^9, 3.5467114961940794`*^9}, {3.5472052272893515`*^9, 
   3.5472052425872264`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", 
  RowBox[{"A", ",", 
   RowBox[{"Colored", "\[Rule]", "True"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", 
  RowBox[{"A", ",", 
   RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", 
  RowBox[{"A", ",", 
   RowBox[{"Embedding", "\[Rule]", "Circular"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5474755399527082`*^9, 3.5474755464360795`*^9}, {
  3.54747568159881*^9, 3.547475682077838*^9}, {3.5474879643853455`*^9, 
  3.547487965840429*^9}}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{-1., 0}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {-1., 0}], 
   PolygonBox[{{-0.18601350635647804`, -0.7756629247352513}, \
{-0.12913780037306374`, -0.8317043419609207}, {-0.1090423623832584, \
-0.7544278271082747}}], 
   CircleBox[{-1.1011236523706294`, -1.0639933135783708`}, 
    0.9993571247649794, {0.23458400112907557`, 1.281781552325673}], 
   InsetBox["\<\"b\"\>", {-0.37550369823040075`, -0.37683223713991376`}, \
{1, 1}], CircleBox[{-1.2572038472919376`, -0.14847956404241516`}, 
    0.10606601717798213`, {1.047147551196598, 6.283135307179586}], 
   PolygonBox[{{-1.2907705798434999`, -0.09249396704215221}, \
{-1.2041662459759719`, -0.05662635045329416}, {-1.2785306800488871`, 
    0.00044139445938515265`}}], 
   InsetBox["\<\"a\"\>", {-1.3102322630213716`, -0.05662104715243747}, \
{1, -1}], CircleBox[{0, -1.}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0, -1.}], 
   PolygonBox[{{0.7381464992843186, -0.08938594153165816}, {
    0.8162882692912616, -0.10606601717798207`}, {
    0.7627720150410274, -0.16539873727751372`}}], 
   CircleBox[{1.0916155413070803`, -1.0681942988201705`}, 
    1.0007476890062867`, {1.8495124731761456`, 2.8967100243727435`}], 
   InsetBox["\<\"a\"\>", {0.37211098856561864`, -0.37263040122647495`}, \
{1, 1}], CircleBox[{-0.13135303948030821`, -1.266357614907636}, 
    0.10606601717798213`, {-4.646939133434902, 0.589048622548086}], 
   PolygonBox[{{-0.23182730307003918`, -1.1543879402959847`}, \
{-0.1382900889087264, -1.1605186932142075`}, {-0.19036808376088932`, \
-1.2384589204180185`}}], 
   InsetBox["\<\"b\"\>", {-0.22648075909017826`, -1.2194458150932403`}, \
{1, -1}], CircleBox[{1., 0}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {1., 0}], 
   PolygonBox[{{0.014940737868318114`, 0.7090835241888918}, {
    0.02767827079700078, 0.789681400428569}, {0.09110931264729422, 
    0.7383514352109504}}], 
   CircleBox[{1.0140115583569744`, 1.1308300011777135`}, 
    1.0436645639006652`, {3.474588444595299, 4.521785995791896}], 
   InsetBox["\<\"a\"\>", {0.3303961751063871, 0.34222000268345254`}, {1, 1}], 
   PolygonBox[{{0.2627150855926063, -0.9351428625269946}, {
    0.21213203435596426`, -1.}, {
    0.29359148864264756`, -1.0113776386353592`}}], 
   CircleBox[{-0.15389336942847465`, -0.0013980576330380468`}, 
    1.0635696665073855`, {5.063620214650239, 6.110817765846837}], 
   InsetBox["\<\"b\"\>", {0.6623267155866125, -0.6832816315168757}, {1, 1}], 
   CircleBox[{0, 1.}, 0.21213203435596426`], 
   CircleBox[{0, 1.}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0, 1.}], 
   PolygonBox[{{-0.020635770654290467`, -0.6881664626462829}, \
{-0.027688786692377135`, -0.7896827846050066}, {
    0.06375343504168098, -0.745032714687927}}], 
   CircleBox[{-1.3534365499583674`, 0.15681607117006466`}, 
    1.6289466583618684`, {5.663067526664985, 6.710365077861583}], 
   InsetBox["\<\"b\"\>", {0.26793627699258593`, -0.00008316978849365331}, \
{1, 1}], PolygonBox[{{-0.7617488916634465, 
    0.1645007806798614}, {-0.8162882692912616, 
    0.10606601717798213`}, {-0.738412590820591, 0.0880509123966412}}], 
   CircleBox[{-1.0762476558977185`, 1.0762476558977183`}, 
    1.0044059412377637`, {4.97408836818384, 6.021285919380437}], 
   InsetBox["\<\"a\"\>", {-0.36609642956064237`, 0.3659543851104575}, {1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.5472052500056505`*^9, 3.547475547426136*^9, 
  3.54747567040817*^9}],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0., 0.8, 0.8], CircleBox[{-1., 0}, 0.21213203435596426`], InsetBox[
     SubscriptBox["\[Sigma]", "0"], {-1., 0}], 
    PolygonBox[{{-0.18601350635647804`, -0.7756629247352513}, \
{-0.12913780037306374`, -0.8317043419609207}, {-0.1090423623832584, \
-0.7544278271082747}}], 
    CircleBox[{-1.1011236523706294`, -1.0639933135783708`}, 
     0.9993571247649794, {0.23458400112907557`, 1.281781552325673}], 
    InsetBox["\<\"b\"\>", {-0.37550369823040075`, -0.37683223713991376`}, \
{1, 1}], CircleBox[{-1.2572038472919376`, -0.14847956404241516`}, 
     0.10606601717798213`, {1.047147551196598, 6.283135307179586}], 
    PolygonBox[{{-1.2907705798434999`, -0.09249396704215221}, \
{-1.2041662459759719`, -0.05662635045329416}, {-1.2785306800488871`, 
     0.00044139445938515265`}}], 
    InsetBox["\<\"a\"\>", {-1.3102322630213716`, -0.05662104715243747}, \
{1, -1}]}, 
   {Hue[0.25, 0.8, 0.8], CircleBox[{0, -1.}, 0.21213203435596426`], InsetBox[
     SubscriptBox["\[Sigma]", "1"], {0, -1.}], 
    PolygonBox[{{0.7381464992843186, -0.08938594153165816}, {
     0.8162882692912616, -0.10606601717798207`}, {
     0.7627720150410274, -0.16539873727751372`}}], 
    CircleBox[{1.0916155413070803`, -1.0681942988201705`}, 
     1.0007476890062867`, {1.8495124731761456`, 2.8967100243727435`}], 
    InsetBox["\<\"a\"\>", {0.37211098856561864`, -0.37263040122647495`}, \
{1, 1}], CircleBox[{-0.13135303948030821`, -1.266357614907636}, 
     0.10606601717798213`, {-4.646939133434902, 0.589048622548086}], 
    PolygonBox[{{-0.23182730307003918`, -1.1543879402959847`}, \
{-0.1382900889087264, -1.1605186932142075`}, {-0.19036808376088932`, \
-1.2384589204180185`}}], 
    InsetBox["\<\"b\"\>", {-0.22648075909017826`, -1.2194458150932403`}, \
{1, -1}]}, 
   {Hue[0.5, 0.8, 0.8], CircleBox[{1., 0}, 0.21213203435596426`], InsetBox[
     SubscriptBox["\[Sigma]", "2"], {1., 0}], 
    PolygonBox[{{0.014940737868318114`, 0.7090835241888918}, {
     0.02767827079700078, 0.789681400428569}, {0.09110931264729422, 
     0.7383514352109504}}], 
    CircleBox[{1.0140115583569744`, 1.1308300011777135`}, 
     1.0436645639006652`, {3.474588444595299, 4.521785995791896}], 
    InsetBox["\<\"a\"\>", {0.3303961751063871, 0.34222000268345254`}, {1, 1}],
     PolygonBox[{{0.2627150855926063, -0.9351428625269946}, {
     0.21213203435596426`, -1.}, {
     0.29359148864264756`, -1.0113776386353592`}}], 
    CircleBox[{-0.15389336942847465`, -0.0013980576330380468`}, 
     1.0635696665073855`, {5.063620214650239, 6.110817765846837}], 
    InsetBox["\<\"b\"\>", {0.6623267155866125, -0.6832816315168757}, {1, 1}]}, 
   {Hue[0.75, 0.8, 0.8], CircleBox[{0, 1.}, 0.21213203435596426`], 
    CircleBox[{0, 1.}, 0.1414213562373095], InsetBox[
     SubscriptBox["\[Sigma]", "3"], {0, 1.}], 
    PolygonBox[{{-0.020635770654290467`, -0.6881664626462829}, \
{-0.027688786692377135`, -0.7896827846050066}, {
     0.06375343504168098, -0.745032714687927}}], 
    CircleBox[{-1.3534365499583674`, 0.15681607117006466`}, 
     1.6289466583618684`, {5.663067526664985, 6.710365077861583}], 
    InsetBox["\<\"b\"\>", {0.26793627699258593`, -0.00008316978849365331}, \
{1, 1}], PolygonBox[{{-0.7617488916634465, 
     0.1645007806798614}, {-0.8162882692912616, 
     0.10606601717798213`}, {-0.738412590820591, 0.0880509123966412}}], 
    CircleBox[{-1.0762476558977185`, 1.0762476558977183`}, 
     1.0044059412377637`, {4.97408836818384, 6.021285919380437}], 
    InsetBox["\<\"a\"\>", {-0.36609642956064237`, 0.3659543851104575}, \
{1, 1}]}, 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.5472052500056505`*^9, 3.547475547426136*^9, 
  3.547475670460173*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{0.5, 0.5}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.5, 0.5}], 
   PolygonBox[{{0.9011794669265737, 0.5241793717898737}, {0.9295230534410569, 
    0.5256515107494252}, {0.914076350446943, 0.5494617072255539}}], 
   CircleBox[{0.7563878150576655, 0.2132923165555951}, 0.3571331361938122, {
    1.064671146585239, 2.111868697782449}], 
   InsetBox["\<\"b\"\>", {0.7501477326909295, 0.570370933024972}, {1, 1}], 
   CircleBox[{0.39857642956643935`, 0.4728290714087912}, 0.0375, {
    0.7853481633974488, 6.021335919380437}], 
   PolygonBox[{{0.3922362149066048, 0.49502007755486793`}, {
    0.4250942596530034, 0.499344249844927}, {0.4049203942262723, 
    0.5256380651689645}}], 
   InsetBox["\<\"a\"\>", {0.3888725264981505, 0.5090517751350628}, {1, -1}], 
   CircleBox[{1., 0.5}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {1., 0.5}], 
   PolygonBox[{{0.5860486944703689, 0.0684374955120362}, {0.5616701164242331, 
    0.042682510940917365`}, {0.5961638763599661, 0.03444753533038164}}], 
   CircleBox[{0.41685312709931005`, 0.5831468729006899}, 0.5595298802974862, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"a\"\>", {0.8124609330187254, 0.18745993750687956`}, {1, 1}], 
   CircleBox[{1.0774141203650631`, 0.5709369717996443}, 
    0.0375, {-1.8762289458939039`, 3.3597588100890845`}], 
   PolygonBox[{{1.0932854635512903`, 0.5541816878219556}, {
    1.0661376528836528`, 0.5351725861465858}, {1.0961739231714633`, 
    0.5211664432889664}}], 
   InsetBox["\<\"b\"\>", {1.1027487531506504`, 0.5432890716692647}, {-1, 1}], 
   CircleBox[{0.5, 0.}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.5, 0.}], 
   PolygonBox[{{0.8975620329686588, 0.006487953957271203}, {
    0.9256416353969642, 0.009789464416503867}, {0.908742642254256, 
    0.03245635821796721}}], 
   CircleBox[{0.7743317511616054, -0.31068872836483585`}, 
    0.3544022476166588, {1.1296858386179898`, 2.1768833898147175`}], 
   InsetBox["\<\"a\"\>", {0.7451308583624127, 0.04250847006044839}, {1, 1}], 
   PolygonBox[{{0.8896782457426331, 0.5022999489785782}, {0.9252853976431191, 
    0.4934633192939257}, {0.8998290759021315, 0.46704493603401964`}}], 
   CircleBox[{1.0750425638820587`, -0.08407629857054566}, 
    0.5966399408713401, {1.8245104522935736`, 2.87170800349017}], 
   InsetBox["\<\"b\"\>", {0.6565792445881329, 0.34120909907257374`}, {1, 1}], 
   CircleBox[{1., 0.}, 0.075], CircleBox[{1., 0.}, 0.049999999999999996`], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {1., 0.}], 
   PolygonBox[{{0.9938409070051407, 0.4152313465505381}, {1.019411428382689, 
    0.4275555630283199}, {1.0172992522454125`, 0.3992487336884592}}], 
   CircleBox[{1.3075352563315488`, 0.216378419793698}, 0.35722699513984074`, {
    2.509100403788449, 3.5562979549850446`}], 
   InsetBox["\<\"b\"\>", {0.9524241302749089, 0.25520127655907604`}, {1, 1}], 
   PolygonBox[{{0.5298336689515311, 0.4003242659100605}, {0.5374935046219824, 
    0.4350443450409329}, {0.5637320573354982, 0.4110506931960716}}], 
   CircleBox[{1.0762152419508553`, 0.5893632895057579}, 0.5603886569974245, {
    3.420575976335812, 4.46777352753241}], 
   InsetBox["\<\"a\"\>", {0.6868280040855761, 0.18635829464958303`}, {1, 1}], 
   {RGBColor[0, 0, 0], LineBox[{{0.5, 0.65}, {0.5, 0.575}}], 
    PolygonBox[{{0.5, 0.575}, {0.475, 0.6125}, {0.525, 0.6125}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.5472052500056505`*^9, 3.547475547426136*^9, 
  3.547475670477174*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{-1., 0}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {-1., 0}], 
   PolygonBox[{{-0.18601350635647804`, -0.7756629247352513}, \
{-0.12913780037306374`, -0.8317043419609207}, {-0.1090423623832584, \
-0.7544278271082747}}], 
   CircleBox[{-1.1011236523706294`, -1.0639933135783708`}, 
    0.9993571247649794, {0.23458400112907557`, 1.281781552325673}], 
   InsetBox["\<\"b\"\>", {-0.37550369823040075`, -0.37683223713991376`}, \
{1, 1}], CircleBox[{-1.2572038472919376`, -0.14847956404241516`}, 
    0.10606601717798213`, {1.047147551196598, 6.283135307179586}], 
   PolygonBox[{{-1.2907705798434999`, -0.09249396704215221}, \
{-1.2041662459759719`, -0.05662635045329416}, {-1.2785306800488871`, 
    0.00044139445938515265`}}], 
   InsetBox["\<\"a\"\>", {-1.3102322630213716`, -0.05662104715243747}, \
{1, -1}], CircleBox[{0, -1.}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0, -1.}], 
   PolygonBox[{{0.7381464992843186, -0.08938594153165816}, {
    0.8162882692912616, -0.10606601717798207`}, {
    0.7627720150410274, -0.16539873727751372`}}], 
   CircleBox[{1.0916155413070803`, -1.0681942988201705`}, 
    1.0007476890062867`, {1.8495124731761456`, 2.8967100243727435`}], 
   InsetBox["\<\"a\"\>", {0.37211098856561864`, -0.37263040122647495`}, \
{1, 1}], CircleBox[{-0.13135303948030821`, -1.266357614907636}, 
    0.10606601717798213`, {-4.646939133434902, 0.589048622548086}], 
   PolygonBox[{{-0.23182730307003918`, -1.1543879402959847`}, \
{-0.1382900889087264, -1.1605186932142075`}, {-0.19036808376088932`, \
-1.2384589204180185`}}], 
   InsetBox["\<\"b\"\>", {-0.22648075909017826`, -1.2194458150932403`}, \
{1, -1}], CircleBox[{1., 0}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {1., 0}], 
   PolygonBox[{{0.014940737868318114`, 0.7090835241888918}, {
    0.02767827079700078, 0.789681400428569}, {0.09110931264729422, 
    0.7383514352109504}}], 
   CircleBox[{1.0140115583569744`, 1.1308300011777135`}, 
    1.0436645639006652`, {3.474588444595299, 4.521785995791896}], 
   InsetBox["\<\"a\"\>", {0.3303961751063871, 0.34222000268345254`}, {1, 1}], 
   PolygonBox[{{0.2627150855926063, -0.9351428625269946}, {
    0.21213203435596426`, -1.}, {
    0.29359148864264756`, -1.0113776386353592`}}], 
   CircleBox[{-0.15389336942847465`, -0.0013980576330380468`}, 
    1.0635696665073855`, {5.063620214650239, 6.110817765846837}], 
   InsetBox["\<\"b\"\>", {0.6623267155866125, -0.6832816315168757}, {1, 1}], 
   CircleBox[{0, 1.}, 0.21213203435596426`], 
   CircleBox[{0, 1.}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0, 1.}], 
   PolygonBox[{{-0.020635770654290467`, -0.6881664626462829}, \
{-0.027688786692377135`, -0.7896827846050066}, {
    0.06375343504168098, -0.745032714687927}}], 
   CircleBox[{-1.3534365499583674`, 0.15681607117006466`}, 
    1.6289466583618684`, {5.663067526664985, 6.710365077861583}], 
   InsetBox["\<\"b\"\>", {0.26793627699258593`, -0.00008316978849365331}, \
{1, 1}], PolygonBox[{{-0.7617488916634465, 
    0.1645007806798614}, {-0.8162882692912616, 
    0.10606601717798213`}, {-0.738412590820591, 0.0880509123966412}}], 
   CircleBox[{-1.0762476558977185`, 1.0762476558977183`}, 
    1.0044059412377637`, {4.97408836818384, 6.021285919380437}], 
   InsetBox["\<\"a\"\>", {-0.36609642956064237`, 0.3659543851104575}, {1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.5472052500056505`*^9, 3.547475547426136*^9, 
  3.5474756704931755`*^9}],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.5472052500056505`*^9, 3.547475547426136*^9, 
  3.5474756705091763`*^9}]
}, Open  ]],

Cell["Ejemplo 1", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.5402026216005535`*^9, 
  3.5402026748796005`*^9}, {3.540206586544335*^9, 3.5402065993230658`*^9}, {
  3.5402204053337245`*^9, 3.5402204095629663`*^9}, {3.542815732516364*^9, 
  3.5428157370146217`*^9}, {3.543047700328387*^9, 3.543047701187436*^9}, {
  3.5430497344247303`*^9, 3.5430497349067583`*^9}, {3.5466125090121346`*^9, 
  3.5466125105722237`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", 
  RowBox[{"A", ",", 
   RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.547206962997628*^9, 3.547207081587411*^9}, {
  3.5472071367245646`*^9, 3.547207150211336*^9}, {3.547214486328938*^9, 
  3.54721449685154*^9}}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{0.5, 0.5}, 0.075], 
   CircleBox[{0.5, 0.5}, 0.049999999999999996`], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.5, 0.5}], 
   PolygonBox[{{0.518437581914173, 0.10068797225410375`}, {0.519411428382689, 
    0.07244443697168013}, {0.5433841241956919, 0.08740958039401264}}], 
   CircleBox[{0.21187617205114084`, 0.25}, 0.35511112605663986`, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"a\"\>", {0.5669872976638918, 0.2499822444437045}, {1, 0}], 
   PolygonBox[{{0.8996987125022858, 0.519885082991392}, {0.9279962609210554, 
    0.5209871760523245}, {0.9128930461235686, 0.5449425253173329}}], 
   CircleBox[{0.7515849864582357, 0.2122823903133053}, 0.35555531566051146`, {
    1.0516293590180732`, 2.098826910208624}], 
   InsetBox["\<\"c\"\>", {0.7500092387886003, 0.5678342142626807}, {1, 1}], 
   CircleBox[{0.3958982895557499, 0.5137052501831054}, 0.0375, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.39853167899054887`, 0.5366334933733868}, {
    0.43054377202492317`, 0.5280558788967963}, {0.42196615754833267`, 
    0.5600679719311706}}], 
   InsetBox["\<\"b\"\>", {0.40079302176400183`, 0.5508844324846233}, \
{-1, -1}], CircleBox[{1., 0.5}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {1., 0.5}], 
   PolygonBox[{{1.0210401786956445`, 0.10147862099014696`}, {
    1.0194114283826892`, 0.07244443697168013}, {1.0453701444773114`, 
    0.08555098983347234}}], 
   CircleBox[{0.7118761720511406, 0.288822856765378}, 0.37602866172584365`, {
    5.669954685114889, 6.717252236311485}], 
   InsetBox["\<\"c\"\>", {1.0863970449433067`, 0.255182550473389}, {1, 1}], 
   PolygonBox[{{0.5879390235146731, 0.45698160410705974`}, {
    0.5724444369716801, 0.48058857161731094`}, {0.600635963813368, 
    0.4822037934295537}}], 
   CircleBox[{0.7422285755114167, 0.7906676747240979}, 0.353519029025782, {
    4.211427905377178, 5.25852545657443}], 
   InsetBox["\<\"a\"\>", {0.7502130784973794, 0.43723882531392483`}, {1, 1}], 
   PolygonBox[{{0.5879895028990055, 0.06452493311128885}, {0.5649519052838329,
     0.0375}, {0.5998749827013706, 0.031061321778741074`}}], 
   CircleBox[{0.3917286678081172, 0.5711543372891836}, 0.5610643828555918, {
    5.0261574224860865`, 6.073354973682684}], 
   InsetBox["\<\"b\"\>", {0.8085340038888921, 0.195566060683379}, {1, 1}], 
   CircleBox[{1., 0.}, 0.075], CircleBox[{1., 0.}, 0.049999999999999996`], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {1., 0.}], 
   PolygonBox[{{0.977631310812309, 0.4115994130541922}, {1.0024539312116332`, 
    0.4250401559392726}, {1.0016826457961856`, 0.3968227646424199}}], 
   CircleBox[{1.2968781013060464`, 0.22980633958391145`}, 
    0.3532730317820234, {2.556060636164041, 3.603258187360637}], 
   InsetBox["\<\"b,a\"\>", {0.9442823823384539, 0.2516716991782337}, {1, 1}], 
   PolygonBox[{{0.5874324817147077, -0.043418137648917665`}, {
    0.5724444369716801, -0.019411428382689055`}, {
    0.6007288794290152, -0.01843475551528362}}], 
   CircleBox[{0.75, 0.28812382794885916`}, 0.35511112605663986`, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"c\"\>", {0.7499822444437045, -0.06698729766389178}, {0, -1}],
    CircleBox[{0.5, 0.}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.5, 0.}], 
   PolygonBox[{{0.45658186235108245`, 0.4125675182852923}, {
    0.48058857161731094`, 0.4275555630283199}, {0.4815652444847164, 
    0.39927112057098496`}}], 
   CircleBox[{0.7881238279488592, 0.25}, 0.35511112605663986`, {
    2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"b,a\"\>", {0.4330127018922193, 0.25000000000000006`}, \
{-1, 0}], 
   CircleBox[{0.4257537879754125, -0.07424621202458748}, 0.0375, {
    1.3089969389957474`, 6.544984694978735}], 
   PolygonBox[{{0.4048408803819673, -0.025341345134315216`}, {
    0.43545950216675705`, -0.038023993538747414`}, {
    0.40916669556885776`, -0.05819917363102685}}], 
   InsetBox["\<\"c\"\>", {0.399237283680917, -0.04772970773009194}, {1, -1}], 
   {RGBColor[0, 0, 0], LineBox[{{0.5, 0.65}, {0.5, 0.575}}], 
    PolygonBox[{{0.5, 0.575}, {0.475, 0.6125}, {0.525, 0.6125}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.547207127915061*^9, 3.547207151836429*^9}, {
  3.5472144882160463`*^9, 3.547214500717761*^9}}]
}, Open  ]],

Cell["Ejemplo 2", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.5402026216005535`*^9, 
  3.5402026748796005`*^9}, {3.540206586544335*^9, 3.5402065993230658`*^9}, {
  3.5402204053337245`*^9, 3.5402204095629663`*^9}, {3.5402222412437325`*^9, 
  3.540222241742761*^9}, {3.540645238684658*^9, 3.5406452392766924`*^9}, {
  3.5428345086812997`*^9, 3.5428345092393312`*^9}, {3.5430476909108477`*^9, 
  3.543047691561885*^9}, {3.543049744543309*^9, 3.543049745096341*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Forma 1:", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.5402026216005535`*^9, 
  3.5402026748796005`*^9}, {3.540206586544335*^9, 3.5402065993230658`*^9}, {
  3.5402204053337245`*^9, 3.5402204095629663`*^9}, {3.542815732516364*^9, 
  3.5428157370146217`*^9}, {3.543047700328387*^9, 3.543047701187436*^9}, {
  3.5430497344247303`*^9, 3.5430497349067583`*^9}, {3.5466125090121346`*^9, 
  3.5466125105722237`*^9}, {3.547218972085509*^9, 3.5472189775738225`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PrettyPrint", "[", "A", "]"}]}], "Input",
 CellChangeTimes->{{3.5472171121621275`*^9, 3.547217235248167*^9}, {
  3.547217428500221*^9, 3.547217462111143*^9}, {3.547217677034436*^9, 
  3.5472176791725583`*^9}, {3.5472177608632307`*^9, 3.547217764973466*^9}, {
  3.5472178636981125`*^9, 3.547217867290318*^9}, {3.5472181745338917`*^9, 
  3.5472182107969656`*^9}, {3.5472182422677655`*^9, 3.547218272206478*^9}}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{-0.8090169943749473, 0.5877852522924732}, 0.1763355756877419], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {-0.8090169943749473, 0.5877852522924732}],
    PolygonBox[{{-0.8496938651443992, -0.35100172258334106`}, \
{-0.854655999692052, -0.41745816564213234`}, {-0.7946219644841582, \
-0.3885272786880005}}], 
   CircleBox[{-1.532075747301625, 0.07904907601613147}, 0.8398910378558138, {
    5.650593057378241, 6.697890608574839}], 
   InsetBox["\<\"b\"\>", {-0.697163980961535, -0.012270680320527277`}, \
{1, 1}], PolygonBox[{{0.0703867387990544, 0.9190940680724132}, {
    0.1329230804652178, 0.9418278253218856}, {0.08196689833062439, 
    0.9846190072397901}}], 
   CircleBox[{-0.040665785663454176`, 0.1251564190627104}, 
    0.8349163312842653, {1.3613568165555772`, 2.4085543677521746`}], 
   InsetBox["\<\"c\"\>", {-0.2986691209114757, 0.9192090364918541}, {1, 1}], 
   CircleBox[{-1.0537747949251535`, 0.555562276546041}, 0.08816778784387096, {
    0.6544984694978737, 5.890486225480862}], 
   PolygonBox[{{-1.0617465904241936`, 
    0.6092354250664136}, {-0.9838265859331294, 
    0.6092354250664136}, {-1.0227865881786615`, 0.6767161284186727}}], 
   InsetBox["\<\"a\"\>", {-1.0652830005488794`, 0.6429757767425431}, {1, -1}],
    CircleBox[{-0.8090169943749475, -0.587785252292473}, 0.1763355756877419], 
   CircleBox[{-0.8090169943749475, -0.587785252292473}, 0.1175570504584946], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {-0.8090169943749475, -0.587785252292473}],
    PolygonBox[{{0.08129061015066608, 0.8459803149165624}, {
    0.17197851386802876`, 0.8400849428473456}, {0.12152902003264443`, 
    0.7644946004467607}}], 
   CircleBox[{0.8259175368390619, -0.5730663916235385}, 1.5571232898782135`, {
    2.004204312410721, 3.0514018636073184`}], 
   InsetBox["\<\"c\"\>", {-0.44698593681527043`, 0.32378905193461116`}, \
{1, 1}], PolygonBox[{{0.09678279370364591, -0.8388084836884826}, {
    0.16112953696392543`, -0.8550172785137626}, {
    0.14299339341720801`, -0.7911869667869253}}], 
   CircleBox[{-0.4373753694393212, -1.4305358360563505`}, 
    0.8303190549810718, {0.7658215424604006, 1.8130190936569979`}], 
   InsetBox["\<\"b\"\>", {-0.20681419497577558`, -0.6328696916734698}, \
{1, 1}], CircleBox[{-0.9789554316827475, -0.7668540341097193}, 
    0.08816778784387096, {1.3351518777756621`, 6.5711396337586505`}], 
   PolygonBox[{{-1.0311148199848688`, -0.6531969930040867}, \
{-0.9583709270829758, -0.6811228438481592}, {-1.0189273697871843`, \
-0.7301579776493369}}], 
   InsetBox["\<\"a\"\>", {-1.0429085680460497`, -0.7061617350712193}, \
{1, -1}], 
   CircleBox[{0.30901699437494723`, -0.9510565162951536}, 0.1763355756877419],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.30901699437494723`, -0.9510565162951536}], 
   PolygonBox[{{0.18573813300653635`, 0.7332520140128747}, {
    0.2633779890578428, 0.7807294296448128}, {0.2656747090754806, 
    0.6897526341422453}}], 
   CircleBox[{1.6156410281669302`, -5.551115123125783*^-17}, 
    1.5614588592896266`, {2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"c\"\>", {0.05418216887730365, 1.3571240817167404`*^-16}, \
{-1, 0}], 
   CircleBox[{0.4541234255562082, -1.1507783847171358`}, 
    0.08816778784387096, {-3.560471674068432, 1.675516081914557}], 
   PolygonBox[{{0.332865052951802, -1.181355040097833}, {
    0.37357814346104334`, -1.1149173146621003`}, {
    0.4107583562034227, -1.1833947480275446`}}], 
   InsetBox["\<\"b,a\"\>", {0.38279418683407174`, -1.2026021101390147`}, \
{1, 1}], CircleBox[{1., 0}, 0.1763355756877419], 
   CircleBox[{1., 0}, 0.1175570504584946], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {1., 0}], 
   PolygonBox[{{0.3472442285925102, 0.7247406690450844}, {0.3721935504059203, 
    0.7864267558592205}, {0.4131406077403094, 0.7339769659545461}}], 
   CircleBox[{1.2025388820356362`, 0.873716693246692}, 0.8349208962101571, {
    3.2463328088222303`, 4.293530360018828}], 
   InsetBox["\<\"b,a\"\>", {0.5270836996242233, 0.38294872415953074`}, \
{1, 1}], PolygonBox[{{-0.639976477917949, 
    0.40322010759493554`}, {-0.661139141627125, 
    0.491731226245562}, {-0.5739049325037159, 0.4658030713041421}}], 
   CircleBox[{0.4992429251677766, 1.5365668515815263`}, 1.5614634241346816`, {
    3.874641847451371, 4.9217393986479685`}], 
   InsetBox["\<\"c\"\>", {0.016666138237256156`, 0.05154575084718993}, \
{1, 1}], CircleBox[{0.30901699437494745`, 0.9510565162951535}, 
    0.1763355756877419], 
   CircleBox[{0.30901699437494745`, 0.9510565162951535}, 0.1175570504584946], 
   InsetBox[
    SubscriptBox["\[Sigma]", 
     "4"], {0.30901699437494745`, 0.9510565162951535}], 
   PolygonBox[{{-0.5920907739739911, -0.455983161431314}, \
{-0.6413091717376157, -0.5333029480150965}, {-0.5497390734590566, \
-0.5372674375200713}}], 
   CircleBox[{-1.340667519674064, 0.8948449053676603}, 1.590191306085584, {
    5.167659494667739, 6.214857045864337}], 
   InsetBox["\<\"c\"\>", {-0.02102021723427927, 0.007579788779853547}, \
{1, 1}], CircleBox[{0.44348227922284056`, 1.1580922336651391`}, 
    0.08816778784387096, {-1.6232062043547257`, 3.6127815516282626`}], 
   PolygonBox[{{0.48947148871528456`, 1.129293813468389}, {
    0.43886353139412865`, 1.0700455075376072`}, {0.515478048121956, 
    1.0558418838292385`}}], 
   InsetBox["\<\"b,a\"\>", {0.5174236068549782, 1.1100689176480345`}, \
{-1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-0.8090169943749473, 0.940456403667957}, {-0.8090169943749473, 
     0.7641208279802152}}], 
    PolygonBox[{{-0.8090169943749473, 
     0.7641208279802152}, {-0.8677955196041947, 
     0.8522886158240861}, {-0.7502384691457, 0.8522886158240861}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.5472172207263365`*^9, 3.547217237780312*^9}, 
   3.5472174637152348`*^9, 3.5472176822687354`*^9, 3.5472178689764147`*^9, {
   3.5472181850264916`*^9, 3.547218201514435*^9}, {3.54721825284037*^9, 
   3.547218273165533*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Automaton of type \"\>", "\[InvisibleSpace]", "DFA"}],
  SequenceForm["Automaton of type ", FiniteAutomata`DFA],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547217463722235*^9, 3.547217682259735*^9, 3.547217868985415*^9, {
   3.547218185033492*^9, 3.547218201521435*^9}, {3.547218252847371*^9, 
   3.547218273172533*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Initial state is :\"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "0"]}],
  SequenceForm["Initial state is :", 
   Subscript[$CellContext`\[Sigma], 0]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547217463722235*^9, 3.547217682259735*^9, 3.547217868985415*^9, {
   3.547218185033492*^9, 3.547218201521435*^9}, {3.547218252847371*^9, 
   3.547218273174533*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Final states are :\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm["Final states are :", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547217463722235*^9, 3.547217682259735*^9, 3.547217868985415*^9, {
   3.547218185033492*^9, 3.547218201521435*^9}, {3.547218252847371*^9, 
   3.5472182731765337`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b", "c"},
     {
      SubscriptBox["\[Sigma]", "0"], 
      SubscriptBox["\[Sigma]", "0"], 
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "4"]},
     {
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "4"]},
     {
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "4"]},
     {
      SubscriptBox["\[Sigma]", "3"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "0"]},
     {
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "1"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.5472172207263365`*^9, 3.547217237780312*^9}, 
   3.5472174637152348`*^9, 3.5472176822687354`*^9, 3.5472178689764147`*^9, {
   3.5472181850264916`*^9, 3.547218201514435*^9}, {3.54721825284037*^9, 
   3.5472182731785336`*^9}}]
}, Open  ]],

Cell["Forma 2:", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.5402026216005535`*^9, 
  3.5402026748796005`*^9}, {3.540206586544335*^9, 3.5402065993230658`*^9}, {
  3.5402204053337245`*^9, 3.5402204095629663`*^9}, {3.542815732516364*^9, 
  3.5428157370146217`*^9}, {3.543047700328387*^9, 3.543047701187436*^9}, {
  3.5430497344247303`*^9, 3.5430497349067583`*^9}, {3.5466125090121346`*^9, 
  3.5466125105722237`*^9}, {3.547218972085509*^9, 3.5472189943727837`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Los estados del aut\[OAcute]mata son: \>\"", ",", 
   RowBox[{"States", "[", "A", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Los s\[IAcute]mbolos de entrada son: \>\"", ",", 
   RowBox[{"Alphabet", "[", "A", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<El estado inicial es: \>\"", ",", 
   RowBox[{"InitialState", "[", "A", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<La funci\[OAcute]n estado siguiente es: \>\"", ",", 
   RowBox[{"Transitions", "[", "A", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Los estados aceptados son: \>\"", ",", 
   RowBox[{"FinalStates", "[", "A", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.547219015255978*^9, 3.5472192249419713`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Los estados del aut\[OAcute]mata son: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm["Los estados del aut\[OAcute]mata son: ", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.547219206608923*^9, 3.5472192268480806`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Los s\[IAcute]mbolos de entrada son: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}]}],
  SequenceForm[
  "Los s\[IAcute]mbolos de entrada son: ", {$CellContext`a, $CellContext`b, \
$CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.547219206608923*^9, 3.5472192268510804`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El estado inicial es: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "0"]}],
  SequenceForm["El estado inicial es: ", 
   Subscript[$CellContext`\[Sigma], 0]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.547219206608923*^9, 3.547219226854081*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La funci\[OAcute]n estado siguiente es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}]}], "}"}]}],
  SequenceForm["La funci\[OAcute]n estado siguiente es: ", {{
     Subscript[$CellContext`\[Sigma], 0], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 0]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 0]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 4]}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.547219206608923*^9, 3.547219226858081*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Los estados aceptados son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm["Los estados aceptados son: ", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.547219206608923*^9, 3.5472192268620815`*^9}}]
}, Open  ]]
}, Open  ]],

Cell["**Ejemplo 3", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.5402026216005535`*^9, 
  3.5402026748796005`*^9}, {3.540206586544335*^9, 3.5402065993230658`*^9}, {
  3.5402204053337245`*^9, 3.5402204095629663`*^9}, {3.5402222412437325`*^9, 
  3.540222241742761*^9}, {3.540645238684658*^9, 3.5406452392766924`*^9}, {
  3.540647770748484*^9, 3.5406477711465073`*^9}, {3.547221293008258*^9, 
  3.547221294003315*^9}, {3.619013769496829*^9, 3.619013769627914*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Para el ejemplo 1:", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.5402026216005535`*^9, 
  3.5402026748796005`*^9}, {3.540206586544335*^9, 3.5402065993230658`*^9}, {
  3.5402204053337245`*^9, 3.5402204095629663`*^9}, {3.5402222412437325`*^9, 
  3.540222241742761*^9}, {3.540645238684658*^9, 3.5406452392766924`*^9}, {
  3.540647770748484*^9, 3.5406477711465073`*^9}, {3.547221293008258*^9, 
  3.547221294003315*^9}, {3.5472213673715115`*^9, 3.5472213742969074`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AcceptedBy", "[", 
  RowBox[{"A", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "b", ",", "b", ",", "a", ",", "c", ",", "c",
      ",", "a", ",", "b", ",", "c", ",", "c", ",", "a", ",", "b", ",", "b", 
     ",", "a", ",", "c"}], "}"}], ",", "Trace"}], "]"}]}], "Input",
 CellChangeTimes->{{3.547221201327014*^9, 3.5472212013290143`*^9}, {
  3.547221353050692*^9, 3.5472213541387544`*^9}, {3.54722140616073*^9, 
  3.5472214118530555`*^9}, {3.547221598217715*^9, 3.5472216285834513`*^9}, {
  3.5472216796123705`*^9, 3.5472216811314573`*^9}, {3.547491910007022*^9, 
  3.547491925137888*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.547221610756432*^9, 3.5472216310765944`*^9}, 
   3.5472216825875406`*^9, {3.547491916137373*^9, 3.5474919262619514`*^9}}]
}, Open  ]],

Cell["Para el ejemplo 2:", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.5402026216005535`*^9, 
  3.5402026748796005`*^9}, {3.540206586544335*^9, 3.5402065993230658`*^9}, {
  3.5402204053337245`*^9, 3.5402204095629663`*^9}, {3.5402222412437325`*^9, 
  3.540222241742761*^9}, {3.540645238684658*^9, 3.5406452392766924`*^9}, {
  3.540647770748484*^9, 3.5406477711465073`*^9}, {3.547221293008258*^9, 
  3.547221294003315*^9}, {3.5472213673715115`*^9, 3.547221385633556*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AcceptedBy", "[", 
  RowBox[{"A", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "b", ",", "b", ",", "a", ",", "c", ",", "c",
      ",", "a", ",", "b", ",", "c", ",", "c", ",", "a", ",", "b", ",", "b", 
     ",", "a", ",", "c"}], "}"}], ",", "Trace"}], "]"}]}], "Input",
 CellChangeTimes->{{3.547221645736433*^9, 3.5472216461824584`*^9}, {
  3.5472216909740205`*^9, 3.547221692355099*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5472216473945274`*^9, 3.5472216939841924`*^9, 
  3.547222773966964*^9}]
}, Open  ]],

Cell["\<\
Ejemplo 4: funci\[OAcute]n que retorna un par de aut\[OAcute]matas \
equivalentes seudoaleatorios que aceptan hileras de longitud menor o igual a k\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdOajHv5rqYC7TU6C6aD5Gdxncx95bjgdiofiN571VwWRPs4
NoBpkZqSWSB6SkrlXBB9xq5lGYj+uH0mmJZ4ZWV5BkgHWGy1BdEAluyg9Q==

  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AutomatasEquivalentes", "[", 
    RowBox[{"n_", ",", "m_", ",", "k_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"A", "=", 
        RowBox[{"RandomAutomaton", "[", 
         RowBox[{"n", ",", "m", ",", "0.5"}], "]"}]}], ",", 
       RowBox[{"B", "=", 
        RowBox[{"RandomAutomaton", "[", 
         RowBox[{"n", ",", "m", ",", "0.5"}], "]"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"EquivalentAutomataQ", "[", 
           RowBox[{"A", ",", "B"}], "]"}], "\[Equal]", "False"}], "||", 
         RowBox[{
          RowBox[{"LanguagesSize", "[", 
           RowBox[{"A", ",", 
            RowBox[{"-", "k"}]}], "]"}], "==", "0"}]}], ",", 
        RowBox[{
         RowBox[{"A", "=", 
          RowBox[{"RandomAutomaton", "[", 
           RowBox[{"n", ",", "m", ",", "0.5"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"B", "=", 
          RowBox[{"RandomAutomaton", "[", 
           RowBox[{"n", ",", "m", ",", "0.5"}], "]"}]}]}]}], "]"}], ";", 
      RowBox[{"Print", "[", 
       RowBox[{
        RowBox[{"ShowAutomaton", "[", "A", "]"}], ",", "\"\< \>\"", ",", 
        RowBox[{"ShowAutomaton", "[", "B", "]"}]}], "]"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"AutomatasEquivalentes", "[", 
  RowBox[{"4", ",", "3", ",", "3"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.547219721204356*^9, 3.5472198270974126`*^9}, {
  3.5472198885509276`*^9, 3.547220036981417*^9}, {3.5472200895954266`*^9, 
  3.5472201830087695`*^9}, {3.547220221588976*^9, 3.5472202701017513`*^9}, {
  3.5472245859466033`*^9, 3.5472245870476665`*^9}, {3.547224687500412*^9, 
  3.5472247186981964`*^9}, {3.547224769713114*^9, 3.5472247891502256`*^9}, {
  3.547224837792008*^9, 3.5472248426992884`*^9}, {3.5472248729660196`*^9, 
  3.5472248811334867`*^9}, {3.547224951015484*^9, 3.5472250041355224`*^9}, {
  3.54722503835448*^9, 3.547225040380595*^9}, {3.547225095249734*^9, 
  3.547225104507263*^9}, {3.547225267097563*^9, 3.5472253166723986`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   GraphicsBox[{CircleBox[{0, 1.}, 0.21213203435596426`], 
     CircleBox[{0, 1.}, 0.1414213562373095], InsetBox["1", {0, 1.}], 
     PolygonBox[{{0.05215101826801368, -0.6945887044799934}, {
      0.054903810567665794`, -0.7950961894323342}, {
      0.140569449657049, -0.742458458893323}}], 
     CircleBox[{-1.3222431864335462`, 0.}, 1.5901923788646692`, {
      5.759486531581288, 6.8067840827778845`}], 
     InsetBox["\<\"3,2\"\>", {0.2679491904433826, -0.00007950961891030864}, \
{1, 0}], CircleBox[{0.1136511810307015, 1.274378222624039}, 
      0.10606601717798213`, {-1.439896632895322, 3.7960911230876664`}], 
     PolygonBox[{{0.1743645314924575, 1.2503990299484717`}, {
      0.12749557437689008`, 1.1692196149265424`}, {0.22123348860802478`, 
      1.1692196149265424`}}], 
     InsetBox["\<\"1\"\>", {0.21164340339642973`, 1.233788515113074}, \
{-1, 1}], CircleBox[{-1., 0}, 0.21213203435596426`], 
     CircleBox[{-1., 0}, 0.1414213562373095], InsetBox["2", {-1., 0}], 
     PolygonBox[{{-0.26170123872725054`, 
      0.9119713118684198}, {-0.1837117307087384, 
      0.893933982822018}, {-0.23832726988859748`, 0.8354117521725373}}], 
     CircleBox[{0.07624765589771844, -0.07624765589771831}, 
      1.004405941237764, {1.8325957145940461`, 2.8797932657906435`}], 
     InsetBox["\<\"1\"\>", {-0.6339745962155614, 0.6339745962155616}, {1, 1}],
      CircleBox[{-1.235613921254711, -0.18079292052228935`}, 
      0.10606601717798213`, {1.1780972450961729`, 6.414085001079162}], 
     PolygonBox[{{-1.276203628765676, -0.0359317410409937}, \
{-1.1950242137437463`, -0.08280069815656109}, {-1.276203628765676, \
-0.12966965527212854`}}], 
     InsetBox["\<\"3,2\"\>", {-1.300182821441243, -0.09664509150274969}, \
{1, -1}], CircleBox[{0, -1.}, 0.21213203435596426`], 
     CircleBox[{0, -1.}, 0.1414213562373095], InsetBox["3", {0, -1.}], 
     PolygonBox[{{-0.1407232001028063, 
      0.7423580748420086}, {-0.054903810567665766`, 
      0.7950961894323342}, {-0.0521409583523193, 0.6944053606624673}}], 
     CircleBox[{1.3222431864335462`, 0.}, 1.5901923788646692`, {
      2.6179938779914944`, 3.665191429188092}], 
     InsetBox["\<\"2,1\"\>", \
{-0.26794919243112303`, 1.9474240068051325`*^-16}, {-1, 0}], 
     CircleBox[{1.818507718094536*^-17, -1.29698484809835}, 
      0.10606601717798213`, {-4.1887902047863905`, 1.0471975511965983`}], 
     PolygonBox[{{-0.13963554896743488`, -1.2410009295046958`}, \
{-0.05303300858899109, -1.2051289827439808`}, {-0.06526826160023091, \
-1.2980649561243383`}}], 
     InsetBox["\<\"3\"\>", {-0.10606601717798211`, -1.29698484809835}, \
{1, 1}], CircleBox[{1., 0}, 0.21213203435596426`], InsetBox["4", {1., 0}], 
     PolygonBox[{{-0.7423580748420083, -0.14072320010280673`}, \
{-0.7950961894323342, -0.054903810567665794`}, {-0.6944053606624668, \
-0.05214095835231933}}], 
     CircleBox[{5.551115123125783*^-17, 1.3222431864335464`}, 
      1.5901923788646695`, {4.188790204786391, 5.235887755982988}], 
     InsetBox["\<\"3\"\>", {-0.00007950961891015576, -0.2679491904433826}, \
{0, -1}], 
     CircleBox[{1.286865334794732, 0.07686533479473229}, 
      0.10606601717798213`, {-2.356194490192344, 2.8797932657906444`}], 
     PolygonBox[{{1.2689293614143746`, -0.07250195257247176}, {
      1.2118653347947321`, 0.0018653347947322069`}, {1.3048013081750895`, 
      0.014100587805972079`}}], 
     InsetBox["\<\"2,1\"\>", {1.314317240078565, -0.025586570489100596`}, \
{-1, 1}], 
     {RGBColor[0, 0, 0], 
      LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
      PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
       0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
    AspectRatio->Automatic,
    PlotRange->Automatic], "\[InvisibleSpace]", "\<\" \"\>", 
   "\[InvisibleSpace]", 
   GraphicsBox[{CircleBox[{0, -1.}, 0.21213203435596426`], 
     CircleBox[{0, -1.}, 0.1414213562373095], InsetBox["1", {0, -1.}], 
     PolygonBox[{{0.7544280042874434, -0.10904072117399966`}, {
      0.8317043419609207, -0.12913780037306383`}, {
      0.7756615919959247, -0.18601253231018755`}}], 
     CircleBox[{1.063974941875, -1.1011342580537706`}, 0.9993631698878488, {
      1.8053599812756023`, 2.8525575324722}], 
     InsetBox["\<\"2\"\>", {0.37682447295680177`, -0.37549593327083186`}, \
{1, 1}], PolygonBox[{{-0.1407232001028063, 
      0.7423580748420086}, {-0.054903810567665766`, 
      0.7950961894323342}, {-0.0521409583523193, 0.6944053606624673}}], 
     CircleBox[{1.3222431864335462`, 0.}, 1.5901923788646692`, {
      2.6179938779914944`, 3.665191429188092}], 
     InsetBox["\<\"1\"\>", {-0.26794919243112303`, 1.9474240068051325`*^-16}, \
{-1, 0}], 
     CircleBox[{-0.11365118103070135`, -1.274378222624039}, 
      0.10606601717798213`, {-4.581489286485114, 0.6544984694978737}], 
     PolygonBox[{{-0.22123348860802483`, -1.1692196149265426`}, \
{-0.12749557437689002`, -1.1692196149265424`}, {-0.1743645314924573, \
-1.250399029948472}}], 
     InsetBox["\<\"3\"\>", {-0.2116434033964296, -1.2337885151130743`}, \
{1, -1}], CircleBox[{1., 0}, 0.21213203435596426`], 
     CircleBox[{1., 0}, 0.1414213562373095], InsetBox["2", {1., 0}], 
     PolygonBox[{{-0.7409768885109793, -0.1396641774774583}, \
{-0.7950961894323342, -0.054903810567665794`}, {-0.6946319079936865, \
-0.050415304589614074`}}], 
     CircleBox[{-0.026275604454263794`, 1.3311625522697557`}, 
      1.585012635304647, {4.205961273765145, 5.253058824961743}], 
     InsetBox["\<\"2\"\>", {0.0008601804383381456, -0.2536177805378055}, \
{1, 1}], PolygonBox[{{0.2450375993715821, -0.8391231154109958}, {
      0.18371173070873834`, -0.8939339828220179}, {
      0.2618422686215659, -0.9196383092876775}}], 
     CircleBox[{0.0013980576330380027`, 0.15389336942847456`}, 
      1.0635696665073855`, {4.884556521717439, 5.931754072914037}], 
     InsetBox["\<\"3\"\>", {0.6831183738632889, -0.6624630759760791}, {1, 1}],
      CircleBox[{1.2899451213735391`, 0.06427928586787292}, 
      0.10606601717798213`, {-2.399827721492203, 2.8361600344907854`}], 
     PolygonBox[{{1.2655109094981738`, -0.08416348076818639}, {
      1.2117450507024996`, -0.007377876698366231}, {1.3051262638697347`, 
      0.000791920840064575}}], 
     InsetBox["\<\"1\"\>", {1.3129020091834938`, -0.03927254319410531}, \
{-1, 1}], CircleBox[{0, 1.}, 0.21213203435596426`], 
     CircleBox[{0, 1.}, 0.1414213562373095], InsetBox["3", {0, 1.}], 
     PolygonBox[{{0.8507167291095094, 0.24599845285252953`}, {
      0.9103491283809642, 0.1922569146167366}, {0.9270744660958862, 
      0.27077085639232956`}}], 
     CircleBox[{-0.06062913109076734, -0.0862093687079565}, 
      1.0101199192746482`, {0.2792933604135863, 1.3264909116101837`}], 
     InsetBox["\<\"3,2\"\>", {0.6410295664718042, 0.6404386364845285}, \
{1, 1}], CircleBox[{0.000014849242398713892`, 1.2969848477271189`}, 
      0.10606601717798213`, {-1.0472475511965973`, 4.1887402047863915`}], 
     PolygonBox[{{0.06528316476644554, 1.2980616923386783`}, {
      0.05304326497183276, 1.2051263308371412`}, {0.13964759883936068`, 
      1.2409939474259992`}}], 
     InsetBox["\<\"1\"\>", {0.10608086628779832`, 1.2969795444262622`}, \
{-1, 1}], CircleBox[{-1., 0}, 0.21213203435596426`], 
     CircleBox[{-1., 0}, 0.1414213562373095], InsetBox["4", {-1., 0}], 
     PolygonBox[{{0.7356726854853012, 0.12850937831190523`}, {
      0.8374974338740895, 0.1363558433016132}, {0.779789821668703, 
      0.22061542964540848`}}], 
     CircleBox[{0.0917401517583578, -1.3182377249052064`}, 
      1.634624229753521, {1.097047404059912, 2.1442449552565095`}], 
     InsetBox["\<\"1\"\>", {0.01028811902441043, 0.314355898401218}, {1, 1}], 
     PolygonBox[{{-0.26170123872725054`, 
      0.9119713118684198}, {-0.1837117307087384, 
      0.893933982822018}, {-0.23832726988859748`, 0.8354117521725373}}], 
     CircleBox[{0.07624765589771844, -0.07624765589771831}, 
      1.004405941237764, {1.8325957145940461`, 2.8797932657906435`}], 
     InsetBox["\<\"2\"\>", {-0.6339745962155614, 0.6339745962155616}, {1, 1}],
      CircleBox[{-1.235613921254711, -0.18079292052228935`}, 
      0.10606601717798213`, {1.1780972450961729`, 6.414085001079162}], 
     PolygonBox[{{-1.276203628765676, -0.0359317410409937}, \
{-1.1950242137437463`, -0.08280069815656109}, {-1.276203628765676, \
-0.12966965527212854`}}], 
     InsetBox["\<\"3\"\>", {-1.300182821441243, -0.09664509150274969}, \
{1, -1}], 
     {RGBColor[0, 0, 0], 
      LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
      PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
       0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
    AspectRatio->Automatic,
    PlotRange->Automatic]}],
  SequenceForm[
   Graphics[{
     Circle[{0, 1.}, 0.21213203435596426`], 
     Circle[{0, 1.}, 0.1414213562373095], 
     Text[1, {0, 1.}], 
     Polygon[{{0.05215101826801368, -0.6945887044799934}, {
      0.054903810567665794`, -0.7950961894323342}, {
      0.140569449657049, -0.742458458893323}}], 
     Circle[{-1.3222431864335462`, 0.}, 1.5901923788646692`, {
      5.759486531581288, 6.8067840827778845`}], 
     Text["3,2", {0.2679491904433826, -0.00007950961891030864}, {1, 0}], 
     Circle[{0.1136511810307015, 1.274378222624039}, 
      0.10606601717798213`, {-1.439896632895322, 3.7960911230876664`}], 
     Polygon[{{0.1743645314924575, 1.2503990299484717`}, {
      0.12749557437689008`, 1.1692196149265424`}, {0.22123348860802478`, 
      1.1692196149265424`}}], 
     Text["1", {0.21164340339642973`, 1.233788515113074}, {-1, 1}], 
     Circle[{-1., 0}, 0.21213203435596426`], 
     Circle[{-1., 0}, 0.1414213562373095], 
     Text[2, {-1., 0}], 
     Polygon[{{-0.26170123872725054`, 
      0.9119713118684198}, {-0.1837117307087384, 
      0.893933982822018}, {-0.23832726988859748`, 0.8354117521725373}}], 
     Circle[{0.07624765589771844, -0.07624765589771831}, 1.004405941237764, {
      1.8325957145940461`, 2.8797932657906435`}], 
     Text["1", {-0.6339745962155614, 0.6339745962155616}, {1, 1}], 
     Circle[{-1.235613921254711, -0.18079292052228935`}, 
      0.10606601717798213`, {1.1780972450961729`, 6.414085001079162}], 
     Polygon[{{-1.276203628765676, -0.0359317410409937}, \
{-1.1950242137437463`, -0.08280069815656109}, {-1.276203628765676, \
-0.12966965527212854`}}], 
     Text["3,2", {-1.300182821441243, -0.09664509150274969}, {1, -1}], 
     Circle[{0, -1.}, 0.21213203435596426`], 
     Circle[{0, -1.}, 0.1414213562373095], 
     Text[3, {0, -1.}], 
     Polygon[{{-0.1407232001028063, 
      0.7423580748420086}, {-0.054903810567665766`, 
      0.7950961894323342}, {-0.0521409583523193, 0.6944053606624673}}], 
     Circle[{1.3222431864335462`, 0.}, 1.5901923788646692`, {
      2.6179938779914944`, 3.665191429188092}], 
     Text["2,1", {-0.26794919243112303`, 1.9474240068051325`*^-16}, {-1, 0}], 
     Circle[{1.818507718094536*^-17, -1.29698484809835}, 
      0.10606601717798213`, {-4.1887902047863905`, 1.0471975511965983`}], 
     Polygon[{{-0.13963554896743488`, -1.2410009295046958`}, \
{-0.05303300858899109, -1.2051289827439808`}, {-0.06526826160023091, \
-1.2980649561243383`}}], 
     Text["3", {-0.10606601717798211`, -1.29698484809835}, {1, 1}], 
     Circle[{1., 0}, 0.21213203435596426`], 
     Text[4, {1., 0}], 
     Polygon[{{-0.7423580748420083, -0.14072320010280673`}, \
{-0.7950961894323342, -0.054903810567665794`}, {-0.6944053606624668, \
-0.05214095835231933}}], 
     Circle[{5.551115123125783*^-17, 1.3222431864335464`}, 
      1.5901923788646695`, {4.188790204786391, 5.235887755982988}], 
     Text["3", {-0.00007950961891015576, -0.2679491904433826}, {0, -1}], 
     Circle[{1.286865334794732, 0.07686533479473229}, 
      0.10606601717798213`, {-2.356194490192344, 2.8797932657906444`}], 
     Polygon[{{1.2689293614143746`, -0.07250195257247176}, {
      1.2118653347947321`, 0.0018653347947322069`}, {1.3048013081750895`, 
      0.014100587805972079`}}], 
     Text["2,1", {1.314317240078565, -0.025586570489100596`}, {-1, 1}], 
     RGBColor[0, 0, 0], {
      Line[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
      Polygon[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
       0.31819805153394637`}, {-0.9292893218813453, 
       0.31819805153394637`}}]}}, {
    PlotRange -> Automatic, AspectRatio -> Automatic}], " ", 
   Graphics[{
     Circle[{0, -1.}, 0.21213203435596426`], 
     Circle[{0, -1.}, 0.1414213562373095], 
     Text[1, {0, -1.}], 
     Polygon[{{0.7544280042874434, -0.10904072117399966`}, {
      0.8317043419609207, -0.12913780037306383`}, {
      0.7756615919959247, -0.18601253231018755`}}], 
     Circle[{1.063974941875, -1.1011342580537706`}, 0.9993631698878488, {
      1.8053599812756023`, 2.8525575324722}], 
     Text["2", {0.37682447295680177`, -0.37549593327083186`}, {1, 1}], 
     Polygon[{{-0.1407232001028063, 
      0.7423580748420086}, {-0.054903810567665766`, 
      0.7950961894323342}, {-0.0521409583523193, 0.6944053606624673}}], 
     Circle[{1.3222431864335462`, 0.}, 1.5901923788646692`, {
      2.6179938779914944`, 3.665191429188092}], 
     Text["1", {-0.26794919243112303`, 1.9474240068051325`*^-16}, {-1, 0}], 
     Circle[{-0.11365118103070135`, -1.274378222624039}, 
      0.10606601717798213`, {-4.581489286485114, 0.6544984694978737}], 
     Polygon[{{-0.22123348860802483`, -1.1692196149265426`}, \
{-0.12749557437689002`, -1.1692196149265424`}, {-0.1743645314924573, \
-1.250399029948472}}], 
     Text["3", {-0.2116434033964296, -1.2337885151130743`}, {1, -1}], 
     Circle[{1., 0}, 0.21213203435596426`], 
     Circle[{1., 0}, 0.1414213562373095], 
     Text[2, {1., 0}], 
     Polygon[{{-0.7409768885109793, -0.1396641774774583}, \
{-0.7950961894323342, -0.054903810567665794`}, {-0.6946319079936865, \
-0.050415304589614074`}}], 
     Circle[{-0.026275604454263794`, 1.3311625522697557`}, 
      1.585012635304647, {4.205961273765145, 5.253058824961743}], 
     Text["2", {0.0008601804383381456, -0.2536177805378055}, {1, 1}], 
     Polygon[{{0.2450375993715821, -0.8391231154109958}, {
      0.18371173070873834`, -0.8939339828220179}, {
      0.2618422686215659, -0.9196383092876775}}], 
     Circle[{0.0013980576330380027`, 0.15389336942847456`}, 
      1.0635696665073855`, {4.884556521717439, 5.931754072914037}], 
     Text["3", {0.6831183738632889, -0.6624630759760791}, {1, 1}], 
     Circle[{1.2899451213735391`, 0.06427928586787292}, 
      0.10606601717798213`, {-2.399827721492203, 2.8361600344907854`}], 
     Polygon[{{1.2655109094981738`, -0.08416348076818639}, {
      1.2117450507024996`, -0.007377876698366231}, {1.3051262638697347`, 
      0.000791920840064575}}], 
     Text["1", {1.3129020091834938`, -0.03927254319410531}, {-1, 1}], 
     Circle[{0, 1.}, 0.21213203435596426`], 
     Circle[{0, 1.}, 0.1414213562373095], 
     Text[3, {0, 1.}], 
     Polygon[{{0.8507167291095094, 0.24599845285252953`}, {0.9103491283809642,
       0.1922569146167366}, {0.9270744660958862, 0.27077085639232956`}}], 
     Circle[{-0.06062913109076734, -0.0862093687079565}, 
      1.0101199192746482`, {0.2792933604135863, 1.3264909116101837`}], 
     Text["3,2", {0.6410295664718042, 0.6404386364845285}, {1, 1}], 
     Circle[{0.000014849242398713892`, 1.2969848477271189`}, 
      0.10606601717798213`, {-1.0472475511965973`, 4.1887402047863915`}], 
     Polygon[{{0.06528316476644554, 1.2980616923386783`}, {
      0.05304326497183276, 1.2051263308371412`}, {0.13964759883936068`, 
      1.2409939474259992`}}], 
     Text["1", {0.10608086628779832`, 1.2969795444262622`}, {-1, 1}], 
     Circle[{-1., 0}, 0.21213203435596426`], 
     Circle[{-1., 0}, 0.1414213562373095], 
     Text[4, {-1., 0}], 
     Polygon[{{0.7356726854853012, 0.12850937831190523`}, {0.8374974338740895,
       0.1363558433016132}, {0.779789821668703, 0.22061542964540848`}}], 
     Circle[{0.0917401517583578, -1.3182377249052064`}, 1.634624229753521, {
      1.097047404059912, 2.1442449552565095`}], 
     Text["1", {0.01028811902441043, 0.314355898401218}, {1, 1}], 
     Polygon[{{-0.26170123872725054`, 
      0.9119713118684198}, {-0.1837117307087384, 
      0.893933982822018}, {-0.23832726988859748`, 0.8354117521725373}}], 
     Circle[{0.07624765589771844, -0.07624765589771831}, 1.004405941237764, {
      1.8325957145940461`, 2.8797932657906435`}], 
     Text["2", {-0.6339745962155614, 0.6339745962155616}, {1, 1}], 
     Circle[{-1.235613921254711, -0.18079292052228935`}, 
      0.10606601717798213`, {1.1780972450961729`, 6.414085001079162}], 
     Polygon[{{-1.276203628765676, -0.0359317410409937}, \
{-1.1950242137437463`, -0.08280069815656109}, {-1.276203628765676, \
-0.12966965527212854`}}], 
     Text["3", {-1.300182821441243, -0.09664509150274969}, {1, -1}], 
     RGBColor[0, 0, 0], {
      Line[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
      Polygon[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
       0.31819805153394637`}, {-0.9292893218813453, 
       0.31819805153394637`}}]}}, {
    PlotRange -> Automatic, AspectRatio -> Automatic}]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.54722013598308*^9, {3.5472201750783157`*^9, 3.5472201892901287`*^9}, {
   3.547220233511658*^9, 3.5472202742139864`*^9}, {3.547224565977461*^9, 
   3.547224606559782*^9}, 3.547224721515357*^9, 3.5472247925254188`*^9, 
   3.5472248505747395`*^9, 3.5472248828895874`*^9, {3.547224979359105*^9, 
   3.5472250052905884`*^9}, 3.5472250438437934`*^9, {3.547225107512435*^9, 
   3.5472251236783595`*^9}, {3.547225306646825*^9, 3.547225319555563*^9}, 
   3.547225843343522*^9}]
}, Open  ]],

Cell["\<\
Ejemplo 5: funci\[OAcute]n que retorna un par de aut\[OAcute]matas \
equivalentes seudoaleatorios que aceptan hileras alguna longitud\
\>", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.5402026216005535`*^9, 
  3.5402026748796005`*^9}, {3.540206586544335*^9, 3.5402065993230658`*^9}, {
  3.5402204053337245`*^9, 3.5402204095629663`*^9}, {3.5402222412437325`*^9, 
  3.540222241742761*^9}, {3.540645238684658*^9, 3.5406452392766924`*^9}, {
  3.540647770748484*^9, 3.5406477711465073`*^9}, {3.547221293008258*^9, 
  3.5472213131614103`*^9}, {3.547226617542804*^9, 3.5472266297435017`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AutomatasEquivalentesCL", "[", 
    RowBox[{"n_", ",", "m_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"A", "=", 
        RowBox[{"RandomAutomaton", "[", 
         RowBox[{"n", ",", "m", ",", "0.5"}], "]"}]}], ",", 
       RowBox[{"B", "=", 
        RowBox[{"RandomAutomaton", "[", 
         RowBox[{"n", ",", "m", ",", "0.5"}], "]"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"EquivalentAutomataQ", "[", 
           RowBox[{"A", ",", "B"}], "]"}], "\[Equal]", "False"}], "||", 
         RowBox[{
          RowBox[{"EmptyAutomatonQ", "[", "A", "]"}], "\[Equal]", "True"}]}], 
        ",", 
        RowBox[{
         RowBox[{"A", "=", 
          RowBox[{"RandomAutomaton", "[", 
           RowBox[{"n", ",", "m", ",", "0.5"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"B", "=", 
          RowBox[{"RandomAutomaton", "[", 
           RowBox[{"n", ",", "m", ",", "0.5"}], "]"}]}]}]}], "]"}], ";", 
      RowBox[{"Print", "[", 
       RowBox[{
        RowBox[{"ShowAutomaton", "[", "A", "]"}], ",", "\"\< \>\"", ",", 
        RowBox[{"ShowAutomaton", "[", "B", "]"}]}], "]"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"AutomatasEquivalentesCL", "[", 
  RowBox[{"6", ",", "5"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.5472266561200104`*^9, {3.5472267031717014`*^9, 3.5472267422089343`*^9}, {
   3.5472267745547843`*^9, 3.5472267940599003`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   GraphicsBox[{
     CircleBox[{0.5000000000000001, 0.8660254037844386}, 
      0.14999999999999994`], 
     CircleBox[{0.5000000000000001, 0.8660254037844386}, 0.09999999999999995],
      InsetBox["1", {0.5000000000000001, 0.8660254037844386}], 
     PolygonBox[{{0.5405799777467042, -0.6395367612125468}, {
      0.5388228567653773, -0.7211365298410788}, {
      0.610368889831282, -0.6818583569341644}}], 
     CircleBox[{-0.7102222521132805, 0.07764571353075671}, 
      1.482621582312844, {5.714116738070427, 6.761414289267024}], 
     InsetBox["\<\"4,3\"\>", {0.7708703003248659, 0.010328498406412867`}, \
{1, 1}], PolygonBox[{{-0.32359681066894436`, 
      0.7803756807829334}, {-0.3551111260566396, 
      0.8272025470190606}, {-0.29880071262269, 0.8310813116096158}}], 
     CircleBox[{-0.023083197705280858`, 1.450532359887341}, 
      0.7062454253414322, {4.222949685842857, 5.270047237039455}], 
     InsetBox["\<\"1\"\>", {0.0010017963096747955`, 0.744697737699537}, \
{1, 1}], PolygonBox[{{-0.41692995634180663`, -0.6455992510818224}, \
{-0.4611771432346224, -0.7211365298410781}, {-0.37363634744995233`, \
-0.7216870783566266}}], 
     CircleBox[{-1.2717755911036996`, 0.7801278187044358}, 
      1.7061255779987432`, {5.207378767376327, 6.254576318572925}], 
     InsetBox["\<\"2\"\>", {0.18076594064493912`, -0.11485127962516439`}, \
{1, 1}], CircleBox[{0.6484924240491751, 1.0145178278336133`}, 
      0.07499999999999997, {-1.8325957145940461`, 3.4033920413889422`}], 
     PolygonBox[{{0.6816666088622846, 0.982423751046492}, {0.629080995666486, 
      0.9420733908619332}, {0.6903182392360655, 0.9167080940530689}}], 
     InsetBox["\<\"5\"\>", {0.701525432638166, 0.9614848192446223}, {-1, 1}], 
     CircleBox[{-0.4999999999999998, 0.8660254037844387}, 
      0.14999999999999994`], 
     CircleBox[{-0.4999999999999998, 0.8660254037844387}, 
      0.09999999999999995], 
     InsetBox["2", {-0.4999999999999998, 0.8660254037844387}], 
     PolygonBox[{{0.3361281105694291, 0.9649408369745444}, {
      0.39393398282201814`, 0.9720914209624207}, {0.3588384593103285, 
      1.0185774828271428`}}], 
     CircleBox[{0.07764571353075636, 0.2897777478867205}, 
      0.7520573234516874, {1.1367293976629975`, 2.183926948859595}], 
     InsetBox["\<\"1\"\>", {0.010402553118152497`, 1.0388228567653786`}, \
{1, 1}], PolygonBox[{{-0.9263326652532773, 
      0.19095430405823793`}, {-0.9580256478953512, 
      0.14400747815788922`}, {-0.9015220127175669, 0.14003396301832832`}}], 
     CircleBox[{-1.2482326723500292`, 0.795612270455383}, 
      0.7133084342610129, {5.131288233754806, 6.178485784951403}], 
     InsetBox["\<\"2\"\>", {-0.6711455438315281, 0.3763517685163513}, {1, 1}],
      CircleBox[{-0.6049999999999996, 1.0478907385791707`}, 
      0.07499999999999997, {-0.5235987755982987, 4.71238898038469}], 
     PolygonBox[{{-0.5654133915250311, 
      1.0716279821487502`}, {-0.5400480947161668, 
      1.0103907385791708`}, {-0.49969773453160793`, 1.0629763517749695`}}], 
     InsetBox["\<\"5,4,3\"\>", {-0.5400480947161668, 1.0853907385791706`}, \
{-1, -1}], CircleBox[{-1., 0}, 0.14999999999999994`], 
     CircleBox[{-1., 0}, 0.09999999999999995], InsetBox["3", {-1., 0}], 
     PolygonBox[{{0.7714303279494047, 0.05172464267116751}, {0.85965919069343,
       0.05295712646261073}, {0.8144773970482749, 0.12874932105022552`}}], 
     CircleBox[{-0.015302091352305957`, -1.4343041483019425`}, 
      1.7255443617865647`, {1.0390214546008207`, 2.086219005797418}], 
     InsetBox["\<\"4,1\"\>", {-0.0011940311551734435`, 0.29118253873185673`}, \
{1, 1}], PolygonBox[{{0.30529672283035486`, 0.7428666457438032}, {
      0.37527955815461833`, 0.7826898688314984}, {0.30580021763796766`, 
      0.823385170507326}}], 
     CircleBox[{0.3314313389208767, -0.6535950317437913}, 
      1.4369540639667437`, {1.5402768912463611`, 2.5874744424429585`}], 
     InsetBox["\<\"5\"\>", {-0.3487374395996384, 0.6121882888432872}, {1, 1}],
      PolygonBox[{{-0.6636856658702888, 
      0.7620134553415798}, {-0.6060660171779819, 
      0.7599593866064567}, {-0.6366547172298713, 0.7110863414493458}}], 
     CircleBox[{-0.28283640700412377`, 0.0977336208280642}, 
      0.7368991421856338, {2.02487529788415, 3.0720728490807483`}], 
     InsetBox["\<\"2\"\>", {-0.8938743435592222, 0.5096231519458267}, {1, 1}],
      PolygonBox[{{0.32108934314980075`, -0.7251657818620357}, {
      0.39393398282201725`, -0.7599593866064569}, {
      0.38764380858381253`, -0.6794772757485831}}], 
     CircleBox[{-0.8162843877300368, -1.5483535659416234`}, 
      1.4443662577169407`, {0.5773923818618809, 1.6245899330584783`}], 
     InsetBox["\<\"3\"\>", {-0.1624016243729317, -0.26047499316555767`}, \
{1, 1}], CircleBox[{-0.5000000000000004, -0.8660254037844384}, 
      0.14999999999999994`], 
     CircleBox[{-0.5000000000000004, -0.8660254037844384}, 
      0.09999999999999995], 
     InsetBox["4", {-0.5000000000000004, -0.8660254037844384}], 
     PolygonBox[{{0.8138682967911102, -0.13469969410301816`}, {
      0.8838216946610674, -0.09488203923068755}, {
      0.8143618950875293, -0.05420944703042965}}], 
     CircleBox[{0.8401653800852267, -1.5301612447592625`}, 
      1.4359429903812624`, {1.540389101001361, 2.5875866521979587`}], 
     InsetBox["\<\"4\"\>", {0.1603332547792221, -0.2653448339600497}, {1, 1}],
      PolygonBox[{{-0.6076869119898322, 
      0.6791218649235339}, {-0.5388228567653779, 
      0.7211365298410786}, {-0.5368691172275205, 0.6404911761503144}}], 
     CircleBox[{0.7102222521132793, 2.220446049250313*^-16}, 
      1.4422730596821571`, {2.617993877991494, 3.665191429188092}], 
     InsetBox["\<\"5,2,1\"\>", {-0.7320508075688779, 3.986721135286526*^-16}, \
{-1, 0}], 
     CircleBox[{-0.6818705845673987, -0.9710163103864523}, 
      0.07499999999999997, {1.0471475511965975`, 6.283135307179586}], 
     PolygonBox[{{-0.7056058487768836, -0.9314285150987892}, \
{-0.6443673370190108, -0.9060662801838085}, {-0.6969509326310691, \
-0.8657132907690289}}], 
     InsetBox["\<\"3\"\>", {-0.7193673369252608, -0.9060625301838101}, \
{1, -1}], 
     CircleBox[{0.4999999999999993, -0.866025403784439}, 
      0.14999999999999994`], 
     CircleBox[{0.4999999999999993, -0.866025403784439}, 0.09999999999999995],
      InsetBox["5", {0.4999999999999993, -0.866025403784439}], 
     PolygonBox[{{0.4396631788613595, 0.6767366799843711}, {
      0.5098104693845216, 0.7163465652986482}, {0.5090399910460927, 
      0.6357922870418039}}], 
     CircleBox[{1.7303906842112584`, -0.044512678187563076`}, 
      1.4383055479364923`, {2.584174500608838, 3.6313720518054353`}], 
     InsetBox["\<\"4\"\>", {0.2929075890715309, 0.004120647962337333}, \
{1, 1}], PolygonBox[{{-0.9555308658950618, -0.22648676716077135`}, \
{-0.9611916323161064, -0.14489275550458589`}, {-0.8876987622146438, \
-0.180787393807164}}], 
     CircleBox[{0.2878573595726659, 0.6539039765605039}, 
      1.4826326595944883`, {3.710568044401553, 4.757665595598151}], 
     InsetBox["\<\"5,3,2\"\>", {-0.39451824622681386`, -0.6623646646773016}, \
{1, 1}], PolygonBox[{{-0.35884821531933714`, -1.0185880051594072`}, \
{-0.3939445899540487, -0.9721020270337906}, {-0.3361383646601413, \
-0.9649506640822028}}], 
     CircleBox[{-0.07766020222401232, -0.28977386487660606`}, 
      0.7520688364734744, {4.278334836230108, 5.325432387426706}], 
     InsetBox["\<\"1\"\>", {-0.010443888609891497`, -1.0388329426392975`}, \
{1, 1}], CircleBox[{1., 0}, 0.14999999999999994`], 
     CircleBox[{1., 0}, 0.09999999999999995], InsetBox["6", {1., 0}], 
     PolygonBox[{{-0.38765441571584325`, 
      0.6794666696772126}, {-0.3939445899540479, 
      0.7599487805350866}, {-0.32109995028183125`, 0.7251551757906652}}], 
     CircleBox[{0.8162737805980061, 1.5483429598702538`}, 
      1.4443662577169412`, {3.7189850354516745`, 4.766082586648272}], 
     InsetBox["\<\"4\"\>", {0.1623266241296435, 0.26049708284218953`}, \
{1, 1}], PolygonBox[{{-0.8093512011093824, -0.04597039159063148}, \
{-0.8530415659664005, 0.0300535965633426}, {-0.7653576784995426, 
      0.029878568353144112`}}], 
     CircleBox[{0.03451927903459482, 1.4846166162105934`}, 
      1.7039711945054148`, {4.164509985471322, 5.21160753666792}], 
     InsetBox["\<\"3\"\>", {-0.006934623712723784, -0.21885026214402425`}, \
{1, 1}], PolygonBox[{{-0.28157112507745924`, -0.8833905662277293}, \
{-0.3520025840042911, -0.8415966326611721}, {-0.28059224634815755`, \
-0.801498166788214}}], 
     CircleBox[{-0.29877933844817905`, 0.6440042502213527}, 
      1.4865539670960028`, {4.676578223352085, 5.723675774548683}], 
     InsetBox["\<\"5\"\>", {0.3978627604124143, -0.6692103107640069}, {1, 1}],
      PolygonBox[{{0.6379212794913306, -0.7112994550431236}, {
      0.6060660171779814, -0.759959386606457}, {
      0.664134385214915, -0.7632168872323678}}], 
     CircleBox[{0.28977774788671923`, -0.07764571353075558}, 
      0.7520573234516883, {5.146355909516589, 6.193553460713186}], 
     InsetBox["\<\"2,1\"\>", {0.9048049817905777, -0.5104640580055317}, \
{1, 1}], 
     {RGBColor[0, 0, 0], 
      LineBox[{{-1., 0.2999999999999999}, {-1., 0.14999999999999994`}}], 
      PolygonBox[{{-1., 0.14999999999999994`}, {-1.05, 
       0.22499999999999992`}, {-0.9500000000000001, 0.22499999999999992`}}]}},
    AspectRatio->Automatic,
    PlotRange->Automatic,
    ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]], "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", 
   GraphicsBox[{
     CircleBox[{0.5000000000000001, 0.8660254037844386}, 
      0.14999999999999994`], 
     CircleBox[{0.5000000000000001, 0.8660254037844386}, 0.09999999999999995],
      InsetBox["1", {0.5000000000000001, 0.8660254037844386}], 
     PolygonBox[{{0.47624069011860437`, -0.637408006875129}, {
      0.4707364516975801, -0.7189076117239546}, {
      0.5440692991055686, -0.6829246196006352}}], 
     CircleBox[{-0.7423351549347941, 0.13772472903038874`}, 
      1.4850460228706432`, {5.668231734900862, 6.71552928609746}], 
     InsetBox["\<\"5,3\"\>", {0.7365250750687622, 0.002321220369262217}, \
{1, 1}], PolygonBox[{{-0.8218207730726712, 
      0.14452220731051324`}, {-0.8903698944674678, 
      0.10237792711774271`}, {-0.819597316498921, 0.06408478667913076}}], 
     CircleBox[{-0.8953459183283552, 1.5434084407736472`}, 
      1.4410391049866982`, {4.71574206762746, 5.762939618824058}], 
     InsetBox["\<\"2,1\"\>", {-0.17064585015300526`, 0.29785494401507484`}, \
{1, 1}], PolygonBox[{{0.9999637727532036, 0.18851402465334635`}, {
      1.038822856765378, 0.1448888739433602}, {1.0571738035180636`, 
      0.20035440322069017`}}], 
     CircleBox[{0.29320451430865524`, 0.016406995795242574`}, 
      0.7566071012225428, {0.17064011991790654`, 1.217837671114504}], 
     InsetBox["\<\"4\"\>", {0.8746880013297641, 0.5004847374258108}, {1, 1}], 
     CircleBox[{-0.4999999999999998, 0.8660254037844387}, 
      0.14999999999999994`], 
     CircleBox[{-0.4999999999999998, 0.8660254037844387}, 
      0.09999999999999995], 
     InsetBox["2", {-0.4999999999999998, 0.8660254037844387}], 
     PolygonBox[{{-0.5364362189208122, -0.6406112073775793}, \
{-0.5388228567653784, -0.7211365298410781}, {-0.4678925629417715, \
-0.6829407576123564}}], 
     CircleBox[{-1.749045108878658, 0.06724316041260472}, 
      1.4443616013708727`, {5.70570279746784, 6.753000348664437}], 
     InsetBox["\<\"2,1\"\>", {-0.30677593328501707`, -0.010474666674049851`}, \
{1, 1}], PolygonBox[{{-0.9292559986003333, 
      0.19173583075747772`}, {-0.9611771432346219, 
      0.1448888739433602}, {-0.9046459162264593, 0.14066783017924764`}}], 
     CircleBox[{-1.249045108878658, 0.798782243371835}, 0.7144539902796818, {
      5.126994281779942, 6.17419183297654}], 
     InsetBox["\<\"4,3\"\>", {-0.672839691290754, 0.376370334248869}, {1, 1}],
      CircleBox[{-0.5543418571824172, 1.06887254465156}, 
      0.07499999999999997, {-0.7854481633974482, 4.450539592585541}], 
     PolygonBox[{{-0.5099598448902637, 
      1.0815529739712288`}, {-0.5013115003101458, 
      1.0158368844784318`}, {-0.4487238696620709, 1.056184615331894}}], 
     InsetBox["\<\"5\"\>", {-0.48189644972987394`, 1.0882803507881376`}, \
{-1, -1}], CircleBox[{-1., 0}, 0.14999999999999994`], 
     CircleBox[{-1., 0}, 0.09999999999999995], InsetBox["3", {-1., 0}], 
     PolygonBox[{{0.7645433651846362, 0.02026021909971451}, {
      0.8521865529578142, 0.02551832426917813}, {0.8038113064186995, 
      0.0987904987646682}}], 
     CircleBox[{0.05425881073600645, -1.4852154280968277`}, 
      1.7085096289881032`, {1.084865702412924, 2.1320632536095214`}], 
     InsetBox["\<\"2\"\>", {-0.010082370298549616`, 0.22208225091762723`}, \
{1, 1}], PolygonBox[{{0.28213469141546094`, 0.942470567091956}, {
      0.3551111260566399, 0.9048482605498167}, {0.2860410355215924, 
      0.8604599675440106}}], 
     CircleBox[{0.3906620186180729, -0.5887446222322201}, 1.494015918743529, {
      1.594594097588152, 2.6417916487847495`}], 
     InsetBox["\<\"5\"\>", {-0.38692239885835755`, 0.6869693108879411}, \
{1, 1}], PolygonBox[{{0.3352246825810081, -0.7130540672754923}, {
      0.4086857856486913, -0.7470224027407538}, {
      0.40137267555203815`, -0.6664190535614826}}], 
     CircleBox[{-0.7977047296406515, -1.5546605100082909`}, 
      1.4517773202839257`, {0.5899384865726929, 1.63713603776929}], 
     InsetBox["\<\"3\"\>", {-0.15675895014924968`, -0.2520301344055509}, \
{1, 1}], CircleBox[{-1.19401871976089, -0.08035381996112699}, 
      0.07499999999999997, {0.916247857297023, 6.152235613280011}], 
     PolygonBox[{{-1.212383681317448, -0.03800663009145405}, \
{-1.1483586375672825`, -0.020854602369019086`}, {-1.195225251176409, 
      0.026016698135816918`}}], 
     InsetBox["\<\"4,1\"\>", {-1.2227165126041497`, -0.01106142004652344}, \
{1, -1}], 
     CircleBox[{-0.5000000000000004, -0.8660254037844384}, 
      0.14999999999999994`], 
     CircleBox[{-0.5000000000000004, -0.8660254037844384}, 
      0.09999999999999995], 
     InsetBox["4", {-0.5000000000000004, -0.8660254037844384}], 
     PolygonBox[{{0.7837303220723963, -0.07880123187192573}, {
      0.855251012071762, -0.03934120605358694}, {0.7853172822794079, 
      0.002867515472886051}}], 
     CircleBox[{0.7911656160423987, -1.5167457251357608`}, 
      1.478793782441849, {1.527446488008061, 2.5746440392046583`}], 
     InsetBox["\<\"4\"\>", {0.10796293747432684`, -0.20523318192998485`}, \
{1, 1}], PolygonBox[{{0.29318544860274737`, 0.7728188425577005}, {
      0.38149680830055976`, 0.7740634901623}, {0.33841902489599623`, 
      0.6969612854189495}}], 
     CircleBox[{1.2338348945645001`, -0.7299957196946892}, 
      1.7287782738256832`, {2.0863643913132757`, 3.133561942509873}], 
     InsetBox["\<\"3\"\>", {-0.2563411456815794, 0.14638872170544381`}, \
{1, 1}], PolygonBox[{{-0.6105169495939967, 
      0.6817724081312335}, {-0.5388228567653779, 
      0.7211365298410786}, {-0.540579573781299, 0.6393655632952924}}], 
     CircleBox[{0.7102222521132798, -0.07764571353075653}, 
      1.4826215823128435`, {2.572624084480634, 3.6198216356772313`}], 
     InsetBox["\<\"2\"\>", {-0.7708736643342554, -0.010402553118151595`}, \
{1, 1}], PolygonBox[{{0.29854212611079173`, -0.9068027603032546}, {
      0.3551111260566391, -0.9048482605498169}, {
      0.32513397964554797`, -0.8568353194067514}}], 
     CircleBox[{0.00001060607136925075, -1.5199293803449434`}, 
      0.7102261352711795, {1.047217951309375, 2.0944155025059725`}], 
     InsetBox["\<\"5,1\"\>", {-3.882621886592879*^-6, -0.8097032452215495}, \
{1, 1}], CircleBox[{0.4999999999999993, -0.866025403784439}, 
      0.14999999999999994`], 
     CircleBox[{0.4999999999999993, -0.866025403784439}, 0.09999999999999995],
      InsetBox["5", {0.4999999999999993, -0.866025403784439}], 
     PolygonBox[{{0.9047165441334261, -0.14256625192433778`}, {
      0.9611771432346219, -0.1448888739433602}, {
      0.9309353940121615, -0.19262387606837342`}}], 
     CircleBox[{1.2677394715264696`, -0.7829212578610754}, 
      0.7078600031471206, {2.018707018853285, 3.065904570049883}], 
     InsetBox["\<\"1\"\>", {0.6832325154235668, -0.3836501690971118}, {1, 1}],
      PolygonBox[{{-0.954466352573556, -0.22632772352798564`}, \
{-0.9611916323161064, -0.14489275550458589`}, {-0.8873042413801936, \
-0.17978597641168031`}}], 
     CircleBox[{0.27492037570696265`, 0.6686557793871782}, 
      1.479808810287113, {3.7236767043054466`, 4.770774255502044}], 
     InsetBox["\<\"5,4\"\>", {-0.388875887373559, -0.6539207348923154}, \
{1, 1}], CircleBox[{0.5543519994715285, -1.0688698273051433`}, 
      0.07499999999999997, {-3.926990816987242, 1.3089969389957465`}], 
     PolygonBox[{{0.4487333776867388, -1.0561871789007111`}, {
      0.5013189908825374, -1.0158368187161524`}, {
      0.5099706212563182, -1.0815524757095756`}}], 
     InsetBox["\<\"3,2\"\>", {0.48190756249984834`, -1.0882812556878323`}, \
{1, 1}], CircleBox[{1., 0}, 0.14999999999999994`], 
     CircleBox[{1., 0}, 0.09999999999999995], InsetBox["6", {1., 0}], 
     PolygonBox[{{0.4756803031693738, 0.6615215180205893}, {
      0.49427101651464067`, 0.7161348478837266}, {0.5322721908887434, 
      0.6727281529206826}}], 
     CircleBox[{1.222437605116572, 0.8348644278356434}, 0.7377826874573117, {
      3.3032230607722344`, 4.350420611968833}], 
     InsetBox["\<\"2\"\>", {0.6511916311762055, 0.3679583011156619}, {1, 1}], 
     PolygonBox[{{-0.38765441571584325`, 
      0.6794666696772126}, {-0.3939445899540479, 
      0.7599487805350866}, {-0.32109995028183125`, 0.7251551757906652}}], 
     CircleBox[{0.8162737805980061, 1.5483429598702538`}, 
      1.4443662577169412`, {3.7189850354516745`, 4.766082586648272}], 
     InsetBox["\<\"1\"\>", {0.1623266241296435, 0.26049708284218953`}, \
{1, 1}], PolygonBox[{{-0.31752470754769624`, -0.8114681407644739}, \
{-0.38604536018123603`, -0.768483925100877}, {-0.3145596111380423, \
-0.7306354070681409}}], 
     CircleBox[{-0.29790335430863324`, 0.6789149752878259}, 
      1.4500802012460114`, {4.651567259665501, 5.698664810862098}], 
     InsetBox["\<\"5,3\"\>", {0.34939800108934294`, -0.6186726114844951}, \
{1, 1}], PolygonBox[{{0.672949719442491, -0.7747048005652118}, {
      0.6448888739433595, -0.8272025470190609}, {
      0.7043836787633929, -0.8252550788460545}}], 
     CircleBox[{0.2509548911213415, -0.14488887394335961`}, 
      0.7878679656440369, {5.235887755982988, 6.283085307179586}], 
     InsetBox["\<\"4\"\>", {0.9332291673872575, -0.5388910861629028}, {1, 1}], 
     {RGBColor[0, 0, 0], 
      LineBox[{{-1., 0.2999999999999999}, {-1., 0.14999999999999994`}}], 
      PolygonBox[{{-1., 0.14999999999999994`}, {-1.05, 
       0.22499999999999992`}, {-0.9500000000000001, 0.22499999999999992`}}]}},
    AspectRatio->Automatic,
    PlotRange->Automatic,
    ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]}],
  SequenceForm[
   Graphics[{
     Circle[{0.5000000000000001, 0.8660254037844386}, 0.14999999999999994`], 
     Circle[{0.5000000000000001, 0.8660254037844386}, 0.09999999999999995], 
     Text[1, {0.5000000000000001, 0.8660254037844386}], 
     Polygon[{{0.5405799777467042, -0.6395367612125468}, {
      0.5388228567653773, -0.7211365298410788}, {
      0.610368889831282, -0.6818583569341644}}], 
     Circle[{-0.7102222521132805, 0.07764571353075671}, 1.482621582312844, {
      5.714116738070427, 6.761414289267024}], 
     Text["4,3", {0.7708703003248659, 0.010328498406412867`}, {1, 1}], 
     Polygon[{{-0.32359681066894436`, 
      0.7803756807829334}, {-0.3551111260566396, 
      0.8272025470190606}, {-0.29880071262269, 0.8310813116096158}}], 
     Circle[{-0.023083197705280858`, 1.450532359887341}, 0.7062454253414322, {
      4.222949685842857, 5.270047237039455}], 
     Text["1", {0.0010017963096747955`, 0.744697737699537}, {1, 1}], 
     Polygon[{{-0.41692995634180663`, -0.6455992510818224}, \
{-0.4611771432346224, -0.7211365298410781}, {-0.37363634744995233`, \
-0.7216870783566266}}], 
     Circle[{-1.2717755911036996`, 0.7801278187044358}, 1.7061255779987432`, {
      5.207378767376327, 6.254576318572925}], 
     Text["2", {0.18076594064493912`, -0.11485127962516439`}, {1, 1}], 
     Circle[{0.6484924240491751, 1.0145178278336133`}, 
      0.07499999999999997, {-1.8325957145940461`, 3.4033920413889422`}], 
     Polygon[{{0.6816666088622846, 0.982423751046492}, {0.629080995666486, 
      0.9420733908619332}, {0.6903182392360655, 0.9167080940530689}}], 
     Text["5", {0.701525432638166, 0.9614848192446223}, {-1, 1}], 
     Circle[{-0.4999999999999998, 0.8660254037844387}, 0.14999999999999994`], 
     Circle[{-0.4999999999999998, 0.8660254037844387}, 0.09999999999999995], 
     Text[2, {-0.4999999999999998, 0.8660254037844387}], 
     Polygon[{{0.3361281105694291, 0.9649408369745444}, {0.39393398282201814`,
       0.9720914209624207}, {0.3588384593103285, 1.0185774828271428`}}], 
     Circle[{0.07764571353075636, 0.2897777478867205}, 0.7520573234516874, {
      1.1367293976629975`, 2.183926948859595}], 
     Text["1", {0.010402553118152497`, 1.0388228567653786`}, {1, 1}], 
     Polygon[{{-0.9263326652532773, 
      0.19095430405823793`}, {-0.9580256478953512, 
      0.14400747815788922`}, {-0.9015220127175669, 0.14003396301832832`}}], 
     Circle[{-1.2482326723500292`, 0.795612270455383}, 0.7133084342610129, {
      5.131288233754806, 6.178485784951403}], 
     Text["2", {-0.6711455438315281, 0.3763517685163513}, {1, 1}], 
     Circle[{-0.6049999999999996, 1.0478907385791707`}, 
      0.07499999999999997, {-0.5235987755982987, 4.71238898038469}], 
     Polygon[{{-0.5654133915250311, 
      1.0716279821487502`}, {-0.5400480947161668, 
      1.0103907385791708`}, {-0.49969773453160793`, 1.0629763517749695`}}], 
     Text["5,4,3", {-0.5400480947161668, 1.0853907385791706`}, {-1, -1}], 
     Circle[{-1., 0}, 0.14999999999999994`], 
     Circle[{-1., 0}, 0.09999999999999995], 
     Text[3, {-1., 0}], 
     Polygon[{{0.7714303279494047, 0.05172464267116751}, {0.85965919069343, 
      0.05295712646261073}, {0.8144773970482749, 0.12874932105022552`}}], 
     Circle[{-0.015302091352305957`, -1.4343041483019425`}, 
      1.7255443617865647`, {1.0390214546008207`, 2.086219005797418}], 
     Text["4,1", {-0.0011940311551734435`, 0.29118253873185673`}, {1, 1}], 
     Polygon[{{0.30529672283035486`, 0.7428666457438032}, {
      0.37527955815461833`, 0.7826898688314984}, {0.30580021763796766`, 
      0.823385170507326}}], 
     Circle[{0.3314313389208767, -0.6535950317437913}, 1.4369540639667437`, {
      1.5402768912463611`, 2.5874744424429585`}], 
     Text["5", {-0.3487374395996384, 0.6121882888432872}, {1, 1}], 
     Polygon[{{-0.6636856658702888, 0.7620134553415798}, {-0.6060660171779819,
       0.7599593866064567}, {-0.6366547172298713, 0.7110863414493458}}], 
     Circle[{-0.28283640700412377`, 0.0977336208280642}, 0.7368991421856338, {
      2.02487529788415, 3.0720728490807483`}], 
     Text["2", {-0.8938743435592222, 0.5096231519458267}, {1, 1}], 
     Polygon[{{0.32108934314980075`, -0.7251657818620357}, {
      0.39393398282201725`, -0.7599593866064569}, {
      0.38764380858381253`, -0.6794772757485831}}], 
     Circle[{-0.8162843877300368, -1.5483535659416234`}, 
      1.4443662577169407`, {0.5773923818618809, 1.6245899330584783`}], 
     Text["3", {-0.1624016243729317, -0.26047499316555767`}, {1, 1}], 
     Circle[{-0.5000000000000004, -0.8660254037844384}, 0.14999999999999994`], 
     Circle[{-0.5000000000000004, -0.8660254037844384}, 0.09999999999999995], 
     Text[4, {-0.5000000000000004, -0.8660254037844384}], 
     Polygon[{{0.8138682967911102, -0.13469969410301816`}, {
      0.8838216946610674, -0.09488203923068755}, {
      0.8143618950875293, -0.05420944703042965}}], 
     Circle[{0.8401653800852267, -1.5301612447592625`}, 1.4359429903812624`, {
      1.540389101001361, 2.5875866521979587`}], 
     Text["4", {0.1603332547792221, -0.2653448339600497}, {1, 1}], 
     Polygon[{{-0.6076869119898322, 0.6791218649235339}, {-0.5388228567653779,
       0.7211365298410786}, {-0.5368691172275205, 0.6404911761503144}}], 
     Circle[{0.7102222521132793, 2.220446049250313*^-16}, 
      1.4422730596821571`, {2.617993877991494, 3.665191429188092}], 
     Text["5,2,1", {-0.7320508075688779, 3.986721135286526*^-16}, {-1, 0}], 
     Circle[{-0.6818705845673987, -0.9710163103864523}, 0.07499999999999997, {
      1.0471475511965975`, 6.283135307179586}], 
     Polygon[{{-0.7056058487768836, -0.9314285150987892}, \
{-0.6443673370190108, -0.9060662801838085}, {-0.6969509326310691, \
-0.8657132907690289}}], 
     Text["3", {-0.7193673369252608, -0.9060625301838101}, {1, -1}], 
     Circle[{0.4999999999999993, -0.866025403784439}, 0.14999999999999994`], 
     Circle[{0.4999999999999993, -0.866025403784439}, 0.09999999999999995], 
     Text[5, {0.4999999999999993, -0.866025403784439}], 
     Polygon[{{0.4396631788613595, 0.6767366799843711}, {0.5098104693845216, 
      0.7163465652986482}, {0.5090399910460927, 0.6357922870418039}}], 
     Circle[{1.7303906842112584`, -0.044512678187563076`}, 
      1.4383055479364923`, {2.584174500608838, 3.6313720518054353`}], 
     Text["4", {0.2929075890715309, 0.004120647962337333}, {1, 1}], 
     Polygon[{{-0.9555308658950618, -0.22648676716077135`}, \
{-0.9611916323161064, -0.14489275550458589`}, {-0.8876987622146438, \
-0.180787393807164}}], 
     Circle[{0.2878573595726659, 0.6539039765605039}, 1.4826326595944883`, {
      3.710568044401553, 4.757665595598151}], 
     Text["5,3,2", {-0.39451824622681386`, -0.6623646646773016}, {1, 1}], 
     Polygon[{{-0.35884821531933714`, -1.0185880051594072`}, \
{-0.3939445899540487, -0.9721020270337906}, {-0.3361383646601413, \
-0.9649506640822028}}], 
     Circle[{-0.07766020222401232, -0.28977386487660606`}, 
      0.7520688364734744, {4.278334836230108, 5.325432387426706}], 
     Text["1", {-0.010443888609891497`, -1.0388329426392975`}, {1, 1}], 
     Circle[{1., 0}, 0.14999999999999994`], 
     Circle[{1., 0}, 0.09999999999999995], 
     Text[6, {1., 0}], 
     Polygon[{{-0.38765441571584325`, 
      0.6794666696772126}, {-0.3939445899540479, 
      0.7599487805350866}, {-0.32109995028183125`, 0.7251551757906652}}], 
     Circle[{0.8162737805980061, 1.5483429598702538`}, 1.4443662577169412`, {
      3.7189850354516745`, 4.766082586648272}], 
     Text["4", {0.1623266241296435, 0.26049708284218953`}, {1, 1}], 
     Polygon[{{-0.8093512011093824, -0.04597039159063148}, \
{-0.8530415659664005, 0.0300535965633426}, {-0.7653576784995426, 
      0.029878568353144112`}}], 
     Circle[{0.03451927903459482, 1.4846166162105934`}, 1.7039711945054148`, {
      4.164509985471322, 5.21160753666792}], 
     Text["3", {-0.006934623712723784, -0.21885026214402425`}, {1, 1}], 
     Polygon[{{-0.28157112507745924`, -0.8833905662277293}, \
{-0.3520025840042911, -0.8415966326611721}, {-0.28059224634815755`, \
-0.801498166788214}}], 
     Circle[{-0.29877933844817905`, 0.6440042502213527}, 
      1.4865539670960028`, {4.676578223352085, 5.723675774548683}], 
     Text["5", {0.3978627604124143, -0.6692103107640069}, {1, 1}], 
     Polygon[{{0.6379212794913306, -0.7112994550431236}, {
      0.6060660171779814, -0.759959386606457}, {
      0.664134385214915, -0.7632168872323678}}], 
     Circle[{0.28977774788671923`, -0.07764571353075558}, 
      0.7520573234516883, {5.146355909516589, 6.193553460713186}], 
     Text["2,1", {0.9048049817905777, -0.5104640580055317}, {1, 1}], 
     RGBColor[0, 0, 0], {
      Line[{{-1., 0.2999999999999999}, {-1., 0.14999999999999994`}}], 
      Polygon[{{-1., 0.14999999999999994`}, {-1.05, 
       0.22499999999999992`}, {-0.9500000000000001, 
       0.22499999999999992`}}]}}, {
    PlotRange -> Automatic, AspectRatio -> Automatic}], " ", 
   Graphics[{
     Circle[{0.5000000000000001, 0.8660254037844386}, 0.14999999999999994`], 
     Circle[{0.5000000000000001, 0.8660254037844386}, 0.09999999999999995], 
     Text[1, {0.5000000000000001, 0.8660254037844386}], 
     Polygon[{{0.47624069011860437`, -0.637408006875129}, {
      0.4707364516975801, -0.7189076117239546}, {
      0.5440692991055686, -0.6829246196006352}}], 
     Circle[{-0.7423351549347941, 0.13772472903038874`}, 
      1.4850460228706432`, {5.668231734900862, 6.71552928609746}], 
     Text["5,3", {0.7365250750687622, 0.002321220369262217}, {1, 1}], 
     Polygon[{{-0.8218207730726712, 
      0.14452220731051324`}, {-0.8903698944674678, 
      0.10237792711774271`}, {-0.819597316498921, 0.06408478667913076}}], 
     Circle[{-0.8953459183283552, 1.5434084407736472`}, 1.4410391049866982`, {
      4.71574206762746, 5.762939618824058}], 
     Text["2,1", {-0.17064585015300526`, 0.29785494401507484`}, {1, 1}], 
     Polygon[{{0.9999637727532036, 0.18851402465334635`}, {1.038822856765378, 
      0.1448888739433602}, {1.0571738035180636`, 0.20035440322069017`}}], 
     Circle[{0.29320451430865524`, 0.016406995795242574`}, 
      0.7566071012225428, {0.17064011991790654`, 1.217837671114504}], 
     Text["4", {0.8746880013297641, 0.5004847374258108}, {1, 1}], 
     Circle[{-0.4999999999999998, 0.8660254037844387}, 0.14999999999999994`], 
     Circle[{-0.4999999999999998, 0.8660254037844387}, 0.09999999999999995], 
     Text[2, {-0.4999999999999998, 0.8660254037844387}], 
     Polygon[{{-0.5364362189208122, -0.6406112073775793}, \
{-0.5388228567653784, -0.7211365298410781}, {-0.4678925629417715, \
-0.6829407576123564}}], 
     Circle[{-1.749045108878658, 0.06724316041260472}, 1.4443616013708727`, {
      5.70570279746784, 6.753000348664437}], 
     Text["2,1", {-0.30677593328501707`, -0.010474666674049851`}, {1, 1}], 
     Polygon[{{-0.9292559986003333, 
      0.19173583075747772`}, {-0.9611771432346219, 
      0.1448888739433602}, {-0.9046459162264593, 0.14066783017924764`}}], 
     Circle[{-1.249045108878658, 0.798782243371835}, 0.7144539902796818, {
      5.126994281779942, 6.17419183297654}], 
     Text["4,3", {-0.672839691290754, 0.376370334248869}, {1, 1}], 
     Circle[{-0.5543418571824172, 1.06887254465156}, 
      0.07499999999999997, {-0.7854481633974482, 4.450539592585541}], 
     Polygon[{{-0.5099598448902637, 
      1.0815529739712288`}, {-0.5013115003101458, 
      1.0158368844784318`}, {-0.4487238696620709, 1.056184615331894}}], 
     Text["5", {-0.48189644972987394`, 1.0882803507881376`}, {-1, -1}], 
     Circle[{-1., 0}, 0.14999999999999994`], 
     Circle[{-1., 0}, 0.09999999999999995], 
     Text[3, {-1., 0}], 
     Polygon[{{0.7645433651846362, 0.02026021909971451}, {0.8521865529578142, 
      0.02551832426917813}, {0.8038113064186995, 0.0987904987646682}}], 
     Circle[{0.05425881073600645, -1.4852154280968277`}, 
      1.7085096289881032`, {1.084865702412924, 2.1320632536095214`}], 
     Text["2", {-0.010082370298549616`, 0.22208225091762723`}, {1, 1}], 
     Polygon[{{0.28213469141546094`, 0.942470567091956}, {0.3551111260566399, 
      0.9048482605498167}, {0.2860410355215924, 0.8604599675440106}}], 
     Circle[{0.3906620186180729, -0.5887446222322201}, 1.494015918743529, {
      1.594594097588152, 2.6417916487847495`}], 
     Text["5", {-0.38692239885835755`, 0.6869693108879411}, {1, 1}], 
     Polygon[{{0.3352246825810081, -0.7130540672754923}, {
      0.4086857856486913, -0.7470224027407538}, {
      0.40137267555203815`, -0.6664190535614826}}], 
     Circle[{-0.7977047296406515, -1.5546605100082909`}, 
      1.4517773202839257`, {0.5899384865726929, 1.63713603776929}], 
     Text["3", {-0.15675895014924968`, -0.2520301344055509}, {1, 1}], 
     Circle[{-1.19401871976089, -0.08035381996112699}, 0.07499999999999997, {
      0.916247857297023, 6.152235613280011}], 
     Polygon[{{-1.212383681317448, -0.03800663009145405}, \
{-1.1483586375672825`, -0.020854602369019086`}, {-1.195225251176409, 
      0.026016698135816918`}}], 
     Text["4,1", {-1.2227165126041497`, -0.01106142004652344}, {1, -1}], 
     Circle[{-0.5000000000000004, -0.8660254037844384}, 0.14999999999999994`], 
     Circle[{-0.5000000000000004, -0.8660254037844384}, 0.09999999999999995], 
     Text[4, {-0.5000000000000004, -0.8660254037844384}], 
     Polygon[{{0.7837303220723963, -0.07880123187192573}, {
      0.855251012071762, -0.03934120605358694}, {0.7853172822794079, 
      0.002867515472886051}}], 
     Circle[{0.7911656160423987, -1.5167457251357608`}, 1.478793782441849, {
      1.527446488008061, 2.5746440392046583`}], 
     Text["4", {0.10796293747432684`, -0.20523318192998485`}, {1, 1}], 
     Polygon[{{0.29318544860274737`, 0.7728188425577005}, {
      0.38149680830055976`, 0.7740634901623}, {0.33841902489599623`, 
      0.6969612854189495}}], 
     Circle[{1.2338348945645001`, -0.7299957196946892}, 1.7287782738256832`, {
      2.0863643913132757`, 3.133561942509873}], 
     Text["3", {-0.2563411456815794, 0.14638872170544381`}, {1, 1}], 
     Polygon[{{-0.6105169495939967, 0.6817724081312335}, {-0.5388228567653779,
       0.7211365298410786}, {-0.540579573781299, 0.6393655632952924}}], 
     Circle[{0.7102222521132798, -0.07764571353075653}, 1.4826215823128435`, {
      2.572624084480634, 3.6198216356772313`}], 
     Text["2", {-0.7708736643342554, -0.010402553118151595`}, {1, 1}], 
     Polygon[{{0.29854212611079173`, -0.9068027603032546}, {
      0.3551111260566391, -0.9048482605498169}, {
      0.32513397964554797`, -0.8568353194067514}}], 
     Circle[{0.00001060607136925075, -1.5199293803449434`}, 
      0.7102261352711795, {1.047217951309375, 2.0944155025059725`}], 
     Text["5,1", {-3.882621886592879*^-6, -0.8097032452215495}, {1, 1}], 
     Circle[{0.4999999999999993, -0.866025403784439}, 0.14999999999999994`], 
     Circle[{0.4999999999999993, -0.866025403784439}, 0.09999999999999995], 
     Text[5, {0.4999999999999993, -0.866025403784439}], 
     Polygon[{{0.9047165441334261, -0.14256625192433778`}, {
      0.9611771432346219, -0.1448888739433602}, {
      0.9309353940121615, -0.19262387606837342`}}], 
     Circle[{1.2677394715264696`, -0.7829212578610754}, 0.7078600031471206, {
      2.018707018853285, 3.065904570049883}], 
     Text["1", {0.6832325154235668, -0.3836501690971118}, {1, 1}], 
     Polygon[{{-0.954466352573556, -0.22632772352798564`}, \
{-0.9611916323161064, -0.14489275550458589`}, {-0.8873042413801936, \
-0.17978597641168031`}}], 
     Circle[{0.27492037570696265`, 0.6686557793871782}, 1.479808810287113, {
      3.7236767043054466`, 4.770774255502044}], 
     Text["5,4", {-0.388875887373559, -0.6539207348923154}, {1, 1}], 
     Circle[{0.5543519994715285, -1.0688698273051433`}, 
      0.07499999999999997, {-3.926990816987242, 1.3089969389957465`}], 
     Polygon[{{0.4487333776867388, -1.0561871789007111`}, {
      0.5013189908825374, -1.0158368187161524`}, {
      0.5099706212563182, -1.0815524757095756`}}], 
     Text["3,2", {0.48190756249984834`, -1.0882812556878323`}, {1, 1}], 
     Circle[{1., 0}, 0.14999999999999994`], 
     Circle[{1., 0}, 0.09999999999999995], 
     Text[6, {1., 0}], 
     Polygon[{{0.4756803031693738, 0.6615215180205893}, {0.49427101651464067`,
       0.7161348478837266}, {0.5322721908887434, 0.6727281529206826}}], 
     Circle[{1.222437605116572, 0.8348644278356434}, 0.7377826874573117, {
      3.3032230607722344`, 4.350420611968833}], 
     Text["2", {0.6511916311762055, 0.3679583011156619}, {1, 1}], 
     Polygon[{{-0.38765441571584325`, 
      0.6794666696772126}, {-0.3939445899540479, 
      0.7599487805350866}, {-0.32109995028183125`, 0.7251551757906652}}], 
     Circle[{0.8162737805980061, 1.5483429598702538`}, 1.4443662577169412`, {
      3.7189850354516745`, 4.766082586648272}], 
     Text["1", {0.1623266241296435, 0.26049708284218953`}, {1, 1}], 
     Polygon[{{-0.31752470754769624`, -0.8114681407644739}, \
{-0.38604536018123603`, -0.768483925100877}, {-0.3145596111380423, \
-0.7306354070681409}}], 
     Circle[{-0.29790335430863324`, 0.6789149752878259}, 
      1.4500802012460114`, {4.651567259665501, 5.698664810862098}], 
     Text["5,3", {0.34939800108934294`, -0.6186726114844951}, {1, 1}], 
     Polygon[{{0.672949719442491, -0.7747048005652118}, {
      0.6448888739433595, -0.8272025470190609}, {
      0.7043836787633929, -0.8252550788460545}}], 
     Circle[{0.2509548911213415, -0.14488887394335961`}, 0.7878679656440369, {
      5.235887755982988, 6.283085307179586}], 
     Text["4", {0.9332291673872575, -0.5388910861629028}, {1, 1}], 
     RGBColor[0, 0, 0], {
      Line[{{-1., 0.2999999999999999}, {-1., 0.14999999999999994`}}], 
      Polygon[{{-1., 0.14999999999999994`}, {-1.05, 
       0.22499999999999992`}, {-0.9500000000000001, 
       0.22499999999999992`}}]}}, {
    PlotRange -> Automatic, AspectRatio -> Automatic}]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.5472267772939415`*^9, 3.5472267892036223`*^9}, 
   3.5472268485640173`*^9}]
}, Open  ]],

Cell["Ejemplo 6", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I8G6zTNk145CrjcBdNhhhVeLGmvHMU+dIPpgMIpVmdzgfrXFtmAaAC5wJsW

  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Languages", "[", 
  RowBox[{"A", ",", 
   RowBox[{"-", "7"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"MinimizeAutomaton", "[", "A", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "B", "]"}]}], "Input",
 CellChangeTimes->{{3.5472288064550023`*^9, 3.547228806749019*^9}, {
  3.54722887704604*^9, 3.547229031475873*^9}, {3.5472291098513556`*^9, 
  3.5472291892888994`*^9}, {3.5472292483332767`*^9, 3.547229347818967*^9}, {
  3.547229398191848*^9, 3.5472294184130044`*^9}, {3.5472294505868444`*^9, 
  3.547229463316573*^9}, {3.5472298471495266`*^9, 3.5472298475965524`*^9}, {
  3.547229931977379*^9, 3.5472299427549953`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{-0.8090169943749473, 0.5877852522924732}, 0.1763355756877419], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {-0.8090169943749473, 0.5877852522924732}],
    PolygonBox[{{-0.7952477881160228, -0.34456804970557037`}, \
{-0.7997883034016795, -0.4116913383827434}, {-0.7393875725788629, \
-0.3820618956278072}}], 
   CircleBox[{-1.4938803917767516`, 0.0892745623943791}, 0.8559968813531408, {
    5.657906005611651, 6.705203556808248}], 
   InsetBox["\<\"b\"\>", {-0.6423004015116784, 0.0024288309711199274`}, \
{1, 1}], CircleBox[{-1.055802365701327, 0.5813291237752743}, 
    0.08816778784387096, {0.5497537143782143, 5.785741470361202}], 
   PolygonBox[{{-1.0581187638262022`, 
    0.6355415826320313}, {-0.9806258169183194, 
    0.6273947869785533}, {-1.0123169583769083`, 0.6985790454416375}}], 
   InsetBox["\<\"a\"\>", {-1.0581081258860408`, 0.6694667563918385}, {1, -1}],
    CircleBox[{-0.8090169943749475, -0.587785252292473}, 0.1763355756877419], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {-0.8090169943749475, -0.587785252292473}],
    PolygonBox[{{0.07951745265687882, -0.8738005678978392}, {
    0.14439355241775556`, -0.8878634976040474}, {
    0.12413435691452834`, -0.8246476822595704}}], 
   CircleBox[{-0.43506295147516966`, -1.483463164593501}, 
    0.8309685934027587, {0.799135504641661, 1.8463330558382576`}], 
   InsetBox["\<\"a\"\>", {-0.2310387322105064, -0.67793047054862}, {1, 1}], 
   CircleBox[{-1.0289852056653266`, -0.699850800601669}, 
    0.08816778784387096, {0.9947876736367682, 6.230775429619756}], 
   PolygonBox[{{-1.0544138192873724`, -0.6519160323762027}, \
{-0.9809618896482218, -0.6259094729695314}, {-1.0402101955790037`, \
-0.5753015156483753}}], 
   InsetBox["\<\"b\"\>", {-1.0690086157757537`, -0.6212907251408194}, \
{1, -1}], 
   CircleBox[{0.30901699437494723`, -0.9510565162951536}, 0.1763355756877419],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.30901699437494723`, -0.9510565162951536}], 
   PolygonBox[{{0.8231169197051922, -0.12949287788999175`}, {
    0.8890284265521919, -0.13703848050691858`}, {
    0.849537989575571, -0.190346718529669}}], 
   CircleBox[{1.193011435147084, -0.9093136526450067}, 0.8299485592585337, {
    1.9457906950964683`, 2.9929882462930655`}], 
   InsetBox["\<\"b\"\>", {0.5436168413160403, -0.39249523915886786`}, {1, 1}],
    PolygonBox[{{-0.8302304713058262, 
    0.32533695589849865`}, {-0.799797108108907, 
    0.41169087716831254`}, {-0.7402291001713064, 0.34215785088227524`}}], 
   CircleBox[{0.7606192126744961, 0.6629933998117666}, 1.5805227148175305`, {
    3.3012699609336593`, 4.348467512130257}], 
   InsetBox["\<\"a\"\>", {-0.4650897002820523, -0.3348491292242799}, {1, 1}], 
   CircleBox[{1., 0}, 0.1763355756877419], 
   CircleBox[{1., 0}, 0.1175570504584946], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {1., 0}], 
   PolygonBox[{{0.3472442285925102, 0.7247406690450844}, {0.3721935504059203, 
    0.7864267558592205}, {0.4131406077403094, 0.7339769659545461}}], 
   CircleBox[{1.2025388820356362`, 0.873716693246692}, 0.8349208962101571, {
    3.2463328088222303`, 4.293530360018828}], 
   InsetBox["\<\"a\"\>", {0.5270836996242233, 0.38294872415953074`}, {1, 1}], 
   PolygonBox[{{-0.5678595582993952, -0.6075192440178017}, \
{-0.63702822872915, -0.5488738176650745}, {-0.5516554644770414, \
-0.5182947051032769}}], 
   CircleBox[{-0.3214377453849508, 0.9691065318202359}, 1.5504391940998432`, {
    4.507407439159557, 5.554504990356155}], 
   InsetBox["\<\"b\"\>", {0.16416943274260776`, -0.5033225371511565}, {1, 1}],
    CircleBox[{0.30901699437494745`, 0.9510565162951535}, 0.1763355756877419],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "4"], {0.30901699437494745`, 0.9510565162951535}], 
   PolygonBox[{{-0.6589409477844317, -0.3670692982531825}, \
{-0.7129777565935564, -0.4398977948814512}, {-0.6228880239894841, \
-0.4502807957354617}}], 
   CircleBox[{-1.2956105766439219`, 1.0036142970730082`}, 1.556659295613071, {
    5.0959136175333715`, 6.143111168729969}], 
   InsetBox["\<\"b\"\>", {-0.0693755937292313, 0.04468993650290021}, {1, 1}], 
   CircleBox[{0.30902933786524045`, 1.197926321949405}, 
    0.08816778784387096, {-1.0472475511965973`, 4.1887402047863915`}], 
   PolygonBox[{{0.3632838780955449, 1.1988214532061343`}, {0.3531094139548693,
     1.1215685737818852`}, {0.4250996021221029, 1.1513836690782908`}}], 
   InsetBox["\<\"a\"\>", {0.3971971255989017, 1.1979219135600145`}, {-1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-0.8090169943749473, 0.940456403667957}, {-0.8090169943749473, 
     0.7641208279802152}}], 
    PolygonBox[{{-0.8090169943749473, 
     0.7641208279802152}, {-0.8677955196041947, 
     0.8522886158240861}, {-0.7502384691457, 0.8522886158240861}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.5472288081300983`*^9, 3.5472288573089113`*^9, {3.5472289714024367`*^9, 
   3.547228979476899*^9}, {3.5472290099086394`*^9, 3.5472290344430428`*^9}, {
   3.547229334915229*^9, 3.547229348624013*^9}, 3.547229420220108*^9, 
   3.547229451976924*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "b", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "b", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "b", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "b", ",", "b", ",", "a", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "b", ",", "b", ",", "a", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b", ",", "b", ",", "a", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "b", ",", "b", ",", "a", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "a", ",", "b", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "b", ",", "b", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "a", ",", "b", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "b", ",", "b", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "a", ",", "b", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b", ",", "a", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b", ",", "b", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "a", ",", "b", ",", "b", ",", "a", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "b", ",", "b", ",", "b", ",", "a", ",", "b"}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.5472288081300983`*^9, 3.5472288573089113`*^9, {3.5472289714024367`*^9, 
   3.547228979476899*^9}, {3.5472290099086394`*^9, 3.5472290344430428`*^9}, {
   3.547229334915229*^9, 3.547229348624013*^9}, 3.547229420220108*^9, 
   3.547229451986925*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{-1., 0}, 0.21213203435596426`], 
   InsetBox["1", {-1., 0}], 
   PolygonBox[{{-0.26170123872725054`, 
    0.9119713118684198}, {-0.1837117307087384, 
    0.893933982822018}, {-0.23832726988859748`, 0.8354117521725373}}], 
   CircleBox[{0.07624765589771844, -0.07624765589771831}, 1.004405941237764, {
    1.8325957145940461`, 2.8797932657906435`}], 
   InsetBox["\<\"b\"\>", {-0.6339745962155614, 0.6339745962155616}, {1, 1}], 
   CircleBox[{-1.2868691777028887`, -0.07685099143191673}, 
    0.10606601717798213`, {0.7853481633974488, 6.021335919380437}], 
   PolygonBox[{{-1.304802012823478, -0.014085347722943793`}, \
{-1.2118654277966403`, -0.0018547415256651295`}, {-1.268925735980586, 
    0.07251539894990955}}], 
   InsetBox["\<\"a\"\>", {-1.3143159603571446`, 0.025602286319114903`}, \
{1, -1}], CircleBox[{0, -1.}, 0.21213203435596426`], 
   CircleBox[{0, -1.}, 0.1414213562373095], InsetBox["2", {0, -1.}], 
   PolygonBox[{{-0.1407232001028063, 
    0.7423580748420086}, {-0.054903810567665766`, 
    0.7950961894323342}, {-0.0521409583523193, 0.6944053606624673}}], 
   CircleBox[{1.3222431864335462`, 0.}, 1.5901923788646692`, {
    2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"b\"\>", {-0.26794919243112303`, 1.9474240068051325`*^-16}, \
{-1, 0}], 
   PolygonBox[{{-0.9119881492573625, -0.26171242394603667`}, \
{-0.8939523545253881, -0.1837223363918798}, {-0.8354288548261029, \
-0.2383368365842895}}], 
   CircleBox[{0.07622928525500816, 0.07625826341797694}, 
    1.0044114328523306`, {3.40341244150172, 4.450609992698317}], 
   InsetBox["\<\"a\"\>", {-0.6339823611751302, -0.6339823603986731}, {1, 1}], 
   CircleBox[{1., 0}, 0.21213203435596426`], InsetBox["3", {1., 0}], 
   PolygonBox[{{-0.7423580748420082, -0.1407232001028068}, \
{-0.7950961894323342, -0.054903810567665794`}, {-0.6944053606624667, \
-0.052140958352319244`}}], 
   CircleBox[{0., 1.3222431864335462`}, 1.5901923788646692`, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"a\"\>", {-0.00007950961891021128, -0.2679491904433826}, \
{0, -1}], 
   PolygonBox[{{0.23825110833655275`, -0.8354992193201393}, {
    0.18371173070873834`, -0.8939339828220179}, {
    0.26158740917940815`, -0.9119490876033586}}], 
   CircleBox[{-0.07624765589771844, 0.0762476558977182}, 
    1.0044059412377637`, {4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"b\"\>", {0.6339035704393571, -0.6340456148895431}, {1, 1}], 
   CircleBox[{0, 1.}, 0.21213203435596426`], InsetBox["4", {0, 1.}], 
   PolygonBox[{{0.8354107928091821, 0.23832592115722095`}, {
    0.8939339828220179, 0.18371173070873836`}, {0.9119696641511073, 
    0.26170139519459923`}}], 
   CircleBox[{-0.076237050214577, -0.07626602760108876}, 
    1.0044004520902492`, {0.2618197886815869, 1.3090173398781844`}], 
   InsetBox["\<\"a\"\>", {0.6339668312559927, 0.6339668320324499}, {1, 1}], 
   CircleBox[{0.000014849242398713892`, 1.2969848477271189`}, 
    0.10606601717798213`, {-1.0472475511965973`, 4.1887402047863915`}], 
   PolygonBox[{{0.06528316476644554, 1.2980616923386783`}, {
    0.05304326497183276, 1.2051263308371412`}, {0.13964759883936068`, 
    1.2409939474259992`}}], 
   InsetBox["\<\"b\"\>", {0.10608086628779832`, 1.2969795444262622`}, \
{-1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.5472288081300983`*^9, 3.5472288573089113`*^9, {3.5472289714024367`*^9, 
   3.547228979476899*^9}, {3.5472290099086394`*^9, 3.5472290344430428`*^9}, {
   3.547229334915229*^9, 3.547229348624013*^9}, 3.547229420220108*^9, 
   3.5472294520209265`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5472288081300983`*^9, 3.5472288573089113`*^9, {3.5472289714024367`*^9, 
   3.547228979476899*^9}, {3.5472290099086394`*^9, 3.5472290344430428`*^9}, {
   3.547229334915229*^9, 3.547229348624013*^9}, 3.547229420220108*^9, 
   3.547229452028927*^9}]
}, Open  ]],

Cell["Ejemplo 7", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQPrltGx3EH30JpO2eRLQPBl7ML1ja6w3S9orx/c9mWAaAOAlmvw=

  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Forma incompleta:", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQPrltGx3EH30JpO2eRLQPBl7ML1ja6w3S9orx/c9mWD6Ayvz2le5
QHX8xWAaANjNo5o=
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"NDFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "A", "]"}]}], "Input",
 CellChangeTimes->{{3.5472889770338163`*^9, 3.547289037627282*^9}, {
  3.5472891772322674`*^9, 3.547289208105033*^9}, {3.5472897244895687`*^9, 
  3.5472897313149586`*^9}}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{-1., 0}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {-1., 0}], 
   PolygonBox[{{-0.16458920719081813`, -0.761674078842779}, \
{-0.10606601717798209`, -0.8162882692912616}, {-0.08803033584889278, \
-0.7382986048054007}}], 
   CircleBox[{-1.0762370502145768`, -1.0762660276010887`}, 
    1.0044004520902492`, {0.26181978868158695`, 1.3090173398781846`}], 
   InsetBox["\<\"a\"\>", {-0.36603316874400726`, -0.3660331679675499}, \
{1, 1}], CircleBox[{0, -1.}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0, -1.}], 
   PolygonBox[{{0.7382987612727496, -0.08802868813158016}, {
    0.8162882692912616, -0.10606601717798207`}, {
    0.7616727301114026, -0.16458824782746273`}}], 
   CircleBox[{1.0762476558977185`, -1.0762476558977183`}, 1.004405941237764, {
    1.8325957145940461`, 2.8797932657906435`}], 
   InsetBox["\<\"b\"\>", {0.3660254037844387, -0.3660254037844384}, {1, 1}], 
   CircleBox[{1., 0}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {1., 0}], 
   PolygonBox[{{0.08801185074263757, 0.7382875760539633}, {
    0.10604764547461185`, 0.8162776636081202}, {0.1645711451738971, 
    0.7616631634157105}}], 
   CircleBox[{1.0762292852550082`, 1.076258263417977}, 1.0044114328523306`, {
    3.40341244150172, 4.450609992698317}], 
   InsetBox["\<\"b\"\>", {0.3660176388248698, 0.36601763960132694`}, {1, 1}], 
   CircleBox[{0, 1.}, 0.21213203435596426`], 
   CircleBox[{0, 1.}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0, 1.}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.54728904581075*^9, 3.547289210600176*^9, {3.547289726297672*^9, 
   3.5472897331270623`*^9}}]
}, Open  ]],

Cell["Forma completa:", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQPrltGx3EH30JpO2eRLQPBl7ML1ja6w3S9orx/c9mWD6Ayvz2le5
rxwFZLrXgWgA1BWjCw==
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Languages", "[", 
  RowBox[{"A", ",", 
   RowBox[{"-", "7"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5472891258333273`*^9, 3.5472891262703524`*^9}, 
   3.547289168256754*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{-1., 0}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {-1., 0}], 
   PolygonBox[{{-0.18601350635647804`, -0.7756629247352513}, \
{-0.12913780037306374`, -0.8317043419609207}, {-0.1090423623832584, \
-0.7544278271082747}}], 
   CircleBox[{-1.1011236523706294`, -1.0639933135783708`}, 
    0.9993571247649794, {0.23458400112907557`, 1.281781552325673}], 
   InsetBox["\<\"a\"\>", {-0.37550369823040075`, -0.37683223713991376`}, \
{1, 1}], CircleBox[{-1.2572038472919376`, -0.14847956404241516`}, 
    0.10606601717798213`, {1.047147551196598, 6.283135307179586}], 
   PolygonBox[{{-1.2907705798434999`, -0.09249396704215221}, \
{-1.2041662459759719`, -0.05662635045329416}, {-1.2785306800488871`, 
    0.00044139445938515265`}}], 
   InsetBox["\<\"b\"\>", {-1.3102322630213716`, -0.05662104715243747}, \
{1, -1}], CircleBox[{0, -1.}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0, -1.}], 
   PolygonBox[{{0.7381464992843186, -0.08938594153165816}, {
    0.8162882692912616, -0.10606601717798207`}, {
    0.7627720150410274, -0.16539873727751372`}}], 
   CircleBox[{1.0916155413070803`, -1.0681942988201705`}, 
    1.0007476890062867`, {1.8495124731761456`, 2.8967100243727435`}], 
   InsetBox["\<\"b\"\>", {0.37211098856561864`, -0.37263040122647495`}, \
{1, 1}], CircleBox[{-0.13135303948030821`, -1.266357614907636}, 
    0.10606601717798213`, {-4.646939133434902, 0.589048622548086}], 
   PolygonBox[{{-0.23182730307003918`, -1.1543879402959847`}, \
{-0.1382900889087264, -1.1605186932142075`}, {-0.19036808376088932`, \
-1.2384589204180185`}}], 
   InsetBox["\<\"a\"\>", {-0.22648075909017826`, -1.2194458150932403`}, \
{1, -1}], CircleBox[{1., 0}, 0.21213203435596426`], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {1., 0}], 
   PolygonBox[{{0.014940737868318114`, 0.7090835241888918}, {
    0.02767827079700078, 0.789681400428569}, {0.09110931264729422, 
    0.7383514352109504}}], 
   CircleBox[{1.0140115583569744`, 1.1308300011777135`}, 
    1.0436645639006652`, {3.474588444595299, 4.521785995791896}], 
   InsetBox["\<\"b\"\>", {0.3303961751063871, 0.34222000268345254`}, {1, 1}], 
   PolygonBox[{{0.2627150855926063, -0.9351428625269946}, {
    0.21213203435596426`, -1.}, {
    0.29359148864264756`, -1.0113776386353592`}}], 
   CircleBox[{-0.15389336942847465`, -0.0013980576330380468`}, 
    1.0635696665073855`, {5.063620214650239, 6.110817765846837}], 
   InsetBox["\<\"a\"\>", {0.6623267155866125, -0.6832816315168757}, {1, 1}], 
   CircleBox[{0, 1.}, 0.21213203435596426`], 
   CircleBox[{0, 1.}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0, 1.}], 
   PolygonBox[{{-0.020635770654290467`, -0.6881664626462829}, \
{-0.027688786692377135`, -0.7896827846050066}, {
    0.06375343504168098, -0.745032714687927}}], 
   CircleBox[{-1.3534365499583674`, 0.15681607117006466`}, 
    1.6289466583618684`, {5.663067526664985, 6.710365077861583}], 
   InsetBox["\<\"a\"\>", {0.26793627699258593`, -0.00008316978849365331}, \
{1, 1}], PolygonBox[{{-0.7617488916634465, 
    0.1645007806798614}, {-0.8162882692912616, 
    0.10606601717798213`}, {-0.738412590820591, 0.0880509123966412}}], 
   CircleBox[{-1.0762476558977185`, 1.0762476558977183`}, 
    1.0044059412377637`, {4.97408836818384, 6.021285919380437}], 
   InsetBox["\<\"b\"\>", {-0.36609642956064237`, 0.3659543851104575}, {1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.547289065511877*^9, 3.5472891274934225`*^9, 
  3.5472891702758694`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "b", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "a", ",", "b", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "a", ",", "b", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "a", ",", "b", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "a", ",", "b", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "b", ",", "a", ",", "b", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "a", ",", "a", ",", "b", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "b", ",", "a", ",", "b", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b", ",", "a", ",", "b", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "a", ",", "a", ",", "b", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "b", ",", "a", ",", "b", ",", "b"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "b", ",", "a", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "b", ",", "b", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "a", ",", "b", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "b", ",", "a", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "b", ",", "b", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b", ",", "a", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b", ",", "b", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "a", ",", "b", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "b", ",", "a", ",", "a", ",", "b", ",", "b"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "b", ",", "b", ",", "a", ",", "b", ",", "b"}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.547289065511877*^9, 3.5472891274934225`*^9, 
  3.5472891702828693`*^9}]
}, Open  ]],

Cell["Ejemplo 8", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQPrltGx3EH30JpO2eRLQPBl7ML1ja6w3SxrQ/1WrfEE0AN/PmwA=

  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"Languages", "[", 
    RowBox[{"A", ",", 
     RowBox[{"-", "20"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vl", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "\[LessEqual]", 
    RowBox[{"Length", "[", "L", "]"}]}], ",", 
   RowBox[{
    RowBox[{"cant", "=", 
     RowBox[{"Count", "[", 
      RowBox[{
       RowBox[{"L", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", "a"}], "]"}]}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"cant", "\[Equal]", "1"}], "||", 
       RowBox[{"cant", "\[Equal]", "0"}]}], ",", 
      RowBox[{
       RowBox[{"Vl", "=", "False"}], ";", 
       RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
    RowBox[{"i", "++"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"Vl", "\[Equal]", "True"}], ",", 
   RowBox[{"Print", "[", "\"\<Prueba exitosa\>\"", "]"}], ",", 
   RowBox[{"Print", "[", "\"\<Prueba no exitosa\>\"", "]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5472962753632565`*^9, 3.5472962867409077`*^9}, {
  3.547296326932206*^9, 3.5472963874276667`*^9}, {3.5472964338023195`*^9, 
  3.547296434537361*^9}, {3.547296529325783*^9, 3.5472967238939114`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{-0.5000000000000004, -0.8660254037844384}, 
    0.25980762113533157`], InsetBox[
    SubscriptBox["\[Sigma]", 
     "0"], {-0.5000000000000004, -0.8660254037844384}], 
   PolygonBox[{{0.6625001344779325, -0.021183087614957345`}, {
    0.7490451088786576, -0.0672431604126039}, {
    0.6658834285353726, -0.11916327041468244`}}], 
   CircleBox[{0.7490451088786576, -1.2973841857387973`}, 
    1.2301410253261933`, {1.5707963267948966`, 2.617993877991494}], 
   InsetBox["\<\"a\"\>", {0.13397459621556118`, -0.23205080756887742`}, \
{1, 1}], CircleBox[{-0.6391937010949489, -1.20206872476477}, 
    0.12990381056766578`, {-4.581489286485114, 0.6544984694978737}], 
   PolygonBox[{{-0.7709545805527482, -1.0732762593045808`}, \
{-0.6561495508432214, -1.0732762593045808`}, {-0.7135520656979848, \
-1.1727003315152582`}}], 
   InsetBox["\<\"b\"\>", {-0.7592091728736388, -1.1523566886594312`}, \
{1, -1}], CircleBox[{1., 0}, 0.25980762113533157`], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {1., 0}], 
   PolygonBox[{{-0.3129213485065256, 
    0.5843149207816505}, {-0.31630664138286035`, 
    0.6822953028212188}, {-0.22976049502592227`, 0.636236861431591}}], 
   CircleBox[{0.7490200137258032, 1.297390911309601}, 1.2301477511529693`, {
    3.665211829300869, 4.712309380497468}], 
   InsetBox["\<\"a\"\>", {0.13391460449851278`, 0.2320699149868799}, {1, 1}], 
   CircleBox[{1.3637306695894642`, 0.}, 
    0.12990381056766578`, {-2.617993877991494, 2.6179938779914944`}], 
   PolygonBox[{{1.2951646524114822`, -0.17101792246181508`}, {
    1.2512306695894642`, -0.06495190528383293}, {
    1.3650535263548422`, -0.07993696865952732}}], 
   InsetBox["\<\"b\"\>", {1.3637306695894642`, -0.12990381056766578`}, \
{-1, 1}], 
   CircleBox[{-0.4999999999999998, 0.8660254037844387}, 0.25980762113533157`],
    CircleBox[{-0.4999999999999998, 0.8660254037844387}, 0.1732050807568877], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {-0.4999999999999998, 0.8660254037844387}],
    CircleBox[{-0.7571707020639947, 1.123247545132947}, 
    0.12990381056766578`, {-0.2618993877991498, 4.974088368183839}], 
   PolygonBox[{{-0.7015763847872766, 1.180701359584483}, {-0.6316966192887258,
     1.0896134173502177`}, {-0.5877520300846778, 1.1956750405995948`}}], 
   InsetBox["\<\"b,a\"\>", {-0.6653056515823847, 1.2150942244415166`}, \
{-1, -1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-0.5000000000000004, -0.34641016151377524`}, \
{-0.5000000000000004, -0.6062177826491069}}], 
    PolygonBox[{{-0.5000000000000004, -0.6062177826491069}, \
{-0.5866025403784443, -0.476313972081441}, {-0.4133974596215566, \
-0.476313972081441}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.5472963936950254`*^9, 3.5472964417917757`*^9, {3.5472967142643604`*^9, 
   3.5472967246699557`*^9}}],

Cell[BoxData["\<\"Prueba exitosa\"\>"], "Print",
 CellChangeTimes->{3.5472967142933626`*^9, 3.5472967546276693`*^9}]
}, Open  ]],

Cell["Ejemplo 9", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniH5YvmtZVzLQnAk7loNoBkcGls6UV44HDhmCaQD9AZwW

  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"], ",", 
       SubscriptBox["\[Sigma]", "5"], ",", 
       SubscriptBox["\[Sigma]", "6"], ",", 
       SubscriptBox["\[Sigma]", "7"], ",", 
       SubscriptBox["\[Sigma]", "8"], ",", 
       SubscriptBox["\[Sigma]", "9"], ",", 
       SubscriptBox["\[Sigma]", "10"], ",", 
       SubscriptBox["\[Sigma]", "11"], ",", 
       SubscriptBox["\[Sigma]", "12"], ",", 
       SubscriptBox["\[Sigma]", "13"], ",", 
       SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "5"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "6"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "6"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "6"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "7"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "7"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "8"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "9"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "9"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "9"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "8"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "10"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "10"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "10"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "5"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "11"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "12"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "12"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "12"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "11"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "13"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "13"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "13"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "14"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "14"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "14"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "4"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Languages", "[", 
  RowBox[{"A", ",", 
   RowBox[{"-", "5"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"MinimizeAutomaton", "[", "A", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "B", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Languages", "[", 
  RowBox[{"B", ",", 
   RowBox[{"-", "5"}]}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5472983855539527`*^9, 3.5472986150820813`*^9}, {
  3.547298676650603*^9, 3.5472990174840975`*^9}, {3.5472991378469815`*^9, 
  3.5472992567397823`*^9}, {3.547299287249527*^9, 3.5472993112228985`*^9}, {
  3.5472993564594855`*^9, 3.547299417169958*^9}, {3.5472994604994364`*^9, 
  3.5472994959584646`*^9}, {3.547299540546015*^9, 3.5472995475274143`*^9}, {
  3.547299577717141*^9, 3.5472996238297787`*^9}, {3.5472996607228885`*^9, 
  3.5472997382813244`*^9}, {3.5472997880821733`*^9, 3.547299804363104*^9}, {
  3.54729985515901*^9, 3.5472998731710396`*^9}, {3.547300013937091*^9, 
  3.547300014687134*^9}, {3.5473000928116026`*^9, 3.547300095946782*^9}, {
  3.547303991683605*^9, 3.5473040666018906`*^9}, {3.5473041555119753`*^9, 
  3.547304182105497*^9}, {3.547308802342312*^9, 3.547308836785282*^9}, {
  3.5473088691061306`*^9, 3.547308894838602*^9}}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{-0.9781476007338056, 0.20791169081775973`}, 
    0.06237350724532773], InsetBox[
    SubscriptBox["\[Sigma]", 
     "0"], {-0.9781476007338056, 0.20791169081775973`}], 
   PolygonBox[{{-0.9628140454123391, -0.12417486459230992`}, \
{-0.9620041491488748, -0.14766350929326869`}, {-0.9420673342691099, \
-0.1352177962041991}}], 
   CircleBox[{-1.2177648496687357`, 3.3306690738754696`*^-16}, 
    0.29532701858653815`, {5.759486531581287, 6.806784082777885}], 
   InsetBox["\<\"a\"\>", {-0.9224378314513563, -0.000014766350922879115`}, \
{1, 0}], PolygonBox[{{0.22851978014697144`, -0.8662469594786923}, {
    0.2697640744041677, -0.9025831970375401}, {
    0.28061003207947793`, -0.8486964716702237}}], 
   CircleBox[{-1.2635943252309534`, -1.3940931499142921`}, 
    1.6102080659059212`, {0.3101969965835182, 1.3573945477801157`}], 
   InsetBox["\<\"b\"\>", {-0.1814219744790626, -0.20175384469257174`}, \
{1, 1}], CircleBox[{-0.9781476007338057, -0.20791169081775907`}, 
    0.06237350724532773], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {-0.9781476007338057, -0.20791169081775907`}], 
   PolygonBox[{{0.8795960882697346, 0.0027604191104600405`}, {
    0.9383944141317635, 0.009757366238605843}, {0.9029357172388383, 
    0.057179736571045525`}}], 
   CircleBox[{0.17838770596620118`, -1.6972456487151364`}, 
    1.8685474276875669`, {1.1519173063162573`, 2.199114857512855}], 
   InsetBox["\<\"b\"\>", {-0.016928685192706766`, 0.16106568065421434`}, \
{1, 1}], PolygonBox[{{-0.8169811772058572, -0.5046290350927087}, \
{-0.805752617229037, -0.5254972257710604}, {-0.793294513958977, \
-0.505338912244041}}], 
   CircleBox[{-1.1053806888286206`, -0.5062516878632966}, 
    0.30024551956664436`, {6.218941997180592, 7.266239548377188}], 
   InsetBox["\<\"a\"\>", {-0.8362657411733917, -0.3731182323820854}, {1, 1}], 
   CircleBox[{-0.8090169943749475, -0.587785252292473}, 0.06237350724532773], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {-0.8090169943749475, -0.587785252292473}],
    PolygonBox[{{-0.8636285104208573, 
    0.5049807777645035}, {-0.8251604459598783, 
    0.5275370707679828}, {-0.8248601554341494, 0.482944603208618}}], 
   CircleBox[{0.08652071848940406, -0.012879074439020494`}, 
    1.0598170387439507`, {2.606507182266358, 3.6537047334629555`}], 
   InsetBox["\<\"a\"\>", {-0.9732264026789549, -0.0007055462991366127}, \
{1, 1}], PolygonBox[{{-0.561397803982523, -0.8060580099351147}, \
{-0.5441047299395599, -0.8219206738448789}, {-0.5390137970434911, \
-0.7990131004592655}}], 
   CircleBox[{-0.8270138635581088, -0.9003078982995055}, 0.293567939057551, {
    0.27029487523513007`, 1.3174924264317276`}], 
   InsetBox["\<\"b\"\>", {-0.6212009791091126, -0.6909680037803716}, {1, 1}], 
   CircleBox[{-0.5000000000000004, -0.8660254037844384}, 0.06237350724532773],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "3"], {-0.5000000000000004, -0.8660254037844384}], 
   PolygonBox[{{-0.8792259571223177, 
    0.4997348711300247}, {-0.8429932720841562, 
    0.5354778249125144}, {-0.8301553086213077, 0.4862279223309014}}], 
   CircleBox[{0.4819925819709044, 0.14791054910099583`}, 
    1.3805056706605665`, {2.857024519491132, 3.9042220706877293`}], 
   InsetBox["\<\"a\"\>", {-0.8592624652015584, -0.1789392713982289}, {1, 1}], 
   PolygonBox[{{-0.18866285906270247`, -0.9823127150263685}, \
{-0.1668164897890669, -0.9912575182223627}, {-0.16999324762630147`, \
-0.9678656058529415}}], 
   CircleBox[{-0.4078861596582072, -1.1648794175881818`}, 
    0.29708441505775945`, {0.6241643811614691, 1.6713619323580675`}], 
   InsetBox["\<\"b\"\>", {-0.2859246511525132, -0.8939836071495066}, {1, 1}], 
   CircleBox[{-0.10452846326765423`, -0.9945218953682733}, 
    0.06237350724532773], 
   CircleBox[{-0.10452846326765423`, -0.9945218953682733}, 
    0.04158233816355182], InsetBox[
    SubscriptBox["\[Sigma]", 
     "4"], {-0.10452846326765423`, -0.9945218953682733}], 
   PolygonBox[{{-0.8388056489819173, 
    0.4803112838492181}, {-0.8072884600380043, 
    0.5254357007693953}, {-0.783968163126127, 0.4755788060280039}}], 
   CircleBox[{0.7990497883541663, 0.3628864521867212}, 1.6145416769047556`, {
    3.040743530919591, 4.087941082116188}], 
   InsetBox["\<\"b,a\"\>", {-0.6733545661153888, -0.2995108933706965}, \
{1, 1}], CircleBox[{0.30901699437494723`, -0.9510565162951536}, 
    0.06237350724532773], InsetBox[
    SubscriptBox["\[Sigma]", 
     "5"], {0.30901699437494723`, -0.9510565162951536}], 
   PolygonBox[{{0.5881050759473675, -0.7482303709400575}, {
    0.6088824248343674, -0.7592882770623255}, {
    0.5889173227763199, -0.7717530359606257}}], 
   CircleBox[{0.6088824248343676, -1.0546152956488637`}, 
    0.29532701858653765`, {1.5707963267948966`, 2.617993877991492}], 
   InsetBox["\<\"b\"\>", {0.46121891554109906`, -0.7988545951290029}, {1, 1}],
    PolygonBox[{{0.24333718707233748`, 0.861030922153373}, {
    0.2928735427900166, 0.8908083347706631}, {0.2938933607167216, 
    0.8330198859996054}}], 
   CircleBox[{1.837816334446902, 0.006209214312525853}, 1.7802707191345597`, {
    2.6215810285149272`, 3.6687785797115247`}], 
   InsetBox["\<\"a\"\>", {0.0575570692493208, -0.0001768710337983993}, \
{1, 1}], CircleBox[{0.6691306063588578, -0.7431448254773946}, 
    0.06237350724532773], InsetBox[
    SubscriptBox["\[Sigma]", "6"], {0.6691306063588578, -0.7431448254773946}],
    PolygonBox[{{0.8342488838225588, -0.43434340951167066`}, {
    0.8579702557505031, -0.43505362280061544`}, {
    0.8454945070361994, -0.45524182685836195`}}], 
   CircleBox[{0.991112319284492, -0.7041658384963028}, 0.300246887941792, {
    2.030231524360997, 3.0774290755575953`}], 
   InsetBox["\<\"a\"\>", {0.741251802103932, -0.5376788550021145}, {1, 1}], 
   PolygonBox[{{-0.7918582547149633, 
    0.47415033149732305`}, {-0.7805238455441168, 
    0.5323001653250088}, {-0.7358318168089204, 0.4934093621323256}}], 
   CircleBox[{0.9965603188256748, 1.116044205184392}, 1.8705040046268906`, {
    3.458972642418036, 4.506170193614634}], 
   InsetBox["\<\"b\"\>", {-0.2505676922519148, -0.27803504482648544`}, \
{1, 1}], CircleBox[{0.9135454576426005, -0.40673664307580093`}, 
    0.06237350724532773], InsetBox[
    SubscriptBox["\[Sigma]", 
     "7"], {0.9135454576426005, -0.40673664307580093`}], 
   PolygonBox[{{-0.7562007379568302, 0.4948002567008085}, {-0.756598660169905,
     0.5539803318628755}, {-0.7051482505751451, 0.5247349050270949}}], 
   CircleBox[{0.8663739749406202, 1.4759043484607581`}, 1.8665433471252622`, {
    3.6581855346739176`, 4.7053830858705155`}], 
   InsetBox["\<\"b\"\>", {-0.07819954841312615, -0.1339915878272575}, {1, 1}],
    PolygonBox[{{-0.006228281227736405, -0.9870040814663943}, \
{-0.04428028174316387, -1.0106653469532043`}, {-0.0047630244881846605`, \
-1.031788713320978}}], 
   CircleBox[{-0.060068031957908205`, 0.06522522580008526}, 
    1.0760064022096918`, {4.726962049904483, 5.774159601101081}], 
   InsetBox["\<\"a\"\>", {0.4914574589461139, -0.8586846239576291}, {1, 1}], 
   CircleBox[{1., 0}, 0.06237350724532773], InsetBox[
    SubscriptBox["\[Sigma]", "8"], {1., 0}], 
   PolygonBox[{{0.9001436404447054, 0.32800285818967384`}, {
    0.9168067203831061, 0.34444845341339025`}, {0.9227174836580001, 
    0.3217950052695862}}], 
   CircleBox[{1.1956939746804394`, 0.2572399016326772}, 0.2922044354783052, {
    2.838523931992004, 3.885721483188603}], 
   InsetBox["\<\"a\"\>", {0.9105662517769009, 0.19332109575335849`}, {1, 1}], 
   PolygonBox[{{0.6640459402872038, 0.6536795152792372}, {0.6852710455145348, 
    0.682895836855635}, {0.6999605695911651, 0.6499061957425696}}], 
   CircleBox[{1.374719935103029, 0.5947367145811717}, 0.6950624448170191, {
    3.0144138275245327`, 4.06161137872113}], 
   InsetBox["\<\"b\"\>", {0.7335601209711885, 0.32636030925194864`}, {1, 1}], 
   CircleBox[{0.9135454576426009, 0.40673664307580015`}, 0.06237350724532773],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "9"], {0.9135454576426009, 0.40673664307580015`}], 
   PolygonBox[{{-0.7253058616866649, 
    0.5471784193336189}, {-0.7474104330781165, 
    0.5975364579237158}, {-0.6927468066786097, 0.5915005589934312}}], 
   CircleBox[{0.22595233308044751`, 1.8823358609330905`}, 
    1.6118761058211324`, {4.064042212760057, 5.111139763956654}], 
   InsetBox["\<\"a\"\>", {0.02531518472941291, 0.2829955859388469}, {1, 1}], 
   PolygonBox[{{-0.012295810257659986`, -0.9383039613175133}, \
{-0.04305587527731858, -0.9839589728629535}, {
    0.011862557040933827`, -0.9877704648193188}}], 
   CircleBox[{-0.7351645099390689, 0.4875173674759913}, 1.6261171490242172`, {
    5.151936356999372, 6.19913390819597}], 
   InsetBox["\<\"b\"\>", {0.5998644851931414, -0.4408977145357825}, {1, 1}], 
   CircleBox[{0.6691306063588582, 0.7431448254773941}, 0.06237350724532773], 
   InsetBox[
    SubscriptBox["\[Sigma]", "10"], {0.6691306063588582, 0.7431448254773941}],
    PolygonBox[{{-0.7191515095986474, 
    0.5276220960063112}, {-0.7498883462565694, 
    0.5679293368571177}, {-0.6996128333943521, 0.5743945978094478}}], 
   CircleBox[{-0.20187730046912408`, 1.8228379567155666`}, 
    1.3693471986680688`, {4.30065526319948, 5.3477528143960775`}], 
   InsetBox["\<\"b\"\>", {-0.04908251735071045, 0.4620420481562102}, {1, 1}], 
   PolygonBox[{{-0.04175304954555291, -0.8938909396655983}, \
{-0.06421121890588695, -0.9469301501475262}, {-0.007048830551700483, \
-0.939859890095105}}], 
   CircleBox[{-1.1170856448171294`, 0.48909305288092775`}, 
    1.7806479709291307`, {5.344943049135203, 6.3922406003318}], 
   InsetBox["\<\"a\"\>", {0.5127060947258559, -0.22818379889353224`}, {1, 1}],
    CircleBox[{0.30901699437494745`, 0.9510565162951535}, 
    0.06237350724532773], InsetBox[
    SubscriptBox["\[Sigma]", 
     "11"], {0.30901699437494745`, 0.9510565162951535}], 
   PolygonBox[{{-0.035330587308897564`, 
    0.9514125155570059}, {-0.04630001332917342, 
    0.9721634065140398}, {-0.022844501599083362`, 0.9712877626340157}}], 
   CircleBox[{0.11845084002466795`, 1.21530647467545}, 0.29370290307683905`, {
    4.116863437079336, 5.1639609882759325`}], 
   InsetBox["\<\"b\"\>", {0.09732930265714845, 0.9223640299273467}, {1, 1}], 
   PolygonBox[{{-0.41688021103753203`, 
    0.8272237663635397}, {-0.4383944141317632, 
    0.8562680375458329}, {-0.4024842359063774, 0.8603777483764682}}], 
   CircleBox[{-0.14677794046140097`, 1.4885660365202855`}, 
    0.6963051968950356, {4.280259434995935, 5.327356986192533}], 
   InsetBox["\<\"a\"\>", {-0.0832108851325679, 0.7951684905916492}, {1, 1}], 
   CircleBox[{-0.10452846326765333`, 0.9945218953682734}, 
    0.06237350724532773], InsetBox[
    SubscriptBox["\[Sigma]", 
     "12"], {-0.10452846326765333`, 0.9945218953682734}], 
   PolygonBox[{{-0.0889173217563772, -0.8753573174817916}, \
{-0.0881017713891234, -0.9343503223457009}, {-0.03742010571502588, \
-0.9041475325776388}}], 
   CircleBox[{-1.7065192769982287`, -0.0002835975405911068}, 
    1.8686240576558317`, {5.759638108509522, 6.806935659706119}], 
   InsetBox["\<\"a\"\>", {0.16210477101749077`, -0.00009378844911671284}, \
{1, 1}], PolygonBox[{{-0.7172116034086161, 
    0.6190177486754824}, {-0.7478821252953233, 
    0.6001538491692487}, {-0.7162102481651346, 0.5830243478211505}}], 
   CircleBox[{-0.7515945891457481, 1.294250305677981}, 0.6941063847320663, {
    4.717637557537596, 5.764835108734194}], 
   InsetBox["\<\"b\"\>", {-0.40139119953070856`, 0.6949663502545473}, {1, 1}],
    CircleBox[{-0.4999999999999998, 0.8660254037844387}, 0.06237350724532773],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "13"], {-0.4999999999999998, 0.8660254037844387}], 
   PolygonBox[{{-0.7564023738635781, 
    0.6545209599483268}, {-0.7750459475783492, 
    0.6400960770386602}, {-0.7532318456745764, 0.6311627100391739}}], 
   CircleBox[{-0.8048665304861192, 0.9356823163302658}, 0.2970866742610874, {
    4.812835016420963, 5.86003256761756}], 
   InsetBox["\<\"a\"\>", {-0.6312721368446581, 0.694590054903718}, {1, 1}], 
   PolygonBox[{{-0.1280145323420348, -0.8769083119964629}, \
{-0.1157069237480874, -0.9331582544449192}, {-0.07314684892328532, \
-0.8943745815184969}}], 
   CircleBox[{-1.803704516202229, -0.3696445977950972}, 1.7795739696235817`, {
    5.960882798200222, 7.008180349396819}], 
   InsetBox["\<\"b\"\>", {-0.060081094381864375`, -0.013750124332420899`}, \
{1, 1}], CircleBox[{-0.8090169943749473, 0.5877852522924732}, 
    0.06237350724532773], InsetBox[
    SubscriptBox["\[Sigma]", 
     "14"], {-0.8090169943749473, 0.5877852522924732}], 
   CircleBox[{-0.8822497709547904, 0.635348379505992}, 
    0.031186753622663866`, {-0.05240987755983051, 5.183577878423158}], 
   PolygonBox[{{-0.8720631794868451, 
    0.6516157054854271}, {-0.8511058393424427, 
    0.6337146337344146}, {-0.846081726523299, 0.6608147585707248}}], 
   InsetBox["\<\"b,a\"\>", {-0.8652629398071051, 0.6615029425702217}, \
{-1, -1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-0.9781476007338056, 0.3326587053084152}, {-0.9781476007338056, 
     0.2702851980630875}}], 
    PolygonBox[{{-0.9781476007338056, 
     0.2702851980630875}, {-0.9989387698155815, 
     0.30147195168575136`}, {-0.9573564316520297, 0.30147195168575136`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.547299627505988*^9, {3.5472996666832294`*^9, 3.5472997387803535`*^9}, {
   3.5472997899252787`*^9, 3.5472998069032497`*^9}, 3.5472998747391295`*^9, 
   3.5473000210234966`*^9, 3.547300437579322*^9, 3.547304183247562*^9, 
   3.547308838268367*^9, 3.547308896844717*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "b", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "b", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "a", ",", "a"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.547299627505988*^9, {3.5472996666832294`*^9, 3.5472997387803535`*^9}, {
   3.5472997899252787`*^9, 3.5472998069032497`*^9}, 3.5472998747391295`*^9, 
   3.5473000210234966`*^9, 3.547300437579322*^9, 3.547304183247562*^9, 
   3.547308838268367*^9, 3.547308896858718*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{-1., 0}, 0.0927050983124842], 
   InsetBox["1", {-1., 0}], 
   PolygonBox[{{0.6508954300689695, 0.5603673265401903}, {0.7164389451777743, 
    0.5829334423236932}, {0.6641243580901175, 0.6284127335694958}}], 
   CircleBox[{0.35820283238793643`, -1.1024349602098986`}, 
    1.7230205352129169`, {1.3613568165555772`, 2.4085543677521746`}], 
   InsetBox["\<\"b\"\>", {-0.17423979464987221`, 0.5362549475147091}, {1, 1}],
    PolygonBox[{{-0.43358801037156813`, 
    0.8966440045072543}, {-0.3810623871349659, 
    0.8927153075728275}, {-0.4107275501022507, 0.8491911319675332}}], 
   CircleBox[{0.03007419525890375, -0.013257342974307303`}, 
    0.9948968453673538, {1.9968115071742405`, 3.044009058370838}], 
   InsetBox["\<\"a\"\>", {-0.7789668547928686, 0.5657696963364989}, {1, 1}], 
   CircleBox[{-0.8090169943749475, -0.587785252292473}, 0.0927050983124842], 
   CircleBox[{-0.8090169943749475, -0.587785252292473}, 
    0.061803398874989465`], 
   InsetBox["2", {-0.8090169943749475, -0.587785252292473}], 
   PolygonBox[{{-0.8780469368044205, 
    0.47084309703135513`}, {-0.8330108393963198, 
    0.4982390036037776}, {-0.8318033370489472, 0.44553864587484066`}}], 
   CircleBox[{0.02996442915791586, 1.1102230246251565`*^-16}, 
    0.9964780072075554, {2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"a,b\"\>", {-0.9665135780496396, 2.3305566265726226`*^-16}, \
{-1, 0}], 
   CircleBox[{-0.30901699437494756`, -0.9510565162951535}, 
    0.0927050983124842], 
   InsetBox["3", {-0.30901699437494756`, -0.9510565162951535}], 
   PolygonBox[{{-0.8915677026959714, 
    0.4557434922809654}, {-0.8511124881605282, 
    0.5051886140069142}, {-0.8285193639203643, 0.44543080964069653`}}], 
   CircleBox[{0.5885024865140601, 0.24168270778248263`}, 
    1.4635322469704843`, {2.960557507755736, 4.007755058952333}], 
   InsetBox["\<\"b\"\>", {-0.7899936063348406, -0.24992197071721334`}, \
{1, 1}], PolygonBox[{{-0.7531361390955734, -0.6947327852526103}, \
{-0.7506829904835913, -0.6598364788131271}, {-0.7216884769147435, \
-0.6794091210501038}}], 
   CircleBox[{-0.3496914346387965, -0.4812937336586217}, 
    0.43894389129606964`, {3.5604920741812096`, 4.607689625377807}], 
   InsetBox["\<\"a\"\>", {-0.6076889361261824, -0.8364120645462318}, {1, 1}], 
   CircleBox[{0.30901699437494723`, -0.9510565162951536}, 0.0927050983124842],
    InsetBox["4", {0.30901699437494723`, -0.9510565162951536}], 
   PolygonBox[{{-0.8039851495652695, 0.436974435689695}, {-0.7769388762433734,
     0.500806924013159}, {-0.7351814564294281, 0.4454679200769677}}], 
   CircleBox[{0.9368420159776237, 0.6821180392086752}, 1.723345196713427, {
    3.2469965380344816`, 4.294194089231079}], 
   InsetBox["\<\"b\"\>", {-0.45668021560836347`, -0.33179243864962715`}, \
{1, 1}], PolygonBox[{{-0.20094450353406149`, -1.0047242858856587`}, \
{-0.21947074568625194`, -0.975050361316526}, {-0.18450925210330457`, \
-0.9738431272606334}}], 
   CircleBox[{-1.6653345369377348`*^-16, -0.5949158790129099}, 
    0.43894149137250377`, {4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"a\"\>", {-0.00002194707455967659, -1.0338573698367368`}, \
{0, -1}], 
   CircleBox[{0.8090169943749473, -0.5877852522924734}, 0.0927050983124842], 
   InsetBox["5", {0.8090169943749473, -0.5877852522924734}], 
   PolygonBox[{{-0.7305886751183752, 
    0.4837438636455367}, {-0.7224726518402456, 
    0.5545540616974378}, {-0.6652072331193566, 0.5121202803349212}}], 
   CircleBox[{0.9605216441642839, 1.2513521352353558`}, 1.8215370859990574`, {
    3.5341289302517747`, 4.581326481448372}], 
   InsetBox["\<\"a\"\>", {-0.1485951338309872, -0.19358984575880367`}, \
{1, 1}], PolygonBox[{{-0.686757153656229, -0.6660255662002315}, \
{-0.7194707456862518, -0.6117790973138455}, {-0.6561351295500281, \
-0.6105715300099985}}], 
   CircleBox[{-5.551115123125783*^-17, 0.6343807887742091}, 
    1.4389414913725038`, {4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"b\"\>", {-0.00007194707453879942, -0.804560700799618}, \
{0, -1}], CircleBox[{1., 0}, 0.0927050983124842], InsetBox["6", {1., 0}], 
   PolygonBox[{{-0.1720701362068287, -0.879732006423569}, \
{-0.22246932915391354`, -0.9178339803005131}, {-0.16427245536860646`, \
-0.94242997478445}}], 
   CircleBox[{-0.372879671979147, 0.5132248390233197}, 1.4389414913725043`, {
    4.81700873550435, 5.864206286700947}], 
   InsetBox["\<\"b\"\>", {0.472792498520556, -0.6509878544462403}, {1, 1}], 
   PolygonBox[{{0.8691510549918792, -0.4764619715649353}, {
    0.859507809660832, -0.5100362148393058}, {
    0.8934055799147992, -0.5016003886337331}}], 
   CircleBox[{0.5657986233826867, -0.18383911683849927`}, 
    0.43894149137250404`, {5.445327266222309, 6.492624817418905}], 
   InsetBox["\<\"a\"\>", {0.9832500064839812, -0.31950036994761033`}, {1, 1}],
    CircleBox[{0.8090169943749475, 0.5877852522924731}, 0.0927050983124842], 
   InsetBox["7", {0.8090169943749475, 0.5877852522924731}], 
   PolygonBox[{{0.37788583492970457`, -0.81285843211457}, {
    0.35950780966083185`, -0.8733074788419861}, {
    0.4210472323957632, -0.8589987922325142}}], 
   CircleBox[{-0.6033319829761714, 0.19603444463621478`}, 1.438941491372504, {
    5.445327266222308, 6.492624817418905}], 
   InsetBox["\<\"b\"\>", {0.7651604643817438, -0.24869135528736752`}, {1, 1}],
    PolygonBox[{{0.9832146540450712, 0.12540800578046507`}, {0.99514819003122,
     0.09257804919717313}, {1.0176129984444167`, 0.11932777280979967`}}], 
   CircleBox[{0.565799108100793, 0.18382985900933602`}, 
    0.43893909252707924`, {6.073666197822704, 7.120963749019301}], 
   InsetBox["\<\"a\"\>", {0.9832590069361078, 0.31945714171051165`}, {1, 1}], 
   CircleBox[{0.30901699437494745`, 0.9510565162951535}, 0.0927050983124842], 
   InsetBox["8", {0.30901699437494745`, 0.9510565162951535}], 
   PolygonBox[{{-0.6764669702528301, 0.558270989059963}, {-0.7164389451777742,
     0.5926370622612532}, {-0.6666910652946691, 0.6100707713850443}}], 
   CircleBox[{-0.5092595178365402, 1.5673396341953274`}, 0.9964780072075553, {
    4.502949470145371, 5.5500470213419675`}], 
   InsetBox["\<\"a\"\>", {-0.2013782648185204, 0.6196173368484755}, {1, 1}], 
   PolygonBox[{{0.7835019056590438, -0.43550074334244715`}, {
    0.8041651844061674, -0.4952072030953002}, {
    0.8455408559486095, -0.4474590488983856}}], 
   CircleBox[{-0.6033314982580656, -0.19604370246537792`}, 
    1.4389390924636005`, {6.073652020097918, 7.120949571294515}], 
   InsetBox["\<\"b\"\>", {0.7652003665332946, 0.248553021398679}, {1, 1}], 
   CircleBox[{-0.30901699437494734`, 0.9510565162951536}, 0.0927050983124842],
    InsetBox["9", {-0.30901699437494734`, 0.9510565162951536}], 
   PolygonBox[{{0.1845092521033046, 0.9738431272606333}, {
    0.21947074568625186`, 0.975050361316526}, {0.20094450353406135`, 
    1.0047242858856587`}}], 
   CircleBox[{6.938893903907228*^-17, 0.5949158790129099}, 
    0.4389414913725038, {1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {9.62663536601874*^-17, 1.0338573703854137`}, \
{0, 1}], PolygonBox[{{0.8897092283611762, 0.10829583706278707`}, {
    0.9416587912776738, 0.07204539276001856}, {0.9470778154840954, 
    0.1351602561125878}}], 
   CircleBox[{-0.3728738382185113, -0.5132320438542894}, 
    1.4389390924636005`, {0.41888524363629065`, 1.466082794832888}], 
   InsetBox["\<\"b\"\>", {0.4729060947215885, 0.6508993992636303}, {1, 1}], 
   CircleBox[{-0.8090169943749473, 0.5877852522924732}, 0.0927050983124842], 
   InsetBox["10", {-0.8090169943749473, 0.5877852522924732}], 
   CircleBox[{-0.8796986932542074, 0.6966374389479155}, 
    0.0463525491562421, {-0.47128889803846885`, 4.76469885794452}], 
   PolygonBox[{{-0.8560333474659028, 
    0.7125670183979976}, {-0.8383993217757065, 
    0.675591756997391}, {-0.8151948189363092, 0.7093509019163916}}], 
   InsetBox["\<\"a,b\"\>", {-0.8408229123058352, 0.7218809028333656}, \
{-1, -1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.1854101966249684}, {-1., 0.0927050983124842}}], 
    PolygonBox[{{-1., 0.0927050983124842}, {-1.0309016994374947`, 
     0.13905764746872631`}, {-0.9690983005625052, 0.13905764746872631`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.547299627505988*^9, {3.5472996666832294`*^9, 3.5472997387803535`*^9}, {
   3.5472997899252787`*^9, 3.5472998069032497`*^9}, 3.5472998747391295`*^9, 
   3.5473000210234966`*^9, 3.547300437579322*^9, 3.547304183247562*^9, 
   3.547308838268367*^9, 3.54730889689672*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "a", ",", "b", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "b", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "a", ",", "b", ",", "a"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "b", ",", "a", ",", "a"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.547299627505988*^9, {3.5472996666832294`*^9, 3.5472997387803535`*^9}, {
   3.5472997899252787`*^9, 3.5472998069032497`*^9}, 3.5472998747391295`*^9, 
   3.5473000210234966`*^9, 3.547300437579322*^9, 3.547304183247562*^9, 
   3.547308838268367*^9, 3.5473088969057207`*^9}]
}, Open  ]],

Cell["Ejemplo 10", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniH5YvmtZVzLQnAk7loNoBkcGls6UV44HDhmC6UlTtOIW
5LxylDnhCKYBAFqjtg==
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"], ",", 
       SubscriptBox["\[Sigma]", "4"], ",", 
       SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "5"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "5"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "5"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "4"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"Languages", "[", 
    RowBox[{"A", ",", 
     RowBox[{"-", "20"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vl", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "\[LessEqual]", 
    RowBox[{"Length", "[", "L", "]"}]}], ",", 
   RowBox[{
    RowBox[{"v", "=", 
     RowBox[{"L", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"ToString", "[", 
         RowBox[{"v", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[NotEqual]", "\"\<a\>\""}],
        "||", 
       RowBox[{
        RowBox[{"ToString", "[", 
         RowBox[{"v", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}], "\[NotEqual]", "\"\<b\>\""}],
        "||", 
       RowBox[{
        RowBox[{"ToString", "[", 
         RowBox[{"v", "[", 
          RowBox[{"[", 
           RowBox[{"Length", "[", "v", "]"}], "]"}], "]"}], "]"}], 
        "\[NotEqual]", "\"\<a\>\""}], "||", 
       RowBox[{
        RowBox[{"ToString", "[", 
         RowBox[{"v", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"Length", "[", "v", "]"}], "-", "1"}], "]"}], "]"}], 
         "]"}], "\[NotEqual]", "\"\<b\>\""}]}], ",", 
      RowBox[{
       RowBox[{"Vl", "=", "False"}], ";", 
       RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
    RowBox[{"i", "++"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"Vl", "\[Equal]", "True"}], ",", 
   RowBox[{"Print", "[", "\"\<Prueba exitosa\>\"", "]"}], ",", 
   RowBox[{"Print", "[", "\"\<Prueba no exitosa\>\"", "]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.547303533541401*^9, 3.5473037746151896`*^9}, {
  3.547303925736833*^9, 3.547303946543023*^9}, {3.547304167524663*^9, 
  3.5473042180145507`*^9}, {3.5473042699105186`*^9, 3.5473043732774315`*^9}, {
  3.5473052729864445`*^9, 3.5473052733744664`*^9}, {3.5473055422458453`*^9, 
  3.547305542983887*^9}, {3.5474754904728785`*^9, 3.5474755303181577`*^9}, {
  3.5592473081378136`*^9, 3.559247325682817*^9}, {3.5592474892051697`*^9, 
  3.5592474897181993`*^9}}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{-1., 0}, 0.14999999999999994`], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {-1., 0}], 
   PolygonBox[{{-0.662418369889264, 0.7564701428226795}, {-0.6060660171779819,
     0.7599593866064567}, {-0.631220419776875, 0.7094121957035769}}], 
   CircleBox[{-0.23620308829466788`, 0.15782585780906314`}, 
    0.7066564742957819, {2.121630835711639, 3.1688283869082365`}], 
   InsetBox["\<\"b\"\>", {-0.8575805450244318, 0.49435732577631797`}, {1, 1}],
    PolygonBox[{{-0.6021773729097436, -0.6867476630815516}, \
{-0.5750000000000004, -0.7361215932167726}, {-0.5458296086730926, \
-0.6878983328012015}}], 
   CircleBox[{-1.2801072444954145`, -0.6973132255328791}, 
    0.7061744229595148, {6.228101825117111, 7.2753993763137075`}], 
   InsetBox["\<\"a\"\>", {-0.6500463280860591, -0.37840013822599705`}, \
{1, 1}], CircleBox[{-0.5000000000000004, -0.8660254037844384}, 
    0.14999999999999994`], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {-0.5000000000000004, -0.8660254037844384}], 
   PolygonBox[{{-0.6064177905220915, 
    0.6773448030879835}, {-0.5388228567653779, 
    0.7211365298410786}, {-0.5346955757999678, 0.6407017366640907}}], 
   CircleBox[{0.7252073154889741, 0.03617714323462149}, 1.4376862097375982`, {
    2.645000867641709, 3.6921984188383066`}], 
   InsetBox["\<\"a\"\>", {-0.7119546181365434, -0.002645713530755933}, \
{1, 1}], PolygonBox[{{0.29854243582598, -0.8291570468012375}, {
    0.35511112605663914`, -0.8272025470190608}, {
    0.3251341344782535, -0.7791898741115857}}], 
   CircleBox[{0.00001448869325499129, -1.4422769426922715`}, 
    0.710218370699849, {1.0472179520790346`, 2.094415503275632}], 
   InsetBox["\<\"b\"\>", {-3.8822900007326846`*^-10, -0.7320585721402174}, \
{1, 1}], CircleBox[{0.4999999999999993, -0.866025403784439}, 
    0.14999999999999994`], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.4999999999999993, -0.866025403784439}], 
   PolygonBox[{{0.8377192949380872, -0.11111745294585708`}, {
    0.8939339828220179, -0.10606601717798203`}, {
    0.8702013105806177, -0.15727508283521685`}}], 
   CircleBox[{1.2801111260566402`, -0.6972987364513957}, 0.7061790950575421, {
    2.1493987689546104`, 3.1965963201512073`}], 
   InsetBox["\<\"b\"\>", {0.6500555500178488, -0.3783647536293771}, {1, 1}], 
   CircleBox[{0.580363520796668, -1.0600401056118092`}, 
    0.07499999999999997, {-3.796091123087667, 1.439896632895321}], 
   PolygonBox[{{0.47399306315925804`, -1.0612519555517226`}, {
    0.5208620202748253, -1.0143829984361552`}, {
    0.5380172492280065, -1.0784071845049037`}}], 
   InsetBox["\<\"a\"\>", {0.5110725558583215, -1.088741363039191}, {1, 1}], 
   CircleBox[{1., 0}, 0.14999999999999994`], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {1., 0}], 
   PolygonBox[{{0.4384528038821701, 0.6675030717739882}, {0.4611626545413662, 
    0.7211404128511929}, {0.4962590291760781, 0.674654434725576}}], 
   CircleBox[{1.2102183705520542`, 0.788394179335167}, 0.7520688364734744, {
    3.2311372850335114`, 4.278334836230109}], 
   InsetBox["\<\"a\"\>", {0.595143974878843, 0.3556228510545151}, {1, 1}], 
   CircleBox[{1.2028444235207043`, -0.05435199947152937}, 
    0.07499999999999997, {-2.8797932657906435`, 2.356194490192345}], 
   PolygonBox[{{1.139051616922805, -0.13947908484764177`}, {
    1.1303999865490242`, -0.07376342785421844}, {
    1.1916372301186038`, -0.09912872466308273}}], 
   InsetBox["\<\"b\"\>", {1.1834329951380154`, -0.12679643644320948`}, \
{1, 1}], CircleBox[{0.5000000000000001, 0.8660254037844386}, 
    0.14999999999999994`], 
   CircleBox[{0.5000000000000001, 0.8660254037844386}, 0.09999999999999995], 
   InsetBox[
    SubscriptBox["\[Sigma]", "4"], {0.5000000000000001, 0.8660254037844386}], 
   PolygonBox[{{0.5039023044322641, -0.6345779524597367}, {
    0.49999999999999933`, -0.7160254037844391}, {
    0.5724867141368206, -0.67868117289373}}], 
   CircleBox[{-0.7252073154889747, 0.11382285676537839`}, 
    1.4797908978856629`, {5.687748661751085, 6.735046212947682}], 
   InsetBox["\<\"a\"\>", {0.7507721697560834, 0.007683040480488151}, {1, 1}], 
   PolygonBox[{{0.9260599412334194, 0.18949557916902382`}, {
    0.9611771432346219, 0.1448888739433602}, {0.9822490821385694, 
    0.19760461559906312`}}], 
   CircleBox[{0.2509510081112278, 0.06722867171934804}, 0.7144594250353118, {
    0.10891304267170351`, 1.156110593868301}], 
   InsetBox["\<\"b\"\>", {0.8271947824477206, 0.4895974472700764}, {1, 1}], 
   CircleBox[{-0.4999999999999998, 0.8660254037844387}, 0.14999999999999994`],
    InsetBox[
    SubscriptBox["\[Sigma]", "5"], {-0.4999999999999998, 0.8660254037844387}],
    CircleBox[{-0.39499999999999974`, 1.0478907385791707`}, 
    0.07499999999999997, {-1.5707963267948966`, 3.665191429188092}], 
   PolygonBox[{{-0.3546496398154409, 
    1.0254763517749694`}, {-0.39499999999999974`, 
    0.9728907385791707}, {-0.32928434300657655`, 0.9642391082053898}}], 
   InsetBox["\<\"b,a\"\>", {-0.3300480947161669, 1.0103907385791706`}, \
{-1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.2999999999999999}, {-1., 0.14999999999999994`}}], 
    PolygonBox[{{-1., 0.14999999999999994`}, {-1.05, 
     0.22499999999999992`}, {-0.9500000000000001, 0.22499999999999992`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.5592474915033016`*^9, 3.5592479322225094`*^9}],

Cell[BoxData["\<\"Prueba exitosa\"\>"], "Print",
 CellChangeTimes->{
  3.547304412928699*^9, 3.547305265519017*^9, {3.547305533034318*^9, 
   3.5473055590878086`*^9}, {3.54747549678924*^9, 3.547475524141804*^9}, 
   3.5592474434355516`*^9, 3.5592474949474983`*^9, 3.5592479358517165`*^9}]
}, Open  ]],

Cell["Ejemplo 11", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBWIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniD7ndaIaRFtU3QXT1883arCmvXL8JFCjCaIVFBcY8gHp
TRvWgWkA8fWiuA==
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"DFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"Languages", "[", 
    RowBox[{"A", ",", 
     RowBox[{"-", "20"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vl", "=", "True"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "\[LessEqual]", 
    RowBox[{"Length", "[", "L", "]"}]}], ",", 
   RowBox[{
    RowBox[{"cant", "=", 
     RowBox[{"Count", "[", 
      RowBox[{
       RowBox[{"L", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", "b"}], "]"}]}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"OddQ", "[", "cant", "]"}], "\[Equal]", "True"}], ",", 
      RowBox[{
       RowBox[{"Vl", "=", "False"}], ";", 
       RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
    RowBox[{"i", "++"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"Vl", "\[Equal]", "True"}], ",", 
   RowBox[{"Print", "[", "\"\<Prueba exitosa\>\"", "]"}], ",", 
   RowBox[{"Print", "[", "\"\<Prueba no exitosa\>\"", "]"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5473066745346084`*^9, 3.547306726767596*^9}, {
  3.5473068299474974`*^9, 3.5473068680576773`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{-0.5000000000000004, -0.8660254037844384}, 
    0.25980762113533157`], InsetBox[
    SubscriptBox["\[Sigma]", 
     "0"], {-0.5000000000000004, -0.8660254037844384}], 
   PolygonBox[{{0.6625001344779325, -0.021183087614957345`}, {
    0.7490451088786576, -0.0672431604126039}, {
    0.6658834285353726, -0.11916327041468244`}}], 
   CircleBox[{0.7490451088786576, -1.2973841857387973`}, 
    1.2301410253261933`, {1.5707963267948966`, 2.617993877991494}], 
   InsetBox["\<\"b\"\>", {0.13397459621556118`, -0.23205080756887742`}, \
{1, 1}], CircleBox[{-0.6391937010949489, -1.20206872476477}, 
    0.12990381056766578`, {-4.581489286485114, 0.6544984694978737}], 
   PolygonBox[{{-0.7709545805527482, -1.0732762593045808`}, \
{-0.6561495508432214, -1.0732762593045808`}, {-0.7135520656979848, \
-1.1727003315152582`}}], 
   InsetBox["\<\"a\"\>", {-0.7592091728736388, -1.1523566886594312`}, \
{1, -1}], CircleBox[{1., 0}, 0.25980762113533157`], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {1., 0}], 
   PolygonBox[{{-0.3129213485065256, 
    0.5843149207816505}, {-0.31630664138286035`, 
    0.6822953028212188}, {-0.22976049502592227`, 0.636236861431591}}], 
   CircleBox[{0.7490200137258032, 1.297390911309601}, 1.2301477511529693`, {
    3.665211829300869, 4.712309380497468}], 
   InsetBox["\<\"b\"\>", {0.13391460449851278`, 0.2320699149868799}, {1, 1}], 
   CircleBox[{1.351336847569879, -0.0941404245776458}, 
    0.12990381056766578`, {-2.879793265790644, 2.3561944901923444`}], 
   PolygonBox[{{1.2408444653849022`, -0.24158486154932585`}, {
    1.225859402009208, -0.12776200478394778`}, {
    1.3319254191871899`, -0.17169598760596577`}}], 
   InsetBox["\<\"a\"\>", {1.317715267363577, -0.21961787013831696`}, {1, 1}], 
   CircleBox[{-0.4999999999999998, 0.8660254037844387}, 0.25980762113533157`],
    CircleBox[{-0.4999999999999998, 0.8660254037844387}, 0.1732050807568877], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {-0.4999999999999998, 0.8660254037844387}],
    PolygonBox[{{0.7297425874822168, 0.22976990383403714`}, {
    0.8162882692912617, 0.18371173070873845`}, {0.8129029763651496, 
    0.2816915763058655}}], 
   CircleBox[{-0.24902673862417576`, -0.4313771540459569}, 
    1.2301343025209257`, {0.5236191764807364, 1.570816727677334}], 
   InsetBox["\<\"b\"\>", {0.366018678886066, 0.6339629496947673}, {1, 1}], 
   CircleBox[{-0.8149818118915505, 1.0479222376697916`}, 
    0.12990381056766578`, {-0.00009999999999976694, 5.235887755982988}], 
   PolygonBox[{{-0.776151966432904, 
    1.1178072289780374`}, {-0.6850780019734037, 
    1.0479092472887566`}, {-0.6700815563869771, 1.1617306049786853`}}], 
   InsetBox["\<\"a\"\>", {-0.7500186569324959, 1.160415741916774}, {-1, -1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-0.5000000000000004, -0.34641016151377524`}, \
{-0.5000000000000004, -0.6062177826491069}}], 
    PolygonBox[{{-0.5000000000000004, -0.6062177826491069}, \
{-0.5866025403784443, -0.476313972081441}, {-0.4133974596215566, \
-0.476313972081441}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.5473068824975033`*^9}],

Cell[BoxData["\<\"Prueba exitosa\"\>"], "Print",
 CellChangeTimes->{3.5473068964553013`*^9}]
}, Open  ]],

Cell["Ejemplo 12", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQB2IQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniD7ndaIaRFtU3QXTQZo/doHoLfy2u0G0yWT18IlAmnmN
OZhmyF1i5pf3yvHa3Y1gWszp4Gt/IH0h5gSYBgBmBrOt
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"NDFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         RowBox[{"{", "}"}]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", 
  RowBox[{"A", ",", 
   RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5474574456997766`*^9, 3.5474574628287563`*^9}, {
  3.5474604418151445`*^9, 3.5474606472828965`*^9}, {3.547460706623291*^9, 
  3.547460708786414*^9}, {3.5474610648077774`*^9, 3.5474610812067156`*^9}, {
  3.5474612333424172`*^9, 3.5474612514934554`*^9}, {3.547461313704014*^9, 
  3.547461319488344*^9}, {3.5474613512151594`*^9, 3.547461366537036*^9}, {
  3.54746144389246*^9, 3.5474614448755164`*^9}, {3.547461492725253*^9, 
  3.5474615397059402`*^9}, {3.5474615910918794`*^9, 3.5474615912068863`*^9}, {
  3.547461811942511*^9, 3.5474618121375227`*^9}, {3.547461967504409*^9, 
  3.5474619686554747`*^9}, {3.5474620342582273`*^9, 3.5474620669220953`*^9}, {
  3.547462336495514*^9, 3.5474623848452797`*^9}, {3.5474627169062724`*^9, 
  3.5474627170552807`*^9}, {3.5474630212156777`*^9, 3.5474630251439023`*^9}, {
  3.5474924623316135`*^9, 3.547492478033511*^9}, {3.5474927437387085`*^9, 
  3.547492743863716*^9}}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{0.5, 0.5}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.5, 0.5}], 
   PolygonBox[{{0.518437581914173, 0.10068797225410375`}, {0.519411428382689, 
    0.07244443697168013}, {0.5433841241956919, 0.08740958039401264}}], 
   CircleBox[{0.21187617205114084`, 0.25}, 0.35511112605663986`, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"c\"\>", {0.5669872976638918, 0.2499822444437045}, {1, 0}], 
   PolygonBox[{{0.8992711205709848, 0.5184347555152836}, {0.9275555630283199, 
    0.519411428382689}, {0.9125675182852923, 0.5434181376489177}}], 
   CircleBox[{0.75, 0.21187617205114084`}, 0.35511112605663986`, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"c,b,a\"\>", {0.75, 0.5669872981077807}, {0, 1}], 
   CircleBox[{0.3958982895557499, 0.48629474981689463`}, 0.0375, {
    0.6544984694978737, 5.890486225480862}], 
   PolygonBox[{{0.392507682413112, 0.5091233034047217}, {0.42564903981667124`,
     0.5091233034047217}, {0.40907836111489165`, 0.5378245608321034}}], 
   InsetBox["\<\"c,b\"\>", {0.391003557347498, 0.5234739321184125}, {1, -1}], 
   CircleBox[{1., 0.5}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {1., 0.5}], 
   PolygonBox[{{0.5874324817147077, 0.45658186235108233`}, {
    0.5724444369716801, 0.48058857161731094`}, {0.6007288794290152, 
    0.4815652444847164}}], 
   CircleBox[{0.75, 0.7881238279488592}, 0.35511112605663986`, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"a\"\>", {0.7499822444437045, 0.4330127023361082}, {0, -1}], 
   PolygonBox[{{0.5893905784470046, 0.06331506931299768}, {0.5649519052838329,
     0.0375}, {0.5995277476909309, 0.029243022862407098`}}], 
   CircleBox[{0.4194392033916134, 0.5805607966083866}, 0.5622179072431874, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"c\"\>", {0.8169475413106347, 0.1829729490705545}, {1, 1}], 
   CircleBox[{1.097007350913685, 0.5401817603983343}, 
    0.0375, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0976132758836419`, 0.48699653157962935`}, {
    1.074178797325858, 0.510431010137413}, {1.1061908903602322`, 
    0.5190086246140035}}], 
   InsetBox["\<\"c\"\>", {1.1113579796273758`, 0.505536277929161}, {-1, 1}], 
   CircleBox[{0.5, 0.}, 0.075], CircleBox[{0.5, 0.}, 0.049999999999999996`], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.5, 0.}], 
   CircleBox[{0.43608004995408434`, -0.08330210073057968}, 
    0.0375, {-4.843288674284264, 0.3926990816987246}], 
   PolygonBox[{{0.408962689127962, -0.03754530395247126}, {
    0.44097478216233627`, -0.04612291842906179}, {
    0.4175403036045526, -0.0695573969868455}}], 
   InsetBox["\<\"a\"\>", {0.406329299693163, -0.06047354714275265}, {1, -1}], 
   {RGBColor[0, 0, 0], LineBox[{{0.5, 0.65}, {0.5, 0.575}}], 
    PolygonBox[{{0.5, 0.575}, {0.475, 0.6125}, {0.525, 0.6125}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.5474606143070107`*^9, 3.5474606506180873`*^9}, 
   3.547460710383506*^9, {3.547461071984188*^9, 3.547461081791749*^9}, 
   3.547461254057602*^9, 3.547461369620212*^9, 3.5474614457695675`*^9, {
   3.5474615000596724`*^9, 3.5474615405699897`*^9}, 3.5474615920879364`*^9, 
   3.547461813166581*^9, 3.5474619693145123`*^9, {3.547462040412579*^9, 
   3.547462068349177*^9}, {3.5474623677172995`*^9, 3.5474623859283414`*^9}, 
   3.547463025989951*^9, {3.5474924710961146`*^9, 3.5474924803996468`*^9}, 
   3.547492799772914*^9}]
}, Open  ]],

Cell["Ejemplo 13", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQA2IQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniD7ndaIaRFtU3QXTQZo/doHoLfy2u0G0yWT18IlAmnmN
OZjeZrND0C/vlaPNxzNgGgBxOqrd
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"MakeAutomaton", "[", 
    RowBox[{"NDFA", ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}]}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", 
  RowBox[{"A", ",", 
   RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"AcceptedBy", "[", 
  RowBox[{"A", ",", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "c", ",", "c", ",", "b", ",", "a", ",", "a", ",", "c", ",", "a",
      ",", "a", ",", "c", ",", "c", ",", "c", ",", "a", ",", "c", ",", "b", 
     ",", "b", ",", "b"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"AcceptedBy", "[", 
  RowBox[{"A", ",", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "c", ",", "b", ",", "b", ",", "b", ",", "b", ",", "c", ",", "c",
      ",", "a", ",", "a", ",", "c", ",", "c", ",", "a", ",", "c", ",", "b", 
     ",", "a", ",", "a"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.547492588872851*^9, 3.5474927352432227`*^9}, {
  3.5474928081853952`*^9, 3.547492903892869*^9}, {3.547492935358669*^9, 
  3.5474929454002433`*^9}, {3.5474929816343155`*^9, 3.547493039247611*^9}, {
  3.5474930749706545`*^9, 3.547493101517173*^9}}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{0.5, 0.5}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.5, 0.5}], 
   PolygonBox[{{0.518437581914173, 0.10068797225410375`}, {0.519411428382689, 
    0.07244443697168013}, {0.5433841241956919, 0.08740958039401264}}], 
   CircleBox[{0.21187617205114084`, 0.25}, 0.35511112605663986`, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b,a\"\>", {0.5669872976638918, 0.2499822444437045}, {1, 0}], 
   PolygonBox[{{0.8992711205709848, 0.5184347555152836}, {0.9275555630283199, 
    0.519411428382689}, {0.9125675182852923, 0.5434181376489177}}], 
   CircleBox[{0.75, 0.21187617205114084`}, 0.35511112605663986`, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.75, 0.5669872981077807}, {0, 1}], 
   PolygonBox[{{0.9660452544291601, 0.09820879226834249}, {0.9934633192939256,
     0.07471460235688092}, {1.0001008521662045`, 0.11020643800810821`}}], 
   CircleBox[{0.44337935638852216`, -0.10250096454390845`}, 
    0.5779253614418403, {0.3116619278523474, 1.3588594790489452`}], 
   InsetBox["\<\"b,a\"\>", {0.8311582590286238, 0.32601419979093776`}, \
{1, 1}], CircleBox[{0.3958982895557499, 0.5137052501831054}, 0.0375, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.39853167899054887`, 0.5366334933733868}, {
    0.43054377202492317`, 0.5280558788967963}, {0.42196615754833267`, 
    0.5600679719311706}}], 
   InsetBox["\<\"c\"\>", {0.40079302176400183`, 0.5508844324846233}, \
{-1, -1}], CircleBox[{1., 0.5}, 0.075], 
   CircleBox[{1., 0.5}, 0.049999999999999996`], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {1., 0.5}], 
   PolygonBox[{{1.0241829246369234`, 0.09877944822258448}, {1.025651510749425,
     0.07047694655894313}, {1.049427903124539, 0.08590003027183525}}], 
   CircleBox[{0.7132923165553765, 0.2436121849423309}, 0.3571331361938122, {
    5.776960126970234, 6.824257678166832}], 
   InsetBox["\<\"c,b\"\>", {1.0703712445825233`, 0.2498344133704507}, {1, 1}],
    PolygonBox[{{0.5874324817147077, 0.45658186235108233`}, {
    0.5724444369716801, 0.48058857161731094`}, {0.6007288794290152, 
    0.4815652444847164}}], 
   CircleBox[{0.75, 0.7881238279488592}, 0.35511112605663986`, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"c\"\>", {0.7499822444437045, 0.4330127023361082}, {0, -1}], 
   PolygonBox[{{0.5843381986847921, 0.0710085428773975}, {0.5595015005218427, 
    0.04565710717565405}, {0.5938748369434349, 0.03682361347128532}}], 
   CircleBox[{0.42377826304612715`, 0.5893595391810047}, 0.5603865913451378, {
    4.956917299205085, 6.004114850401683}], 
   InsetBox["\<\"c\"\>", {0.8131289487898048, 0.18632210261915072`}, {1, 1}], 
   CircleBox[{1.0742462120245875`, 0.5742462120245875}, 
    0.0375, {-1.8325957145940457`, 3.4033920413889427`}], 
   PolygonBox[{{1.0908333044311422`, 0.5581991736310269}, {1.064540497833243, 
    0.5380239935387474}, {1.0951591196180328`, 0.5253413451343151}}], 
   InsetBox["\<\"c,b\"\>", {1.100762716319083, 0.5477297077300919}, {-1, 1}], 
   CircleBox[{0.5, 0.}, 0.075], CircleBox[{0.5, 0.}, 0.049999999999999996`], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.5, 0.}], 
   PolygonBox[{{0.8993150152491516, -0.018056620286805835`}, {
    0.9275555630283199, -0.019411428382689024`}, {0.9146085873670233, 
    0.005723007458800566}}], 
   CircleBox[{0.7256682488383929, -0.31068872836485717`}, 
    0.3544022476166588, {0.964709263775106, 2.0119068149717734`}], 
   InsetBox["\<\"a\"\>", {0.7548691416375857, 0.04250847006042702}, {1, 1}], 
   PolygonBox[{{0.45658186235108245`, 0.4125675182852923}, {
    0.48058857161731094`, 0.4275555630283199}, {0.4815652444847164, 
    0.39927112057098496`}}], 
   CircleBox[{0.7881238279488592, 0.25}, 0.35511112605663986`, {
    2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"b\"\>", {0.4330127018922193, 0.25000000000000006`}, {-1, 0}],
    CircleBox[{0.4416651255329418, -0.08730430929176726}, 
    0.0375, {-4.7778388273344765`, 0.4581489286485123}], 
   PolygonBox[{{0.4116131873650787, -0.0434190415824077}, {
    0.44411774287907213`, -0.04988459967031963}, {
    0.42226612756829973`, -0.07480159144020355}}], 
   InsetBox["\<\"c,b\"\>", {0.41048501507159635`, -0.06647042555353218}, \
{1, -1}], CircleBox[{1., 0.}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {1., 0.}], 
   PolygonBox[{{0.5296040465912739, 0.40035883019375873`}, {
    0.5374935046219824, 0.4350443450409329}, {0.5635873126076234, 
    0.41086911654066116`}}], 
   CircleBox[{1.0777070099049433`, 0.5859979149258683}, 0.5609078458633916, {
    3.4140756539902593`, 4.461273205186858}], 
   InsetBox["\<\"c,b\"\>", {0.6853451758049277, 0.18516153597208357`}, \
{1, 1}], CircleBox[{1.0709369717996444`, -0.07741412036506301}, 
    0.0375, {-3.4470252726888004`, 1.7889624832941884`}], 
   PolygonBox[{{1.0211664432889664`, -0.09617392317146316}, {
    1.035172586146586, -0.06613765288365278}, {
    1.0541816878219556`, -0.09328546355129043}}], 
   InsetBox["\<\"a\"\>", {1.0432890716692649`, -0.10274875315065027`}, \
{1, 1}], 
   {RGBColor[0, 0, 0], LineBox[{{0.5, 0.65}, {0.5, 0.575}}], 
    PolygonBox[{{0.5, 0.575}, {0.475, 0.6125}, {0.525, 0.6125}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.5474927135189805`*^9, {3.547492805319231*^9, 3.54749290600499*^9}, 
   3.547492947760378*^9, 3.5474929879146748`*^9, {3.54749304849714*^9, 
   3.5474931200962353`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5474927135189805`*^9, {3.547492805319231*^9, 3.54749290600499*^9}, 
   3.547492947760378*^9, 3.5474929879146748`*^9, {3.54749304849714*^9, 
   3.5474931201222367`*^9}}],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{
  3.5474927135189805`*^9, {3.547492805319231*^9, 3.54749290600499*^9}, 
   3.547492947760378*^9, 3.5474929879146748`*^9, {3.54749304849714*^9, 
   3.5474931201252365`*^9}}]
}, Open  ]],

Cell["Ejemplo 14", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145269790473`*^9, 3.5408145274750757`*^9}, {3.540815761449655*^9, 
   3.5408157619486837`*^9}, {3.541888710413685*^9, 3.541888711102724*^9}, {
   3.5474641415917597`*^9, 3.5474641654721255`*^9}, {3.5474644429599967`*^9, 
   3.5474644550486884`*^9}, 3.547464523005575*^9, {3.5474657606503644`*^9, 
   3.5474657641935673`*^9}, {3.547475330303717*^9, 3.547475331101763*^9}, {
   3.5474924968255863`*^9, 3.547492497477624*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Aut\[OAcute]mata determin\[IAcute]stico equivalente completo", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145269790473`*^9, 3.5408145274750757`*^9}, {3.540815761449655*^9, 
   3.5408157619486837`*^9}, {3.541888710413685*^9, 3.541888711102724*^9}, {
   3.5474641415917597`*^9, 3.5474641654721255`*^9}, {3.5474644429599967`*^9, 
   3.5474644550486884`*^9}, 3.547464523005575*^9, {3.5474657606503644`*^9, 
   3.5474657641935673`*^9}, {3.547475330303717*^9, 3.547475331101763*^9}, {
   3.5474797914848824`*^9, 3.5474798168583336`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{"MakeAutomaton", "[", 
     RowBox[{"NDFA", ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", 
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
          RowBox[{"{", "}"}]}], "}"}]}], "}"}], ",", 
      SubscriptBox["\[Sigma]", "0"], ",", 
      RowBox[{"{", 
       SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AutomDeterEquivalente", "[", "A_", "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ToString", "[", 
       RowBox[{"AutomatonType", "[", "A", "]"}], "]"}], "\[Equal]", 
      RowBox[{"ToString", "[", "NDFA", "]"}]}], ",", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"CP", "=", 
          RowBox[{"Subsets", "[", 
           RowBox[{"States", "[", "A", "]"}], "]"}]}], ",", 
         RowBox[{"EA", "=", 
          RowBox[{"FinalStates", "[", "A", "]"}]}], ",", 
         RowBox[{"EstadosAceptados", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"Transiciones", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"ES", "=", 
          RowBox[{"Transitions", "[", "A", "]"}]}]}], "}"}], ",", 
       RowBox[{
        RowBox[{
        "Print", "[", 
         "\"\<El diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico es: \>\"", "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{"A", ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}], ";", 
        RowBox[{"Estados", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           SubscriptBox["\[Mu]", "i"], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{
              RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], "}"}]}], 
          "]"}]}], ";", 
        RowBox[{"Print", "[", "\"\<Los estados son: \>\"", "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{
            RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
          RowBox[{
           RowBox[{"Print", "[", 
            RowBox[{
             SubscriptBox["\[Mu]", "i"], ",", "\"\<=\>\"", ",", 
             RowBox[{"CP", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"SE", "=", 
         RowBox[{"Alphabet", "[", "A", "]"}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<Los s\[IAcute]mbolos de entrada corresponden a: \>\"", ",", " ",
           "SE"}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{
            RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"MemberQ", "[", 
                RowBox[{
                 RowBox[{"CP", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"InitialState", "[", "A", "]"}]}], "]"}], "\[Equal]",
                "True"}], "&&", 
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"CP", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], "\[Equal]", 
               "1"}]}], ",", 
             RowBox[{
              RowBox[{"EI", "=", 
               SubscriptBox["\[Mu]", "i"]}], ";", 
              RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<El estado inicial del aut\[OAcute]mata equivalente es: \>\"", 
          ",", " ", "EI"}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "EA", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "0"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{
               RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{
                    RowBox[{"CP", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"EA", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[Equal]", 
                  "True"}], "&&", 
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{"EstadosAceptados", ",", 
                    SubscriptBox["\[Mu]", "j"]}], "]"}], "\[Equal]", 
                  "False"}]}], ",", 
                RowBox[{"EstadosAceptados", "=", 
                 RowBox[{"Append", "[", 
                  RowBox[{"EstadosAceptados", ",", 
                   SubscriptBox["\[Mu]", "j"]}], "]"}]}]}], "]"}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Los estados aceptados son: \>\"", ",", 
          RowBox[{"Sort", "[", "EstadosAceptados", "]"}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "CP", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{"Length", "[", "SE", "]"}]}], ",", 
             RowBox[{
              RowBox[{"Imagen", "=", 
               RowBox[{"{", "}"}]}], ";", 
              RowBox[{"CImagen", "=", 
               RowBox[{"CP", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"CImagen", "\[NotEqual]", 
                 RowBox[{"{", "}"}]}], ",", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"k", "=", "1"}], ",", 
                  RowBox[{"k", "\[LessEqual]", 
                   RowBox[{"Length", "[", "CImagen", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"h", "=", "1"}], ",", 
                    RowBox[{"h", "\[LessEqual]", 
                    RowBox[{"Length", "[", "ES", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Transicion", "=", 
                    RowBox[{"ES", "[", 
                    RowBox[{"[", "h", "]"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"CImagen", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "&&", 
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"Imagen", "=", 
                    RowBox[{"Union", "[", 
                    RowBox[{"Imagen", ",", 
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], ";", 
                    RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"h", "++"}]}]}], "]"}], ";", 
                   RowBox[{"k", "++"}]}]}], "]"}]}], "]"}], ";", 
              RowBox[{"Transiciones", "=", 
               RowBox[{"Append", "[", 
                RowBox[{"Transiciones", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Mu]", 
                    RowBox[{"i", "-", "1"}]], ",", 
                   RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", "Imagen"}], "}"}]}], 
                "]"}]}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", 
           RowBox[{"Length", "[", "Transiciones", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "CP", "]"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "\[Equal]", 
                 RowBox[{"CP", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "=", 
                 SubscriptBox["\[Mu]", 
                  RowBox[{"i", "-", "1"}]]}]}], "]"}], ";", 
              RowBox[{"i", "++"}]}]}], "]"}], ";", 
           RowBox[{"j", "++"}]}]}], "]"}], ";", 
        RowBox[{"B", "=", 
         RowBox[{"MakeAutomaton", "[", 
          RowBox[{
          "DFA", ",", "Estados", ",", "Transiciones", ",", "EI", ",", 
           "EstadosAceptados", ",", "SE"}], "]"}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{"B", ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}], ";", 
        RowBox[{
        "Print", "[", 
         "\"\<El diagrama de transici\[OAcute]n minimizado del nuevo aut\
\[OAcute]mata es: \>\"", "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{
           RowBox[{"MinimizeAutomaton", "[", "B", "]"}], ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}]}]}], 
      "]"}], ",", 
     RowBox[{
     "Print", "[", 
      "\"\<El par\[AAcute]metro ingresado no es un aut\[OAcute]mata no \
determin\[IAcute]stico\>\"", "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"AutomDeterEquivalente", "[", "A", "]"}]}], "Input",
 CellChangeTimes->{{3.5474638519171915`*^9, 3.5474639210581455`*^9}, {
   3.547463959452342*^9, 3.547463970975001*^9}, {3.54746403844386*^9, 
   3.5474641289870386`*^9}, {3.547464175040673*^9, 3.547464190295545*^9}, {
   3.5474644499793987`*^9, 3.547464657235253*^9}, {3.54746473079646*^9, 
   3.5474649497989864`*^9}, {3.54746500684925*^9, 3.5474650944592605`*^9}, {
   3.547465232952182*^9, 3.5474653093495517`*^9}, {3.5474653426744576`*^9, 
   3.547465457795042*^9}, {3.5474654900158854`*^9, 3.5474655062468133`*^9}, {
   3.547465542098864*^9, 3.547465574464715*^9}, {3.5474656085856667`*^9, 
   3.547465673468378*^9}, {3.5474658603080645`*^9, 3.547466221169705*^9}, {
   3.5474662617370253`*^9, 3.547466383265976*^9}, {3.547466421246148*^9, 
   3.547466432377785*^9}, {3.54746648613186*^9, 3.5474665101382327`*^9}, {
   3.5474665426790943`*^9, 3.5474665810232873`*^9}, {3.547466615755274*^9, 
   3.547466618699442*^9}, 3.5474666534804316`*^9, {3.547466699845083*^9, 
   3.5474668756761403`*^9}, {3.547466916187457*^9, 3.5474671076124067`*^9}, {
   3.547467189389084*^9, 3.5474674856050262`*^9}, {3.5474675500167103`*^9, 
   3.5474676401678667`*^9}, {3.5474676756578965`*^9, 
   3.5474677213765116`*^9}, {3.547467752341283*^9, 3.547467794638702*^9}, {
   3.5474678420984163`*^9, 3.547467931623537*^9}, {3.5474682370540066`*^9, 
   3.5474683636852493`*^9}, {3.5474684218545766`*^9, 
   3.5474684370414453`*^9}, {3.5474684721354523`*^9, 3.547468483861123*^9}, {
   3.547468529138713*^9, 3.5474686014438486`*^9}, {3.5474686935401163`*^9, 
   3.5474688087647066`*^9}, {3.547469090272808*^9, 3.5474691818740473`*^9}, {
   3.54746929363544*^9, 3.547469324645213*^9}, {3.5474693631464157`*^9, 
   3.5474694309402933`*^9}, {3.547469474668794*^9, 3.5474694775389585`*^9}, {
   3.5474695660030184`*^9, 3.547469600185973*^9}, 3.547469640150259*^9, {
   3.5474697637983313`*^9, 3.5474697714207673`*^9}, {3.5474698627699924`*^9, 
   3.5474699182651663`*^9}, {3.5474699956425924`*^9, 
   3.5474700014909267`*^9}, {3.5474700957723193`*^9, 3.547470151186489*^9}, {
   3.547470196681091*^9, 3.5474702291869497`*^9}, {3.547470329594693*^9, 
   3.547470330496745*^9}, {3.547474419672632*^9, 3.54747442278381*^9}, {
   3.547474455003653*^9, 3.5474744609039907`*^9}, {3.5474745640258884`*^9, 
   3.547474580817849*^9}, {3.547474673460148*^9, 3.5474746739091735`*^9}, {
   3.547474719489781*^9, 3.5474749352281203`*^9}, {3.547474988705179*^9, 
   3.5474750093303585`*^9}, {3.547475068507744*^9, 3.547475363580621*^9}, {
   3.5474754332006025`*^9, 3.547475449274522*^9}, {3.5474757109424887`*^9, 
   3.5474757112885084`*^9}, {3.5474757481686177`*^9, 3.547475822997898*^9}, {
   3.547475860731056*^9, 3.5474759060026455`*^9}, {3.547475952609311*^9, 
   3.547475965593054*^9}, {3.5474760803136153`*^9, 3.547476095359476*^9}, 
   3.54747616886168*^9, 3.5474786242851224`*^9, {3.547478717938479*^9, 
   3.5474787603649054`*^9}, {3.5474788833359394`*^9, 3.547478884987034*^9}, {
   3.5474789466665616`*^9, 3.547478954705021*^9}, {3.5474789892769985`*^9, 
   3.5474790353546343`*^9}, {3.5474790778550653`*^9, 
   3.5474791276919155`*^9}, {3.547479231494853*^9, 3.547479234581029*^9}, 
   3.5474836498925705`*^9, {3.547484075707926*^9, 3.5474840766989822`*^9}, 
   3.5474841448058777`*^9, {3.547484615816818*^9, 3.5474846268554497`*^9}, {
   3.547554352407259*^9, 3.5475545122153997`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"El diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico es: \"\>"], "Print",
 CellChangeTimes->{3.547554537023819*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{0.5, 0.5}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.5, 0.5}], 
   PolygonBox[{{0.518437581914173, 0.10068797225410375`}, {0.519411428382689, 
    0.07244443697168013}, {0.5433841241956919, 0.08740958039401264}}], 
   CircleBox[{0.21187617205114084`, 0.25}, 0.35511112605663986`, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"c\"\>", {0.5669872976638918, 0.2499822444437045}, {1, 0}], 
   PolygonBox[{{0.8992711205709848, 0.5184347555152836}, {0.9275555630283199, 
    0.519411428382689}, {0.9125675182852923, 0.5434181376489177}}], 
   CircleBox[{0.75, 0.21187617205114084`}, 0.35511112605663986`, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"c,b,a\"\>", {0.75, 0.5669872981077807}, {0, 1}], 
   CircleBox[{0.3958982895557499, 0.48629474981689463`}, 0.0375, {
    0.6544984694978737, 5.890486225480862}], 
   PolygonBox[{{0.392507682413112, 0.5091233034047217}, {0.42564903981667124`,
     0.5091233034047217}, {0.40907836111489165`, 0.5378245608321034}}], 
   InsetBox["\<\"c,b\"\>", {0.391003557347498, 0.5234739321184125}, {1, -1}], 
   CircleBox[{1., 0.5}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {1., 0.5}], 
   PolygonBox[{{0.5874324817147077, 0.45658186235108233`}, {
    0.5724444369716801, 0.48058857161731094`}, {0.6007288794290152, 
    0.4815652444847164}}], 
   CircleBox[{0.75, 0.7881238279488592}, 0.35511112605663986`, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"a\"\>", {0.7499822444437045, 0.4330127023361082}, {0, -1}], 
   PolygonBox[{{0.5893905784470046, 0.06331506931299768}, {0.5649519052838329,
     0.0375}, {0.5995277476909309, 0.029243022862407098`}}], 
   CircleBox[{0.4194392033916134, 0.5805607966083866}, 0.5622179072431874, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"c\"\>", {0.8169475413106347, 0.1829729490705545}, {1, 1}], 
   CircleBox[{1.097007350913685, 0.5401817603983343}, 
    0.0375, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0976132758836419`, 0.48699653157962935`}, {
    1.074178797325858, 0.510431010137413}, {1.1061908903602322`, 
    0.5190086246140035}}], 
   InsetBox["\<\"c\"\>", {1.1113579796273758`, 0.505536277929161}, {-1, 1}], 
   CircleBox[{0.5, 0.}, 0.075], CircleBox[{0.5, 0.}, 0.049999999999999996`], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.5, 0.}], 
   CircleBox[{0.43608004995408434`, -0.08330210073057968}, 
    0.0375, {-4.843288674284264, 0.3926990816987246}], 
   PolygonBox[{{0.408962689127962, -0.03754530395247126}, {
    0.44097478216233627`, -0.04612291842906179}, {
    0.4175403036045526, -0.0695573969868455}}], 
   InsetBox["\<\"a\"\>", {0.406329299693163, -0.06047354714275265}, {1, -1}], 
   {RGBColor[0, 0, 0], LineBox[{{0.5, 0.65}, {0.5, 0.575}}], 
    PolygonBox[{{0.5, 0.575}, {0.475, 0.6125}, {0.525, 0.6125}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.547554537065821*^9}],

Cell[BoxData["\<\"Los estados son: \"\>"], "Print",
 CellChangeTimes->{3.5475545370688214`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "0"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 0], "=", {}],
  Editable->False]], "Print",
 CellChangeTimes->{3.547554537070822*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "1"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "0"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 1], "=", {
    Subscript[$CellContext`\[Sigma], 0]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5475545370778217`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "2"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "1"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 2], "=", {
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.547554537079822*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "3"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "2"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 3], "=", {
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.547554537082822*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "4"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 4], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.547554537085822*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "5"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 5], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5475545370888224`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "6"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 6], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.547554537094823*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "7"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 7], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.547554537097823*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Los s\[IAcute]mbolos de entrada corresponden a: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}]}],
  SequenceForm[
  "Los s\[IAcute]mbolos de entrada corresponden a: ", {$CellContext`a, \
$CellContext`b, $CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5475545371008234`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El estado inicial del aut\[OAcute]mata equivalente es: \"\>", 
   "\[InvisibleSpace]", 
   SubscriptBox["\[Mu]", "1"]}],
  SequenceForm["El estado inicial del aut\[OAcute]mata equivalente es: ", 
   Subscript[$CellContext`\[Mu], 1]],
  Editable->False]], "Print",
 CellChangeTimes->{3.5475545371038237`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Los estados aceptados son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "3"], ",", 
     SubscriptBox["\[Mu]", "5"], ",", 
     SubscriptBox["\[Mu]", "6"], ",", 
     SubscriptBox["\[Mu]", "7"]}], "}"}]}],
  SequenceForm["Los estados aceptados son: ", {
    Subscript[$CellContext`\[Mu], 3], 
    Subscript[$CellContext`\[Mu], 5], 
    Subscript[$CellContext`\[Mu], 6], 
    Subscript[$CellContext`\[Mu], 7]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5475545371078234`*^9}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.049999999999999996`], InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.6666666666666666, 0.33333333333333337`}], 
   CircleBox[{0.7342814745069014, 0.3152160001761569}, 
    0.024999999999999998`, {-2.879793265790643, 2.3561944901923453`}], 
   PolygonBox[{{0.713017205640935, 0.2868403050507861}, {0.7101333288496747, 
    0.3087455240485939}, {0.7305457433728679, 0.3002904251123058}}], 
   InsetBox["\<\"c,b,a\"\>", {0.7278109983793384, 0.2910678545189302}, \
{1, 1}], CircleBox[{0.3333333333333333, 0.6666666666666667}, 
    0.049999999999999996`], InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.33509619276283814`, 0.40209337787399185`}, {
    0.33483188805728303`, 0.3833108716254434}, {0.35123016796804346`, 
    0.3924732301603671}}], 
   CircleBox[{0.13698558519452553`, 0.5107500304310274}, 
    0.23533783961262342`, {5.710846199498503, 6.758143750695101}], 
   InsetBox["\<\"b\"\>", {0.37204451650759485`, 0.49929587993897256`}, \
{1, 1}], PolygonBox[{{0.9351311622601601, 0.6998242937706439}, {
    0.9646446609406727, 0.7020220057259942}, {0.9479846372168823, 
    0.7264825893602015}}], 
   CircleBox[{0.7002429704120141, 0.18315588003752126`}, 0.5823489592515356, {
    1.099517350435909, 2.146714901632452}], 
   InsetBox["\<\"c\"\>", {0.6697884883691648, 0.764707971311251}, {1, 1}], 
   PolygonBox[{{0.5989853132976173, 0.6806941035949775}, {0.6183703753522132, 
    0.6796076189217928}, {0.6096187676527156, 0.696938817451603}}], 
   CircleBox[{0.4741180954897469, 0.47458411470075035`}, 
    0.25068577448389573`, {0.9576657047302186, 2.0048632559267743`}], 
   InsetBox["\<\"a\"\>", {0.49653248229394836`, 0.724265817660303}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.6790729640665977, 0.40047870262135477`}, {
    0.6796076189217927, 0.38162962464778677`}, {0.6956640718572188, 
    0.39151718832142635`}}], 
   CircleBox[{0.47495027285969355`, 0.5014533062277581}, 
    0.23715468362349532`, {5.753407427218436, 6.800704978415033}], 
   InsetBox["\<\"b\"\>", {0.7121005020301627, 0.4999997695223043}, {1, 1}], 
   PolygonBox[{{0.38943767745583446`, 0.6302587697812899}, {
    0.3788765245793921, 0.646031315176447}, {0.39781652601216255`, 
    0.6472912691631186}}], 
   CircleBox[{0.4919599047613485, 0.8572862736135232}, 0.239617420772329, {
    4.220906910420432, 5.268004461616584}], 
   InsetBox["\<\"a\"\>", {0.49964232929429053`, 0.6177920384201077}, {1, 1}], 
   PolygonBox[{{0.37526347689698086`, 0.0691822832637608}, {
    0.36173179638286423`, 0.041152488338184696`}, {0.3927721511083396, 
    0.0434486067198529}}], 
   CircleBox[{0.008887157105595638, 0.5837111036418339}, 0.6472010433450482, {
    5.288899383683361, 6.336196934879958}], 
   InsetBox["\<\"c\"\>", {0.5857242128784199, 0.29023503716577764`}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.}, 0.049999999999999996`], 
   CircleBox[{0.6666666666666666, 0.}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "3"], {0.6666666666666666, 0.}], 
   PolygonBox[{{0.6377212415673882, 0.275045012190195}, {0.6537257144115406, 
    0.28503704201887997`}, {0.6543768296564775, 0.26618074704732336`}}], 
   CircleBox[{0.8587492186325728, 0.16666666666666669`}, 
    0.23674075070442668`, {2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"c,b\"\>", {0.6220084679281461, 0.1666666666666667}, {-1, 0}],
    CircleBox[{0.6847839998238431, -0.06761480784023478}, 
    0.024999999999999998`, {2.356194490192345, 7.592182246175334}], 
   PolygonBox[{{0.6495777925622465, -0.06338725837209068}, {
    0.6671063302941794, -0.049937138310571096`}, {
    0.6699902070854397, -0.07184235730837889}}], 
   InsetBox["\<\"a\"\>", {0.6606358541666164, -0.07408528396779779}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.049999999999999996`], InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.3333333333333333, 0.33333333333333337`}], 
   PolygonBox[{{0.9231353485010133, 0.6417244394426083}, {0.9512114967897963, 
    0.6557267418722292}, {0.9250470730298804, 0.6730402483159239}}], 
   CircleBox[{0.8977823141827507, 0.0034629467473612507`}, 
    0.6544484211798145, {1.4890653433536625`, 2.5362628945502586`}], 
   InsetBox["\<\"c\"\>", {0.6179214460614568, 0.5950545545978678}, {1, 1}], 
   CircleBox[{0.27635530202497877`, 0.2926700335628503}, 
    0.024999999999999998`, {1.1434379769069971`, 6.3794257328899855`}], 
   PolygonBox[{{0.2672115179792339, 0.3050441877326198}, {0.2867170065554854, 
    0.31542162865467804`}, {0.267977134802585, 0.3271251568139099}}], 
   InsetBox["\<\"b,a\"\>", {0.26183269496409195`, 0.31301933045869124`}, \
{1, -1}], CircleBox[{1., 0.33333333333333337`}, 0.049999999999999996`], 
   CircleBox[{1., 0.33333333333333337`}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "5"], {1., 0.33333333333333337`}], 
   PolygonBox[{{0.9820799157270176, 0.6075127019221261}, {0.9985014452760502, 
    0.6166891283745567}, {0.9982376989252982, 0.5978794533898822}}], 
   CircleBox[{1.1963477481388072`, 0.48924996956897276`}, 
    0.23533783961262345`, {2.5693535459087093`, 3.6165510971053094`}], 
   InsetBox["\<\"c\"\>", {0.9612882444120372, 0.5006923671001491}, {1, 1}], 
   PolygonBox[{{0.39614486608464045`, 0.29331701948854183`}, {
    0.38108324738617566`, 0.3185027666568315}, {0.4104255535964389, 
    0.3189536374876719}}], 
   CircleBox[{0.6707509640583122, 0.812400642241272}, 0.5725753204504018, {
    4.181960196982468, 5.229057748179079}], 
   InsetBox["\<\"b\"\>", {0.6668116724628596, 0.23983887302278284`}, {1, 1}], 
   PolygonBox[{{0.4077038473319889, -0.03281578559940757}, {
    0.380767498235859, -0.015811388300841903`}, {
    0.40896191282052524`, -0.0009860243476702488}}], 
   CircleBox[{0.4211890482479537, 0.6576219035040923}, 0.6746453143812754, {
    4.652437813787198, 5.699535364983795}], 
   InsetBox["\<\"a\"\>", {0.7228694335468051, 0.054185705267239315`}, {1, 1}],
    CircleBox[{0.3333333333333333, 0.}, 0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.3333333333333333, 0.}], 
   PolygonBox[{{0.9250139026026194, 0.3644777115720465}, {0.9525658350974743, 
    0.34914472163417526`}, {0.9255111100478792, 0.33295054313921263`}}], 
   CircleBox[{0.9493353290080808, -0.31186038470507405`}, 
    0.6610130004592623, {1.5659091022663751`, 2.6131066534629737`}], 
   InsetBox["\<\"a\"\>", {0.6216304761789507, 0.26220208246064725`}, {1, 1}], 
   PolygonBox[{{0.6002239546774927, 0.315304436291192}, {0.6233653964774447, 
    0.3083333333333334}, {0.6057575233235662, 0.29177780833330513`}}], 
   CircleBox[{0.702072594216369, -0.07200846792814608}, 0.3884001915070861, {
    1.7748541186524376`, 2.8220516698490354`}], 
   InsetBox["\<\"b\"\>", {0.44373926088303545`, 0.21802359521596548`}, \
{1, 1}], CircleBox[{0.27654638037104406`, -0.040929719926463534`}, 
    0.024999999999999998`, {1.1481216617974264`, 6.384109417780415}], 
   PolygonBox[{{0.2673447401912541, -0.028598527928358965`}, {
    0.28680141033733786`, -0.018129843602447744`}, {
    0.2680069286938569, -0.006514215145840524}}], 
   InsetBox["\<\"c\"\>", {0.26192862325444993`, -0.020648665297074514`}, \
{1, -1}], CircleBox[{1., 0.6666666666666667}, 0.049999999999999996`], 
   CircleBox[{1., 0.6666666666666667}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "7"], {1., 0.6666666666666667}], 
   PolygonBox[{{0.40826285692192954`, 0.3270477613425776}, {
    0.38210125526986927`, 0.344364642865385}, {0.4101789154089759, 
    0.35836281373835444`}}], 
   CircleBox[{0.4356198700180414, 0.9966005695272832}, 0.6544279533707807, {
    4.630518319553753, 5.677615870750351}], 
   InsetBox["\<\"b\"\>", {0.7153597724425655, 0.4049743926684608}, {1, 1}], 
   CircleBox[{1.0650657792360287`, 0.6924822505726793}, 
    0.024999999999999998`, {-2.2402825879421435`, 2.995705168040845}], 
   PolygonBox[{{1.0649382843230928`, 0.6570233595959544}, {
    1.0495511985994486`, 0.6728787358961972}, {1.0709759001238428`, 
    0.6782766548729605}}], 
   InsetBox["\<\"c,a\"\>", {1.0742856306310333`, 0.6692444722740977}, \
{-1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.3333333333333333, 0.7666666666666667}, {0.3333333333333333, 
     0.7166666666666668}}], 
    PolygonBox[{{0.3333333333333333, 0.7166666666666668}, {
     0.31666666666666665`, 0.7416666666666667}, {0.35, 0.7416666666666667}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.547554537116824*^9}],

Cell[BoxData["\<\"El diagrama de transici\[OAcute]n minimizado del nuevo aut\
\[OAcute]mata es: \"\>"], "Print",
 CellChangeTimes->{3.5475545371198244`*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{1., 0.6666666666666667}, 0.049999999999999996`], 
   InsetBox[
    SubscriptBox["\[Mu]", "0"], {1., 0.6666666666666667}], 
   CircleBox[{1.0606217782649108`, 0.7016666666666668}, 
    0.024999999999999998`, {-2.094395102393195, 3.1415926535897936`}], 
   PolygonBox[{{1.0656503159968438`, 0.6665659115105362}, {
    1.0481217782649108`, 0.6800160315720558}, {1.068534192788104, 
    0.688471130508344}}], 
   InsetBox["\<\"c,b,a\"\>", {1.0731217782649107`, 0.6800160315720558}, \
{-1, 1}], 
   CircleBox[{0.3333333333333333, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.3456250546094486, 0.4004586481694025}, {
    0.34627428558845935`, 0.38162962464778677`}, {0.36225608279712795`, 
    0.39160638692934174`}}], 
   CircleBox[{0.1412507813674272, 0.5}, 0.23674075070442663`, {
    5.759486531581288, 6.806784082777885}], 
   InsetBox["\<\"c\"\>", {0.37799153177592787`, 0.4999881629624697}, {1, 0}], 
   PolygonBox[{{0.5995140803806565, 0.6789565036768558}, {0.6183703753522132, 
    0.6796076189217928}, {0.6083783455235281, 0.6956120917659451}}], 
   CircleBox[{0.49999999999999994`, 0.4745841147007607}, 
    0.23674075070442657`, {1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.49999999999999994`, 0.7113248654051872}, {0, 1}], 
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.6730554525157829, 0.4016979813953808}, {0.6731929762776692, 
    0.3829055764020239}, {0.6893989145191787, 0.3924208779701198}}], 
   CircleBox[{0.47248180001187134`, 0.5061932193631284}, 0.2355521580985939, {
    5.732250798262845, 6.779548349459441}], 
   InsetBox["\<\"c\"\>", {0.7079462779355978, 0.4997668034870807}, {1, 1}], 
   PolygonBox[{{0.9328474137139898, 0.6789565036768559}, {0.9517037086855465, 
    0.6796076189217928}, {0.9417116788568615, 0.6956120917659452}}], 
   CircleBox[{0.8333333333333333, 0.4745841147007607}, 0.23674075070442657`, {
    1.0471975511965976`, 2.094395102393195}], 
   InsetBox["\<\"b\"\>", {0.8333333333333334, 0.7113248654051872}, {0, 1}], 
   PolygonBox[{{0.3916216544764718, 0.6377212415673883}, {0.3816296246477867, 
    0.6537257144115407}, {0.40048591961934343`, 0.6543768296564776}}], 
   CircleBox[{0.49999999999999994`, 0.8587492186325728}, 
    0.23674075070442657`, {4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"a\"\>", {0.4999881629624696, 0.6220084682240722}, {0, -1}], 
   CircleBox[{1., 0.33333333333333337`}, 0.049999999999999996`], 
   CircleBox[{1., 0.33333333333333337`}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "3"], {1., 0.33333333333333337`}], 
   PolygonBox[{{0.9710545749007217, 0.6083783455235283}, {0.987059047744874, 
    0.6183703753522133}, {0.987710162989811, 0.5995140803806567}}], 
   CircleBox[{1.1920825519659062`, 0.5}, 0.23674075070442663`, {
    2.6179938779914944`, 3.6651914291880914`}], 
   InsetBox["\<\"c,b\"\>", {0.9553418012614796, 0.5}, {-1, 0}], 
   CircleBox[{1.0181173331571765`, 0.2657185254930986}, 
    0.024999999999999998`, {2.356194490192345, 7.592182246175334}], 
   PolygonBox[{{0.9829111258955798, 0.2699460749612427}, {1.0004396636275128`,
     0.2833961950227623}, {1.003323540418773, 0.2614909760249545}}], 
   InsetBox["\<\"a\"\>", {0.9939691874999498, 0.2592480493655356}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.}, 0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "5"], {0.3333333333333333, 0.}], 
   PolygonBox[{{0.6002724791232005, 0.3138468791574692}, {0.6233653964774447, 
    0.3083333333333334}, {0.6070440670516913, 0.2910910531691313}}], 
   CircleBox[{0.7203738644055907, -0.05370719773892396}, 0.374811938162125, {
    1.8325957145940455`, 2.8797932657906444`}], 
   InsetBox["\<\"a\"\>", {0.4553418012614792, 0.21132486540518758`}, {1, 1}], 
   PolygonBox[{{0.3043879082340549, 0.27504501219019495`}, {
    0.3203923810782073, 0.28503704201887997`}, {0.3210434963231442, 
    0.2661807470473233}}], 
   CircleBox[{0.5254158852992394, 0.16666666666666669`}, 
    0.23674075070442668`, {2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"c\"\>", {0.28867513459481275`, 0.1666666666666667}, {-1, 0}],
    CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.049999999999999996`], 
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.6666666666666666, 0.33333333333333337`}], 
   PolygonBox[{{0.9335521185055868, 0.6467735109980728}, {0.9566987298107781, 
    0.6416666666666667}, {0.9407027672340122, 0.6241745354305501}}], 
   CircleBox[{1.0595730261206704`, 0.2825188420307507}, 0.3735910608967587, {
    1.8497667835728007`, 2.896964334769396}], 
   InsetBox["\<\"b\"\>", {0.7909073598018987, 0.5421128337244263}, {1, 1}], 
   PolygonBox[{{0.3929270522980031, 0.042210046208665204`}, {
    0.37663460352255523`, 0.024999999999999998`}, {0.3996851651272873, 
    0.019495348574938058`}}], 
   CircleBox[{0.279626135594409, 0.38704053107225755`}, 0.374811938162125, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"a\"\>", {0.5446316942070899, 0.12198196604703615`}, {1, 1}], 
   CircleBox[{0.7248695395278448, 0.2944434170219612}, 
    0.024999999999999998`, {-3.2070425005395804`, 2.028945255443408}], 
   PolygonBox[{{0.6956126943882718, 0.2744087915767191}, {0.6999230664468797, 
    0.2960784952527148}, {0.7165343942934691, 0.2815107517121998}}], 
   InsetBox["\<\"c\"\>", {0.7109802837023548, 0.2736566767143976}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "7"], {0.3333333333333333, 0.33333333333333337`}], 
   CircleBox[{0.4009481411735681, 0.3152160001761569}, 
    0.024999999999999998`, {-2.879793265790643, 2.3561944901923453`}], 
   PolygonBox[{{0.37968387230760164`, 0.2868403050507861}, {
    0.37679999551634136`, 0.3087455240485939}, {0.3972124100395345, 
    0.3002904251123058}}], 
   InsetBox["\<\"c,a\"\>", {0.39447766504600507`, 0.2910678545189302}, \
{1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.3333333333333333, 0.7666666666666667}, {0.3333333333333333, 
     0.7166666666666668}}], 
    PolygonBox[{{0.3333333333333333, 0.7166666666666668}, {
     0.31666666666666665`, 0.7416666666666667}, {0.35, 0.7416666666666667}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.547554537123824*^9}]
}, Open  ]]
}, Open  ]],

Cell["Aut\[OAcute]mata determin\[IAcute]stico equivalente simplificado", \
"Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145269790473`*^9, 3.5408145274750757`*^9}, {3.540815761449655*^9, 
   3.5408157619486837`*^9}, {3.541888710413685*^9, 3.541888711102724*^9}, {
   3.5474641415917597`*^9, 3.5474641654721255`*^9}, {3.5474644429599967`*^9, 
   3.5474644550486884`*^9}, 3.547464523005575*^9, {3.5474657606503644`*^9, 
   3.5474657641935673`*^9}, {3.547475330303717*^9, 3.547475331101763*^9}, {
   3.5474797914848824`*^9, 3.5474798358994226`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{"MakeAutomaton", "[", 
     RowBox[{"NDFA", ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", 
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
          RowBox[{"{", "}"}]}], "}"}]}], "}"}], ",", 
      SubscriptBox["\[Sigma]", "0"], ",", 
      RowBox[{"{", 
       SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AutomDeterEquivalenteS", "[", 
    RowBox[{"A_", ",", "L_List"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ToString", "[", 
       RowBox[{"AutomatonType", "[", "A", "]"}], "]"}], "\[Equal]", 
      RowBox[{"ToString", "[", "NDFA", "]"}]}], ",", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"CP", "=", 
          RowBox[{"Subsets", "[", 
           RowBox[{"States", "[", "A", "]"}], "]"}]}], ",", 
         RowBox[{"EA", "=", 
          RowBox[{"FinalStates", "[", "A", "]"}]}], ",", 
         RowBox[{"EstadosAceptados", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"Transiciones", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"ES", "=", 
          RowBox[{"Transitions", "[", "A", "]"}]}], ",", 
         RowBox[{"NEstados", "=", "L"}], ",", 
         RowBox[{"NTransiciones", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"NEstadosAceptados", "=", 
          RowBox[{"{", "}"}]}]}], "}"}], ",", 
       RowBox[{
        RowBox[{"Estados", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           SubscriptBox["\[Mu]", "i"], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{
              RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], "}"}]}], 
          "]"}]}], ";", 
        RowBox[{"SE", "=", 
         RowBox[{"Alphabet", "[", "A", "]"}]}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{
            RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"MemberQ", "[", 
                RowBox[{
                 RowBox[{"CP", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"InitialState", "[", "A", "]"}]}], "]"}], "\[Equal]",
                "True"}], "&&", 
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"CP", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], "\[Equal]", 
               "1"}]}], ",", 
             RowBox[{
              RowBox[{"EI", "=", 
               SubscriptBox["\[Mu]", "i"]}], ";", 
              RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "EA", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "0"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{
               RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{
                    RowBox[{"CP", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"EA", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[Equal]", 
                  "True"}], "&&", 
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{"EstadosAceptados", ",", 
                    SubscriptBox["\[Mu]", "j"]}], "]"}], "\[Equal]", 
                  "False"}]}], ",", 
                RowBox[{"EstadosAceptados", "=", 
                 RowBox[{"Append", "[", 
                  RowBox[{"EstadosAceptados", ",", 
                   SubscriptBox["\[Mu]", "j"]}], "]"}]}]}], "]"}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "CP", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{"Length", "[", "SE", "]"}]}], ",", 
             RowBox[{
              RowBox[{"Imagen", "=", 
               RowBox[{"{", "}"}]}], ";", 
              RowBox[{"CImagen", "=", 
               RowBox[{"CP", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"CImagen", "\[NotEqual]", 
                 RowBox[{"{", "}"}]}], ",", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"k", "=", "1"}], ",", 
                  RowBox[{"k", "\[LessEqual]", 
                   RowBox[{"Length", "[", "CImagen", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"h", "=", "1"}], ",", 
                    RowBox[{"h", "\[LessEqual]", 
                    RowBox[{"Length", "[", "ES", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Transicion", "=", 
                    RowBox[{"ES", "[", 
                    RowBox[{"[", "h", "]"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"CImagen", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "&&", 
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"Imagen", "=", 
                    RowBox[{"Union", "[", 
                    RowBox[{"Imagen", ",", 
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], ";", 
                    RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"h", "++"}]}]}], "]"}], ";", 
                   RowBox[{"k", "++"}]}]}], "]"}]}], "]"}], ";", 
              RowBox[{"Transiciones", "=", 
               RowBox[{"Append", "[", 
                RowBox[{"Transiciones", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Mu]", 
                    RowBox[{"i", "-", "1"}]], ",", 
                   RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", "Imagen"}], "}"}]}], 
                "]"}]}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", 
           RowBox[{"Length", "[", "Transiciones", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "CP", "]"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "\[Equal]", 
                 RowBox[{"CP", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "=", 
                 SubscriptBox["\[Mu]", 
                  RowBox[{"i", "-", "1"}]]}]}], "]"}], ";", 
              RowBox[{"i", "++"}]}]}], "]"}], ";", 
           RowBox[{"j", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "L", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{"Length", "[", "Transiciones", "]"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"L", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", 
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "1"}], "]"}], "]"}]}], ",", 
                RowBox[{"NTransiciones", "=", 
                 RowBox[{"Append", "[", 
                  RowBox[{"NTransiciones", ",", 
                   RowBox[{"Transiciones", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], "]"}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "NTransiciones", "]"}]}], ",", 
          RowBox[{
           RowBox[{"NEstados", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"NEstados", ",", 
              RowBox[{"NTransiciones", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "3"}], "]"}], "]"}]}], "]"}]}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"NEstados", "=", 
         RowBox[{"DeleteDuplicates", "[", "NEstados", "]"}]}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "NEstados", "]"}]}], ",", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{"EstadosAceptados", ",", 
                RowBox[{"NEstados", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[Equal]", 
              "True"}], ",", 
             RowBox[{"NEstadosAceptados", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"NEstadosAceptados", ",", 
                RowBox[{"NEstados", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"BS", "=", 
         RowBox[{"MakeAutomaton", "[", 
          RowBox[{
          "DFA", ",", "NEstados", ",", "NTransiciones", ",", "EI", ",", 
           "NEstadosAceptados", ",", "SE"}], "]"}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{"BS", ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}]}]}], 
      "]"}], ",", 
     RowBox[{
     "Print", "[", 
      "\"\<El par\[AAcute]metro ingresado no es un aut\[OAcute]mata no \
determin\[IAcute]stico\>\"", "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "0"], ",", 
     SubscriptBox["\[Mu]", "1"], ",", 
     SubscriptBox["\[Mu]", "2"], ",", 
     SubscriptBox["\[Mu]", "4"], ",", 
     SubscriptBox["\[Mu]", "5"], ",", 
     SubscriptBox["\[Mu]", "6"], ",", 
     SubscriptBox["\[Mu]", "7"]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomDeterEquivalenteS", "[", 
  RowBox[{"A", ",", "L"}], "]"}]}], "Input",
 CellChangeTimes->{{3.547479863352993*^9, 3.547480102183653*^9}, {
   3.5474802295929403`*^9, 3.5474805106870184`*^9}, {3.5474805761547627`*^9, 
   3.5474806737973475`*^9}, 3.547480748446617*^9, {3.547484301178822*^9, 
   3.5474844072068863`*^9}, {3.547484723056952*^9, 3.5474847395498953`*^9}, {
   3.5474848187314243`*^9, 3.5474848216375904`*^9}, {3.547484869754343*^9, 
   3.547485030009509*^9}, {3.547485066488595*^9, 3.547485164951227*^9}, {
   3.54748519717207*^9, 3.5474853359220057`*^9}, 3.5474854022538*^9, {
   3.547485492969989*^9, 3.5474856255965743`*^9}, {3.547485725292277*^9, 
   3.547485758774192*^9}, {3.547485811443204*^9, 3.5474858242629375`*^9}, {
   3.5474859357783155`*^9, 3.5474860126657133`*^9}, {3.5474860516919456`*^9, 
   3.5474863664099464`*^9}, {3.5474867547621593`*^9, 
   3.5474867617815604`*^9}, {3.547486809256276*^9, 3.54748683468073*^9}, {
   3.547486865347484*^9, 3.5474869454810677`*^9}, {3.547487020112336*^9, 
   3.5474871502947817`*^9}, {3.5474872296373205`*^9, 3.547487259635036*^9}, {
   3.5474873326392117`*^9, 3.5474873515712943`*^9}, {3.5474874018131685`*^9, 
   3.5474874097566223`*^9}, {3.5474875157056828`*^9, 
   3.5474875284714127`*^9}, {3.547488016618333*^9, 3.547488022073645*^9}, {
   3.547488151987076*^9, 3.5474881608205805`*^9}, {3.5474882063461847`*^9, 
   3.5474883700365477`*^9}, {3.5474885285346127`*^9, 3.547488600943754*^9}, {
   3.5474887201385717`*^9, 3.547488744787982*^9}, {3.5474887997261243`*^9, 
   3.547488868850078*^9}, {3.5474889068942537`*^9, 3.547488957720161*^9}, {
   3.547489020342743*^9, 3.5474890274671507`*^9}, {3.5474891014553823`*^9, 
   3.5474891667511168`*^9}, {3.5474893600921755`*^9, 3.547489369601719*^9}, {
   3.5474894747547336`*^9, 3.5474894779669175`*^9}, {3.547489523600528*^9, 
   3.547489526369686*^9}}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.049999999999999996`], InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.6666666666666666, 0.33333333333333337`}], 
   CircleBox[{0.7222014004870531, 0.2907200333027229}, 
    0.024999999999999998`, {-3.2724923474893677`, 1.9634954084936211`}], 
   PolygonBox[{{0.6916968693016474, 0.27264179275197464`}, {
    0.6974152789527078, 0.29398318810822416`}, {0.713038264657897, 
    0.27836020240303505`}}], 
   InsetBox["\<\"c,b,a\"\>", {0.7069823647618351, 0.27088619979544204`}, \
{1, 1}], CircleBox[{0.3333333333333333, 0.6666666666666667}, 
    0.049999999999999996`], InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.33509619276283814`, 0.40209337787399185`}, {
    0.33483188805728303`, 0.3833108716254434}, {0.35123016796804346`, 
    0.3924732301603671}}], 
   CircleBox[{0.13698558519452553`, 0.5107500304310274}, 
    0.23533783961262342`, {5.710846199498503, 6.758143750695101}], 
   InsetBox["\<\"b\"\>", {0.37204451650759485`, 0.49929587993897256`}, \
{1, 1}], PolygonBox[{{0.9351311622601601, 0.6998242937706439}, {
    0.9646446609406727, 0.7020220057259942}, {0.9479846372168823, 
    0.7264825893602015}}], 
   CircleBox[{0.7002429704120141, 0.18315588003752126`}, 0.5823489592515356, {
    1.099517350435909, 2.146714901632452}], 
   InsetBox["\<\"c\"\>", {0.6697884883691648, 0.764707971311251}, {1, 1}], 
   PolygonBox[{{0.5989853132976173, 0.6806941035949775}, {0.6183703753522132, 
    0.6796076189217928}, {0.6096187676527156, 0.696938817451603}}], 
   CircleBox[{0.4741180954897469, 0.47458411470075035`}, 
    0.25068577448389573`, {0.9576657047302186, 2.0048632559267743`}], 
   InsetBox["\<\"a\"\>", {0.49653248229394836`, 0.724265817660303}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.6790729640665977, 0.40047870262135477`}, {
    0.6796076189217927, 0.38162962464778677`}, {0.6956640718572188, 
    0.39151718832142635`}}], 
   CircleBox[{0.47495027285969355`, 0.5014533062277581}, 
    0.23715468362349532`, {5.753407427218436, 6.800704978415033}], 
   InsetBox["\<\"b\"\>", {0.7121005020301627, 0.4999997695223043}, {1, 1}], 
   PolygonBox[{{0.38943767745583446`, 0.6302587697812899}, {
    0.3788765245793921, 0.646031315176447}, {0.39781652601216255`, 
    0.6472912691631186}}], 
   CircleBox[{0.4919599047613485, 0.8572862736135232}, 0.239617420772329, {
    4.220906910420432, 5.268004461616584}], 
   InsetBox["\<\"a\"\>", {0.49964232929429053`, 0.6177920384201077}, {1, 1}], 
   PolygonBox[{{0.37526347689698086`, 0.0691822832637608}, {
    0.36173179638286423`, 0.041152488338184696`}, {0.3927721511083396, 
    0.0434486067198529}}], 
   CircleBox[{0.008887157105595638, 0.5837111036418339}, 0.6472010433450482, {
    5.288899383683361, 6.336196934879958}], 
   InsetBox["\<\"c\"\>", {0.5857242128784199, 0.29023503716577764`}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.049999999999999996`], InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.3333333333333333, 0.33333333333333337`}], 
   PolygonBox[{{0.9231353485010133, 0.6417244394426083}, {0.9512114967897963, 
    0.6557267418722292}, {0.9250470730298804, 0.6730402483159239}}], 
   CircleBox[{0.8977823141827507, 0.0034629467473612507`}, 
    0.6544484211798145, {1.4890653433536625`, 2.5362628945502586`}], 
   InsetBox["\<\"c\"\>", {0.6179214460614568, 0.5950545545978678}, {1, 1}], 
   CircleBox[{0.27635530202497877`, 0.2926700335628503}, 
    0.024999999999999998`, {1.1434379769069971`, 6.3794257328899855`}], 
   PolygonBox[{{0.2672115179792339, 0.3050441877326198}, {0.2867170065554854, 
    0.31542162865467804`}, {0.267977134802585, 0.3271251568139099}}], 
   InsetBox["\<\"b,a\"\>", {0.26183269496409195`, 0.31301933045869124`}, \
{1, -1}], CircleBox[{1., 0.33333333333333337`}, 0.049999999999999996`], 
   CircleBox[{1., 0.33333333333333337`}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "5"], {1., 0.33333333333333337`}], 
   PolygonBox[{{0.9820799157270176, 0.6075127019221261}, {0.9985014452760502, 
    0.6166891283745567}, {0.9982376989252982, 0.5978794533898822}}], 
   CircleBox[{1.1963477481388072`, 0.48924996956897276`}, 
    0.23533783961262345`, {2.5693535459087093`, 3.6165510971053094`}], 
   InsetBox["\<\"c\"\>", {0.9612882444120372, 0.5006923671001491}, {1, 1}], 
   PolygonBox[{{0.39614486608464045`, 0.29331701948854183`}, {
    0.38108324738617566`, 0.3185027666568315}, {0.4104255535964389, 
    0.3189536374876719}}], 
   CircleBox[{0.6707509640583122, 0.812400642241272}, 0.5725753204504018, {
    4.181960196982468, 5.229057748179079}], 
   InsetBox["\<\"b\"\>", {0.6668116724628596, 0.23983887302278284`}, {1, 1}], 
   PolygonBox[{{0.4077038473319889, -0.03281578559940757}, {
    0.380767498235859, -0.015811388300841903`}, {
    0.40896191282052524`, -0.0009860243476702488}}], 
   CircleBox[{0.4211890482479537, 0.6576219035040923}, 0.6746453143812754, {
    4.652437813787198, 5.699535364983795}], 
   InsetBox["\<\"a\"\>", {0.7228694335468051, 0.054185705267239315`}, {1, 1}],
    CircleBox[{0.3333333333333333, 0.}, 0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.3333333333333333, 0.}], 
   PolygonBox[{{0.9250139026026194, 0.3644777115720465}, {0.9525658350974743, 
    0.34914472163417526`}, {0.9255111100478792, 0.33295054313921263`}}], 
   CircleBox[{0.9493353290080808, -0.31186038470507405`}, 
    0.6610130004592623, {1.5659091022663751`, 2.6131066534629737`}], 
   InsetBox["\<\"a\"\>", {0.6216304761789507, 0.26220208246064725`}, {1, 1}], 
   PolygonBox[{{0.6002239546774927, 0.315304436291192}, {0.6233653964774447, 
    0.3083333333333334}, {0.6057575233235662, 0.29177780833330513`}}], 
   CircleBox[{0.702072594216369, -0.07200846792814608}, 0.3884001915070861, {
    1.7748541186524376`, 2.8220516698490354`}], 
   InsetBox["\<\"b\"\>", {0.44373926088303545`, 0.21802359521596548`}, \
{1, 1}], CircleBox[{0.27654638037104406`, -0.040929719926463534`}, 
    0.024999999999999998`, {1.1481216617974264`, 6.384109417780415}], 
   PolygonBox[{{0.2673447401912541, -0.028598527928358965`}, {
    0.28680141033733786`, -0.018129843602447744`}, {
    0.2680069286938569, -0.006514215145840524}}], 
   InsetBox["\<\"c\"\>", {0.26192862325444993`, -0.020648665297074514`}, \
{1, -1}], CircleBox[{1., 0.6666666666666667}, 0.049999999999999996`], 
   CircleBox[{1., 0.6666666666666667}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "7"], {1., 0.6666666666666667}], 
   PolygonBox[{{0.40826285692192954`, 0.3270477613425776}, {
    0.38210125526986927`, 0.344364642865385}, {0.4101789154089759, 
    0.35836281373835444`}}], 
   CircleBox[{0.4356198700180414, 0.9966005695272832}, 0.6544279533707807, {
    4.630518319553753, 5.677615870750351}], 
   InsetBox["\<\"b\"\>", {0.7153597724425655, 0.4049743926684608}, {1, 1}], 
   CircleBox[{1.0650657792360287`, 0.6924822505726793}, 
    0.024999999999999998`, {-2.2402825879421435`, 2.995705168040845}], 
   PolygonBox[{{1.0649382843230928`, 0.6570233595959544}, {
    1.0495511985994486`, 0.6728787358961972}, {1.0709759001238428`, 
    0.6782766548729605}}], 
   InsetBox["\<\"c,a\"\>", {1.0742856306310333`, 0.6692444722740977}, \
{-1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.3333333333333333, 0.7666666666666667}, {0.3333333333333333, 
     0.7166666666666668}}], 
    PolygonBox[{{0.3333333333333333, 0.7166666666666668}, {
     0.31666666666666665`, 0.7416666666666667}, {0.35, 0.7416666666666667}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{
  3.5474863675930142`*^9, {3.5474868179537735`*^9, 3.547486836482833*^9}, 
   3.547486869329712*^9, 3.5474871838006983`*^9, 3.547487262445197*^9, 
   3.5474873595907536`*^9, 3.547487412414775*^9, 3.547487530229513*^9, 
   3.5474880229376945`*^9, 3.5474883781860137`*^9, 3.547488546958667*^9, 
   3.5474886516076527`*^9, {3.5474887255968847`*^9, 3.5474887744306774`*^9}, {
   3.5474888053054433`*^9, 3.547488822998455*^9}, 3.5474888793356776`*^9, {
   3.547488913211615*^9, 3.5474889312766485`*^9}, 3.5474889614243727`*^9, 
   3.547489029863287*^9, 3.5474891237066545`*^9, {3.547489170139311*^9, 
   3.5474891864862456`*^9}, 3.5474893711008053`*^9, 3.5474894791619854`*^9, {
   3.5474895301889043`*^9, 3.547489533557097*^9}}]
}, Open  ]],

Cell["\<\
Aut\[OAcute]mata determin\[IAcute]stico equivalente simplificado utilizando \
el comando NDFAToDFA\
\>", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145269790473`*^9, 3.5408145274750757`*^9}, {3.540815761449655*^9, 
   3.5408157619486837`*^9}, {3.541888710413685*^9, 3.541888711102724*^9}, {
   3.5474641415917597`*^9, 3.5474641654721255`*^9}, {3.5474644429599967`*^9, 
   3.5474644550486884`*^9}, 3.547464523005575*^9, {3.5474657606503644`*^9, 
   3.5474657641935673`*^9}, {3.547475330303717*^9, 3.547475331101763*^9}, {
   3.5474797914848824`*^9, 3.5474798358994226`*^9}, {3.547489647535616*^9, 
   3.5474896742731457`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{"MakeAutomaton", "[", 
     RowBox[{"NDFA", ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", 
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
          RowBox[{"{", "}"}]}], "}"}]}], "}"}], ",", 
      SubscriptBox["\[Sigma]", "0"], ",", 
      RowBox[{"{", 
       SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BS", "=", 
   RowBox[{"NDFAToDFA", "[", "A", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", 
  RowBox[{"BS", ",", 
   RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5474895671470184`*^9, 3.5474896251103334`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.3333333333333333, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox["1", {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.33509619276283814`, 0.40209337787399185`}, {
    0.33483188805728303`, 0.3833108716254434}, {0.35123016796804346`, 
    0.3924732301603671}}], 
   CircleBox[{0.13698558519452553`, 0.5107500304310274}, 
    0.23533783961262342`, {5.710846199498503, 6.758143750695101}], 
   InsetBox["\<\"b\"\>", {0.37204451650759485`, 0.49929587993897256`}, \
{1, 1}], PolygonBox[{{0.9351311622601601, 0.6998242937706439}, {
    0.9646446609406727, 0.7020220057259942}, {0.9479846372168823, 
    0.7264825893602015}}], 
   CircleBox[{0.7002429704120141, 0.18315588003752126`}, 0.5823489592515356, {
    1.099517350435909, 2.146714901632452}], 
   InsetBox["\<\"c\"\>", {0.6697884883691648, 0.764707971311251}, {1, 1}], 
   PolygonBox[{{0.5989853132976173, 0.6806941035949775}, {0.6183703753522132, 
    0.6796076189217928}, {0.6096187676527156, 0.696938817451603}}], 
   CircleBox[{0.4741180954897469, 0.47458411470075035`}, 
    0.25068577448389573`, {0.9576657047302186, 2.0048632559267743`}], 
   InsetBox["\<\"a\"\>", {0.49653248229394836`, 0.724265817660303}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox["2", {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.6790729640665977, 0.40047870262135477`}, {
    0.6796076189217927, 0.38162962464778677`}, {0.6956640718572188, 
    0.39151718832142635`}}], 
   CircleBox[{0.47495027285969355`, 0.5014533062277581}, 
    0.23715468362349532`, {5.753407427218436, 6.800704978415033}], 
   InsetBox["\<\"b\"\>", {0.7121005020301627, 0.4999997695223043}, {1, 1}], 
   PolygonBox[{{0.38943767745583446`, 0.6302587697812899}, {
    0.3788765245793921, 0.646031315176447}, {0.39781652601216255`, 
    0.6472912691631186}}], 
   CircleBox[{0.4919599047613485, 0.8572862736135232}, 0.239617420772329, {
    4.220906910420432, 5.268004461616584}], 
   InsetBox["\<\"a\"\>", {0.49964232929429053`, 0.6177920384201077}, {1, 1}], 
   PolygonBox[{{0.37526347689698086`, 0.0691822832637608}, {
    0.36173179638286423`, 0.041152488338184696`}, {0.3927721511083396, 
    0.0434486067198529}}], 
   CircleBox[{0.008887157105595638, 0.5837111036418339}, 0.6472010433450482, {
    5.288899383683361, 6.336196934879958}], 
   InsetBox["\<\"c\"\>", {0.5857242128784199, 0.29023503716577764`}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.049999999999999996`], 
   InsetBox["3", {0.3333333333333333, 0.33333333333333337`}], 
   PolygonBox[{{0.9231353485010133, 0.6417244394426083}, {0.9512114967897963, 
    0.6557267418722292}, {0.9250470730298804, 0.6730402483159239}}], 
   CircleBox[{0.8977823141827507, 0.0034629467473612507`}, 
    0.6544484211798145, {1.4890653433536625`, 2.5362628945502586`}], 
   InsetBox["\<\"c\"\>", {0.6179214460614568, 0.5950545545978678}, {1, 1}], 
   CircleBox[{0.27635530202497877`, 0.2926700335628503}, 
    0.024999999999999998`, {1.1434379769069971`, 6.3794257328899855`}], 
   PolygonBox[{{0.2672115179792339, 0.3050441877326198}, {0.2867170065554854, 
    0.31542162865467804`}, {0.267977134802585, 0.3271251568139099}}], 
   InsetBox["\<\"a,b\"\>", {0.26183269496409195`, 0.31301933045869124`}, \
{1, -1}], CircleBox[{1., 0.6666666666666667}, 0.049999999999999996`], 
   CircleBox[{1., 0.6666666666666667}, 0.033333333333333326`], 
   InsetBox["4", {1., 0.6666666666666667}], 
   PolygonBox[{{0.40826285692192954`, 0.3270477613425776}, {
    0.38210125526986927`, 0.344364642865385}, {0.4101789154089759, 
    0.35836281373835444`}}], 
   CircleBox[{0.4356198700180414, 0.9966005695272832}, 0.6544279533707807, {
    4.630518319553753, 5.677615870750351}], 
   InsetBox["\<\"b\"\>", {0.7153597724425655, 0.4049743926684608}, {1, 1}], 
   CircleBox[{1.0650657792360287`, 0.6924822505726793}, 
    0.024999999999999998`, {-2.2402825879421435`, 2.995705168040845}], 
   PolygonBox[{{1.0649382843230928`, 0.6570233595959544}, {
    1.0495511985994486`, 0.6728787358961972}, {1.0709759001238428`, 
    0.6782766548729605}}], 
   InsetBox["\<\"a,c\"\>", {1.0742856306310333`, 0.6692444722740977}, \
{-1, 1}], 
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.049999999999999996`], 
   InsetBox["5", {0.6666666666666666, 0.33333333333333337`}], 
   CircleBox[{0.3333333333333333, 0.}, 0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.}, 0.033333333333333326`], 
   InsetBox["6", {0.3333333333333333, 0.}], 
   PolygonBox[{{0.9250139026026194, 0.3644777115720465}, {0.9525658350974743, 
    0.34914472163417526`}, {0.9255111100478792, 0.33295054313921263`}}], 
   CircleBox[{0.9493353290080808, -0.31186038470507405`}, 
    0.6610130004592623, {1.5659091022663751`, 2.6131066534629737`}], 
   InsetBox["\<\"a\"\>", {0.6216304761789507, 0.26220208246064725`}, {1, 1}], 
   PolygonBox[{{0.6002239546774927, 0.315304436291192}, {0.6233653964774447, 
    0.3083333333333334}, {0.6057575233235662, 0.29177780833330513`}}], 
   CircleBox[{0.702072594216369, -0.07200846792814608}, 0.3884001915070861, {
    1.7748541186524376`, 2.8220516698490354`}], 
   InsetBox["\<\"b\"\>", {0.44373926088303545`, 0.21802359521596548`}, \
{1, 1}], CircleBox[{0.27654638037104406`, -0.040929719926463534`}, 
    0.024999999999999998`, {1.1481216617974264`, 6.384109417780415}], 
   PolygonBox[{{0.2673447401912541, -0.028598527928358965`}, {
    0.28680141033733786`, -0.018129843602447744`}, {
    0.2680069286938569, -0.006514215145840524}}], 
   InsetBox["\<\"c\"\>", {0.26192862325444993`, -0.020648665297074514`}, \
{1, -1}], CircleBox[{1., 0.33333333333333337`}, 0.049999999999999996`], 
   CircleBox[{1., 0.33333333333333337`}, 0.033333333333333326`], 
   InsetBox["7", {1., 0.33333333333333337`}], 
   PolygonBox[{{0.9820799157270176, 0.6075127019221261}, {0.9985014452760502, 
    0.6166891283745567}, {0.9982376989252982, 0.5978794533898822}}], 
   CircleBox[{1.1963477481388072`, 0.48924996956897276`}, 
    0.23533783961262345`, {2.5693535459087093`, 3.6165510971053094`}], 
   InsetBox["\<\"c\"\>", {0.9612882444120372, 0.5006923671001491}, {1, 1}], 
   PolygonBox[{{0.39614486608464045`, 0.29331701948854183`}, {
    0.38108324738617566`, 0.3185027666568315}, {0.4104255535964389, 
    0.3189536374876719}}], 
   CircleBox[{0.6707509640583122, 0.812400642241272}, 0.5725753204504018, {
    4.181960196982468, 5.229057748179079}], 
   InsetBox["\<\"b\"\>", {0.6668116724628596, 0.23983887302278284`}, {1, 1}], 
   PolygonBox[{{0.4077038473319889, -0.03281578559940757}, {
    0.380767498235859, -0.015811388300841903`}, {
    0.40896191282052524`, -0.0009860243476702488}}], 
   CircleBox[{0.4211890482479537, 0.6576219035040923}, 0.6746453143812754, {
    4.652437813787198, 5.699535364983795}], 
   InsetBox["\<\"a\"\>", {0.7228694335468051, 0.054185705267239315`}, {1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.3333333333333333, 0.7666666666666667}, {0.3333333333333333, 
     0.7166666666666668}}], 
    PolygonBox[{{0.3333333333333333, 0.7166666666666668}, {
     0.31666666666666665`, 0.7416666666666667}, {0.35, 0.7416666666666667}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.5474896105144987`*^9, 3.5475577175407343`*^9}]
}, Open  ]],

Cell["Ejemplo 15", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAGIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniD7ndaIaRFtU3QXTQZo/doHoLfy2u0G0mUNTxEQg/eDP
JDC9dEflJxAtMq0LTH/KfnBzbvIrxytGH8D00q+twn55rxxbMiaBaQCu87/U

  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Aut\[OAcute]mata determin\[IAcute]stico equivalente completo", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145269790473`*^9, 3.5408145274750757`*^9}, {3.540815761449655*^9, 
   3.5408157619486837`*^9}, {3.541888710413685*^9, 3.541888711102724*^9}, {
   3.5474641415917597`*^9, 3.5474641654721255`*^9}, {3.5474644429599967`*^9, 
   3.5474644550486884`*^9}, 3.547464523005575*^9, {3.5474657606503644`*^9, 
   3.5474657641935673`*^9}, {3.547475330303717*^9, 3.547475331101763*^9}, {
   3.5474797914848824`*^9, 3.5474798168583336`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{"MakeAutomaton", "[", 
     RowBox[{"NDFA", ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", 
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"], ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
          RowBox[{"{", "}"}]}], "}"}]}], "}"}], ",", 
      SubscriptBox["\[Sigma]", "0"], ",", 
      RowBox[{"{", 
       SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AutomDeterEquivalente", "[", "A_", "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ToString", "[", 
       RowBox[{"AutomatonType", "[", "A", "]"}], "]"}], "\[Equal]", 
      RowBox[{"ToString", "[", "NDFA", "]"}]}], ",", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"CP", "=", 
          RowBox[{"Subsets", "[", 
           RowBox[{"States", "[", "A", "]"}], "]"}]}], ",", 
         RowBox[{"EA", "=", 
          RowBox[{"FinalStates", "[", "A", "]"}]}], ",", 
         RowBox[{"EstadosAceptados", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"Transiciones", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"ES", "=", 
          RowBox[{"Transitions", "[", "A", "]"}]}]}], "}"}], ",", 
       RowBox[{
        RowBox[{
        "Print", "[", 
         "\"\<El diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico es: \>\"", "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{"A", ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}], ";", 
        RowBox[{"Estados", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           SubscriptBox["\[Mu]", "i"], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{
              RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], "}"}]}], 
          "]"}]}], ";", 
        RowBox[{"Print", "[", "\"\<Los estados son: \>\"", "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{
            RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
          RowBox[{
           RowBox[{"Print", "[", 
            RowBox[{
             SubscriptBox["\[Mu]", "i"], ",", "\"\<=\>\"", ",", 
             RowBox[{"CP", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"SE", "=", 
         RowBox[{"Alphabet", "[", "A", "]"}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<Los s\[IAcute]mbolos de entrada corresponden a: \>\"", ",", " ",
           "SE"}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{
            RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"MemberQ", "[", 
                RowBox[{
                 RowBox[{"CP", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"InitialState", "[", "A", "]"}]}], "]"}], "\[Equal]",
                "True"}], "&&", 
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"CP", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], "\[Equal]", 
               "1"}]}], ",", 
             RowBox[{
              RowBox[{"EI", "=", 
               SubscriptBox["\[Mu]", "i"]}], ";", 
              RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<El estado inicial del aut\[OAcute]mata equivalente es: \>\"", 
          ",", " ", "EI"}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "EA", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "0"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{
               RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{
                    RowBox[{"CP", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"EA", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[Equal]", 
                  "True"}], "&&", 
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{"EstadosAceptados", ",", 
                    SubscriptBox["\[Mu]", "j"]}], "]"}], "\[Equal]", 
                  "False"}]}], ",", 
                RowBox[{"EstadosAceptados", "=", 
                 RowBox[{"Append", "[", 
                  RowBox[{"EstadosAceptados", ",", 
                   SubscriptBox["\[Mu]", "j"]}], "]"}]}]}], "]"}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Los estados aceptados son: \>\"", ",", 
          RowBox[{"Sort", "[", "EstadosAceptados", "]"}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "CP", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{"Length", "[", "SE", "]"}]}], ",", 
             RowBox[{
              RowBox[{"Imagen", "=", 
               RowBox[{"{", "}"}]}], ";", 
              RowBox[{"CImagen", "=", 
               RowBox[{"CP", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"CImagen", "\[NotEqual]", 
                 RowBox[{"{", "}"}]}], ",", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"k", "=", "1"}], ",", 
                  RowBox[{"k", "\[LessEqual]", 
                   RowBox[{"Length", "[", "CImagen", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"h", "=", "1"}], ",", 
                    RowBox[{"h", "\[LessEqual]", 
                    RowBox[{"Length", "[", "ES", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Transicion", "=", 
                    RowBox[{"ES", "[", 
                    RowBox[{"[", "h", "]"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"CImagen", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "&&", 
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"Imagen", "=", 
                    RowBox[{"Union", "[", 
                    RowBox[{"Imagen", ",", 
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], ";", 
                    RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"h", "++"}]}]}], "]"}], ";", 
                   RowBox[{"k", "++"}]}]}], "]"}]}], "]"}], ";", 
              RowBox[{"Transiciones", "=", 
               RowBox[{"Append", "[", 
                RowBox[{"Transiciones", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Mu]", 
                    RowBox[{"i", "-", "1"}]], ",", 
                   RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", "Imagen"}], "}"}]}], 
                "]"}]}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", 
           RowBox[{"Length", "[", "Transiciones", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "CP", "]"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "\[Equal]", 
                 RowBox[{"CP", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "=", 
                 SubscriptBox["\[Mu]", 
                  RowBox[{"i", "-", "1"}]]}]}], "]"}], ";", 
              RowBox[{"i", "++"}]}]}], "]"}], ";", 
           RowBox[{"j", "++"}]}]}], "]"}], ";", 
        RowBox[{"B", "=", 
         RowBox[{"MakeAutomaton", "[", 
          RowBox[{
          "DFA", ",", "Estados", ",", "Transiciones", ",", "EI", ",", 
           "EstadosAceptados", ",", "SE"}], "]"}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{"B", ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}], ";", 
        RowBox[{
        "Print", "[", 
         "\"\<El diagrama de transici\[OAcute]n minimizado del nuevo aut\
\[OAcute]mata es: \>\"", "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{
           RowBox[{"MinimizeAutomaton", "[", "B", "]"}], ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}]}]}], 
      "]"}], ",", 
     RowBox[{
     "Print", "[", 
      "\"\<El par\[AAcute]metro ingresado no es un aut\[OAcute]mata no \
determin\[IAcute]stico\>\"", "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"AutomDeterEquivalente", "[", "A", "]"}]}], "Input",
 CellChangeTimes->{{3.5474706271747136`*^9, 3.547470705335184*^9}, {
   3.547470740093172*^9, 3.5474708456152077`*^9}, {3.547471283230238*^9, 
   3.5474712895365987`*^9}, {3.5474713208793917`*^9, 3.547471323244527*^9}, {
   3.5474720041814737`*^9, 3.5474720141210423`*^9}, {3.547472044590785*^9, 
   3.5474720809068623`*^9}, {3.5474721409332957`*^9, 3.547472191037162*^9}, {
   3.5474722679215593`*^9, 3.5474723256168594`*^9}, {3.547472388973483*^9, 
   3.547472436526203*^9}, {3.5474724756694417`*^9, 3.5474727439697876`*^9}, {
   3.5474727929215875`*^9, 3.5474729275282865`*^9}, {3.547473120020296*^9, 
   3.54747316571391*^9}, {3.547473205280173*^9, 3.54747349790191*^9}, 
   3.547473529970744*^9, {3.5474735784775186`*^9, 3.547473628541382*^9}, {
   3.547473723140793*^9, 3.5474737515824194`*^9}, {3.5474737965409913`*^9, 
   3.5474738899383335`*^9}, {3.5474739362579823`*^9, 
   3.5474741170383224`*^9}, {3.5474742282946863`*^9, 3.547474245622677*^9}, {
   3.547474302686941*^9, 3.5474743605182486`*^9}, 3.5474759912865233`*^9, {
   3.5474761567309866`*^9, 3.5474761588371067`*^9}, {3.547476273515666*^9, 
   3.547476302657333*^9}, {3.5474763801197634`*^9, 3.5474764554580727`*^9}, {
   3.5474780794989624`*^9, 3.547478111029766*^9}, {3.547478210723468*^9, 
   3.5474782583891945`*^9}, {3.547478330362311*^9, 3.547478342037979*^9}, {
   3.5474783885066366`*^9, 3.547478434289255*^9}, {3.5474784815389576`*^9, 
   3.5474784853611765`*^9}, {3.547478529122679*^9, 3.5474785482607737`*^9}, {
   3.547484096442112*^9, 3.547484130030033*^9}, 3.547484650008774*^9, 
   3.5474897047618895`*^9, 3.547554608867928*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"El diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico es: \"\>"], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.547554610894044*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{0.5, 0.5}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.5, 0.5}], 
   PolygonBox[{{0.518437581914173, 0.10068797225410375`}, {0.519411428382689, 
    0.07244443697168013}, {0.5433841241956919, 0.08740958039401264}}], 
   CircleBox[{0.21187617205114084`, 0.25}, 0.35511112605663986`, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {0.5669872976638918, 0.2499822444437045}, {1, 0}], 
   PolygonBox[{{0.8992711205709848, 0.5184347555152836}, {0.9275555630283199, 
    0.519411428382689}, {0.9125675182852923, 0.5434181376489177}}], 
   CircleBox[{0.75, 0.21187617205114084`}, 0.35511112605663986`, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.75, 0.5669872981077807}, {0, 1}], 
   CircleBox[{1., 0.5}, 0.075], CircleBox[{1., 0.5}, 0.049999999999999996`], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {1., 0.5}], 
   PolygonBox[{{1.0210401786956445`, 0.10147862099014696`}, {
    1.0194114283826892`, 0.07244443697168013}, {1.0453701444773114`, 
    0.08555098983347234}}], 
   CircleBox[{0.7118761720511406, 0.288822856765378}, 0.37602866172584365`, {
    5.669954685114889, 6.717252236311485}], 
   InsetBox["\<\"a\"\>", {1.0863970449433067`, 0.255182550473389}, {1, 1}], 
   PolygonBox[{{0.5875818949085209, 0.06496915670322713}, {0.5649519052838329,
     0.0375}, {0.6000558876217071, 0.0316364324492555}}], 
   CircleBox[{0.38193920339161347`, 0.5705127018922194}, 0.563556731334419, {
    5.043031967407529, 6.090229518604127}], 
   InsetBox["\<\"b\"\>", {0.8069021916477319, 0.20037401431043655`}, {1, 1}], 
   CircleBox[{1.0525, 0.590932667397366}, 0.0375, {-1.5707963267948966`, 
    3.665191429188092}], 
   PolygonBox[{{1.0726751800922794`, 0.5797254739952654}, {1.0525, 
    0.5534326673973661}, {1.0853578284967116`, 0.5491068522104757}}], 
   InsetBox["\<\"a\"\>", {1.0849759526419165`, 0.572182667397366}, {-1, 1}], 
   CircleBox[{1., 0.}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {1., 0.}], 
   PolygonBox[{{0.977631310812309, 0.4115994130541922}, {1.0024539312116332`, 
    0.4250401559392726}, {1.0016826457961856`, 0.3968227646424199}}], 
   CircleBox[{1.2968781013060464`, 0.22980633958391145`}, 
    0.3532730317820234, {2.556060636164041, 3.603258187360637}], 
   InsetBox["\<\"b\"\>", {0.9442823823384539, 0.2516716991782337}, {1, 1}], 
   PolygonBox[{{0.5874324817147077, -0.043418137648917665`}, {
    0.5724444369716801, -0.019411428382689055`}, {
    0.6007288794290152, -0.01843475551528362}}], 
   CircleBox[{0.75, 0.28812382794885916`}, 0.35511112605663986`, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"b\"\>", {0.7499822444437045, -0.06698729766389178}, {0, -1}],
    CircleBox[{1.0742462120245875`, -0.07424621202458748}, 
    0.0375, {-3.4033920413889422`, 1.8325957145940457`}], 
   PolygonBox[{{1.0253413451343152`, -0.09515911961803267}, {
    1.0380239935387474`, -0.06454049783324296}, {
    1.0581991736310268`, -0.09083330443114232}}], 
   InsetBox["\<\"b\"\>", {1.047729707730092, -0.10076271631908301`}, {1, 1}], 
   CircleBox[{0.5, 0.}, 0.075], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.5, 0.}], 
   {RGBColor[0, 0, 0], LineBox[{{0.5, 0.65}, {0.5, 0.575}}], 
    PolygonBox[{{0.5, 0.575}, {0.475, 0.6125}, {0.525, 0.6125}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109480467`*^9}],

Cell[BoxData["\<\"Los estados son: \"\>"], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109530473`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "0"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 0], "=", {}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109600477`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "1"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "0"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 1], "=", {
    Subscript[$CellContext`\[Sigma], 0]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109620476`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "2"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "1"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 2], "=", {
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.547554610964048*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "3"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "2"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 3], "=", {
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109660482`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "4"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "3"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 4], "=", {
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109720483`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "5"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 5], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109740486`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "6"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 6], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109760485`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "7"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 7], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109790487`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "8"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 8], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109810486`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "9"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 9], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.547554610984049*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "10"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 10], "=", {
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.547554610987049*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "11"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 11], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109890494`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "12"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 12], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.54755461099105*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "13"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 13], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109930496`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "14"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 14], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109950495`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "15"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 15], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546109980497`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Los s\[IAcute]mbolos de entrada corresponden a: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}]}],
  SequenceForm[
  "Los s\[IAcute]mbolos de entrada corresponden a: ", {$CellContext`a, \
$CellContext`b}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.54755461100005*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El estado inicial del aut\[OAcute]mata equivalente es: \"\>", 
   "\[InvisibleSpace]", 
   SubscriptBox["\[Mu]", "1"]}],
  SequenceForm["El estado inicial del aut\[OAcute]mata equivalente es: ", 
   Subscript[$CellContext`\[Mu], 1]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.54755461100305*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Los estados aceptados son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "2"], ",", 
     SubscriptBox["\[Mu]", "5"], ",", 
     SubscriptBox["\[Mu]", "8"], ",", 
     SubscriptBox["\[Mu]", "9"], ",", 
     SubscriptBox["\[Mu]", "11"], ",", 
     SubscriptBox["\[Mu]", "12"], ",", 
     SubscriptBox["\[Mu]", "14"], ",", 
     SubscriptBox["\[Mu]", "15"]}], "}"}]}],
  SequenceForm["Los estados aceptados son: ", {
    Subscript[$CellContext`\[Mu], 2], 
    Subscript[$CellContext`\[Mu], 5], 
    Subscript[$CellContext`\[Mu], 8], 
    Subscript[$CellContext`\[Mu], 9], 
    Subscript[$CellContext`\[Mu], 11], 
    Subscript[$CellContext`\[Mu], 12], 
    Subscript[$CellContext`\[Mu], 14], 
    Subscript[$CellContext`\[Mu], 15]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.5475546110050507`*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{0.75, 0.75}, 0.0375], InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.75, 0.75}], 
   CircleBox[{0.7515734824601472, 0.8024764152067155}, 
    0.01875, {-1.077173134495344, 4.158814621487645}], 
   PolygonBox[{{0.7631119294500536, 0.8023214636397011}, {0.7604576009674547, 
    0.7859647545286337}, {0.775950090821251, 0.7918443931882482}}], 
   InsetBox["\<\"b,a\"\>", {0.7703150593196885, 0.8019144571852344}, {-1, 1}],
    CircleBox[{0.25, 0.75}, 0.0375], InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.25, 0.75}], 
   PolygonBox[{{0.24134954674968367`, 0.5503550252378807}, {
    0.24029428580865547`, 0.5362222184858401}, {0.253061285953213, 
    0.5423747390793084}}], 
   CircleBox[{0.09623237183422602, 0.641810790103151}, 0.17861349756992037`, {
    5.650593057378241, 6.697890608574839}], 
   InsetBox["\<\"b\"\>", {0.27378696406918274`, 0.6223904839665785}, {1, 1}], 
   PolygonBox[{{0.44963556028549245`, 0.7592173777576418}, {
    0.46377778151415994`, 0.7597057141913446}, {0.4562837591426461, 
    0.7717090688244589}}], 
   CircleBox[{0.375, 0.6059380860255705}, 0.17755556302831993`, {
    1.0471975511965976`, 2.0943951023931957`}], 
   InsetBox["\<\"a\"\>", {0.375, 0.7834936490538904}, {0, 1}], 
   CircleBox[{0.5, 0.75}, 0.0375], 
   CircleBox[{0.5, 0.75}, 0.024999999999999998`], InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.5, 0.75}], 
   PolygonBox[{{0.5105200893478223, 0.5507393104950734}, {0.5097057141913446, 
    0.5362222184858401}, {0.5226850722386556, 0.5427754949167362}}], 
   CircleBox[{0.3559380860255707, 0.6444114283826889}, 0.18801433086292177`, {
    5.669954685114888, 6.717252236311486}], 
   InsetBox["\<\"a\"\>", {0.5431985224716538, 0.6275912752366944}, {1, 1}], 
   PolygonBox[{{0.2950231913025731, 0.5305958493373762}, {0.283283421515071, 
    0.5172761063972791}, {0.30068854216682467`, 0.5137690389967698}}], 
   CircleBox[{0.2010984071989074, 0.7854701924410266}, 0.28050391150033716`, {
    5.009642209577395, 6.056839760773991}], 
   InsetBox["\<\"b\"\>", {0.40635064236419144`, 0.5942792817610365}, {1, 1}], 
   CircleBox[{1., 0.75}, 0.0375], InsetBox[
    SubscriptBox["\[Mu]", "3"], {1., 0.75}], 
   PolygonBox[{{0.7937162408573538, 0.7282909311755412}, {0.7862222184858401, 
    0.7402942858086554}, {0.8003644397145074, 0.7407826222423581}}], 
   CircleBox[{0.875, 0.8940619139744295}, 0.17755556302831993`, {
    4.1887902047863905`, 5.235887755982989}], 
   InsetBox["\<\"a\"\>", {0.8749911222218523, 0.7165063511680541}, {0, -1}], 
   PolygonBox[{{0.3116847248136147, 0.2753545101288184}, {
    0.28665689305731074`, 0.25790709753227337`}, {0.31428071147437936`, 
    0.2449560657279437}}], 
   CircleBox[{0.22918032132172728`, 1.0862043318738677`}, 
    0.8302890248078737, {4.781569164249046, 5.828766715445643}], 
   InsetBox["\<\"b\"\>", {0.6930362486023733, 0.3975697818816225}, {1, 1}], 
   CircleBox[{0.25, 0.5}, 0.0375], InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.25, 0.5}], 
   PolygonBox[{{0.692249192216497, 0.7319141072046002}, {0.7132613355275187, 
    0.7424819861147748}, {0.6936032122716788, 0.7553950965549915}}], 
   CircleBox[{0.6748683661156523, 0.2535922487053113}, 0.4903949382330069, {
    1.4924262308203213`, 2.5396237820169185`}], 
   InsetBox["\<\"b,a\"\>", {0.46367278424831593`, 0.6961796656573433}, \
{1, 1}], CircleBox[{0.75, 0.5}, 0.0375], 
   CircleBox[{0.75, 0.5}, 0.024999999999999998`], InsetBox[
    SubscriptBox["\[Mu]", "5"], {0.75, 0.5}], 
   PolygonBox[{{0.5412533294733705, 0.469976926935563}, {0.5324759526419165, 
    0.48124999999999996`}, {0.546627408710164, 0.4832148947824096}}], 
   CircleBox[{0.6062499999999988, 0.6465303983042041}, 0.18099784564238747`, {
    4.292568780148089, 5.339666331344627}], 
   InsetBox["\<\"a\"\>", {0.6249909987741972, 0.46650541367115095`}, {1, 1}], 
   PolygonBox[{{0.29325854840545273`, 0.46104027389083957`}, {
    0.2816957908099948, 0.47995937014639883`}, {0.30386158758168114`, 
    0.4805134638340872}}], 
   CircleBox[{0.49849220084394436`, 0.8580430269287547}, 0.4358301675322233, {
    4.191751522829536, 5.2388490740311155`}], 
   InsetBox["\<\"b\"\>", {0.499761039283114, 0.42221470639395836`}, {1, 1}], 
   CircleBox[{0.5, 0.25}, 0.0375], InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.5, 0.25}], 
   PolygonBox[{{0.49042788453243835`, 0.7032347162140424}, {
    0.5097057141913445, 0.7137777815141599}, {0.5091973617455514, 
    0.6918111586496594}}], 
   CircleBox[{0.8702739791118838, 0.4831892098968491}, 0.42799598482733464`, {
    2.5726240844806343`, 3.619821635677232}], 
   InsetBox["\<\"a\"\>", {0.44271841608356366`, 0.502600638279538}, {1, 1}], 
   PolygonBox[{{0.29238432672473075`, 0.24692045350257052`}, {
    0.28622221848584006`, 0.2597057141913445}, {0.30037563315577026`, 
    0.25864962612270626`}}], 
   CircleBox[{0.3918107901031507, 0.4037676281657707}, 0.17861349756992037`, {
    4.079896730583335, 5.126994281779951}], 
   InsetBox["\<\"b\"\>", {0.37239048396657815`, 0.226213035930814}, {1, 1}], 
   CircleBox[{0.25, 0.}, 0.0375], InsetBox[
    SubscriptBox["\[Mu]", "7"], {0.25, 0.}], 
   PolygonBox[{{0.4386847051833233, 0.7262231428786661}, {
    0.46645898033750316`, 0.7332294901687516}, {0.4586395175013636, 
    0.7056730886684901}}], 
   CircleBox[{0.9641716669875185, 0.202865730003495}, 0.727326361786101, {
    2.3244457789668176`, 3.371643330163415}], 
   InsetBox["\<\"a\"\>", {0.26795795648017284`, 0.4133178762282369}, {1, 1}], 
   PolygonBox[{{0.2214028871181429, 0.45252001237829403`}, {
    0.24029428580865547`, 0.46377778151415994`}, {0.24059810052499944`, 
    0.441788465767223}}], 
   CircleBox[{0.6097747037449733, 0.24630111992141673`}, 
    0.42873287438208035`, {2.609596698242374, 3.6567942494389714`}], 
   InsetBox["\<\"b\"\>", {0.1810569448148589, 0.24990122462280503`}, {1, 1}], 
   CircleBox[{0.5, 0.5}, 0.0375], 
   CircleBox[{0.5, 0.5}, 0.024999999999999998`], InsetBox[
    SubscriptBox["\[Mu]", "8"], {0.5, 0.5}], 
   PolygonBox[{{0.29034316706453955`, 0.28771143742390765`}, {
    0.2777922518453039, 0.27517619386180536`}, {0.29492354882232763`, 
    0.2705744042222537}}], 
   CircleBox[{0.21294299843146747`, 0.5475496991086877}, 0.2799870568951456, {
    4.946026667532531, 5.99322421872913}], 
   InsetBox["\<\"b\"\>", {0.405270505191225, 0.3440727171859628}, {1, 1}], 
   CircleBox[{0.4583489496347102, 0.5319599750229579}, 
    0.01875, {-0.13089969389957457`, 5.105088062083414}], 
   PolygonBox[{{0.46522130150657726`, 0.5412298481977238}, {
    0.4769385407854691, 0.5295126089188319}, {0.48122734802376443`, 
    0.545518655436019}}], 
   InsetBox["\<\"a\"\>", {0.46976322642862367`, 0.5468353501534186}, \
{-1, -1}], CircleBox[{1., 0.5}, 0.0375], 
   CircleBox[{1., 0.5}, 0.024999999999999998`], InsetBox[
    SubscriptBox["\[Mu]", "9"], {1., 0.5}], 
   PolygonBox[{{0.5488680112899641, 0.48128692559733766`}, {0.5375, 0.5}, {
    0.559390003460596, 0.5004884493662861}}], 
   CircleBox[{0.75, 0.8680607966083866}, 0.42500000000000027`, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"a\"\>", {0.7499787500000088, 0.44306079713963636`}, {0, -1}],
    PolygonBox[{{0.30102283584848205`, 0.4774307485067133}, {
    0.2874662221535975, 0.5015912880120454}, {0.3151681699817949, 
    0.5012513901084414}}], 
   CircleBox[{0.6451112069199677, 1.0803679966755055`}, 0.6803619724968794, {
    4.158888004953784, 5.205985556150381}], 
   InsetBox["\<\"b\"\>", {0.6247359160421025, 0.4003111893854918}, {1, 1}], 
   CircleBox[{0.75, 0.25}, 0.0375], InsetBox[
    SubscriptBox["\[Mu]", "10"], {0.75, 0.25}], 
   PolygonBox[{{0.7215242633867404, 0.7023768907106055}, {0.7402942858086555, 
    0.7137777815141599}, {0.7407827356593485, 0.6918220198654007}}], 
   CircleBox[{1.1105682649205395`, 0.5}, 0.4275555630283201, {
    2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"a\"\>", {0.6830127018922194, 0.5}, {-1, 0}], 
   PolygonBox[{{0.2976529277561861, 0.22165783293081234`}, {
    0.2862584915747228, 0.24043068504407147`}, {0.30821347649702524`, 
    0.24091213018238974`}}], 
   CircleBox[{0.5001362617469554, 0.6106050498271998}, 0.4275193116983982, {
    4.188471155140449, 5.235568709365217}], 
   InsetBox["\<\"b\"\>", {0.4999784865472217, 0.18308576724212328`}, {1, 1}], 
   CircleBox[{0.5, 0.}, 0.0375], CircleBox[{0.5, 0.}, 0.024999999999999998`], 
   InsetBox[
    SubscriptBox["\[Mu]", "11"], {0.5, 0.}], 
   PolygonBox[{{0.47152426338674025`, 0.45237689071060555`}, {
    0.4902942858086555, 0.46377778151415994`}, {0.4907827356593484, 
    0.44182201986540065`}}], 
   CircleBox[{0.8605682649205393, 0.25}, 0.4275555630283201, {
    2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"a\"\>", {0.4330127018922192, 0.25000000000000006`}, {-1, 0}],
    PolygonBox[{{0.24680276615145233`, 0.19465696833537544`}, {
    0.24999625000000625`, 0.2125000001875}, {0.26385202694020404`, 
    0.20081284612201472`}}], 
   CircleBox[{0.5265525708246596, 0.30400959863511834`}, 0.2913029440223924, {
    3.461142199090078, 4.508339750286677}], 
   InsetBox["\<\"b\"\>", {0.3328025706371595, 0.08648180127704092}, {1, 1}], 
   CircleBox[{1., 0.25}, 0.0375], 
   CircleBox[{1., 0.25}, 0.024999999999999998`], InsetBox[
    SubscriptBox["\[Mu]", "12"], {1., 0.25}], 
   PolygonBox[{{0.5324686904145645, 0.45477952111577447`}, {
    0.5304193891284118, 0.47807032227655266`}, {0.5516144652512142, 
    0.46819966866997986`}}], 
   CircleBox[{0.9329736372440833, 0.7478753456898604}, 0.4846077520376959, {
    3.732059992643821, 4.779157543840418}], 
   InsetBox["\<\"a\"\>", {0.7192321971919601, 0.3129509038157877}, {1, 1}], 
   PolygonBox[{{0.2872274062203423, 0.4514466531544898}, {0.2812921310110406, 
    0.47933475050264646`}, {0.3084115693824086, 0.47053080093827543`}}], 
   CircleBox[{0.8249051566976875, 0.9524411652263673}, 0.7206558133734329, {
    3.8577544963460038`, 4.904852047542601}], 
   InsetBox["\<\"b\"\>", {0.5906415978452558, 0.2709241908649671}, {1, 1}], 
   CircleBox[{0.75, 0.}, 0.0375], InsetBox[
    SubscriptBox["\[Mu]", "13"], {0.75, 0.}], 
   PolygonBox[{{0.46721527530741525`, 0.6933451654697135}, {
    0.4853837518166282, 0.7154657374620207}, {0.4954564908536023, 
    0.6886710892608278}}], 
   CircleBox[{1.1998707500756118`, 0.5846504396289676}, 0.7263637606793746, {
    2.960508481479961, 4.007706032676559}], 
   InsetBox["\<\"a\"\>", {0.515699209993117, 0.3406963116265273}, {1, 1}], 
   PolygonBox[{{0.2731515527775201, 0.19541537398637565`}, {
    0.2708315451713574, 0.2188183270850697}, {0.29225910088148355`, 
    0.20912603605963276`}}], 
   CircleBox[{0.6750378794081116, 0.49632360832460654`}, 
    0.49029780924755256`, {3.743230286781047, 4.790327837977645}], 
   InsetBox["\<\"b\"\>", {0.46371544498288375`, 0.053904383537137834`}, \
{1, 1}], CircleBox[{0.25, 0.25}, 0.0375], 
   CircleBox[{0.25, 0.25}, 0.024999999999999998`], InsetBox[
    SubscriptBox["\[Mu]", "14"], {0.25, 0.25}], 
   PolygonBox[{{0.45016796600811954`, 0.486478327218394}, {
    0.46752404735808356`, 0.48125}, {0.4543181424926747, 
    0.4688333562499788}}], 
   CircleBox[{0.5265544456622768, 0.19599364905389027`}, 0.2913001436303145, {
    1.7748541186524376`, 2.822051669849035}], 
   InsetBox["\<\"a\"\>", {0.3328044456622768, 0.41351769641197395`}, {1, 1}], 
   CircleBox[{0.19750000006562501`, 0.2500026249999989}, 0.01875, {
    0.5235487755982993, 5.759536531581288}], 
   PolygonBox[{{0.19730963903384555`, 0.2615405421259181}, {
    0.21373844511628556`, 0.2593768130894645}, {0.2073978863875404, 
    0.27468644102893264`}}], 
   InsetBox["\<\"b\"\>", {0.19750093756562462`, 0.26875262497656144`}, \
{-1, -1}], CircleBox[{1., 0.}, 0.0375], 
   CircleBox[{1., 0.}, 0.024999999999999998`], InsetBox[
    SubscriptBox["\[Mu]", "15"], {1., 0.}], 
   PolygonBox[{{0.5091139415088974, 0.4397655060064988}, {0.5153791248910852, 
    0.46579864743048305`}, {0.5347918950134747, 0.4473562687501482}}], 
   CircleBox[{1.1280597028126083`, 0.6348250757491926}, 0.6355685832641759, {
    3.4107769768536533`, 4.457974528050251}], 
   InsetBox["\<\"a\"\>", {0.6819759720865926, 0.18210360595347902`}, {1, 1}], 
   PolygonBox[{{0.28959278402841726`, 0.2055925077250288}, {
    0.2836314837759437, 0.2334116517088519}, {0.3107042193037083, 
    0.224664717175169}}], 
   CircleBox[{0.8242412451026553, 0.7051997540626209}, 0.7175255588230263, {
    3.8591163743256782`, 4.906213925522278}], 
   InsetBox["\<\"b\"\>", {0.5919195654590145, 0.026326006793031986`}, {1, 1}], 
   {RGBColor[0, 0, 0], LineBox[{{0.25, 0.825}, {0.25, 0.7875}}], 
    PolygonBox[{{0.25, 0.7875}, {0.2375, 0.80625}, {0.2625, 0.80625}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.547554611037052*^9}],

Cell[BoxData["\<\"El diagrama de transici\[OAcute]n minimizado del nuevo aut\
\[OAcute]mata es: \"\>"], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.547554611051053*^9}],

Cell[BoxData[
 GraphicsBox[{CircleBox[{0.5, 0.5}, 0.075], InsetBox["1", {0.5, 0.5}], 
   PolygonBox[{{0.518437581914173, 0.10068797225410375`}, {0.519411428382689, 
    0.07244443697168013}, {0.5433841241956919, 0.08740958039401264}}], 
   CircleBox[{0.21187617205114084`, 0.25}, 0.35511112605663986`, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {0.5669872976638918, 0.2499822444437045}, {1, 0}], 
   PolygonBox[{{0.8992711205709848, 0.5184347555152836}, {0.9275555630283199, 
    0.519411428382689}, {0.9125675182852923, 0.5434181376489177}}], 
   CircleBox[{0.75, 0.21187617205114084`}, 0.35511112605663986`, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.75, 0.5669872981077807}, {0, 1}], 
   CircleBox[{1., 0.}, 0.075], CircleBox[{1., 0.}, 0.049999999999999996`], 
   InsetBox["2", {1., 0.}], 
   CircleBox[{0.9728240002642353, -0.10142221176035217`}, 0.0375, {
    1.8325957145940466`, 7.068583470577035}], 
   PolygonBox[{{0.9302604575761791, -0.06952580846140252}, {
    0.9631182860728907, -0.06519999327451212}, {
    0.9504356376684585, -0.09581861505930186}}], 
   InsetBox["\<\"a,b\"\>", {0.9366017817783953, -0.09171649756900765}, \
{1, -1}], CircleBox[{1., 0.5}, 0.075], 
   CircleBox[{1., 0.5}, 0.049999999999999996`], InsetBox["5", {1., 0.5}], 
   PolygonBox[{{1.0184375819141729`, 0.10068797225410347`}, {
    1.019411428382689, 0.07244443697168013}, {1.0433841241956916`, 
    0.08740958039401248}}], 
   CircleBox[{0.711876172051141, 0.25}, 0.35511112605663986`, {
    5.759486531581287, 6.8067840827778845`}], 
   InsetBox["\<\"a\"\>", {1.0669872976638919`, 0.2499822444437045}, {1, 0}], 
   PolygonBox[{{0.5893905784470046, 0.06331506931299768}, {0.5649519052838329,
     0.0375}, {0.5995277476909309, 0.029243022862407098`}}], 
   CircleBox[{0.4194392033916134, 0.5805607966083866}, 0.5622179072431874, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"b\"\>", {0.8169475413106347, 0.1829729490705545}, {1, 1}], 
   CircleBox[{0.5, 0.}, 0.075], InsetBox["6", {0.5, 0.}], 
   CircleBox[{0.43608004995408434`, -0.08330210073057968}, 
    0.0375, {-4.843288674284264, 0.3926990816987246}], 
   PolygonBox[{{0.408962689127962, -0.03754530395247126}, {
    0.44097478216233627`, -0.04612291842906179}, {
    0.4175403036045526, -0.0695573969868455}}], 
   InsetBox["\<\"a,b\"\>", {0.406329299693163, -0.06047354714275265}, \
{1, -1}], 
   {RGBColor[0, 0, 0], LineBox[{{0.5, 0.65}, {0.5, 0.575}}], 
    PolygonBox[{{0.5, 0.575}, {0.475, 0.6125}, {0.525, 0.6125}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{
  3.547470854198699*^9, 3.5474712914537086`*^9, 3.547471324627606*^9, {
   3.547472863313614*^9, 3.5474728813536453`*^9}, 3.547472929980427*^9, 
   3.5474734996620107`*^9, 3.54747353182985*^9, {3.547473589073125*^9, 
   3.5474736163066826`*^9}, {3.5474738723703284`*^9, 3.547473892298468*^9}, 
   3.5474741197094755`*^9, 3.5474742497149115`*^9, 3.5474743672556343`*^9, {
   3.5474745330401163`*^9, 3.5474745397344995`*^9}, {3.5474746923322277`*^9, 
   3.5474747011107297`*^9}, {3.547475993565654*^9, 3.5474760153859015`*^9}, 
   3.547476179313278*^9, {3.5474762552906237`*^9, 3.54747630714559*^9}, {
   3.547476428979558*^9, 3.547476456269119*^9}, {3.547476493898271*^9, 
   3.547476496236405*^9}, 3.5474781323059826`*^9, 3.547478264363536*^9, 
   3.5474783429410305`*^9, 3.547478401382373*^9, 3.547478487891321*^9, 
   3.5474785519599857`*^9, {3.5474787952609015`*^9, 3.5474788093327065`*^9}, 
   3.547484099236272*^9, 3.547484209824597*^9, 3.5474846513418503`*^9, 
   3.547489706571993*^9, 3.547554611056053*^9}]
}, Open  ]]
}, Open  ]],

Cell["Aut\[OAcute]mata determin\[IAcute]stico equivalente simplificado", \
"Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145269790473`*^9, 3.5408145274750757`*^9}, {3.540815761449655*^9, 
   3.5408157619486837`*^9}, {3.541888710413685*^9, 3.541888711102724*^9}, {
   3.5474641415917597`*^9, 3.5474641654721255`*^9}, {3.5474644429599967`*^9, 
   3.5474644550486884`*^9}, 3.547464523005575*^9, {3.5474657606503644`*^9, 
   3.5474657641935673`*^9}, {3.547475330303717*^9, 3.547475331101763*^9}, {
   3.5474797914848824`*^9, 3.5474798358994226`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{"MakeAutomaton", "[", 
     RowBox[{"NDFA", ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", 
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"], ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
          RowBox[{"{", "}"}]}], "}"}]}], "}"}], ",", 
      SubscriptBox["\[Sigma]", "0"], ",", 
      RowBox[{"{", 
       SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AutomDeterEquivalenteS", "[", 
    RowBox[{"A_", ",", "L_List"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ToString", "[", 
       RowBox[{"AutomatonType", "[", "A", "]"}], "]"}], "\[Equal]", 
      RowBox[{"ToString", "[", "NDFA", "]"}]}], ",", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"CP", "=", 
          RowBox[{"Subsets", "[", 
           RowBox[{"States", "[", "A", "]"}], "]"}]}], ",", 
         RowBox[{"EA", "=", 
          RowBox[{"FinalStates", "[", "A", "]"}]}], ",", 
         RowBox[{"EstadosAceptados", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"Transiciones", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"ES", "=", 
          RowBox[{"Transitions", "[", "A", "]"}]}], ",", 
         RowBox[{"NEstados", "=", "L"}], ",", 
         RowBox[{"NTransiciones", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"NEstadosAceptados", "=", 
          RowBox[{"{", "}"}]}]}], "}"}], ",", 
       RowBox[{
        RowBox[{"Estados", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           SubscriptBox["\[Mu]", "i"], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{
              RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], "}"}]}], 
          "]"}]}], ";", 
        RowBox[{"SE", "=", 
         RowBox[{"Alphabet", "[", "A", "]"}]}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{
            RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"MemberQ", "[", 
                RowBox[{
                 RowBox[{"CP", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"InitialState", "[", "A", "]"}]}], "]"}], "\[Equal]",
                "True"}], "&&", 
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"CP", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], "\[Equal]", 
               "1"}]}], ",", 
             RowBox[{
              RowBox[{"EI", "=", 
               SubscriptBox["\[Mu]", "i"]}], ";", 
              RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "EA", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "0"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{
               RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{
                    RowBox[{"CP", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"EA", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[Equal]", 
                  "True"}], "&&", 
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{"EstadosAceptados", ",", 
                    SubscriptBox["\[Mu]", "j"]}], "]"}], "\[Equal]", 
                  "False"}]}], ",", 
                RowBox[{"EstadosAceptados", "=", 
                 RowBox[{"Append", "[", 
                  RowBox[{"EstadosAceptados", ",", 
                   SubscriptBox["\[Mu]", "j"]}], "]"}]}]}], "]"}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "CP", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{"Length", "[", "SE", "]"}]}], ",", 
             RowBox[{
              RowBox[{"Imagen", "=", 
               RowBox[{"{", "}"}]}], ";", 
              RowBox[{"CImagen", "=", 
               RowBox[{"CP", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"CImagen", "\[NotEqual]", 
                 RowBox[{"{", "}"}]}], ",", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"k", "=", "1"}], ",", 
                  RowBox[{"k", "\[LessEqual]", 
                   RowBox[{"Length", "[", "CImagen", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"h", "=", "1"}], ",", 
                    RowBox[{"h", "\[LessEqual]", 
                    RowBox[{"Length", "[", "ES", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Transicion", "=", 
                    RowBox[{"ES", "[", 
                    RowBox[{"[", "h", "]"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"CImagen", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "&&", 
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"Imagen", "=", 
                    RowBox[{"Union", "[", 
                    RowBox[{"Imagen", ",", 
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], ";", 
                    RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"h", "++"}]}]}], "]"}], ";", 
                   RowBox[{"k", "++"}]}]}], "]"}]}], "]"}], ";", 
              RowBox[{"Transiciones", "=", 
               RowBox[{"Append", "[", 
                RowBox[{"Transiciones", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Mu]", 
                    RowBox[{"i", "-", "1"}]], ",", 
                   RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", "Imagen"}], "}"}]}], 
                "]"}]}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", 
           RowBox[{"Length", "[", "Transiciones", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "CP", "]"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "\[Equal]", 
                 RowBox[{"CP", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "=", 
                 SubscriptBox["\[Mu]", 
                  RowBox[{"i", "-", "1"}]]}]}], "]"}], ";", 
              RowBox[{"i", "++"}]}]}], "]"}], ";", 
           RowBox[{"j", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "L", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{"Length", "[", "Transiciones", "]"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"L", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", 
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "1"}], "]"}], "]"}]}], ",", 
                RowBox[{"NTransiciones", "=", 
                 RowBox[{"Append", "[", 
                  RowBox[{"NTransiciones", ",", 
                   RowBox[{"Transiciones", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], "]"}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "NTransiciones", "]"}]}], ",", 
          RowBox[{
           RowBox[{"NEstados", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"NEstados", ",", 
              RowBox[{"NTransiciones", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "3"}], "]"}], "]"}]}], "]"}]}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"NEstados", "=", 
         RowBox[{"DeleteDuplicates", "[", "NEstados", "]"}]}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "NEstados", "]"}]}], ",", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"MemberQ", "[", 
               RowBox[{"EstadosAceptados", ",", 
                RowBox[{"NEstados", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[Equal]", 
              "True"}], ",", 
             RowBox[{"NEstadosAceptados", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"NEstadosAceptados", ",", 
                RowBox[{"NEstados", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"BS", "=", 
         RowBox[{"MakeAutomaton", "[", 
          RowBox[{
          "DFA", ",", "NEstados", ",", "NTransiciones", ",", "EI", ",", 
           "NEstadosAceptados", ",", "SE"}], "]"}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{"BS", ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}]}]}], 
      "]"}], ",", 
     RowBox[{
     "Print", "[", 
      "\"\<El par\[AAcute]metro ingresado no es un aut\[OAcute]mata no \
determin\[IAcute]stico\>\"", "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "0"], ",", 
     SubscriptBox["\[Mu]", "1"], ",", 
     SubscriptBox["\[Mu]", "2"], ",", 
     SubscriptBox["\[Mu]", "4"], ",", 
     SubscriptBox["\[Mu]", "8"], ",", 
     SubscriptBox["\[Mu]", "14"]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomDeterEquivalenteS", "[", 
  RowBox[{"A", ",", "L"}], "]"}]}], "Input",
 CellChangeTimes->{{3.54748988136699*^9, 3.547489898298959*^9}, {
  3.547489961524575*^9, 3.54748996440274*^9}}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.049999999999999996`], InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.6666666666666666, 0.33333333333333337`}], 
   CircleBox[{0.7342814745069014, 0.3152160001761569}, 
    0.024999999999999998`, {3.403392041388943, 8.639379797371932}], 
   PolygonBox[{{0.713017205640935, 0.2868403050507861}, {0.7101333288496747, 
    0.3087455240485939}, {0.7305457433728679, 0.3002904251123058}}], 
   InsetBox["\<\"b,a\"\>", {0.7278109983793384, 0.2910678545189302}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.3456250546094486, 0.4004586481694025}, {
    0.34627428558845935`, 0.38162962464778677`}, {0.36225608279712795`, 
    0.39160638692934174`}}], 
   CircleBox[{0.1412507813674272, 0.5}, 0.23674075070442663`, {
    5.759486531581288, 6.806784082777885}], 
   InsetBox["\<\"b\"\>", {0.37799153177592787`, 0.4999881629624697}, {1, 0}], 
   PolygonBox[{{0.5995140803806565, 0.6789565036768558}, {0.6183703753522132, 
    0.6796076189217928}, {0.6083783455235281, 0.6956120917659451}}], 
   CircleBox[{0.49999999999999994`, 0.4745841147007607}, 
    0.23674075070442657`, {1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.49999999999999994`, 0.7113248654051872}, {0, 1}], 
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.049999999999999996`],
    CircleBox[{0.6666666666666666, 0.6666666666666667}, 
    0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.3893094901597732, 0.3808645393020231}, {0.3730010003478951, 
    0.3637714047837694}, {0.3959583339769465, 0.3581944055684501}}], 
   CircleBox[{0.27802890196333885`, 0.7239412103285272}, 
    0.37248085628353345`, {4.970107475123717, 6.017305026320314}], 
   InsetBox["\<\"b\"\>", {0.5403356102606278, 0.4594848262498757}, {1, 1}], 
   PolygonBox[{{0.3800849350848794, 0.06550080283938933}, {
    0.36650683099579984`, 0.03741014638889199}, {0.3976231051354515, 
    0.039696491537768414`}}], 
   CircleBox[{0.012196726032460333`, 0.5827489351813243}, 
    0.6503307197424476, {5.28845778088953, 6.335755332086127}], 
   InsetBox["\<\"a\"\>", {0.5916929153104629, 0.2875977677213201}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.049999999999999996`], InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.3333333333333333, 0.33333333333333337`}], 
   PolygonBox[{{0.5995862577817861, 0.34511120432720077`}, {
    0.6183703753522132, 0.3462742855884594}, {0.607971058648084, 
    0.3619602679614936}}], 
   CircleBox[{0.5061932193631281, 0.13914846667854874`}, 
    0.23555215809859387`, {1.0744332845150193`, 2.1216308357116613`}], 
   InsetBox["\<\"b,a\"\>", {0.4997785767190046, 0.3746132656287382}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.}, 0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "8"], {0.3333333333333333, 0.}], 
   PolygonBox[{{0.5995140803806565, 0.012289837010189061`}, {
    0.6183703753522132, 0.012940952255126049`}, {0.6083783455235281, 
    0.028945425099278423`}}], 
   CircleBox[{0.49999999999999994`, -0.19208255196590607`}, 
    0.23674075070442657`, {1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b\"\>", {0.49999999999999994`, 0.044658198738520505`}, \
{0, 1}], CircleBox[{0.26629189667811454`, -0.020135684026232788`}, 
    0.024999999999999998`, {0.8153737466961952, 6.051361502679184}], 
   PolygonBox[{{0.26162286020972997`, -0.005475241449375237}, {
    0.2834318056911532, -0.0019361368059101006`}, {0.26946237842254933`, 
    0.015181411689019722`}}], 
   InsetBox["\<\"a\"\>", {0.25910058095446, 0.0038076862077739207`}, {1, -1}],
    CircleBox[{0.6666666666666666, 0.}, 0.049999999999999996`], 
   CircleBox[{0.6666666666666666, 0.}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Mu]", "14"], {0.6666666666666666, 0.}], 
   PolygonBox[{{0.3916216544764718, -0.028945425099278454`}, {
    0.3816296246477867, -0.012940952255126035`}, {
    0.40048591961934343`, -0.012289837010189087`}}], 
   CircleBox[{0.49999999999999994`, 0.19208255196590607`}, 
    0.23674075070442657`, {4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"a\"\>", {0.4999881629624696, -0.044658198442594554`}, \
{0, -1}], 
   CircleBox[{0.7366666666666666, 0.}, 
    0.024999999999999998`, {-2.617993877991494, 2.6179938779914944`}], 
   PolygonBox[{{0.7234711305083438, -0.032912414523193156`}, {
    0.7150160315720556, -0.012500000000000008`}, {
    0.7369212505698634, -0.015383876791260263`}}], 
   InsetBox["\<\"b\"\>", {0.7366666666666666, -0.024999999999999998`}, \
{-1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.3333333333333333, 0.7666666666666667}, {0.3333333333333333, 
     0.7166666666666668}}], 
    PolygonBox[{{0.3333333333333333, 0.7166666666666668}, {
     0.31666666666666665`, 0.7416666666666667}, {0.35, 0.7416666666666667}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.5474899018601627`*^9, 
  3.5474899697050433`*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\
eJzsvXe85lVxP/6wT7m7C9vYcrfvwtKbFGlLW5CmCCICSy8iSy+CSlG6gIjK
KsYWY0siijG2iBoTsfdEMXaiYprGmGhM0Xxj3N99z8w5M3POfD73ucvdhT9+
+/JeL89zzpw500+bOf78F1x84RXnv+CSC85fecw151998SUXXLvy6KuuGfuo
u0Wn0z2m0+nPXtnB3xs6nfRrw9j/zK9n4Be++/8/bf709fR/3ZU/+tGP1jz8
8MP46Uyh391jP/KRj9x6yy234KfT5d8nvu997yvb7fSd73ynI1B5lF9NMtA3
Mq6vpv/ro8FpDzzwADq/78QTT/zCAQcc0JlLIjD4zk477fTwmjVr8N3Fr3/9
69F29i9+8QuC85ON7/9axuAV9H+9hT/5yU8A4a3nnXfej1auXLmCOvd+MXv2
7AdOO+00dAT+NOgPJ9RlPY/zMu409de//jWIc9/VV1/9tT333HNL6tRFfyCJ
n04Xv/tMyI8ce+yx+Ysp/DX6bUgqMo1HBQAgAoSAGCH67c07JpOycyeLCkY9
761vfSv4IT36gAXaYBxgdMAXvvCFzlxqPwCtwBt89/qLL74YbUHLqYwtEABJ
MRCL5Nc3/Tj38Izu4JEACfP99dSpUzsj3BySBkgk4iuY3nt+7Wtfu/q+++4D
RmgrTUFWIArh4xl8ZfLh3sUY38qQ0QNz/MnChQs7A+YaJghJgNqCdjtwU5AI
AxK7uWkXg4CMaMoYf37y4b6UMb5ZIWN+zEduDg3GvIklu3M7TBaTtmCBAWip
VutTkwz0NsZ1T28MSWumsO5gWoXu9DG0tT5kCA9hGPhvtGIa8pCgKihJ7fbR
sa6/++67gbadAtClFmxau5hONrzT2PCibza8357kcW9hkuzGIorm+CrZxNlq
agCZ9HB/lXpIucUAlGJhG2txALcDNpA10o6ewssYPKxWLs0cPz1mCIb1Vo7l
LxuzxapwpdHDsNmzMYN7QC8NAWJ/cpJncxPTc2cFi+ZE/lFlEz4j5u6tYEt2
QhQh+dTiYBUPUMQOD9gECy0+qJqAzwh9mTl4miiEPoeoF0gfY0hRBDgFQCDh
+9AkY/liJtKOSqTkn5LawqIDYaublnUSlPRBd3ybJofZJBucYJA+7K7e5u7r
r7/eooY2WcfWKAEBFzBsO3ZfYy3ehd+CBOwQGifjQUhsq0hkuZzGconvs/yu
VKnAt+QGacISdgHjrP3vnORZ3MCM2J6bg5jgk+FvD0PAQ8GIQP1nq/0pPAip
KjvHsRaiAOBZmm6nq+0yBkcGmHaVdLC51OJt7P2BQgpYk/cHDvPUiSVq42uK
iPpMyIwafhbjt3yR2GfNhDU7sAsMfwTUsMFJ0hJi0tsmecrXM3NWKXNKsGgO
0DSPUeUMPiMhNJ4hg91BlTQ71a4a0azMxw7ZjqEOkucqOWNcSKIcE7kbyDcZ
kK7XqqTa4G2HoQ1KPsCEQM3fMMlzexGzYBu1f1k/DAuAAUnXUo2ZoDO2HbDP
9m+VGj70pxZTFF52Js9UiSrHhT5msq3XZRTYDNOQwuLOTJbc5B+ToKcVHknl
s9WsqIH1iwkyNTM1PAeLwaEs/a+e5Dm9gEm/kptD0SKwmfQrm8FCSLLyr9Cp
QktsO0wptztB2wEtmn5XA/bcjpcYfZAx2SVIFDn8GSysID362BgS7c+nriOJ
6mkBnLwIDbkVUxzak0CAwmToXz7JUzmM23UeWtfJ/6bQ725n9fpHM2c4Vuws
D4afoguEzJntuB2EpeQglCL7rGUaseZIbIoaD4o90eKk5nawN7kdL0x6IC2m
DbICDq+eB8kvQ1csU65ia1YyJVkz7t3Hn4kfWQNeOskT4Giq7/jR6azrPDT2
6RTHq9Wd9Y9mvrTQEVKZbdsO6oZK/gGN3G5Js2JD0rP4nNwsjk6xOULuwZjC
KEBUgadQFiKRrHq2Txwv9lNUC3DwCrRNxP16mBo+Ay9BwVsmGesDGeux3492
1q9OvHioH/BhV+bDUrVIrRhwpDSApNmFDf4G9osZTELOgnEIrm2esNNyjip6
oBH64zsMNZ3JmFQCnEETht+HMFhVIBtSdEkbBzdMMsIHtFF+7ONH13dWq2bs
wsQ3QlsiAUOUkdhVg6YSCdduvooJpLNRZ89oVj5Ido4Br1XjBJomLkzzwgwU
APoIaj09tASEYaZBB5b6qFrDMLjwC3hZfl07yVPbfxx+mY/XPZT4xVJO4b1V
goTAUzQAyzHwFHV1mU1z1ablACySqbN0ziBFaaqzT7pSxSNvgskeJcTFugCC
fZSYg0fzxNWFJvMAJnbTZ+seyrgf4/0VbARwmaYrG6gUJBpDXTnJM90v5tqg
jAnGEBaWLWKWAQLYlFgGqJCFvRTBUlycGZjD7dAlbwJErD2Xh4NAWwkBG2Cd
LlUJgdaABuU+N7oC26dT06ljvx/qWIUak0YZjT5nvvVU0R5aD/5x/JpPD9Lu
zjTVBNCZtObSyZlaK2t6yprV6zuPbtjA7qSzkGGC/CkeTjBBg32alT5veeFn
lip9qXi0PkjtOJYdoG85BXy2Tn1hXptOjblzfJ6t4c66h3rxbE/y3EhHJAI7
7QDhK1DiwsmZzb5DMoQFRxjCy3MKLJPCJjcPYdlXv05bbJZfwgeIQ+mn8soK
PxcwGNsujQLMeWK0zYtAyZ9EVKx4djDPMffSwIpT+WPQ2Z5WybkMbAD0nsLK
8ydnNk9t8zR9/zHj2HHM6EMLE1D8QE7Ef5Hm2I06aBG4MyM2ewmni/Rr2zt9
fTbPHBwHgWiZOFXNNkwXbVeemqaWiMz4d2PSn6FaAPpBo0EvYSvQBFvBFczg
rMc1g32GDcfoY/EVC5jekDlLb3IEHFlTiGmVjSzkVjEvMDmQ8BL+2hpYazhP
1yAw71WOaISV3ClockYcTU6J6X2OchHGntYhAjidjaUTvdMe1wz2bhHlSg1Z
O4XiHLDSkskymah6EH8HFC03yGdNVztkEcK0EJnsoTMH6eydARgTmC5yvT1/
ikC9dte5WlIAPQgbr8ToHAjdkhAPlK4YASJEp1TJiWtkQl664NT5apTSWT/G
kxOCBJBi15OfsJlzqDQouLx6TBCNEMb7AJ7bds1FthfbErKNkPY53XdTNQwo
o0g9iR372Ulj07S5iInM4VA4nV3Y+DQtazE/a7tTeHiixkb59H9E49K8q70u
08YHa8LfC9WTwHbSHrE5gsdnFOKe+IRNdM9IhRH2j7GzT/+hS4MNytF53A3O
wFpFQpbPnmnP0X5Hgscc7UPQrW7T7v+OSqy8mlmixMKEieY7qtu18EFczFh2
cN1p+4iGvwBNPuyy2HherJwHVmX3fKh//KafCS8rR2re6CpAl29idvHdrpZH
PatZ+Jv3Uen8whoRmhTHiH04PjspYt32Gp3mI3uzrEjXEJLVSRaGRKLnry9Q
L4kr3LUAHqNfRrakfk9XHUkGODEGMLMuXTSh2OQyLy1W0QE133x5+pOYMos0
kMi7QnPjOIjDI/m2b/efAJWiXz6c7VknAywkbC23QCD/aQ8dxMqL6YFGMvDq
mDQmMkdjQcwlxSdC8nRthqz/qjgOoCke3ckrNmBAR0mDwGteKmTQHQ/ns6LA
5cra0WPCBjo+JgyPelLRhNfU3bRZZ26lNYnB1gytjCnA7s7htYhAIAmLbhw1
Aml8v61OPa9j5bzeLnkx30VK7LT6xih91QBoFGngtnUQkad5hBrc8tgfWgVx
IBhXZHKou173UI6j7b7Y2MfXqMXJtsHcMUuLFhn9SUSOBeqdrb+nflsPIxHA
x3KddOmI2jBA7rp1AJe2BdLJdDB1EtOsSOZ4NOlbapeOUU07CoKTUtnJHaq+
G3SifZyB1yJCSxjbug+KFi/0sQAtpAbKCygqwTvsyUOCINTGD8X+WwfSX7K+
l/bbknd7Gn9s18YYa0odReQAcKWuRbLpK+4jkEBtr74XcEhrzZWQvNPHh+L9
MoQlfTzYk40DYYaRAnXyn/+lPhrjk482FgLsIfIe9CSZ1zy1PXkPSsZye4Ez
RJQtT7Mom+17XsTJdnbfgsUPkYg5TQf+dk2OUCV5uLQoIQ+RQC/T6ZZnlO4O
xM7enNobQBDPfEKzvPY82ccdEGh4X8fKFxf/Vx1CMqJlO5rzAbEHp/mt2Izz
kpMhq2UJRl6mK7v7nWq9OcbqfSyL6SapVViJVdIpC37edOGFFxK2wtXksCxX
gW2ShvD+xB6KeblZinY5IF0e+ysKOeVuGDiaqSVHpCkEs4oNPLPCEl220Mbl
TezUmJB9qhrPyFMv34xzZnPrXz4YI5FPvmaVCl5x2i5BwV45X4XcpI9/OWvW
LHMtKQNfqqJbijhEN7fbU1UhbUqHd3SWqnmxzokcJwcl3bRlQCq2SNUZxG1U
U2LyoFn3UzhGjfeuJT1PetlmnPAcdReZw4NA04503LRmGV1lpWM/Dg8jlih5
o2s72ek8NXBipl22Nks1hrSWkcbkIKNnT4Ig0wsUdJLJZpXdstlxA27e9tqj
BY9lm3HOcrPYKlvaKHDekL2oNHdKCIHlU/Rq14h2iJYpRVpv5OynMpzPzKM7
QSwRdMc4jZNjedkAKNeRNvSAMS3fHNRKObtZKfE3TCEhvlstMvh7c855pqKa
uJu2adwm6xGOg9Z4Y2jh4GuuuOKK9PHvtthiC7LpLD+DkqrJJxzUPFknQovV
qFgvRdsKW+sksosSQuQrcfiZ6fliLStcjtfF+YpY3n4uOE6WcedaarI/2wxz
lznZ2DwxEMPkF6Cy1ZcuScJN0w4WP7xK7zbSD+QclmFPx3a7loN0sBmmNf5P
R0dH01eP7LHHHhiH5W5QLhvSxcpDlBt5l09mTzMrZl+GiLSonxMYoK6qSoax
lRrF/OxPOA9Dmy9MUWtxwOAuuEz7aH0Fmi2obD+W53XEuqWbfu6yynEvU/i+
WB8ruUM/9alP2Wuwcg+fbgxgWukwZFfHYnvxBCJ8dB2t5R0v4a+NKfCTbpYd
puapvK8SzLFXHnaZVyt5ev3AMk1TJYpe1wE7fcC6XEMYaIC1zO6J3aonbNoi
qe4W5HbcPW2NUIudHNusZ8bkZGFTHjcR4QR/6w7wA7eGrkfE3phwX9ICdqbO
O9/mNw8687xH1JPmG1a9JiO8qtkIJ09qNoA263wlVrP86/CZY88ecAB1eTaT
buPaB3JoVj6kc2LLV75lxdPjd+Yavx9d+2NAkymXdzdAQpCLg+t+KcFmyhVE
4a4lYor0nDZ2VQpKBasN7Y6BoTWqm5eWyzfXLKcrQnmW/ICm+9tut/uie+65
h/z6bBVLgCf5Nquu/HRsO8c8u+hBlzYllcu1ds/Zzu3oeG747+QzQrDGD+Zw
j3+POCVFEDtG+RwlmcDHG9TdlN/ltp6jRJsmbaK5imOw/Tqz1HbkMNpEjzla
L6ZgDhcSMy22UOKjYomSucEAWATTWvfY2PhQ+L44higstIuGdGs2ncNjymCV
0aV8REJck4u+0f67e5O6cHNNylxqyRH8HPV6WS7nBc5e4j04nWxeVjpe2QNq
jHxki9TIFWm7lsAPoIN+nPClbw8E8EMGflEL2OlK8cw1Dta6/7nllltmZeyq
gMKuqSfcV+OC0m1C/PI6Z/7mn5vx6HluWzNqblverKjyFKL16nLHPKu/AHdk
m0z2rVrkLcPjeN7lRV166jo270UxxGkaK2aZFPuRAhV1ZQdqtFpGoY49czcX
9sIUuwEn6Xn85vkCZV65BkXf4qlfpFF6IEZLoQapq06PaBl1vIpVddrTIHKE
vdgLexlYnm52P3PwwQf7lCSy2HIpSUwqhDzF2Zt5En3FK09inprsjNeoOqhy
p849013qWGRNDUzx0+qPofiCYHndihaxz+LvytUnXecSsbMcwCgidm5/VyIo
t6VBvw9rZoxzQzM3C+r9QKbmqybkrWm5UmJVoGWBl9hhMYHUCTvsuwJAlDnZ
E5A8OG9nVCcnFF8xUn1Ld8qwhH59da7Z7oohy/0zTw4fkidbbT78u2qIs58c
DWRqocpeXoFGT0UWOcbYDQbY1yNUY63k0MQFS8t6YETf8cuL6t6QsQI9u1UD
g9sPJGl2k7IcMSRjpm0+/IUxbu9Rdl/donChMrC8yZtTXGi7xBh7UwcYyVUb
Oxr4JXPCHKwVoPPG59RSla22xLZ2RYu58hX9rgWXItFMqsyTIwOv39XGCF0o
6J66WVAXdjy2YsWKkh1uK3iR2oNy89GxbdSxwy6KIQjCDhtg0A1DxtvahXx1
na/ru4UBINF38rzHMh1IE/lkYhZmCjDdLi/9PqqZJ7Ao+Rx6sCnwHwnxH/vm
nLe//e2dpYxGepZkmEF76NETBlEJCk3MaXrufpiKUDXsaOwDaZF0ShyzmDuT
jjJwvZK/wIX5Eq64Uxb6fbRyobwWBJJlOetuMvwHJf6g2b9uvfXWy9RoFi6h
eu2R3vSMGi74y36UeyVWx4W1h0RswW/oXSSZt5ZFiEo7gU9BkX9esGBBZ0GT
4EuCHEy1OAWjdYVuvW3YwDuQAaAFG4tzv8T5Fddee21nBQ/hnuW3vEEGvAWO
1DZWoPclNQcgj4KDjaSzz1urfs2ORziNKtttv9Gf/vSnX3nqU58qNLSUc6QG
zDJXF2K79DQskThv2uNn/uPCtWtxlUR6IykxSkrCARHIiTiW6XhWU2j7zBPb
KhrQF9vCmV8VU6Ob1TuK08cVFMe7X82YMWMR08hvP+L3M3TCxbWU/m9GRkYm
DyV/34gdy8AmX0K8BHqChrwfHx/3zrfkjOl2aEzqBgEmqKePLxR/dOaZZ+YJ
yKMa58rpN28k0OZvGUEiZhhPQodFxmUR4T2ukfQKK50zp+ce5uaYuwYB6gs1
59TeCFM7tDYQACxCYDeNMNcz6wAMAEX/n/mhD33IzvR/BgPKYbywSTSPD7yb
6PqbL7jggoKSE8Om+7Lrrrsu06/bLo37adRkI0iKquc5+lnvBKIJ/ay3A1Ch
n+UtqH2muls7DoWUC1Qk/rfX66Xvdvzud7+b9mmAas5S1gtOw/jFTz+930s/
HFcABruo3s/mz58/Oejef/nll1ue7/HII4+IdrbdDkrktKtGyswZxzFkZWRE
2yVboLNqo2XE+FOHHnpo+pgtztjHl9ZDwR4+zqG+tcsuu9ihDlWu2jsBFDU5
UlS2gAwPX0F3WzZgqAxmI2gI49m1VYRgjtaiyz0zFTbNAIfVVMwbFXxalB4G
WBWGmTi4Hh7AjYqUVxk7Z7d8t6AWNlZYJcAmHmpNbX1hXBwVYgk4qO6JgYJx
IF9yGzFMZGev7POFALd3Z4TYKjuQoj6XTAgRyS5lHqlzQplO8Z5UlvQm+wA9
kVk+IfxY0Nw7EqAp1JWzArtbAxkTwloOwo0uiO28IFQ+45qd0I8ffelDKHoa
uKpWH6NsNnzioEGpPiSWC2Is51ZEpnwJW7XSfkgsTXRb+Yg5lgHxoZckl7Ph
OFRgtI5l0Hx5RVeayKzqY5pIr/yY5W7bOq4sfIx7qMQL9Q3p9fawqC6IUZ0b
C0wrKyaE6pr6Y4QDwop5dbgHhgoX7C4ZFMgYwfJmVMrsr6LGxJ1ZToQ/TskC
uTW/gltVCxSsyII62GPVVRZMBM/RGM/ovVozH1ZMCNU1tQJBUBwL4hQGB9SG
DCYwsLGUP7RClqzMzNL0jtn9MpkZEn6tqmVBPZ+7mMHCpPQfEr+FMX4bRfoh
sVwTe1La7mVbnZZl5T02arJ/PRhCkwV1lIImmf4+r9/Mcn4scdkaaZYAzC/w
CQgtZUi7eGTpUy4MieXCGMsGLnhF5X/T6Lf320smhPbhtTunTX3miKhvlPwr
Jecrr0wvqAFCKLcpxBy5e2e5GbHpke1SF52k2QlD7A40AhoZ0ZpidsrKkCGR
XBQgOQ43+GPOe5PlKNSTIdE+vFYfehNhGVJdcEknkPPUK0HAUi5skwfc3X8G
SgtqJwmF26bkA0JUmVdKQqi5CUl+o6QkiZ0ExXz+0Dr79lqThgqLObRVExCs
gnNBoosmNK9FkzOvfiwVyZgTdAnqu61SMeRM19TaS9djWCpkcy18z8pGdbql
QwpWUsr0lC0Uai1ks7smGH9BjNY2wdxWr5blxAjpj5oreWE/1nTd2Od9Syr5
F0nE9q3stXjyfoFKxJBzWLTxcxjEUjBizEiSpSmxFKyc0OyMD7W8JPVmY5oO
wMtrPHSFxjzxSp/L3VhX3ApqYi8Bu0eIDVZr26wVJr+EqBdPfVqm4urVBTVh
D9bb/HF9n7FP4OzUastbJGGoGSyepBk0WIYkE9ZftMvEkPM8vJYg2AERBzF3
FlZydun1uUs2IMUU7P3+9FKKb3jSdq2gYjfo4IHEeJe5RrshT5lyzmDKvygn
Bx9KuL0giLQgYnc+ONRNvG9Dd8nE0Z0aM5c/nurMPv2EjB1yEofXYgC2OcZ2
bfaZtEFPB18JBXk/5u58BUUM04EahGFK7WtwgzdYSqB3YnqReKuOqSmc6osm
RcQllKU5rK7w3AbTWMMFjt3z3NwczGSYFyO/ZELIN3Cf7yONOHNfcF6uaw87
F2F9eatbWC/J96MMzjDh+eaEmG93U1HOIuEDwX68+Uh9/2/KlCn5yUBALxyZ
Z2b7PYReQJicHjnOt9UtFB+EE1dv139mQWmP7DnNxdjH62rVhjoEsoruSyaE
/jjstpa8gd1DziQI+dFE2L1EzXQ+1DT3lzPLhN3WEXTkJghdqyhUwY4Gi5RZ
63fqkjsLjaSlTbGv5xbY27WSo7SHQzC2RH7JhJAfiRkrWWbViofWe8hJCE/L
0xvhKV9ZGJT5mjBDhH/CSndtUliZbstYVpYXoSUJnVvGJlIUoWzNR6JQrRH0
sfDRbjJhvCH4aI0QprAgxnzp8Jg3MHFLsTnEw/WhVg6JfsBBNBEO8v7vSPk0
z12KjFIP8IWWHi7fBPQoUUuctKvVKKl1ToDui76kz3LTse7bx9Magoel82zA
eenwOI/DQ5/uyPFwSPTbechL8DA7gStOJ+/Q3UNYvjnRf/CUU04pt9Q6DcK9
XUWEBl3r2NoChYWdUn1MQISrdtlntn/buFpi36qZwyLvKxDxvxTW6+7KBnk0
Vu28rpzQbIJoyTCZYdGdoNbyd/La2T1Llzv4Hz3mGMr/Qduepk5JaYdtX8fw
cbxSdBDjaWYXFe1Rkj1dGtKZlmgvnRDag4qFpMMznAQMExWVmB9et4ZlFbZu
q+wqC1C6ZK3yxs29u1ygNjgFy7DRLZwtTd/2w/upvVsnHa5ihF32OLMhqDXJ
dIbBZfWEcAkYgL+FAauUsNC8ModITr4mGx/uzlz0BowMm7kAXrKgjCASC8Zz
M2OyKCywa2BzKjPuQnIYbJYNj83qCWHTzoTtNcLICcsk3TCYkPb/YeNlweXe
4s3VCeYrwNSuadsEFnP7alom9I8Xe3vFhlsGsGe3TNcN4+zeoMeyiaNx4ITQ
CE7GzP7LjupWwA/y+/JIPV0FhUHTMsA+b5vE3XYzD5ok1yntBi+Yw/ctq3Xj
BPfAJ20AoUx530gow7UC6H1Rrn4gixf35qsXA5cxyx3x5/LH5eb9BEkwaQMI
CcrLP0ICLq3RTxmEU91mW3DdreP6tQRqZr1qI9iUD0kfA4/RGqV8Q+yiTTjA
mlo/0USOpjhpJd3lhCVKpdH/ZrfddksvAV2uikEdDMCXC6bl/tn5tTU2MWx5
H8ieCG+SAUQq7IoIfBZS8BWGrk3Rmp50u9drsiqy8SwCn2C5BcYJhjZWxtyk
tR2MtVtJsEkGCHatKRsgk0AS+Volk2rC/ja/kKC8QxLcYYConR+PGcyHjbmS
YJMMENgGAPQkcElbuFysf8M7tUZF31FUwM+LPw6kmvmoJNgkA4hNKO/aznEk
sBciUqoQ91ZrWuysgmcwGPPcmHejsWuzJNgkA6yp7QyoJCSQbBoux43kR3GP
J7esvZLxYVYnge258cejtQ9j2m/It1g3yQCHqRtsuoDKK62hi8jKjSGXZEaS
dLkMx8HbfT1C7ZccJGqfU3cxOl6KiL2gvulGWVOTGxIjt6dl+2qj6rpKjiV7
LzMR0iVP2arWb/wdMBwzPztmOLEl2GzI1+Yu3dSjiCSG1/iFmsuz1d2YAqyy
1evSdMpq2L0NnVF7TWN0ywe2Z8f8H63Jxe5ESblJBpDL/NZ1AfZcS8Bha6RG
yS/lqZ4rQztTOWeZTS9VRNHKF+n0nbwFshEv/LTM7NHtttsufZzX/JdO7lAL
VExxfG6HS8+wwkQ8FTmHqXMqx/wuVWqU319eRVi/A2MqZCkfwZwZz5qCdZme
DfuREfmED3zgAx0iJyeooWuP6WUcwmiTBgFv1VPfC9/0pjd1Nh6Njx199NHp
u3yQLS8ArVKCSfOs+Ry2YhgTuMqxmQrqbV3rF4YdrfULGJxZ65e60e7Nt912
W8lEfSu4QV5oSsE7t18tEQSGSA8MmddsmYrHiN2bbr/99g+ccMIJ3It/f2m/
/fbLyjd/I9Dvv+Dee++1JKKx5PVgmQGRBH6eDQWGrXY6R7XLyoQtf1VGn6Ox
3yAcTm/5TtjyjrPPPrs0VaCqzy4kT5Ddg2t5r/x3y5YtK0i7scgMytSD6YX2
QaqVNlSnR43y3Hjb5Ojai5RK0sgUqdAL/3lqIS108ryBzwARTo8/Xli79net
XbvWZKXMpY+IXs8IpF2O4JCMG8/sHzc2ofXMqVHQQqoCW+uZ06MIdfnMp7E0
qFA1lQW3WlYuN9rEde24EjJShp/4ND2MtzloNT8Rfku5RbcukXwcOC7BtwRA
qONimzaRHh9hFy//+8yZM23lISr7mMbhfZTqmYh55JmujjXIdOanob5dUsD/
NCQG5Xm4TWEjzjYygsp1Ncgp80Hiv7WoPX5ziQG/Qc/Z2Xo2LxMlqmEYVG8k
zSNYiY+LcL9EmIRBMHTXCDk5Z3XDnGz76Mb4013iCIjWhqNqxKo3/6fUwpIF
SbhQPi/qq86VxRMg57rewW9J6+PO+nkDv29TeCa8k4DmzTujCBuJ/6B6HjX2
KfgnOLuEYvsoOGuRSTIWer5MoBgmPxGuXiourBUPg5IDlELZ1u9RGSz+2C5H
qNS1KmI+POw1seTIQDHmBtZ5yqbGeopiXWZ5U1XekI67BvZeSfLRkImCL8NV
pZRKKuX7/oXqke2BBtlLSbBmtyezIZEZllkE5LTcnSeaomY+AuUEj/5kV5KW
uYRCUzYL6iaHYpkb0WkMl1emXNxWOcEofR+U6jeOWytytzgiIgGWCdowNKv6
s9VE2H5kYgxhLIZEU7mlgn652FKUhZewO1y5WWb6c2vs7maehMlAWN5ddyeE
UqG+vGMHVcREJf3oqbWHA2nk5YMVk7xFyEvTqppm2nldWIcE+GpmO+194sQ1
gXJIStKU1zgb4M2C/UCxb701zrY/XOii7xJL9DiBiLixpsK4J3DXsITtotoe
U40Exb01MyhR3pSDRQE8S3mXpqy/Wacwouap9B0urzs/cvLX1cxSJMuN8GFt
PRqwWhSHa6Rdksw5LEi5qP6uyAsTpmetTc9BygQMirRJiQku3f3I5sNffJt7
CWNezGQF2M7HJhTlNRcBTCubckgCJ+iU5eNJDHmjgDa1rPEk6kgNAbsKw9Tn
N3Ogjpr2D6yVHLi7NK9TNx/+4rxgmcr7ttCBfAIsd/tcmuNuwCnJ2M4rQ3eh
A8IQZJzHxChS42XuwHqg5Fn0SWgVpJMYjTYzAVLsE7Pv09z4H5YsWZLlMDoA
nrZZp7WVKmx5TRZWL8vW8kCsTLtsx1ZY3sS5CU1i2Cgl6TH6taVB2ukKqkvh
78VqP0sn7epfEY05FqT1eVF8iWQXNE3h6ZYKI8vf9M09OXP8WZaHBr7ZvZn8
x2jL+8DczmUI3sYxKUx5uFhFyn6Xrm4epfMok/uCeotjiTOlA7OLIDtbVL7S
ei6StCqqTumcjyzR3D6hFAt055rTn5Apz26eMqBT/ldgaeqIRMX88o6zFOxp
SwAqkylLCKQY+mkalpRRoQuWFsUCuUK7l2liMVouzktAdtDZl2V/XRQn+zVu
C31E22WctnrCpj034CPPpI+/0QSLlvSgVlZtJBOQTMwebYgCUhIN9idvImzn
+FoKKW3MSWkwu0WR7Is+KQyXWO4eqriEEgxJ6zZqRXLlK1OrVwmF39uozy7t
riuTNTVQUFMVLov2jCd27vOVw7lk1lRFM5+u8T3OXjpdg3bCPk1Tb5FKVsmN
4c4ZPGq5tUFqYiZWbhyB2odpNFEWKo8mFu6sbK8upKyyhEn6KlrLtHFpdV3J
LQnsXPr6foDYzCd27ovUrGIVQEydr9PBZ8R83pvuyDGnXWNjhkubMYGU5+iA
l0BUGteaIPwN6Zeq0+G25I4al+QKm41mdWGzWU31t41G+W1Us3rIFJz9hE3b
FOKG1mCawIzMK8df/aR8sAMpZ4HsEwm/Ks9Ldmqp2oRyd9AVgTpAHUNZ2xRo
5hhCqv2FhS3MBfhUp67Zbs5Vu1kWRMf8czwtoYM7lzDvU/L5w5wnCRG2VanM
eZE5BCODC/677FT8Rkfu0sRlaZcqWuXWCNDKK6/9lKSl/ce0c6y4tHbuMIm7
q9uDoaJL+321EmApUwrtZipOTY1NbuWujUfCyj1bP/HzP89xonTAtHEsi8C0
PWJHoLoQyYnvrRiX9dsh3NlmiOKXt0MI0z3VaOcltFDYlQsm+k3zUYgNnF3p
3QU1mfPKbt6TZOLCB7ntWG53EbeXN3MaEpEPLPfUoKu03WiXabhMFdr6YNp2
28dbNetmkvNUn9Tz4ZNVi+TA7GapPaHQ7J1P/Jz53r9c2nVJlPJmvKm3Xe6H
uO2g3RTtcn+FThyT5EhmiHJzP72REd0G9hlM5Oxv5HbhA2w8EE325iWqXaX7
AdNg00zyQPL0eQ02+uQhi2NU47b9Ch2s3Fd09S530vCrLLAEUcqis6K2IvkY
4ECvLrZMNIgEopA3fBHDCC/AT3FM5EPHG9SRYFyrhgkujU+4TQH9xjnL2JxE
4Td2nXO5Sbi7v1K9b959L3aFSChWqYCltYyNm/Iu/YrYlFCMckiz8KftGLLE
17CV6rirEmWSA2bPC5Xt8Otk+AZeP8n4H/wkIQE//BRfU2UNJDXdRm15sdlB
KpqntFwNLqhp2wGdHHasjA0uXStbE/iNgZojkJTMy1VtHKmukD5focKg0eUY
s+eQXdeaJwkVnsdMOb/Fvm6rvM8bbzwMXRYDSiCgXrime9iYfXqVXLhjA7XR
yj4tsD0DNRVUXA6Cefk43PHpjq9UcQcViQIDjxxx4MgnGzkcmyr7mm6GF1pK
S23ezewn1Gy9oLTxZfcKE45pF9RtK/FeoSvnl+3tMWqzMSkii7FGgEETvSRm
WJmaHA+ILuOmaTrgBoYTqMA0p944+slLmAuZdeyPBqUVTgft26sxB1SyRtPV
EOdNwBHeCnSZ16ZqO+gK2ReprFXe3SZDfFxgNwrLR7ZjXRurqluWF+kMIOyG
xrQVkZN0POPJQwieoDimQem0wE0IF++Q0aNzTAKQ6Io/6zwEPW3CY0COXaob
w7SZfEJgfkY8ziQyFwxJeHY5bBu6aSuLfPOImsospCdsrmmyJIhr6ZdXqmh7
dFd1SVbBiKf8Tp3ywibFBEIkkrvGMGmdcJKaCyhyEm3JUZK8L0CBHOe2OY74
qipHLvRyEkhjrhA/I+TAi6zcSZt57nzBTmyNu2qdQ7291KPmXbI+75W5K5RP
aReTUzwRkq03AofRCeJZw0ZO9PE5XozpcocodEryQ2J86qafo1BzXWw6aCR2
Y9XVznRJ+AwN9yF0xnGQJoHfaUKntUhc9QKPvnr0DM+DdMAwolFIco5QhjM2
fhqXWEKEl5HdfT4Wv0EZ1KYgRjgMToB7ZKimerkhXrGIDQqKrB4TFnebPFrG
rlUBQBBmhIje/4BSoBgwPntyJsUvOcXmhRum7iaX+JpSemFHYBAkMwzkAvIB
ROg9t5qYlEA/3YgttYveRPTpP/z1Yb7nTCkFMBfolAENJPEx+cznTs5kOH4T
20SEzvsz5pph3nc5r7mdSz67zosRLbGmBQTiy3sjNYE25BfWYb2FE9sIRXek
rBitm+TZCdEujUmbsrae28wh5FlGvWAa+VLvE5NTl+xRiVwwU2hybGyw5eUC
iAqlKghiIwNw/fKNxjyZX2rBYIQc1b3stK16tspC3qGVMgOp6kT6IXs3hUtj
puOg9EOjnhcHQNPUfEAdU9cjY1o9S4UHQCApEINpnlYAgibPn/jshFbudsoV
TKvLNa4vTwyARyYt3/WgB3VluzdfcMEF6cG6PLDo2UsI+OFTpF46Ek2Prdeq
6QLuGBG6wrE7HfGCA+il+Toq8vHigN7updgoH8ualGdgRIpEX/T4Z+2OxXiP
QGga0p6qbqUDzFNVnouU2X279w80vrzvvvt2VqoZSQRFPyEqZpGIiskd74kK
CoKS072I4+N0CaizOlPW5Ubgq2S0pE3FYtGVIpPpilN6mYfBX/y4SeCPP/i1
hRC4sXnerz+5ffh8DC1b1zY7QGdXtayZsUJLwIMQQIb0tmUff6YyFLCHNDs5
W3O0jPKkypNzTClZSRCShje3CVJIn03OrZNMCrYnQuhQ1KES2decqD6pvH7u
VEeO2NyFgJ25nbsQcJKSIR28Y8q0F8RkGCSRTbeYksDvnqOZ4i3zGJX5fGOQ
onp0S2nuQNWt1JnB6UDc6ChkkonAO/NC4pAVQCafYchaHwiXFyCcUgw0Yi1p
ax+B2lfNiQiQYAqiedU4SJXrS9ruVErxGE33bqYppiXrUPyZhBbQiNOvnGQK
vIAJe02gC+bCcRYyU8k+n6SYW+G53dRAaHcMzIKcuGI6KWNgNoz8jGQkFQwH
hWwFExrrOMUHn5HOUpgxhXeo7LpKEtANrOFOAQUE7f5JpgEfEQmFaTVavkrO
CeTR4hhVmfLRhLvLPT2Q2R3UHmTHwDtAg2QWE3kxNUxnjgZFyRVCdDlG69kY
DczhZ+Euxwu9T+fWSXiTADPsQUpPYu8AAb3fn2SKXMeEfqHakvIuBobJ98zl
mTHwLzNKu0vXWwUyvD23cw9NOUoeaSI0GWBKrdBnmUyCTLRjCnZtPNcZ5U2T
FINxC/wWAK7KFb1ZZ2nvlYT+w0mmCKcJEHrTZlG+LdpVvtBDPoA9TIcHweho
3DzRyLegZwYSvZ0qXiY0a9JIEsJEaDgKtCNrfBwbjbRbnUqdJarQRtR7Jxl/
voORTuyBVinW7mb0QQo2X7fu+eHJ780J5G9bbZcV/Sa2oZSi1SyryIGJgiZZ
TLZ1n1r5zeKCshoKFFoqTvLE+C5KurqSNuQtedMuGtnz/VU88nZeL2DXXF2L
lPRyN4fvxe9eoGOii+k6KsneKKtcCk4bdXYKw8u2Cz+fmeQJ3sx0u0nZkV27
uaydbzfvpaF5eTfLaT9fwvLPMMQGuCec9PuOSR6cg/DOLcq7fFvdXE8CCLMN
n8+5yhN+gCURWxjIwgolqU/ldNckD347z+k2ZWtxiu6W0QAnNZns8h3SEp2O
Lw24tTyQcvr9sk2Cwp08v5eqG8+HzrILjp74LJUUXKLhAyAAF9rlZuCujsPy
gHPL1Bf5+b1ik6DAcX+HxYI2+tORFohmtqTSqgecFwPgUg5JoSkMbx0WtMrs
S6VD8HQHb9uAw0tUzLzs3vcEIflyphH/X96uRQvK2Kfag+FJU+ZoiAz45Il3
CJgtU3XPs+j3/Y9vrFcxxvx/tBFhp8mj9i3B0iZzuufvsoZJfT23E0i/3zBx
+K9mzGR+KYM6zA6kVFYy9mKK7MaN2H2stO7MRV331Og591uoYqSeCr/fMrlj
c3DceYsGWqk6hQ0ScjAhaLncOvT73QGAdzDsHwTTkwRmSODn4dCvE11Hh4B0
/Mbuu++uCZ7Kjj9sHhFy6F8c069nuY5uRMlr9LnVq1dHF8w9d+gX76B1fhRg
MUe1HYOATGCPCfX1ADbDe6aDF+SO6dtT23R0kpy927VVoLw27jzGQKOkKC7b
WFf1v1zhuYcqOsDT3QAO65lqCLKB62u7HOpH2yA6AMc7nR8HM9hKmZ1JIxsd
9iqGPSVQS5sHONoN4GawVUBb89KhvN7u8onoALzZ3Pm7YAZyl8dl05I3fdEj
ICCm+2B5gCPdAG4G07RjvgEpyzv7UMweOnl/Rr+O4AH+nju6XMtTAxLNUitR
PvIFyXz2Pfp1uBvALTxHVPzyAHNUgRM50wLIPYnTAXjp2PkH7uiWcOYCYrY1
UrDb7YhEW8w6wKFuADcDGcBtYJpnruXBX4Pt4l31zj8GMzCbYnkACbijBzOQ
qsCeHeQGcDMwmGUTsFj1oNzQxH8HJOKzmM4/sSEIK2MvU9kvz4UbzMOBFqgr
EQBy8GVf2h4qqeASXik8Xvt1WANI6vLa3ry0Lrd6KXFlrTf7OWCwqpmx5uJs
KQCQOJ9Shn7xlh9/MKvZyrnMoNp7H9N7tkp3aeUbfN3eprcoH0hSmvAGxu9l
eptMoDnRnRGvgMN7mt7zmk1Xg+LvYXqbND7RM8yAgbub3guUY+XxVAPHdjO9
jT4OybFdTG95QI0xSnvUwLGdTW9TtzrimE8gRb92Mr1NGeRsbNs5tqPpLRqN
VqWsuQMl7b296S2LT8jUkBzbzvReoRxrfU6rvVeZ3qLu0ZFZA8e2Mb1NKqWS
Y+5ClfZeaXqvUo7lNz/t815hejMFqyLHKQdH3ImXfgNrKvGTWKydlptO5r18
yd2GgHSJ6b2TWpKSuw00Wmx679ysj+5AXnsvMr13baZRLoVXdWKFDp/Yexot
NJ12V0koaeRib+093/TeQ2lUxlINmj/P9H7KhGk01/TeK6YRZuFpZDvt3Uyj
XBbVeIKO8U6htjT46Vmm91ObaeRu6Gnvmab3vmrfShqlu3tF7xmmN8cL1QWv
ZF/iThzJVhdN8TfffkqdtjKdDmymkUsqqr2nmd6rm2lEldJqGk01vQ+aMI1G
TO9DYhrV9sh2OjSWo5RrRjsNTKfDuJO1R7Hw9U0nDpopLCjjOheza+8pprdJ
elMStoEtW5jeR6iClobeXQDU3tLxacqR0re5dJXU+Hem41GxUqc0o1V7eUwU
3crLzPs/014SrNkbaIkFmW+/Ne2PbTaP7lSXfv+P6SgZ8xEblGyr7epvTEdz
X6DkWL1F8GvT8TileetNYGr836YjbxVVtSPSldiqvTxOiVLBZpr/l2n/LNWV
RiP0n6Y9b6BRyp9GP/Yfpv2zVUNK01OHQr80HU9S5Sg9fG3Xf2E6Pkf1ogxZ
69Dg30zHk5stVa1Q/2o68r29gc1SmnjE9TiL9mtjHrn2PzftT4v1KJlPavMv
pv3pMU+dnv7MtOeHDZVPcTLzz6b9mbEMOL3+qWl/lra3ptUFAz8x7XnHd1Am
yHd24J9M+3OGaP+Ppv25Klqtycbo99+ZjudNpOOPTcfzm+1G7SceMx3NC4Ky
Yx0l/8h0vEA7lt6hVp8fmo7Pa7ZU9QnJD0zHC5vVp+74t6bjRbGJSzpXtb94
iPaPmvaXxOqWXgtQm++b9pcOoZ7fM+0brtanKJnafNe0v3wI9fyOaX9Fs3rm
9t827a+M1dO1/5Zpf9UQ7b9p2l89RPu/Me2fP0T7b5j21zS3z/R/xLS/Nm7v
+PV1057vHlWP1lz7r5n2L4z55dr/tWn/oiHa/5Vpf90Q7b9q2l8/RPuvmPY3
DNH+y6b9jUO0/5Jp/+Ih2n/RtH/JEO2/YNrfNET7z5v2N8ftYQazfficaX9L
3N7Zk8+a9rdy+zLDtmv/GdP+ttieuPafNu1vH6L9p0z7O4Zo/0nTni97VE+O
+YJQ2fjOuDFbdHz3sGl8V9yYHQ6++4RpzF6vek7Jbg3f/aVpzLdfqp1/9rr4
7i+qxqELq68ifMx0vIcpiY5RmmBq8+emPV+ZCNMK50DIwr+X25e5vhG05OK+
HzXtX6HtbWDjLOdHTHu+UV4FQs5yPmTa8wUKWvM2Ws4Pm/b3xZbWSdqfmfbr
mWuRZnWqxnx1osrkopL2IdP4NbGk8eoN333QNObbGP0yPldJ+4Bp/FpubCsS
eUl7f9U4lDRXG51+v9d0/D2VNHsjw0nan5r2rxtC0ix8XvwOEHA2StqfmPZv
UEmzCfScpL3HtH/jEJL2oGn/Jm4fJavIkvNu057vlfcjSetUjd/MjcuMfGp2
3mUa/0EsObwYxXcPmMZviW0U8xbfvbNqPLDCkHiUlzl/bNq/NeZpOjSkNn9k
2r+tmUeZ5n9o2r9deWRpmJKIUZt3mPbvUJrbyXJ597IxD1QlUVCav9005llU
qQZ4k0an1jEkqkw9H/0r3WzjUI+yXrzFtH+n0rystpBp/gem/QOxBcbSO9P8
zab9u2I5d7HH75v2745Fl69Hlo1ZoarSHmr03mQavyc2emrH3mgasymo8u4o
zd9QNa68pFv+v960f6/SsMwplGn+OtP+T2Pb4rzS75n2bGbbvdJrTXs24JVX
UtG1jT8wnujebxp/sBZdvWGE715TNR6UWa/TvVDjE637q0TRqfN60559a1UF
TP2pbcxevnK+ahXvM40fiq0iH4riu1dVjSsNdVbulaY9xzPkuayVc57iFaY9
x0tVVj61Wrbxx2KrxXsw+O5e05gjvX653a1K8fKqMU3TlnlxDvce0/7jsSFy
huVlpj3Ht/3SmKtDtI05cq6yB6qhuNs0/kQs4erj7jKNH44lnO8B4Ls7q8ZV
wRTnsF5q2n+SgZflifhyUtmYV0CVt1ItvsM0/nRsOdUY3m4a89rNRYBei2+r
GlfG0Gnxrab9Z1WLrXg7Lb7FtP+canGVdLJq/PlYi5WVN5vGX6hZqW+R8N1N
VeNKXJ1WvsS0/2Isrmp8bOMvxQZZufNi0/jLtfHR+3f47saqcWVj071SanOD
af8VlUCLtrpj2/irMdpqM683jf8qRluF6rqqcWMSQ2rzItOed5/ixJRV46/F
xkHRfqFp/PXYBqqpf0HVuELb6cK1pv0jMdqq77bxN2J910XcNaYxbz9WQb6i
/XzTmPc2+6XZVkW4umpcuSenv1eZ9t9S/Y3NlG387Rht1d8rTePvjIf2FVXj
dv293LTn/erKq6r+2sbfG8/sXGYaf782O/oUBt9dWjcu0VYJsY0fjUmtgn2J
acwHCs7reTNycdW4sXontbnItP9BbEaU6bbxD2MzorK6zjT+UUw9Lf9yYd24
lFU1C7bxYzH11Ag/zzT+cW0W9IYvvrugalwZYacyzzXt/y6mnmq6bfz3seyp
XT3fNP6HWmWSTeUG59WNS+qpCtjG/xgbVd5uxHfnmsZyjbksFKsqcE7duKSe
qoBt/JNYbTW+Pds0/mltbXwsd5Zp/M816fR1Br47s25cGna+1FI25pPoagms
YfYZpvG/1KTz1uP0unFpPdSb28Y/V9LFHDzNNP7X8dBYWzcGGlaQFA3bmC8k
VG5O0TjVNP7FeGicUjduRsM2/uV4aJxsGv/7eGg8p27cjIZt/Kvx1Ook05iv
nbi43dvGZ9eNm7XbNv7P8UT0RNP4v8ZD41l142Y0bOP/Hg+NE0zjX4+HxvF1
42Y0bOPfjIfGM01jvnbldpY8GsfVjYGGtRuKhm38/7hxs998hmn8vzUa6Ykd
N3h63bhEQ82Xbfzb8dA41jT+v/HQOKZuXKKhUYRt/LsYDTXmR5vG9KvTs2jw
4jVsFxeLou+OKhvzBcW4VBg1OLKhR+nf1B5UPSRvaRmpqPw9rezRrXXBO68j
GnqUtNcYpOrBub2qOnkaEh1e9pD8vXbbgDnS3DiuEUYN1pQ9+HJrXJaKGhzW
0MM+bvUCV/UYiU2BSt2hZY+pLaLX0LiSP918PaTsMW08+Tu4oUez/FU9psfy
pxp/UNljy/Hkb3VDj2b5q3oElVW9/B1Y9pjRIn8NjVvk74Cyx8zx5G//hh5l
aKDyV/WYNZ787Vf2mF3LHy/pmhtXKxGd9L5ljzm1/PlJP7WhR6l0yumqx9b1
pIGdyvg+ZY+5NadZFpsbx8WQqcHeZQ9+NtKz8V/W6YbGffvU2NN0r7IHv2lx
m7eepns29GimadUjqF7mafqUsofUJLH7AZmmDY1baLpH2WNhC00bGrfQdPey
x6LxaLpbQ49mmlY9Fo9H013LHpLYxS4yM00bGrfQdJeyhxRPtEeimaYNjVto
unPZQ6rShbWtqcFODT3Qwi5QlaZVj+Xj0XTHsseKFpo2NG6h6Q5lj5UtNG1o
XNFUNwq3L3vwu8iedSIZfEPjCrxuYW1X9pCnloll9I/z0o50Uip8ampKLKAU
3ye5H+WIx791D23onNYAnPg/b+aAGnbzb04oj/75M5MI92EZgODL56fGAyBI
Qm5X/Td9jggd5ynlCfV0Qg+tx9ifMkOk8oKnxEMMCNQFOkKSUg7FqxI2n0nk
IbLxqA2gEbaYzNWlSG/Y0AibujEVK9j8CHbLzJ/OlksS7Hz7vYDb+TNLcicL
vvxiL5PE4Z1YyiuH6WFVhUCUji1R3076o92OCiCTpEBbrhwMXYswY2+Lhii4
1OVRM7OcqHkcma0WgzuIfO657dwM7NCxsLqYwgcyWcct1VfX8aDPpxhFsHSA
WjIubYpQrXgllVXaCszT7xQFDt7fhnhV0W5abu3yiVdT4gEquWBbPeKydxy4
0vXptFKyKuI2Lfh4TCKHRWiVSF7WMW5HvoLuQEY1IRpIFlUtm56aevjdCaE3
MJKcdZDyxE8UuWrEjJ9nc4NJbMBvxImDyCut2Qa9bqbg0TfpVdJhkWRstkqa
oZQlKoyH3faBHegxNpSbdRxs2qo/zTQuxRmtBlQ4zoqDhvEE3ldGmjMkazgW
dCvXvEv3/paZNVQZepyCLNiUq2LahHt/5IuGq/CTsCr0Y0rL/AQ1vtvXTQnm
bM7UlK1e8xzzReiynWZ6wQ9+38rjhsHzFZM84FOiObZU/MkM9Ko6paIgfSyb
w3KdHcOnOhGwO5SMijPGDVLePXyXyk7k+x1856VabxHbL9p42LtkszOxYj4z
AoNQBgZoIbPnS3c5BWmqAbOCkMulu1KBDOp6fS0Beevu/AmB2yG2CnKOzhfl
ctGvlD2U6yr42oiU36DPUoUdo/yFJFN0eT1Nns6UrDTfenmBMtNuMlIsevbm
xWfbVuLw9T1fWZEB9W0ObiBKR+y8WTRIWR1tDm9TFMtVmiWC8GWdeB17+qbH
YUUrESQxcirLR5UsTC65XBhLoNgCV2grTVOJYT3q4nWH24YDt9dO/nBLA4ul
82Nb65NUSyph4AacYFfBABMKp4IOttAveKHnLlfGTKWI8DmTP6bkxeqMV1RG
Lq7crBjk98kmNXQu7ylJd1yNW1MxWd/14LeUTba7KwD+7Ekea0H2WHVVF8kq
CfHP6bjkygRfsvT1302G71zbdR91sGWGb/ztUwrylat4j+iESR5wQclinW96
Dk2HQTLfG1WTcuoHGR5syNkjD1CSQRhJ40y1dj9fKbRsF174+5mTPJbsjdkd
2ZxSRLaWrldQJXWhFJn7fGLl656bYgc+edlFLex8+iQPyLuXYaIMjCH3YF6k
9h/X8yy0XOYbLdao8uQC4qadz3S2LubiMZM8lqR0t/YgLETFZzhUT9DWLeBi
zD2gkupowwzKEZBURYFolbU9cuEGtDgyQNYUxdDcOPh9YQv/j5rkASUfoMu+
3VN42WJv5cO9FBLNVqcIEaKteDnJuVYlsCz4g+ZZUo8dsh3h8bxaZoDK0yZ5
LDpZmapfZLJOVSsJISMrOapkBQ3ImsrpzjVqkaIaO9nSPFO5mjPrCF51MpLn
1uKRA7XDJ3nABWpusniMqPfIZqSvXiYT1gRMKUN+Z4R69CB+KSiEGJnC8ykF
vuSFTwXfouzArtaZKUBe1jqr0zk9NxajwyZ5rPlK5Uw9DpsHnq0bNkBzQAkJ
wGy1VwzDOzS9VIUG9DT1I1wZITlBukoltcy5hJ45s/VJze3q1Oa86HM3MrPo
HTLJA0p2WHt7J2XYBt9uuOuuu6jmS19tfhbHBUr4HL+bmi+Z+HIcdmWz1ri0
jCc3y0etpucxy8qlxcGTPJak4LW35lMyeMDPTmGJOgRYAdqY6KmG5t0YOZCT
DR6X3zxKj7S2eTq12p3L4hMuMVdP8oBRfScu/df995kzZ+YSORzk0dImp3My
5dJyijFepEs5sjBTn5PeM5ql3NVONnSpROWASR5LMkW7LYmZqj15qpIrN8o2
7pLiS4bcS1WyWhPpnaXTyfXSjIHwaSfPaRGV/SZ5QMm/7Qq/zVL6ZdXYRukc
pXnP6wsWKSlAH2YYc7kkmfthbsz8eLtBQvadnCFmKkEzAeaoDckh8rYKxm6A
AiTayLwvVjKVKdlcgjR2JmHOupxwo0EMiMX7TM44M9QA5MlL/RAXAW/TPJzL
NMc3SGRDuGufzIfNpdB8a6a8c2ruw37tPTlDSCVGe3mN6x4Wse82zcLmhuMF
l9Syr57VplEv0q/t4sPN++ya+/kEYs/HBX5LNXF5zvPVtOZAYhvVjNZkf5II
m1du1Zu+lFZR0t5ZClaafnbM66c8LshS1dSu8tOyxTnXlTrd0pO4NE2SuVuK
oEbJmUDByxSpxswebKPdJfnM4t0fF3jZlLLXSlMpJBdordRRbNt00CGcvUB9
SWtaoctU7sosPPnogZ9axedIu03OOLJOjYpqpRyiZvLVdTfa83Azr1JL0A7C
VWpZGrNVyWzDY8RdNx423XNfqvzM3leunJUP7oi6Ireygi5zD5BG8zPkKs2R
vtBs494uGwl4oL6l1E+MgeiFohW+A1C9D6QIRVLbnx9Pnx7sXFsrW0Z9XF7t
tJGAZWvALYLnq3vJrkPg2326XElJMvCfFxvB9GxVjvTKJ7D68PSMFtbtuPGw
pYa8W6luzTNEm7wpJNJe6iwN72YYZ4B4oRqqxhQEPMOeZSC+33HjwUoRMbe+
lF0/t13DN6DdFfgsOnzXWqLQ+FH6dTFtVO0aeEedt99IwDK3L+6///55brIg
woIrRwF7xT5ZpmWqrFdPy2+oIxivcQHDMMx2GwlTLgv+x1ZbbZVntKUaEhgm
iud4+7pnFRbDyozOVpGIdOHGWBf0SvLpLbzadhjYgwg2WCg13OAac0CyX8to
C+yEXGqBLP/mVoeVfy5RZlhkO4NW244Ls9Ip/P2y6667Tuq4pR1j6rK6FgQ0
lwlImFQ+eyHjeVPLd5Yd4XWtlRMHbOrA0voYbUnNeWuLrkXZ9iQX8+083OEs
/r6l9mvRG3J36ZxKGLaB8wW1TGE4uCwy3GtqqPhOcD2zdmpZzG+J4yZ9FttA
c+q8fFzAXQs4bUfhv6HAZG75saMrkYbvBfUzlBPVs63bYvOhXjKgNazlsvFh
nvLggw9amHfdcMMNHb7L27NUgMDPc5iGT9I4A5Tbpc8vDU5X2bQjkiotbYF5
Wxyp0A3Ko2tpApUE0zYtuqPlO0vT8sBhSUs/nj2t7t9+zjnn/G6LLbYIVwJ8
9tWzwg7QDuvqtcad8ceWtOEm/+IJgePDyp59lomPBbXTWiZ/55AELV3yoo2E
eaTqs/2OVG2uRbea493jUzLcv1g4IXBHxaIpqK1tmdndQ1LS6jS0Y3QjYR5Z
e0swxmFaTe+ecYlYRUijE4J0ZA0EGApWp8aOi+ZzTzxXfVp8moqODTCp8/yN
BCw6bYNpuBaHrgveEIpzokT37osX1rFNRww1f0KQnlarMwTSY2X3UOCt7q2t
CV0BzE/wGswAecN5E4d5RCuSp+hglduQC7LWn+f6OUI/u1GBFcLciYMbBj8n
p/j2lbWNZ1eiRia8DrD1hMANhZqNZ7H4e2XtiPMOfZvr23ri4A6v8YNkCH58
YNq3eyi556vqwXIFscBIZ2GaPXGYh9cqBT1ySFaUvy/mk11+lJ5u9oQgHV63
xt8eKzsEXfKJpbtkbbx5O2viMNfUZgegBcnnqC2teq6vB2N+bmhfjM6cOMw1
tSeGQDoke1aYAODVtfnlvzc07gDMnBAkwco6IEzCY2U7gfuvjsMzu90SeqcZ
EwLHl2qqlco8h5q1kgDw6jge09QZZ9Q4QPxnTBzcobXCApLgd1JsAUjEX1OL
QrYqZ9T98ENebcuJwzy0NqJwhA5JNwUAuL9W+hwQnBlb5S0nBOmQWEhos9Oj
Zh0noNxfywrzLKMWO7TpEwJ3SK1aMNfzHWrWgCOi4FsX1RsiCZXMAzZ6YSPS
baefMyieWVsQBJ3T43H3j8dlP9n4OvjwePyD66HhXf3MS2uRZl68Pm2fuR0i
H2KeWfvU7BimxYPvHw/O13j0taQ++07NCJk1MTIHxaJEeAgt+F1AzzokoLq6
5AaTe14rLWw2oRw6nlWbJAjk1HjcA+NxZ5Xj2rfhlmj0YrABnYNqmwlFWuAI
YYNqiOjqasY0RDsh7OqPD8OUEFYbKeVSPO6B8bhyV6ejDzcfTecvSrN1D3Ua
EFkdBwPk1jwd7GkOIpLVFalJPdvpYBdwOcXHWbEzogPMkXjwA+PBZ8aD92LS
HRrjJBOzZ5aQ1VFHDSszYOBBARui94jT6Ld/t3hQHRDksOPs2r7DRY3EWKwO
sEg0KR7RZpr4B6OHxrgcqB66OkP2hLEOFOZOLI6+LMarJ+FDSnagORCIm/zx
wNGI0fSYhxJmQ1c2qZmKsQcdxHiv3li8pxZ4Vw/ZI8qPMerQGH+R9DIZ3UJH
dPtgE8HGQQGJVq+W1/EjJBYqDvIwdqzpurHPU3YNmre8UOvGFBcfY+1GvtIR
3NpBXDKI8a1tqsF3Riu+3vdlIneUyu755GExzuxsq3xlFJ16Ulu3hZ5ZvstU
K2O0Y1pOy7ivXl3MAcKxnvG1iVCSXE1ppbvFJF8fOru2l5jrIEZ+9bjIzxwK
+YAB7fQvcZcjy/IshaqBLLL095dSJZ4tM0p007RciMhop5QtxqBsPJ3jTc5+
gOnBE8e0GzFnKOluoK51IjlZhKUunaslmhapIHrlx/TNoyxYU525oJ+QlDbE
z6W7z6l9GaxdP2N08IQw2niyldjxZeI4be5iQzbznijPv7LAzbZ/DAF25yNO
+QsKps2gcp/F3gouH8jRcr7XhGJldFtRrBOHFGGEW6UcFiPLtyyqo1Y6JZbb
dZymumf3AszKtVMsc/oxVgOhp1XyBnpax5rv2Z5bow/x7Ma4HTwh3JIzHS4e
E0J+7Oijj7ZY8lXvxnrC7bQ81Lga4VenX2FFc2DBHKh6h2ptDUve8Dm35nVe
8k5pY/JQiDWEJA2RvlDxx8uXL7d47t1OxaWOinY9BsFIVLQBYpTUZ2wSkiOY
1Xt9KIZtJCwXZ3TRZ0qM1SHDY9ULqN28cqwqvtB7Cr4IFtbYRHyxzFGwPEc5
NGZWgwFKRPT5BcYn4nn8nV34wtBPiXE6ZEI4VeI2xC4EvR1N99HSBQa+/yaG
eXcVy6ik7nJH1HKldmg1dmyMGNOplQ8dV6+ZniPlgUW6Qa251Yo0XAdNCLEk
iFaOo1yB8r73XWvXrs2xlowOi52fcPFF5PDpk1Yk2pCe/zdZzsOGN1DTAmSF
rHYbKpNVHuXYZWh6sQQszDOtTNGDh8emn+x4mZyDJZMPOrsWsXTJyj1w20kl
uHz9AQOVb9GvcFS0omKpOJ6NGnN/z2wJeoRi5VMosBgjtlFsiJGPr0dGqCAv
RN1LSElEhzVX+TwweFjhYkZ6iJuwq22P8WlxQHtcC33kUn+5z0qfRsMfPPHh
mT2Dcvj0UNKIUPFkjkSofM/hHuRva4hFcDg9g9tRyCWLZarlkSEPpZ1Hys74
NGGSHv+6pDZsDugZf8bW5EfILyFXGWz9+gtS8rr647yQZNQH5ZERsEN7IU2W
Nfy8NgYnl7dBwfz6ratzyteDF2u7rMQyd/f2abvGOWG0tjnJCxlrTvA3qaJM
SB+3Nk9IfECUsgUThHciRsmWM/QMPjPlAuipjOc8KTu6OZWnIzKnX82YMcOy
z86pvAT4zV133TXNSTNz6JysAwesQTAnvonbR1PYC5vmQI5GqzQjAyUDmtNG
5s5ubuVZB1cj7u3xyCOPpI//Zd68eYTshTU5/nqvvfaKHrrdX5t0WP5pOq1E
/s5UxTEngZPEcJgm/tu2w98woeYdVJqL3YoHeKlM//kDDzzQhiAgTn74wfxy
hyv/NmfOnClqv8s52Qc5UHZ5BgquAjLhat7pAAQdUezhcC1PExjX7kePOeaY
MkAB4Xyim/M1SsmeRFSYi314jMtTETkUg4ziK3wETDnSpCNRm0Zjb4d3GUcK
3i79gEmP4NNgnBc0jmJAwbs8tpDMFuAdEONNNJ8ok7R3P4cxq6aqImPsChe9
5I477qCUNII5KOIzDZyjTC4xd85RMC93CySrt5wf20UaEGYbMGLtGjxGlCYF
WqKLAIOZ3ZQKjedrauOJQTxmFm+Q9P6YhF1V45xgwTjx/KTQHNv5Z9LRfexX
x2Od6hAs7+8IguVtH5NWp0xOAdH2uZHOUG1KnLFrgxLBciyPoLUO+DYQZVgE
3jCh9VzphEFRn9NBbmKVlWtJZRrgO6SqI1OSbREIe8ZC7sR7HosZQCTjyZgd
qt4u5f1Kyb6Y+gwok1BOod17TSG1a7c+xk1mJXefyrs+clkpvB40XQcuE1il
xDZ6s9bkgMvmVbJ2ply06YfWXvyknU6FUrJe/NCMJAnxZw4++GDLO4pf2xD2
Uy0vEIkolteNZqjY52foXXUiPhngQYExXsKN+TmO8OK+eKy1DsHyBpEgWN43
Ev5DhcpXOkDYp/M7MGCDIPjT0dHREsFyLIdgdQJDGra+tokQ5dlqEJKCJs+A
mXssDwjIOKrCYpneNqZgKzdK7fIeKNxXO19gNVcdYhn51ojuF5BzATeG5CbY
SR+RJyqT+JXx+Kc5pK2EgJuCtN1R01diORUcjdaI9L4BdTnHRs8masGOreD9
w2222abEu0TB4V29MqDV2qtqVw3TPjoR5PcJKM4ZUvpaKpExJWqLJrgE36+I
8ZAZyN1yG8Rjrq+sfREALJ4I8nsHlOfH2QNtyD+Y4G+73a5w4E0XXnhh/vre
GJXTHf7WpYIyr6w1GngsbcYf8ubT2e4ZEF9y87gUP3JCYN8y/3LWrFkNKDi8
K6NChLk39rkUCS9vnkHKoKpu6CkBB2Zp4yw+svNSPiIcFxmZi7w/KR+t3Fsr
NeyZyeZT5oAFX3N6MJrB7gEPZAZOhnqK5X9Nnz49jUfbLQ14nGGRdwUM842d
l3PP8m7JKkWqzH+Kv6E/ZV0vMpA/mz+fl3Um9VeegdSbfM/JJ5+cxoJGtOEh
M1hbfwuOyyunMI/X9t4/0YrT7GLkvAmE2g7qIxDlUOPZyrC86yj1L8uz4fsv
v/zyThsybhpVExJSSVNfHpPyRkS4wYSmup+A3yJ3Ue7h34yMjGQFkUf7ugTZ
kJKP9uEZUrv/1+/323CTqt7ydtE6clD87phWRA+RGCBQJhpOD5Gp3ZXJ+pi6
W+/RvnkbkftSvIChd/je976HyW8ZCKHU/yzTOdB6sQ1lN9k4iclddVyCv3lP
g5bFeSFY7KfRWitN1tYAe6dKMXYhbE5KWPPM/imBGZwaCDCH+LRD+r+9Xi+1
hdpijIYZnOXmHmY4uTMmHU3MeBkYDsoFbyaRI+7LDQHSVew/5M9gi3OyTZOU
M2+dmP3NbEWnBmIuzyM+ePzxx1fsb5uDkOD0Fva/NCbePsrCpMVpBugKK0cx
76VJ1k0RtbepXQL7bd50Z4anBuwfBMLP23CD8s5ImkLDDM52cy/ZT9t/8ka9
rB9PpNtPWZjlXybhUm1clEMNrfT2lmb2pwQxdunq2G+InOV/hjIDyyNqEW1j
3tYyHyGHPMIpC0CTU7lNSVUVGTYBZplGPNIQl0f/VGsi5N+mr1n3qmYpdBkv
ZgZS2At0UCpClVs1iXptxOONPDHG7pIZREl6htWg+QI+VQ3BJNIZCtogMFrh
tZQStAy8jSJB4/3SJ0X9vXvG1w2S+9mBbkQb4bMUXmafyXya293SQmXHn7h6
tHQPr79L4WJb8gTybyLPjIWJsUuVcUJ5QlaIJ6ba4N2KJyhGHtxk1s6KMTdW
ipSpRjIxW4UIkyfe1EJdvgKV0v2EGUxurj0A3eDij0FQxGYQB1Nqx0kRn3TS
7lVp7TF30IBM2XFtfHmcxRTvUomHFpDLHQThpZRZKc+LiaCybeSSeJqzpryw
vCmm2HmO1qXPpMW1sCosZi4VEVJ9IxAcGEqGKpcRdQedLLhM1tnUlMFnFF8c
Ow7BH0+xyDvUemI6nHZQlTanT1/sPQQJzjzFPxPa5MXP83xxC7mE2kFKV/zQ
nseLVTHsbgQdXsjNLaCfCsxhWSI7IZpmfOxnZ290ySTJTNElG92jYmo//sKX
t6l+Zatv7Ek2BiakSDcIU8kAl7VUSO1OmW5ooRUfq6a8dGHSP+7emPRPZCjV
QoH1RjOTFTgjsrs3JnayGDnXvzqijdqPs5LnzZ7gJcczDiuV4Bl/uU1hZRZ7
N9FluevbiebI3phIkoFMt6sbTVLJe5C25pxkrHXJhp8SqLIpOZZLqh02JMkn
VJf0RlVEDJ54PtCoJpsz89jSyijFAVNUlLKdvq72epk0fG8opZAM8yJy95HS
tPztqlWrPn7kkUd+f/vtt+9Iwlh3dUV2iF3FL5PeDtMhd1jfe+88zsKq16ma
YeSAltkXywml3d38s+OOO47ULTrkfWFsZynI4LsiKddomDXzhRoSpetBnZXq
WvMw5jAGYmdpB/SBEtE6esA64aqwnIOVmAefT2bIMCrT6nAVEitHL7j33ntD
W3ptbEtJr6RS3fkttvRaFXNrFrBv2lnBw7kVvjkPzMUUeRp0PAIpwOf4ft8W
2apD4Y0obXu1SmCq4gkcCvGnabK7dIeBGf3IWl7Tbi0dYStrmfwhAxmx7jCZ
hEM+/elP/9OiRYs6ywKWHhxbKTOvVN5Q1H9zFeyVuiqQU1CWVm1TfXBiQsGB
jW3xfaKTue2bvZkkmI5oJYnpxYoOSvOZXoCwNFTpuG1mWZcJfzFjofmeNmyw
FaiSNCXpRjuISyoKu0dEp0kr+nupj2FgOUEuwSUVqE2xAa91qmv++O9ELXvF
K0/3qhaSSW1PKb9QmmLwCfIpJTrL9ya019VToud7BotUWrK4S7U3YJpiNZEq
2nBPpdkwm01dbXidap6NY6aqUwCGJJR8X95dp073A9HVVNTKIcIVLcTizUmx
2G7TDz+0kLki/o7Ms8nBnmkt0Zd7rnJMbDKF3JhgIjdANRQ+vkWplO7wUihU
KwqAyOUUizaINmUjZ8oLNrEJLoFxjqUua5fZkYBWkq/enfofpx47W7uiCDIU
EHAaiiDzmrCXwuJEKAGSDDm+Al5yjBppcbrBtDHTFYKti3WdIEgBjlQC1VpW
QDAVYfM9Oblc+88LFizI8v2sWC7k1hZoBu7CK+Qr08tiwklsCUUD6dNmakA4
SLLs1paq2N34GV9iaRbWswBKeeJSOaUMRlO0sKUKUkG/rCzJkj/bkzDtFExX
/cR0MBBIuCjwKWPU47iDHkQlsSuAJCXHkLwqqa6WdSdn7uzI0tnLuFWvxN2U
cg6cMZ0ZASUXqkvJ4Z65EGe3t5gCfXDZkpHmIiXXOuNVf2Zto/gcJEvEpWW7
UBj/jc9BfGivPEcorziRYncnhzCMVapehQnlqy1RMbXzmttBY/OocuJiH92m
+zs43n1kjz32oP8yJxl5AX+y6rC94L6lWoN0wT3dfBM3HZelvkitY2Ir5JD2
XrdUq4zPwFetK+TuUwOT3iQTSWh/acwhIAXLeW47o7M+zQ5IzoLe53oSvM2C
iZBHklUBvgMdzb1VEn/QAthjZry72wfyqeg9mhDpp5XiP0ZyWd4A+0RycDGJ
u3DSPlUA1kS/K2KjMpgcGvFBfnJ8ZZhAlyLHSHG2xpVlzTO3pN1aKZ5ApAtS
biPcLCLShoetIw+YtCY7vaY+SM77EIMk+KBkIhlQ5LnTihM9MQF8Db6Cd9yb
FrDp3RF6krW7psW+DCaHRszPdIMChq18PYn5ZAYxCSj0LNu5zUDZm7dikm52
uXcTfSV93qkR0iN8xdgkxXIuCFlKZbAhOHRmwXD76YlT0gB6RjeFr8m7l3v8
XnIkST9wtBpAhmemVwGEFsCPoN0QW5+RSSYhr8DS0jxiJDDN1DxVKZnv4JsN
kLy9PxpwZiuFl4efpsE0KGlPh9IWII0t+/mgTKqfnKk4R9snznSm0CTpymq6
yg84B2pEnT4GitIaIpseBWA2s73Kwewk9oAAN9dGitYxk0xK3phI16+amucd
oJPbh89LlEUqIJlDWwYCspVG75BP2tMw53fZX4u1x/QslyC/IN58rz7ph1f6
/P7Lvr1IL0/c4dZcDd/KdrZqvTCf3qTasUi4GI9BqcboD5LdGdtCYtrUSeYA
71mlIt+RprrC2ydqPFG+KHOaL8WOXQEYqR3tLuzKfQp8Vh4cpWjAROj5xR75
KKZwNzGXhOIE6jsCFUjGDK2gHuhH035lbdQwl+mTTAL2aELgkBHuKc0JSolc
ED7SxOUBZc3L1zIisBuw1t3k61LiDpM1MpTtJTeRfg7UwDE/sCVECOvXxZZo
y0meP59BCHW9HpiHeVm+n6HTK18Yugf1cjLpCnSOBEHE/GYv7u5A8flNL3ne
9My072WWuk9hQtq7D6n+rX0lJjuOtBdg38iR8+8Fzv+tLWZky0kmH09XmENh
aH4BaWp5Zx06RnWtLJzrHqbKFXu7/ZGo7cLaherB83NwcwcUXNXySjwn99YF
NJwxybjz/k86yHOJYMxTuvzO4UgNVsoXbcA0r+i2D0giU3V+aolOp7xj5G6+
UWvZUrVn8GDvzEnGnY/ehTLkzcvXhSnBAIE9TIfPF7t7OoV8LWxHbVfcdveb
9MtVmPMLhuI6nFaVkdO2MGP9rEmeAB/pS7TdtdW9yxezRMqDFCxYQI6v54cn
Q7BLQJduEF1t452wvSTproJR66fF2jNnknF/CZPkRm2epMu+CwAWFPLsr1EZ
lD0CSxzZPSBJlE1jlTfzdkngClNS6zWx9mw9ybhzqC9X4ojS2VGah1N5HbmX
2sS8qjH3pbPy8jqoZ88VgWp0icvYD//C7NAWZZk3yfjeymRg8aWYOx+HGvwA
gsDuqmDBSXtpOYGleeyjHAc8ula3q+cg9TUo+Rdeh8SKsWCS8eSqdHJ7PicL
MSuifIchHV6xLOeULsgMgkwsxbaPFUUQIavD7jpS3kI0r0t8CoTVtSpo9uiN
wTadGkfY8jpJ3pSQp8uSKofM6YwLkCDJSzQqC85G3f7jZeosoIHlgxz/qOyA
WP4pPFq8SdDjK9PpOZWN8ik9jsJPC1wIULRFJK+dMLzdIoJ1xNgCCTvl6Wob
pOP5qtTlkztXJZPG2L/WDAyxdDPhDo5Y3PkZZXpNaY9G6R6Fj7xJD3lzp4+L
bGkCqAZ51fr161N8517uNL6h5OtE7hEznX5MFBUSQUyVolp+e5JemqccGokK
nOlgxNIzndaiA168d8xJfw7pX6AKUD4eQDufm2VvVQB7g4uArWrDqx/ixVkf
Uk6StJ0DqYJOyILJZaphXo/YBVNaKAFTslKybfkHz33uc3M/k3sn5+4wIXvy
WqXr05lLaeoyacROk4s652xKT73SqpK+kjDDbQiYIDO//nuRRnmloKY3oeWT
8UpQ9wnGfwej9qEADfO8Lq9NXqR+Diy3r6bTU7/y3XcsVt9pHndE4WVmXdce
eOYAlcbdjadfVnvyQ7q9gmmBBl2vRrJcFrkkcTQkB+vVaZMf0q36pgeie0MQ
bfTUfXhnLUXpw1Jw324ed6tAuG5Q4SofK9cZIeRKTlm4zw/pcoOal/JZkG7Q
mCJvYUQpFWlIfnHj0t9gAD+kvXyRTs+cDN2osltmXaiHlPLkZaoTYtO3msed
EwjSjWqKy/Qs9bi8mnN5YaDGLUNuHQjSizUSLJMb1EPyw0CXOwrK4Ye0iQkk
9YqXoQkNKZduynRBfkhLA5tKL29IvESHLAlbpxFaEhsj0qlvNo9rtvLyFG5t
ZmitLovj8KllyDmB7L50IkMurI0R6GGH3FptZ3YdL/NjtFsBeVhWln4k3vyN
GWi2DpSdwyuaFbFOyybl08osX3aMmaoB2RGsbx4D/+3T+smjTHtbGBosY3xQ
fU/mkRxzIfzKp3H3B0Mah5E3R2hI9vtVoVZq8A03rsuSJtY7yB1Kbj1bb7PP
53NGzqntC+S6ZcgRLwL2wrp7vcYnCLRSyjsFJqGsjzhn1TYHNGtBQ9Keelvi
E4jnZCT47g0MA7Mvt7ScdSYoM2p7hE4eHfdsWECldD3cn3/boylM8E3eMlrd
rTNMyrNIa6Iw7iMWkxGLZ8I1q7HkoAmztPy+qngponX+O0kmW8bGDpWccscp
uDyttD4DoP9AfX4kqH5RLjDsXgTE6pGKJVnlt6wnnt+xvqVdOL1tG1HbVu2H
fZ3H/1Q9QzDgbc1C57bSaZhBbdkAw43gbiDn2bwtkKiCjTqMPBIqSxr7Ycrn
u8SLdzRLS53fU+66hrWe2VZ1Pl1jAgL+kfKyzNIJY+OJJq8V7DMa4OpGqHZy
iL1/zMNEJz8udqJhtuBhyoxxMsxnausFTN+pbEmrC2snMr1+51UnqQ+N/td2
hLhEzwNKr/L8AqYn+6P/q00JhpQRPhsbq3erBEdUyk7st7VxQHcHPC4K/u5m
KkECs3H/f7UBgHjICJ+r/Rg4+5522mRZ+k0cvpC0/pUboay3+V4ewR2VFGJk
RnAWAn0c8MrE0OTfqwQqU6+6U9v/jmVURvh8LKPvUwKVB/VAJFcq+K/aI4LW
DnglnoTa+zRcKo8d3YLhP2JdJfH9Kg/zhVhGP6B+pGSyO+v9VWxgHfBYRsW9
pBsilkpgetbkf+cRbOAIIssIX+RvrV2FCEjM72oaCPpuicy/q2ybHrhdE2Oi
H1bxjM63c6zyi9o4YKCvWODV3gLx98PqFcrLB07F/pVHsLswQFZG+FL9LVj7
EfXTpXY59H/O3cv9Fgc8jgQ+otpVOjWH/s9if0YwvszDfLnmL4b8WLOKuTn8
rDZhUDcP3PIX+H1cJTN9HN7W/2lsnx3wqrw66d7Hm9F3ss9kqvJgywhfqVUX
uvkXzcbByf4/ttjnL7kRSiZ/Ykj0/7G2z3A1Dnhc6PgTzRLkCr38fWyfZYSv
1vYZ336yWQGc9fy72D474O4Jd7ZtnxwS/cda7DPbB/GUToJBQ47C6DJmaYPc
7cXHavuMuMMDLzf9PqPmp7wDADTzBZ4fxabZAa+W3yRfn202oa5Azw9i+ywj
cJxSbZN+TtHPvsuIZ+bvD2L7/AUH3MYmIMbnVbvKyMHVank0Ns0OePwKkJvQ
DnVJG7AxW8/vx/ZZRvha7Ji/2E6bvEj7Xotp/rwbodwCY+PUtSoZJsf7bmya
HfB4ffhl1d+SQG7v8juxfZYReHHmNg2hGV9RAuUFdHR9+NuxafbAS96wSvij
mKg22jdbTPPn7AgVgUx0TWcNpYFz0e03a/sMosoIj9TuBfP5a7VtUbmoTKC/
qY0v5u2B26U3VOXrza7X5Q6R7nbhAvo64E67svB+vdl3pewF1EI4WCqAjPCN
2vIAl0eUNuXdc8h53lL8ei37+O6zDrglAmSYCTooH5YDK5AxkGcovIPp9Dl7
q79RcSn1yd3X/qvaImKWMoLwuywkwTJG+4xlgTqnrF+tLT3I44Hbuev5CRnj
fGIbWfqv1pYeCH3GAbeeHEOzjoRF5Nxr+y/XlhZ64oC3HdCSLJZ66l7ffqme
PbRBRvhm7WmA33ebLb174PLFOsrB9x54acjY91R5BpMB+GKL/fq0BRw7mO9r
cNNK+c/H9ktG+Fb9LXBjx0wr2/K6vZP2z8X2ywMvD/T+Vg1ASXRnXT4b2y8P
vAw8f9As7dC6bNY/E5suB7yKOck2/TA2MWArkPlsbLZ4fzN5xPJKAEtZ9Qg/
ma3PxGbLwyzTSjzWrDjOTXwytlgOeCyCjzWbLRegPhybLRnhO3GM8+NmN+FU
8+HYbH3SAS/PDv4+Vs1kDx+OrZWHWar7PzBMawoTtcDXT8T2ycGMyfwPza7H
XcD+eGykZISGUJKXn7QJVLp692JFnnqMmw/5gRar9rDDpOTJPynDy6DSPXm2
Zan1X3Ne4HfFBtAjUzKTty0GZcaMlDOIT2aGSnX7QGwi3fAx3wWHpkQHgzYc
qpSL74yNqaDxvVg4/llF2mKQwrQooWlzntN3xhbXY1AKxc9iw5iMbS/GIMr9
+UBslz/hhi/F4F94eKt6CW9KbdQ2fJWk7Z21FQdlPQZl8Plz9cSFFR/RA3X6
8XmgGrJDvrM29nDJgsP3a1uKgX+udr6IBgbGAA2dTfGdsZ3yOFgPCa78q1qH
wtf0xU75+TekJAzMU9a3v3QIlGH0v2lgUSzp+p1jjz20c+8BfpYNef3EGtkV
AEjsxy6r9klFCZt/Y0OCuXJGAj5Urrt3xULoxq+sN5Hnl0yAvF1KBKDf3U7n
9LfmTIW99JnJJvauWOxk1EdrmkA4+FCDd9Lcvxmj4v1NNnCf5ezdsYj58Swp
MQgf0ww6DzxwX6fXzaOlAvbvaxGdv3CAy1CKAXOutot2yYCtKZXTqkouPOAy
gvpVZH+6A7PTkFfT74357uDHhRn/PauySUXz9NvpYl000p/wSHZlDucnI/1t
HVrRJp5Y7IacQynNkR0wL1zfUysN1hV+QOt/gdovcyxRJ9jZwNd5MIjZ0c07
9g8yxFIQ/HjWZ4LovyonODYO6+nA5nBKwDDYe2KP9XE3TlkAl497B9ZWW5gP
xtbVwezbG2ZZ/X/T6AT8I9oHYvbLCD+Ixfx/hgT+zpjVHriVcfTmA3xa5JfL
FAf8j2O+euDlvP630S+FwEtm/rkDbjdK4WR+OyTwP4q56oGXxa//b0jgfxhP
XID/sA4ZMNCwwN9RTxymwQO3xgKs/92QwN9eTxx4euBlVecNzcBd+QcBbk/l
sIj6mANelro2d3oGdgSrou+omYmBPeCy6re5k0SArYIlwG+vAxtM3gO28ScL
64Z0p6rRqLwtZqIAlgMw61fYwIwP+K0xAz1gO1U+Rxv7uDcU4JJ5H3WALQd4
bhvSLbYKcPKAb4mZ5wGHIjdoB/wHMfM84FDcRmIvkwC/OTY9HnAoblObAWMW
fMezZ482QW8POBS3aTHglCX592uBooMWBvxYi7gJ4Ka8yXxB1u0UoKkHbMWN
sd+Q6hwMbKq6pAUY/I21Y6KsdQ6wPUPiwHVDuvvat+vSxIPOG2PD7KHa50UM
ZUO63FuljKeF1BtiefBQrRjy3xvS5eU4qe/ra2EAIT1UO0sOzsc+5uwRVe5S
Okd+fczrhxxUuwjIssv3vl0i+EQhuUDuxACi6KFawWWRyFDDvACuLNf9tTzA
SvgRbBTGMxz7mDPzUG680ndAVF9biwTIL4B/XFs9DnYUcOk7kpUICtuDdh6w
PenjuHRDuuhf2bW0qnpNLBgesCVUtsT8cmFgc/EmwJjFa2LZ+LADbC0xG88N
6RUGmR/bO9W4eHVtB9DUA7YcyArCOQyqUneUVOnVsePwUK2CZPvOD1OqFNGk
dlLd224h4m8P1eLDlN6Q39WUO+SkIFJJ2+4lAm8P1Z4UcgA39vForXYgMd2o
kIfHdkEDGnuoVu1YATLUSikgFZCOV8b65AHbqD87In7ANEiVfUoRe2UcgPwZ
A6abUV3+YuyvRbFTS1L1ijjmsLD86iFr7qIWqXpFzX9IpodqaZY92uLYRZBU
3VvzH6N5qDZoZ1nYkB+/lVJFO5kvr/kPzDxU6wZ4xmMfcwqAqmICmdx7YuY3
Q81Ocmm7VN0TM/9DjYCzfVnWbBEhaS+LJcEDDh3w8thwpSjk7lgYhgC8gglc
5lWnY0SBWu53eKhljEJQVzJU+102MXfVRgRM8FDDeGGb2MTQbtGdta7ju6Gh
kjBYjiee3Vl7Vnz8QQc4DKK3VWGwZiHx7KW1Z8VMPGAb4WRTuyo2C8Szl9bS
CWVuhsrjb0gvoGOe3VFLENp5qGHAv30Lz26PuTI01Eae3RYTzwO2osL82ZBe
njfy7NYYJwH8994t7NjCptty07jvTrGNJmbcWpsnIMRPFuSwafzT3Cl+QM7m
1LfhWOYTHwNVqxgZUM63hz60DQeubHFyxJK+1q51YI9kbLkf0Wk4prTDukE5
l0JcT+rm2q7Brg4zYr88mrUb2y75nmVy+dSS1j83xY54SCz88SwlFhMsXMZp
y/lybUeB20tqWw170Y5FdT657iFTEKlGQJhho4pUsLVjiovY7yaIwOr1nSXj
I4BBrJmnTCxCASslENX3TwyBMWkYbUFg11gQ6ARWKGB1A8FIOwJNZ7RL2gRh
txZBkJqCZeQyJBb+oLZdHHdvkQbJNl5usjks2kqx9csj26FQCeVCULEGGmg5
VMapWDaITGarpuzRIid8s7xaxrfRxhXywtlutpStWDwllhO6+Sw1bcpI32Ex
TGWrvjvzFYyaObVnLTS50h3nE3LLBHzXLrryNNwG8Xn9JOXoSrFIyz0Zr9yK
ed8w44Vbm/vEXKc4QgYrg8ghBlNnuG/MT1pjSZbicjurgu9K8xTw92vRaM4h
Vi1cBL5cnu6MV65mJBwQVLdcIO8uA5bb6TLgt7Ka1EfHxaz2j7lCERrXm6y2
J2WQ75SzqoFLusCyzqophFHtUgrwIGpmGmxwSQht8Ej2jFA2R+KZtu9thJuj
ca5X0C8XpxTHXBMr0p86qOUWIUGV2rQ2DgN0uozA2QXdRgSI7aGGaydOL9u3
CoMR6RxcSm2Wa6fhoZYF40lFr65FHF7DQy033Agql8isTgjIIV9V+x+M4KGG
611OQ+pWZCnYlvINDhv0Gx5qaRTp3OHKmHIeqjU/TKsNOW1suYSi09oraomE
q2mGmvc8DmOodk0Bj0AG6fLaW2A+Hmp548RCLbWLznOkcImVjY4HGe5TrWGQ
5aEW2ZjLY8V67/hQD6+NS57+ZbViYXQP1YpOPs46XKdvcaLpX1Z7EUQLHqod
Mx8xHBFbWRKAS2tmwKx7qKEHf1otANkjST2tcpffQfWp+AnkkbHPoa3aS2q9
wdAWZGR5LaqlBlCwdXGtV2CNwJXdb7t0yhb7aIZqGQKsyQZwDTIXwsFaeqjW
YucdpKNbbMBFMTYeaniex6nn+9Ym4YfCk4uy2/SAbBScTdSxseEj07+ulhag
+icOqmVg3uo8VidtF4mUt0qglodnHmpoop7eYvovjLXQQw0Ph7mwgdtNzxR4
XtzPQw0Psp8ROz86T3hePUdolocaXvPgwqTV2Re5f64T6II48MNDLZfsBPWZ
ta2B07igFhvohgB8jL+1G4Y5pjo+njwde3At5+q4zEMt9Yygcq0TF5JnE31+
7ffARA/V2oscT5wQeyjSz+caK+TKxDzo4JYkpzbPim0U7R0KttYeYPz3OKhl
bERQT6zVNVUulaqF1fGWh1ouWixUUNLyi24in1cLB4TcQw0Pv7iiqduuzQnR
zq1dMbDxUMvjBQu13Boln3JuTDmBysvj+J7Bc2KXSvb0nNj5eajl4p6gcjkp
d5cjx9Vnx+bTQy03LizU0rjSykKglrGqh1ru4hLUU2Ju0erqrNineqjlbjRB
PbWWSfQ8qyYaRMgDLEXOAKwyIJHrP7M2AhjYQw2Fai1DtVPIPuCM2tDhO4H6
wxahOi12/cSoM41pcQHOux3cUKxOr/1gVizGtmsFo+NRDWXqjJpPIMYZcQTw
oAMYihP3dJlQNiRPdXpsqDzU8vIYQT2z9vKQktNjK+QBlvebDMDKU5E4nVYP
BjEUqD9QO1RuUHGQyjLuVhRZ+dfG5s+Brm6GEFRW8CqkJlO9tjZ/kBEPNVxU
n1Mrf3atosJltOKhhou/c2JTTRsAp9auEyN4qDayyveg2MhXeTZJsk6pjSpo
7KFauuXVz3k1s/H3KXXkYADKm4Tyvi4BPL/FUJ1c21PIrodaXvonqM+tyQ3S
CkC7AKkBlq+RDMDY9T+ntqewBB5qqKcX1PKUE4GdVFvMGqoNxXJAcYHKk7VI
JE+EKy16BNCjqihWTFQ/OQp3sXS2ooyjTw/t4FZP1gjkhYqgnQAheFJtSkHY
dzuo5XVngrouFnhC9Nm15YMQeKjlOwmCelFtFTFiABBi6gGWSSsMwApNykBw
Ym3vQECB+v1azrIaXRIHEAFAzMwDtKYur5wZYBWXk/l4Vs0FiIeHWr5sJqiX
xuYjAIi/PUC7Es5W7tLYfBCaJ9RWDjZfoH4vdkxaHuKyGNcAKsjroFb5UAjg
5S2m7vhhoFo7kXcmrqjtC6RgKIChxF8RmzpC85k1VAzsoZY5FwjqlbFFfmZs
4gXgd2sPn6l5VQuaxw0DNaTm1TGaQwEMqXl1C5rPGAZq+eqaoD6/ngLQfEbt
30AvAfidmprZflwTawOh+fTYv3mo5eNWgnptTM2hAJY5eQzAmJrHDgM1pOYL
ajSpCFHtgTGoAPx2zbxMzRfGaJJVOjZ7YA/IGr8sji+qMQNdmmCU2XwNjCpf
HiFzTAnoW3FjtYrXxVbxmJq86PMuC7VKd0cAr2+x4EfHwYCHWpauIKg31GiC
iEMBDGXkhhrNHF0c1Qr1m7VLyDuAL47RFIDlWwIPMBSYF7egyccMVczioZZp
2QjqS2rxAprtACV7V5jyxUCtIiFq8LQhQFcvCwnqzTWuMB8C0C6VENt4gDZO
ysszBui2EXKQfkTdD+081DAMvFkNbpmgdxyo36gNT1723lqLBggxFEC7q5P1
6NYWS3b4MFCtUuQVym11T6jA4TX2+FsAPlLrUQ4Gbo+NCIn9mmGg2s2AvOi7
oxZCiP1QAMusFQZgJfEkSoe1Qv167dmzt7mzpjQkfiiAoRG5s3bpAD4UwDBK
v1OF3SoDCfuhrVAll2mYCIlA31V7SKAwDNQqdy8BvLvFXR4yDFTL+fwWJXi9
gb/bAUqm2zBNsoHqGmRrf/AQoGOxf3ls7YcCWGajNgDdKWy2oAe1Qv2r2tZl
nb83tqB0vD8UVGt+8obsK+qe0P92gF+N5ZtznyjUOGH96iFAV3VmCOqr4uhh
KIBh1PSq2j5lRh3YCvUrsZ/QCoT31fKBOQ0D1e2c57hxfcyooQBaU5nj5PUt
PDqgFaqkq7d7JV5Pg1ecYNQwUB2j8l7Xa1oYtX8r1C+1OHQCfX/MqGGgVutR
AvjamFFDAbS2NO+avraFUfu1QpXcqtaceG/yezGjhoHqGJVt6etaGLVvK9Qv
xIzi9Eb47vUxo4aBGjPqDTGjhgJYHrIYgBWjyCg8tRXq52uyeY2SJAc2nEf3
YaBW8RwBfFNsZ9sBSpmcsAySgVo5BmLiPkOAdkF53lZ5c+2/0K4d4GdjeeKs
9QrVKUcW1b2HAB0L1VtqiwuuDgXQClXW/rfUPUGYdoCfaVFDAzUuuLDXEKBj
oXobf2djYsxDAJZPUQTgp2uh0sqBBqo9kcEIQa1osxz7dIs8vb3Fee/ZCvVT
43mTIGsRaDcM1GrXiwBK2inLSUqWV3PBLO8/OZ7s/2GLnj6lBm22Ihi0C6Sz
7P9xTXP83Q7wYUWl2hgwUONVwR61wKGdAx3r6QO1w8WQe9Tqa7a2PhHjytm2
DNRyoTUU1PBU1ECNF4W7DwG62hwiqO+uaQcKCMCGnc2/HM+wvLumAKSeoNqN
179swezB2jhlju9WAuJ8g3FhRoL2nprTUJUK0Mdj5nIWeXz3J/HU+EFi9ezS
Q21mrkAtJytQG3b3/3w8XP+0Fgvo3C7DQG3G9U9r5YeC71JPwUD92Hi4Ss7P
csNYoDacFn1sPFzfH1Ng51aoHx0P1w/UFIDZHgpqM64fqCkAvHeubT/8gkD9
SGzkFdcP1VEFRuCX1E0npQLV2vB8k9RCtQ1AjXaoD9U+3hv5P6sJCAoMA7W6
9kUAH4onz3kGqrtpApBz4cSXACzUcut4x9oymPP8D9emLu++MbldGA6D3A6Q
V0L0tBMEI7c+hX5Tfi20pGeunBefqkOV7bTe8tgPp22LLw4aLKsCQtRghxrV
t5177rmPBx9e7EguKArQQR90BqtBH6kDP4BRB8vxHTwA2gLLXqzHXPAB332s
jkkw/W02fkhepadUQyANIEBaIcgrqHMflh28R0dMmZTVVKHJ2f0JyY/WworO
S9uG6JVD8DaPVJOnw13QH5SAQErhdPSnPPh43kjlR/rMKyw48xdT+GsryJ1p
POrvtthii/TZTbfffjvh/+ctfnw0xmcGg0tETj8TxAbTAVlAHpCJmSJ5bygv
HZhNb1y5Bz24BdUwDvChSFgyoAF/cBnfQfPRlubBtAMCILaqy0dj1zOvcfhB
NDz+ljm6rHkzJo4VJ2mSzDSkf6AO3S+WcvKQcEAibVzB7WD2IKCfOPzwwzsC
FhwA8nqq+eHYH2w9obF6aSwQBW1HguH46ENSuhB2GBRq0xkw3zFpSBLoBTJz
6htaAPx87ty5j2633XYgE7em+9UgOlPX+DZr/yGJs4Yfka1hN/GP2BcNx6mH
JH8KQc7VXfrcHAMDcWIgx0KUljBVwcLfII2ZEJDJNdVMEBQXjdxqyLF5QdC1
43WiAfmQU5KAUJmWXL+kpxYOxCJjv486MRg4DGmH1wzGJkS0218Q7umTPNYt
PIUbVXZzZSYBS7dRkjbyfjb5LsgFyXhPDaqfgmSet+sUqucyyWNxLhzJcEHN
S8pABnOWej7koqTgoJYFC8rkGo9mJRWvQ/uTPCBf7JCcDblArW0Os5KzW6xR
IYXe0ass084XrX+wDshA5+4kj8VXaCQtBNnwnNRdqoCCArn5kQFYaYe/tcwJ
fssyu1yJTZnksViMJEdDWGMaQpuZe+yQ7cyuxqAM+VPn3uOAz1Ij+RTC6qiu
8vMzlWq5+FNUp5V+S+59uz/yqxkzZnQfB1y+jyfJD8JyseBtzol1grZLFdFt
yWzNnYXfvHvWffCUU07JUdLjAcqiICkVyKKWxevAxFyU4qTmdq7qotmVpMZ/
u2rVqscNlPkvKRVCMXD12U5upn8tBm9rBvrbbre74rHHHpsQUGZ+Sn5gt4IT
WNd8bfPwtQy8pRnoR4855pisNsMCZeZLpoLxK2qe0cwumGBvm39/koEy8yX/
QViJ1k3tLO8DShHUbEr4/cZJBsrMlxQIYaEOeimfZOBcNqAwN2VRsHyN8w2T
A0swu1iJXtYnoQVagsaPnKo88ICWbwi9bnJg8SMDSZnQtWmFw1oY/FaosdaM
OW9/3LBYPSSvAWXJtFsRqdVF+nVUocHcfthYECz6kgmBlhBlYQUoFQvdwApK
JUzrHxcI/lqyHISp2xEKXKZA7BiYd35b8ap2EHzaQmswmDK79QR7j/CUMq30
+DNsEuSwc/f24VkBhPNhgntdf439XKaciSo4UKNXDAlLtkKBKYwIZgE4c6hp
HwjiI9h4dCPbs3P78BfZyVSVBSgGvEpFPKoUQZjd29J/R1WlvBxewpOD1cZE
iPQ7to/DOiQ5Iqqsu8RGfiHSL80EbbIQmi9v6by92qK8PpymzgRArBQliSH+
iBTBWeWFz1R1WHkNun0LgjI/eRtapjCinBPyEqRMcqK7/S9r6czpisl6ZWcp
GxiYKzwB5gQ8uU4BbS4CVXAIXWQ/Jm0M0JJvVQtKbG0kS0RlMVL6Pw58q9Rt
eufnrvb+2+q8sg/hdQPF53YLkNPD034j5oUhwZ6+cgqcJ7XZtgWr59l5uXwb
OYfiC9U62bPVlDeM5nVnS/9tGidFUQUmRORfye0wGwifXa4CFsTStGvEh9Vf
AoAqibJJVBlnAKbpvLSl80q1xln2uh5NCta212AKcGiTzezl5I2QFS3IyFzO
iVWBdv/lXUuZw1316PaWzisUxzKYT3Mxhjfv9FI+TsPCHJwub0GGjZ1k7hiU
j5uTBtwYy6qeWN3a3p8xIE9TVscGnDwj8akw6mVMhHa51PryFnzOtzPq262L
LPvynKeUVTp/MdOJOy9TqpfcAdVzmL2ncjHtWodL3aUtyMhcJJkDDGeVdO6m
lu9oLje3NJC54LtoiZu14amBdpl2Oa5Z2jLWeXYu7kgMf3Mk7tIr5fxvNI2b
4n7L1Dy1rrr3U67lxVG0QF7SggcbL0n0Up1jkvDdosy0esBFc/HdS1o6Sw2M
0tMlyT+oeaquxPziFhxkCpIfpczjoXnwa2uh3vLGls4yhdJEp30VfphB68Sy
6rirf764BYdz3BSsCchHm1LFoMxTZbEP+zHzqxrgaaV/mMpQuWkQYF8NL4hL
/pzwse0dLd8R7OtbGgj2VnSTIQGvjogDaMJ8SQvYsy3a1aPjO+OPDbLVd4Jn
mUYulZ0/sra9BZ4VREHxtJZZ3DkeZV/U0oAZOijzHSaMj44xpmx7i1vAnmXR
riZ1dwtlgwfM+E7whDmOamkdG0sA2b/FMURBcW3LLO4ej7IvaGkgdZrKJFVY
AEBmJY+hfQOAH/I3i1rAnmnRriZ1Twtlg0frStkqYTY5++M09im/xxwWxRAF
xVPVmFazuCeeod6vvaals5CntMTk0o9XwFVw20BWGvQMi7O7LgWGSaEqe0Sf
3z5eE3eRwcoFObmSZ8U+gBb8i+KhPH72GBcyLjsIze/+nh/3EyTtHlDSKEkt
UwWiFC4sbBmPralkjIqfcsgVH+vC88vxq1v6ybBlkm76riF9oWF8NZ7D1F1y
hrBLUbby2YBBsuoi+JVJz0zOpypvGwntwngoj1/5JoDxix8gEJJXxf0ESSsK
+X5ikFcxp+sbbRmP7XzqXh5vU5NX1djkh3RXtvQbbYmXjIxZZSd6L4zHc5hW
FL8v5qtBsuqysNYs6O7a2kblWGw0HsWjZoUYwnpfrBfK7ivifqNqhyp9Wqs6
U13WHW0Zj/slkQ7zNayvscmPuy9v6TdaB5iqCq3kLIdySLorwGj56tp15Uc4
l8ddGihpMi+2UbIayuNXJr8S/OzZfnbkl8ddZBwbq4F0Z9bSBqUYjQfwWJUX
8F6t04wf7V4W95PByucpZ8YOmXZ7F7QMxV5QTrHj2zRStbW8nkpIXtrST4YN
37SdVcumoXs5lEPShQdoeX9tTXJEcWncRcaxxhkicHYtrSD/aDyAx8rCQsv7
a6HIr+cvjbsYPlUPoc5u+W5BPJTHr3yWxNFdlwoJpX89+t11JXwkS0KZP5S+
vCQGHeCDMO4pwYhT04imKMy2ddhmZKNE5BQ3y/KlkLzy7jyaq+hQYbW58rEt
cLV6/aOH1+YvnzdeEg+woJYNSNKyeNxZiQRm3JFEAim9Z0hQ5tgJzDPwExJI
WsTy7c+Baa6mltDYXDMJTMWcMQyFBGEK7ovjAQKlBeLL4nFnOxLwlAfyGQmG
SMK2tWcrLEuFpKdDWftudckSFvKtW+lQ1jeydCgHaDCz5IuXx4NHxNi1ZjI0
aUGMkJ9zWR0pzbmobtg+57J0oZ1zOUCg6kB8RTzunGC6u8QeeEGMi59u+Yg3
T9eXUWyfbpi++uJ4gAV1AIAmK9rGlemKSW14RrUgxsVPtyzid5BVG9auTvtc
w9KpF8fQF/x/7V1djJ5VEf7stz/d0hbbsrst3bXdthQQCVqwKn+FoDaBSACB
KlJoNbalgAaLaMQgTUSN/FVLQQpEBSNe6AU33GpCYjSGGy81MVGvTPTCa2/c
Z87MnJl55z3sNh/xwpLsprx7fp6ZM2fOnHPmzHTVMEZ/a9LpBqvZmVB2EYgZ
omZyIJ7QmFeCszTVlQM6gkWrpBUbA5G8gtAYaLYxs5SN57zhAF1p0PXDOaCZ
rsrD7nPraHBOMjtJWbA65EdYNh4ifhJrENhvd+yModGv6szOK5HjsKz+kzSi
dd3i1IKLRQ8tfp9osjDN2XM4BzGTI9965thWihQyNpS9qDl+Ea9jm49Pf7VK
kMnIx0NcHJ2nFNiVVwaAi39980QZ37YMNhjo4fRMo4URoVRWkiCXv1/YVBMt
VtINGtuRLrXqov4fCmKbapR7XNnklbU6NdpVzSvEuOzOBDW2LR/GORFGmar8
1jCGUZjJ0Vl+ZNladE5WvYpOxuLnItdtzqRJKQ739XxedwlHA9uWBajyyK2A
O7vLKIyWRH0aHt3SHTlIlwiQDlEA5FNZtjkUI1ESJw7l/SYmDqpvWxac1cmq
mTxWNZZPhLhE5ij/SXZ9Pm2V9skmc9Lcc23mxFwu25YFR5KNU+kTb4a12mVA
bfMsIvc8i+mcrk3GRLoNa8yZMyx2ykjjI/LtS8cyNEXFmOiZlcwta7SjsyVx
K+oD4Za1bXSQ/Db6zLkVO53JCdi+dCzCLfkMxoqy/7NfImk7sjMfnyWxLFrv
13YgUR89KmI8iAD+E+uwGo3y4qvJxgikKXRLxTfG+CzXxhN85p2rdGZ2im0O
RvWiHHwHPVJ0rxqnhoVV7uxpwRLVWsxGuH1ZcIRhaRJkY+73xFdIDjm6DItp
GfcsXY8kGfXUWDiUt54shai+Y+md9oRJaxsE1mhyeaiuWaIeWBSCFrWH+9o/
L9fhO5beLdNrN9HmHKFFLxmxezqtEhfHdIm0WeqLRHG2BHt8pKGfm9YxauxY
fn+78nk9k8Po35hiZ/t893NrG4kq0+VzzBPAeSGjEbWUfV/nr8tEhb9xP3Hb
yZmR4p53SajioS+jSpNlJnlzUIX7iTs4zvQY95KzeQceVTyCPdVVHBpv/0he
hVHFPcLB7twzS1nswJ8fxYg6jMqGUtBcO0fyKonlAb4d7C5uoGcm78CjimeZ
p7pdaOjSI3mV5JgQ43OwO7BGy8QOPKpoK5zqDofGQjuSV0kkBUUO5J+T8UYH
HlWcz6fy+WxRxSrJ9Tf6uTdn4Wzegb9dilnZnutOXM0xcF9eJTlBBsJ788+z
eQceVcxAdzLnh715jFX46iIyhS5b7ulWMcIVe/GXjvGinqFFdwALLVZJWIDq
fB+ahs1MrDf04qHF5Ggnu91rXPKjeZXkXhiDtr87lubyLnbgL+Dj5RG5iPEF
PCLGyHe1XY426vGoRjcj+tvd3SUCemK2u3ChKwb56a7ZgrWeXRmsMYEQTDe/
8cYbAwJZnPSGEiWIvATHSqyt+oh58WddBfyv9evXS2NfPH36tJx0Rxesz+U0
0qXbTBeXXiF6iuLVfqFo+Njx48fls/hwg3gfO4IjK1hxG3AoK3SnMaLGy28M
ukQhe+rYsWN/uOKKK+RBzu93796t3JjuylF1Ce0EaGX+RE8H74QSXQSYzlf3
79+v0HsjlRTLcmhHX95P/m1+fj7gzl1uW27tiVMGeOQ9pKIDBMnPia6O+MW+
ffvG6iDoAzSCWByGh1bdDcpzo/G3d+3ahRAarv1k6mIkepzdN3bRwIphOm7P
l6XikzYZNTC+QrbJ99K8QPMBWEpOr6FtczBTCv9mzx7aRFADLML6QOqdRqvl
0D2br6Pe8y4mnWKnQHuJjeHmQxpIpwYG4Gc3+P8acQy/9yaDN10kV/PBLpZA
10xvebHF9CbmR3XWGouhJjfmgL2TZvSsJqerZ7rrP+jgUx4YdvrGbVg1i49x
VJ4MDC2owXlFTqsAlOhbtG9lel38wumqBC1Gqn9Hd9nX8d2Y42fK2ZHW2vLg
0dPdhRIN8IWmxHOxQYq6RHM4ICt0HO7QD+SKHAL75FqNrmKR+IPSE8gctfcZ
jk5hT3e1FWRqqqLX93zmtaVfOUpeLB8LZV1VWlp4mEPYWFWiXbApzTyry5g5
1vh+d6B7b/OoaGmQTNqXTl6EcgVEC7q0bIOHecqvr2zSV2pMOT2IkUEeNsAw
+XZNU+m9tUp9J//8xgYRzIM7u9oAND3Z1Wpg/No25T5Oy3WlsF3VB+eWwuof
TvhyCPzMwI6dvjktZlbncbVk9N6Yo3fPITrpOWjeJEmJ6DFupVsjYGUxyoju
a6sO+MfMzIyl20WUHG/gKBT0vsAvYaPyt/KbchKY+H3dv6IVflqTZjVeX5eh
SHxX3K+q4o52/zM2NibE02wV4idzHDzo6TPwT3Ux4ofW+E0N/I7yPCsah2mN
2RWm+ynvavOPJHOjTPehXa35rj/HwWTEaBmUbKoYpWT/24lOMVXOz/Hzmyp+
UGc1J5j23XxNJKCz/ZR3w11e3l/4LwsLCzr5eatgF/TBVI4teV8mgXU4UWwn
8I48S97UIMsxJH8YwJne4luCAogMjqj5unEz2f8X8qHBZThABigSLWAiAbv1
flUD3qZcMUi0n731z5alssYmL3Hxb/fwMn+P8ETOVfNOOw0uCYyoX1+cFKdP
MguzyJuqTfiq3O01OcCLsxjOaYA+v0qK/Zu8VPxEZVYMaIQhOr9BMnOs9cLk
2zmviwdlGsYSHUO4ilWLcjsrZ1GYonOMJ+sO29r25ErC/jojY3UDLzMrvj3E
3/Hthoo7hjQj9SRdbMrJdq+mO6NFIPmxdxoGfqGuqRqmZLxq4ooAv7kwFpE4
V0GZhuRcWfWWcm2iyq0aKGsaoPnxdgQtcdKur4tCDLfmgpptatDOrOMH/tHO
JWE5XhF27GOO8ILudODM7NT4OwRkvhaOs9MF62ET2O3DeTycjbO2AdqwLgZy
w3juqaMTY6RkrEtp5xADfJBkTUVMFeZauoG6sKpwjW3QO0039k9T9Klw11SS
dMNnovUqSe/N8c71cwQyrfJabLBOVEH8G+p0rkG2Y1hH9dE0+1b5W/pe9f1V
3DE7SLn1TtMNdZoqi41y05iTbHxncTSdYbWuAXquAtOYsObMRBXpR6uWiyEt
0JdafJsbTCg3HBKkJg2s8VhXSWJuXlq1HGaMDZiNqmBpfTW3tkLtK0ys2VCF
U4WOSXKW2PoG3rnaV4yWB7aoObi7DmlUd8Cni/ZcTv8Bx7mobylyJof3iaEn
qGWOMASFEkOrSwivKn1TfpEgo4ULE5TFyWNf4MTMv9MNjBzdSQL6Wi7Q418R
2F2VqzEGDyDpfJ5r0Mws40uiuDeigXm0yqrVs7SnMiHaAcFqLvwb5FQ1N1Yl
KcZzF51od6ASxELMtZkGxvf1Cw4wa0iiD1arMKpAOpOVIZ5v0MxBpDhcWRoM
roQr6w3exmKO3nQ6ZPq+GF6rnKObffwWPPi+WeU3KkTwGrOVFl+ejbSHE+tu
tkHN+6qcqT1kDp119n6gDoKSZSJ0qdzOt7nj+Nt7hPH1rrrRI4yPeamkQG7j
dZRBBGlijvHuHPXU74x92sH7oXwzby8fqYupRCWMfRAWstdX1FOlXoK2VO7F
sOOiUKjERdWy0JhPwzrlVIS3NBjEUerKSpOflnwtn220Ql3TL2gSPJOUSwkA
AjPZ+EcOBsYJkr7Lgx8V7TdPgPUP11GErUHqYsLPElJxVzeo2FpXRI2PHraW
JJbbq4iLoWttCQ17tqXBFQ5jWDRqHlXxq7laoSun6xLtOFFnL1hAs5FDQgxS
p9OOa6XJAYD5T+cEE4mCvq6BeqG2oftzsy7qQJiohBra0jBRV++tDS5wpM6D
DXV0rK0+bkgmpkl8otl17lc+ule3PXw0Uf41C5DJEAP6iFcfbwDfVoVMt+6F
P/RWG7zEyEOQ+c4QQwPAYKeJeyo9mlZ72eEY2lE+ElSYIx/ZAwBVFnurwkGn
BNvMQ4gMAblPGOrfwQxzhnLkEJlxkkGIGwbBGjL1k23sYe6S70A5vBgXtoLd
GjB6TbXzJdC08FcOPVwmnR0N3nDA3KJPJ6IKkkDIHF4oBgojrXFTMmnCtKeJ
c1i4613QV+TcPVp1J+TH8IQ2Upqc6cY2cBNhGWBJJ62q6lMdNiZLwiu7f5bD
NpTTaMo7G4zgaMocnj1qWIkNx1F7YlA+smNuTubopEdBg3ZIliVlWll3Ag/5
NaEkfKM1YbIqEpWPm9uI2WkdPAQqyfs2WyY+ZhOASt63ixr0ceTvMqPHY7w/
OgF4MP8bBfu7rc44zAWRNo4oLasBMIIsDvjeWbuZOew2DAJBOPBh9I2M0RNo
6IXbGngvqUuBnYskTiWpHMUJkzkMcDQbLmnQydHey9TsRBEks+D+9pDd4YkT
rWcGH62SLH0hn38HvOzQJQtPCIy2MFnuElOQH6oLmfqCjRdfsJqAZfHnsjYx
zI5D+dSjnjgFAKQiagG0cFc19zSR2mQVXwyYEPSZZa0Bd3s+o3FMjcm6Jso6
AKG968wpuM/yIA3aj450w8xJF7KoqwByT7XUMXCkGFZ62aBhYjEy2wujsvM3
Ap+tYw5TwMgNeUmBQ+AUkO4fDTGcZ+JwXUSbSVFYPUeBxdzHJGa/fYgCRAJA
THZDScBJ3Lk1sWMXNwYrOkyjz+xnYBMOmoYBEZ9pkfn8aEjhRCBHKpt185tl
rDnQX04ixlKJQ154yCCfStjDnqDNvSlK3NZijOYJEKE5NGJqmElHc1ZSLuDF
Ibm3PSIqqkf9CiVLJacHFfZAD6HIT0ppcAtzJVBuF1YM5wOjgciJa3gBieuP
nCHtr4Mcj6NcZOMv57aByYeKGYRxBZUv1KFGaYwrBm3KE4zSKPLQaCByDqEH
qpkazySBQ/nDCgwgYjmXH+jhqiiABm1AVotxSTcX0OsgE6PDYSdRWswESAMZ
y1PVfrEJdB8ZMWDOSPVgP9swFnoRcGeVJz1Lzg4av+H5AKJBfOHDuHhF47Nk
LZZ7ToyxZDtGGVqWV9Vpj1EUZjw6YtSc9uxL7eJ6MHh7u3v1wny8MAPlMB4Y
TlBSfBzG8U/J6UIxZICaj6kAQRQBCCe1yvXAGDEgUYaG/vERQy+zTZIBZtLk
8vbdUvVrzNvnpPOJSp7k5AYptAcv5E2IjIBsSURsUjKJ+Yg/QYxEVFZXpQqd
iKGl89IRE8DJ/B7qZyPA6OEmb+EAON6zOQF8qioEIQ7SQqZY2TdMoHzGl/39
fAE03nXgnyI0qEkD/fSIqeAMkl9JZNF4OquMsTM+iNZjV5NHU8uVBzp0IApI
TkEUX7pJlBfFIhsrwKU2bqr9aL6kFSavtbWwB6u9FKJBWa8gBCdHTFs5QWXO
0ZYkOodDmlVM91ZxznKJqn//6SIUokaEbZJ4bF1dYuXMA2JFTCnvTmSHBqZ/
uKgx+4iHfOxLaRE2nwpsAqIrFo40iAn50ogpLQpTrj6y/B3oRn2u2MfcpTXi
chgnNRhfpd+TfQwkhUWurOVtz1AEj3hSODMUIaRVbrbsdGW5r4m8uAEX5Ilc
/Yt0jkUGvjZiSjm5buGjT/WSJRXaU7vHamyTCkE3qLfLLwsDRWiEgZIjnjTb
TWXyytGbpJ4XaulU4FcjxlUMFL7RJO5EMXQ+UVfVZmM+KJfeimPX4N8y5LJ+
sziMieyI7rq8OwnxU8w0epMgrZAVP2LA5XJVkozLGaNlm5xXkL5kb16XfH4s
GYbfotxYIus8J6Bm9Jh1toi+GEG9c2dFaa+mk138eWvEwIsLCvtTUPe61BmH
LzRBB3Z8mJXlcnezkMD+esSNFmOPPY+IzerJZu7H0YQ5XNTD83hnppn0COtb
I2605Nphj7zsFsvtdNDc9u5WCqOb3U4R4t+9K00XS5W9Vmm50ssiPs9DTcnt
B1W1uS6TaAFY6LyuNA4h1xsgwv32u9J0MXjFbRuf5HAczDA7cbGUMVI8wdTK
xU/xuqarFKvAYUSaXbrcSIkzBtX94/+o8/JaRR6tyBESStDL4MItvEEBhL/P
zc3JyyNIL9qvSaz+1GwDMwEkkNRnbZQ3gPIUEJ8s/M3VJhdGyIFW6f2vy69X
HvSyrUwnMLL+QFrY0rUXqnzQMCm02L0FZLIm7/vnaNssxz6Dkg58zD731uAq
9GtFXfnRLdUtZtnglbpdQppzqf/wk08+OagNvG4LT8QkQf9eu3atRnulXz8v
5V8u/Vr3Muv2ozJaK/6sVHyp2vy6RLPqdB66teJrrqJFaH1v/GNsW/F0AnWy
CZUZ+GICdaoJ9aeuooM61YTKFX+UQD2nCbWch7K4eKhrmlB/7Co6qGuaULni
8wnUc5tQiywPTiVQ1zWhvuIqOqjrmlC54nMJ1A1NqC9bPeGhTjehvuQqOqjT
Tahc8YcJ1Nkm1CLdrNk81E1NqC+6ig7qpiZUrngigbq5CbVI9+DZBOp8E+oL
rqKDOt+EyhWfSaBuaUIt0i1nPw7qQhPqKVfRQV1oQuWKTyVQtzehFunmt8ce
6gVNqCddRQf1giZUrvj9BOqFTahFujklm4d6cRPqD1xFB/XiJlSu+L0E6iVN
qEW62VD0UC9tQn3WVXRQL21C5YrfSaBe1oTKZlSxxTWxJtkdM+V0JOYx5C1l
fYTr2iuyK6ZHGteNfr1+ttzZcmfLnS13ttz/YTlZYygbpdshcrn6gX7dePbr
mX4dvOe/9dAI9g==\
\>"]]
}, Open  ]],

Cell["\<\
Aut\[OAcute]mata determin\[IAcute]stico equivalente simplificado utilizando \
el comando NDFAToDFA\
\>", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145269790473`*^9, 3.5408145274750757`*^9}, {3.540815761449655*^9, 
   3.5408157619486837`*^9}, {3.541888710413685*^9, 3.541888711102724*^9}, {
   3.5474641415917597`*^9, 3.5474641654721255`*^9}, {3.5474644429599967`*^9, 
   3.5474644550486884`*^9}, 3.547464523005575*^9, {3.5474657606503644`*^9, 
   3.5474657641935673`*^9}, {3.547475330303717*^9, 3.547475331101763*^9}, {
   3.5474797914848824`*^9, 3.5474798358994226`*^9}, {3.547489647535616*^9, 
   3.5474896742731457`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{"MakeAutomaton", "[", 
     RowBox[{"NDFA", ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", 
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"], ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
          RowBox[{"{", "}"}]}], "}"}]}], "}"}], ",", 
      SubscriptBox["\[Sigma]", "0"], ",", 
      RowBox[{"{", 
       SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BS", "=", 
   RowBox[{"NDFAToDFA", "[", "A", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", 
  RowBox[{"BS", ",", 
   RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5474895671470184`*^9, 3.5474896251103334`*^9}, {
  3.5474899741882997`*^9, 3.5474899754023695`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.3333333333333333, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox["1", {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.3456250546094486, 0.4004586481694025}, {
    0.34627428558845935`, 0.38162962464778677`}, {0.36225608279712795`, 
    0.39160638692934174`}}], 
   CircleBox[{0.1412507813674272, 0.5}, 0.23674075070442663`, {
    5.759486531581288, 6.806784082777885}], 
   InsetBox["\<\"b\"\>", {0.37799153177592787`, 0.4999881629624697}, {1, 0}], 
   PolygonBox[{{0.5995140803806565, 0.6789565036768558}, {0.6183703753522132, 
    0.6796076189217928}, {0.6083783455235281, 0.6956120917659451}}], 
   CircleBox[{0.49999999999999994`, 0.4745841147007607}, 
    0.23674075070442657`, {1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.49999999999999994`, 0.7113248654051872}, {0, 1}], 
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.049999999999999996`],
    CircleBox[{0.6666666666666666, 0.6666666666666667}, 
    0.033333333333333326`], 
   InsetBox["2", {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.3893094901597732, 0.3808645393020231}, {0.3730010003478951, 
    0.3637714047837694}, {0.3959583339769465, 0.3581944055684501}}], 
   CircleBox[{0.27802890196333885`, 0.7239412103285272}, 
    0.37248085628353345`, {4.970107475123717, 6.017305026320314}], 
   InsetBox["\<\"b\"\>", {0.5403356102606278, 0.4594848262498757}, {1, 1}], 
   PolygonBox[{{0.3800849350848794, 0.06550080283938933}, {
    0.36650683099579984`, 0.03741014638889199}, {0.3976231051354515, 
    0.039696491537768414`}}], 
   CircleBox[{0.012196726032460333`, 0.5827489351813243}, 
    0.6503307197424476, {5.28845778088953, 6.335755332086127}], 
   InsetBox["\<\"a\"\>", {0.5916929153104629, 0.2875977677213201}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.049999999999999996`], 
   InsetBox["3", {0.3333333333333333, 0.33333333333333337`}], 
   PolygonBox[{{0.5995862577817861, 0.34511120432720077`}, {
    0.6183703753522132, 0.3462742855884594}, {0.607971058648084, 
    0.3619602679614936}}], 
   CircleBox[{0.5061932193631281, 0.13914846667854874`}, 
    0.23555215809859387`, {1.0744332845150193`, 2.1216308357116613`}], 
   InsetBox["\<\"a,b\"\>", {0.4997785767190046, 0.3746132656287382}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.049999999999999996`], 
   InsetBox["4", {0.6666666666666666, 0.33333333333333337`}], 
   CircleBox[{0.3333333333333333, 0.}, 0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.}, 0.033333333333333326`], 
   InsetBox["5", {0.3333333333333333, 0.}], 
   PolygonBox[{{0.5995140803806565, 0.012289837010189061`}, {
    0.6183703753522132, 0.012940952255126049`}, {0.6083783455235281, 
    0.028945425099278423`}}], 
   CircleBox[{0.49999999999999994`, -0.19208255196590607`}, 
    0.23674075070442657`, {1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b\"\>", {0.49999999999999994`, 0.044658198738520505`}, \
{0, 1}], CircleBox[{0.26629189667811454`, -0.020135684026232788`}, 
    0.024999999999999998`, {0.8153737466961952, 6.051361502679184}], 
   PolygonBox[{{0.26162286020972997`, -0.005475241449375237}, {
    0.2834318056911532, -0.0019361368059101006`}, {0.26946237842254933`, 
    0.015181411689019722`}}], 
   InsetBox["\<\"a\"\>", {0.25910058095446, 0.0038076862077739207`}, {1, -1}],
    CircleBox[{0.6666666666666666, 0.}, 0.049999999999999996`], 
   CircleBox[{0.6666666666666666, 0.}, 0.033333333333333326`], 
   InsetBox["6", {0.6666666666666666, 0.}], 
   PolygonBox[{{0.3916216544764718, -0.028945425099278454`}, {
    0.3816296246477867, -0.012940952255126035`}, {
    0.40048591961934343`, -0.012289837010189087`}}], 
   CircleBox[{0.49999999999999994`, 0.19208255196590607`}, 
    0.23674075070442657`, {4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"a\"\>", {0.4999881629624696, -0.044658198442594554`}, \
{0, -1}], 
   CircleBox[{0.7366666666666666, 0.}, 
    0.024999999999999998`, {-2.617993877991494, 2.6179938779914944`}], 
   PolygonBox[{{0.7234711305083438, -0.032912414523193156`}, {
    0.7150160315720556, -0.012500000000000008`}, {
    0.7369212505698634, -0.015383876791260263`}}], 
   InsetBox["\<\"b\"\>", {0.7366666666666666, -0.024999999999999998`}, \
{-1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.3333333333333333, 0.7666666666666667}, {0.3333333333333333, 
     0.7166666666666668}}], 
    PolygonBox[{{0.3333333333333333, 0.7166666666666668}, {
     0.31666666666666665`, 0.7416666666666667}, {0.35, 0.7416666666666667}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.5474899796736135`*^9, 3.5474900422851944`*^9}]
}, Open  ]],

Cell["Ejemplo 16", "Text",
 CellChangeTimes->CompressedData["
1:eJwd0c0rw3EcwPGFHEjm2YWMjUSyKZvkt33FwoE8O0x52lJkTmIO02gaYlN2
W1xEK5IhTKklHGZJlmfzmx3Wbwqbg4ODz+d7ePf6A96CPm2LOorH42VB6H3P
Mnup4ohSF/Cjma7XivQejpSQWgY9at01ocZh9Tw6xlp9qCv/wo+eTj19omk3
xghqy+ELMkCPistFx2eODag+qWwaXdCywkzwKiIWoSdSx5IG3BGprKh4qFk/
CC52cFOob8vOaMGbaIkc3XQXCEdBx5mUehj0bjO9HLE/Bqkrkc6QHCzdGaCm
tiVsEDDwXkTNNjMO1PzRTO32CKTVoCneIUO/m2aUNWDti6Ie9TRcTqIy3Qu1
pfD3GN1LrHKi5QpDlwV8+1umrh9OhNFU6xw1PPT2YOvnyK3kixrrs/BZ8Llp
lVpcqY97B7fPl6g5ees/Xg1HDlT7VHeMRnkH5l9L6tC49uT+tWGOOFNyqbMh
cVrjCPxIJ9R/NR7mzQ==
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Aut\[OAcute]mata determin\[IAcute]stico equivalente completo", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145269790473`*^9, 3.5408145274750757`*^9}, {3.540815761449655*^9, 
   3.5408157619486837`*^9}, {3.541888710413685*^9, 3.541888711102724*^9}, {
   3.5474641415917597`*^9, 3.5474641654721255`*^9}, {3.5474644429599967`*^9, 
   3.5474644550486884`*^9}, 3.547464523005575*^9, {3.5474657606503644`*^9, 
   3.5474657641935673`*^9}, {3.547475330303717*^9, 3.547475331101763*^9}, {
   3.5474797914848824`*^9, 3.5474798168583336`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{"MakeAutomaton", "[", 
     RowBox[{"NDFA", ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", 
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"], ",", 
        SubscriptBox["\[Sigma]", "3"], ",", 
        SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"], ",", 
            SubscriptBox["\[Sigma]", "4"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "4"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "4"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
          RowBox[{"{", "}"}]}], "}"}]}], "}"}], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"], ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AutomDeterEquivalente", "[", "A_", "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ToString", "[", 
       RowBox[{"AutomatonType", "[", "A", "]"}], "]"}], "\[Equal]", 
      RowBox[{"ToString", "[", "NDFA", "]"}]}], ",", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"CP", "=", 
          RowBox[{"Subsets", "[", 
           RowBox[{"States", "[", "A", "]"}], "]"}]}], ",", 
         RowBox[{"EA", "=", 
          RowBox[{"FinalStates", "[", "A", "]"}]}], ",", 
         RowBox[{"EstadosAceptados", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"Transiciones", "=", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"ES", "=", 
          RowBox[{"Transitions", "[", "A", "]"}]}]}], "}"}], ",", 
       RowBox[{
        RowBox[{
        "Print", "[", 
         "\"\<El diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico es: \>\"", "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{"A", ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}], ";", 
        RowBox[{"Estados", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           SubscriptBox["\[Mu]", "i"], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{
              RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], "}"}]}], 
          "]"}]}], ";", 
        RowBox[{"Print", "[", "\"\<Los estados son: \>\"", "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{
            RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
          RowBox[{
           RowBox[{"Print", "[", 
            RowBox[{
             SubscriptBox["\[Mu]", "i"], ",", "\"\<=\>\"", ",", 
             RowBox[{"CP", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"SE", "=", 
         RowBox[{"Alphabet", "[", "A", "]"}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<Los s\[IAcute]mbolos de entrada corresponden a: \>\"", ",", " ",
           "SE"}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{
            RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"MemberQ", "[", 
                RowBox[{
                 RowBox[{"CP", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", "+", "1"}], "]"}], "]"}], ",", 
                 RowBox[{"InitialState", "[", "A", "]"}]}], "]"}], "\[Equal]",
                "True"}], "&&", 
              RowBox[{
               RowBox[{"Length", "[", 
                RowBox[{"CP", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", "+", "1"}], "]"}], "]"}], "]"}], "\[Equal]", 
               "1"}]}], ",", 
             RowBox[{
              RowBox[{"EI", "=", 
               SubscriptBox["\[Mu]", "i"]}], ";", 
              RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<El estado inicial del aut\[OAcute]mata equivalente es: \>\"", 
          ",", " ", "EI"}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "EA", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "0"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{
               RowBox[{"Length", "[", "CP", "]"}], "-", "1"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{
                    RowBox[{"CP", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", "+", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"EA", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[Equal]", 
                  "True"}], "&&", 
                 RowBox[{
                  RowBox[{"MemberQ", "[", 
                   RowBox[{"EstadosAceptados", ",", 
                    SubscriptBox["\[Mu]", "j"]}], "]"}], "\[Equal]", 
                  "False"}]}], ",", 
                RowBox[{"EstadosAceptados", "=", 
                 RowBox[{"Append", "[", 
                  RowBox[{"EstadosAceptados", ",", 
                   SubscriptBox["\[Mu]", "j"]}], "]"}]}]}], "]"}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Los estados aceptados son: \>\"", ",", 
          RowBox[{"Sort", "[", "EstadosAceptados", "]"}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"Length", "[", "CP", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", 
              RowBox[{"Length", "[", "SE", "]"}]}], ",", 
             RowBox[{
              RowBox[{"Imagen", "=", 
               RowBox[{"{", "}"}]}], ";", 
              RowBox[{"CImagen", "=", 
               RowBox[{"CP", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"CImagen", "\[NotEqual]", 
                 RowBox[{"{", "}"}]}], ",", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"k", "=", "1"}], ",", 
                  RowBox[{"k", "\[LessEqual]", 
                   RowBox[{"Length", "[", "CImagen", "]"}]}], ",", 
                  RowBox[{
                   RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"h", "=", "1"}], ",", 
                    RowBox[{"h", "\[LessEqual]", 
                    RowBox[{"Length", "[", "ES", "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Transicion", "=", 
                    RowBox[{"ES", "[", 
                    RowBox[{"[", "h", "]"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"CImagen", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "&&", 
                    RowBox[{
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"Imagen", "=", 
                    RowBox[{"Union", "[", 
                    RowBox[{"Imagen", ",", 
                    RowBox[{"Transicion", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], ";", 
                    RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"h", "++"}]}]}], "]"}], ";", 
                   RowBox[{"k", "++"}]}]}], "]"}]}], "]"}], ";", 
              RowBox[{"Transiciones", "=", 
               RowBox[{"Append", "[", 
                RowBox[{"Transiciones", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Mu]", 
                    RowBox[{"i", "-", "1"}]], ",", 
                   RowBox[{"SE", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", "Imagen"}], "}"}]}], 
                "]"}]}], ";", 
              RowBox[{"j", "++"}]}]}], "]"}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", 
           RowBox[{"Length", "[", "Transiciones", "]"}]}], ",", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "CP", "]"}]}], ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "\[Equal]", 
                 RowBox[{"CP", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                RowBox[{
                 RowBox[{"Transiciones", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "3"}], "]"}], "]"}], "=", 
                 SubscriptBox["\[Mu]", 
                  RowBox[{"i", "-", "1"}]]}]}], "]"}], ";", 
              RowBox[{"i", "++"}]}]}], "]"}], ";", 
           RowBox[{"j", "++"}]}]}], "]"}], ";", 
        RowBox[{"B", "=", 
         RowBox[{"MakeAutomaton", "[", 
          RowBox[{
          "DFA", ",", "Estados", ",", "Transiciones", ",", "EI", ",", 
           "EstadosAceptados", ",", "SE"}], "]"}]}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{"B", ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}], ";", 
        RowBox[{
        "Print", "[", 
         "\"\<El diagrama de transici\[OAcute]n minimizado del nuevo aut\
\[OAcute]mata es: \>\"", "]"}], ";", 
        RowBox[{"Print", "[", 
         RowBox[{"ShowAutomaton", "[", 
          RowBox[{
           RowBox[{"MinimizeAutomaton", "[", "B", "]"}], ",", 
           RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}], "]"}]}]}], 
      "]"}], ",", 
     RowBox[{
     "Print", "[", 
      "\"\<El par\[AAcute]metro ingresado no es un aut\[OAcute]mata no \
determin\[IAcute]stico\>\"", "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"AutomDeterEquivalente", "[", "A", "]"}]}], "Input",
 CellChangeTimes->{{3.5474903864268785`*^9, 3.5474904060079985`*^9}, {
   3.547490668569016*^9, 3.5474907108504343`*^9}, 3.547554632366272*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"El diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico es: \"\>"], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049419112206`*^9}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.3933350250923575, 0.6388566417170978}, {0.3816296246477867, 
    0.6537257144115407}, {0.40035931955417725`, 0.6564283522107872}}], 
   CircleBox[{0.47758561319579773`, 0.8716901708877067}, 0.2381513300932272, {
    4.297683678989454, 5.344781230186019}], 
   InsetBox["\<\"c,a\"\>", {0.5034556806361671, 0.6349481263839811}, {1, 1}], 
   PolygonBox[{{0.38878072652636547`, 0.38133579379512744`}, {
    0.3730010003478951, 0.3637714047837694}, {0.3961020705229186, 
    0.3588879555541307}}], 
   CircleBox[{0.26739962962128505`, 0.7205269850050577}, 
    0.37205670739601926`, {5.000076452311466, 6.047274003508063}], 
   InsetBox["\<\"c,b\"\>", {0.5372052722355134, 0.46434129310972483`}, \
{1, 1}], PolygonBox[{{0.3918063393406061, 0.047322875207700406`}, {
    0.3798779364962759, 0.01826471780247903}, {0.4110072404185296, 
    0.0224634966153252}}], 
   CircleBox[{-0.0122115870411025, 0.5481533730539146}, 0.6591784139608512, {
    5.349325065570785, 6.396622616767382}], 
   InsetBox["\<\"c,a\"\>", {0.5922790851563544, 0.2852708733354853}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.033333333333333326`], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.3333333333333333, 0.33333333333333337`}], 
   PolygonBox[{{0.35206321161442816`, 0.06475827167663237}, {
    0.35326521508651065`, 0.04585542595786628}, {0.36903455794673873`, 
    0.05634781435950986}}], 
   CircleBox[{0.14263239471043104`, 0.15939191144699472`}, 
    0.23928376158194467`, {5.788706752732304, 6.836004303928902}], 
   InsetBox["\<\"a\"\>", {0.3818143600189426, 0.1663708818555092}, {1, 1}], 
   PolygonBox[{{0.5981400865061431, 0.32869706594681264`}, {
    0.6169074303330568, 0.32843247631685535`}, {0.607752899760721, 
    0.34481776764749833`}}], 
   CircleBox[{0.4900102867748668, 0.13149450959371656`}, 0.2342807029618376, {
    0.998402655531873, 2.0456002067286887`}], 
   InsetBox["\<\"a\"\>", {0.5014374534023475, 0.3654963635247497}, {1, 1}], 
   PolygonBox[{{0.2899509251695435, 0.6139893698003115}, {0.3055548216823532, 
    0.6250931860515395}, {0.3073690603784664, 0.6060279071478089}}], 
   CircleBox[{0.5238192304517627, 0.5162111087166332}, 0.24391526992015986`, {
    2.67886225024809, 3.7260598014446877`}], 
   InsetBox["\<\"a\"\>", {0.28035566904800985`, 0.5013735493207793}, {1, 1}], 
   CircleBox[{0.2633333333333333, 0.33333333333333337`}, 
    0.024999999999999998`, {0.5235987755982991, 5.759586531581288}], 
   PolygonBox[{{0.2630787494301365, 0.34871721012459367`}, {
    0.28498396842794427`, 0.3458333333333334}, {0.27652886949165617`, 
    0.3662457478565265}}], 
   InsetBox["\<\"b\"\>", {0.2633333333333333, 0.3583333333333334}, {1, -1}], 
   CircleBox[{0.3333333333333333, 0.6666666666666667}, 0.049999999999999996`],
    CircleBox[{0.3333333333333333, 0.6666666666666667}, 
    0.033333333333333326`], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.34736011913042963`, 0.4009857473267645}, {
    0.34627428558845935`, 0.38162962464778677`}, {0.3635800963182073, 
    0.3903673265556481}}], 
   CircleBox[{0.14125078136742708`, 0.5258819045102521}, 0.2506857744838958, {
    5.669954685114888, 6.717252236311485}], 
   InsetBox["\<\"c,b\"\>", {0.3909313632955379, 0.5034550336489259}, {1, 1}], 
   PolygonBox[{{0.6120427035231429, 0.6996384777300353}, {0.6313113276073393, 
    0.7020220057259942}, {0.6196128197701093, 0.7175173596809015}}], 
   CircleBox[{0.5258819045102523, 0.47458411470075923`}, 
    0.25068577448389584`, {1.1367293976630009`, 2.1839269488595927`}], 
   InsetBox["\<\"c\"\>", {0.5034675177060509, 0.724265817660312}, {1, 1}], 
   PolygonBox[{{0.6254355837191299, 0.3935092521688666}, {0.6427368625663076, 
    0.3772350927026165}, {0.6481800586657303, 0.4003555194353558}}], 
   CircleBox[{0.2806837722123496, 0.2789952330963129}, 0.37514465243465434`, {
    0.26496132656533977`, 1.312158877761937}], 
   InsetBox["\<\"a\"\>", {0.5451110161743882, 0.5450999923565676}, {1, 1}], 
   CircleBox[{0.2663475098320787, 0.6869865940744792}, 
    0.024999999999999998`, {0.22907446432425616`, 5.465062220307244}], 
   PolygonBox[{{0.2705695919355549, 0.7017819481021443}, {
    0.29069443431401204`, 0.6926635006503384}, {0.28852882026112087`, 
    0.714651349123143}}], 
   InsetBox["\<\"c,b\"\>", {0.2736046267634403, 0.7109101024677844}, \
{-1, -1}], CircleBox[{0.3333333333333333, 0.}, 0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.}, 0.033333333333333326`], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.3333333333333333, 0.}], 
   PolygonBox[{{0.6023981414612266, 0.3097591098624185}, {0.6255532557171779, 
    0.30487832603938847`}, {0.609748815808078, 0.28726580077771846`}}], 
   CircleBox[{0.7314324224343949, -0.05210278120145917}, 
    0.37235186164652634`, {1.8591272625647637`, 2.906324813761362}], 
   InsetBox["\<\"c\"\>", {0.46124782070533327`, 0.20411234298160352`}, \
{1, 1}], PolygonBox[{{0.5882651473583861, 0.6463420423929355}, {
    0.6197137736850572, 0.6494787103990494}, {0.6067058946982541, 
    0.6206750670829712}}], 
   CircleBox[{0.9960082313907341, 0.10227434942305363`}, 0.664100995008408, {
    2.173197159420127, 3.2203947106167243`}], 
   InsetBox["\<\"a\"\>", {0.39652549122633085`, 0.3880199982370578}, {1, 1}], 
   PolygonBox[{{0.31098833819071087`, 0.602543494238853}, {0.3366034897948405,
     0.6167737205047366}, {0.33611965144063144`, 0.5874752353608288}}], 
   CircleBox[{0.8195803069676384, 0.3123956865392398}, 0.5708875488982638, {
    2.5792537919708045`, 3.6264513431674024`}], 
   InsetBox["\<\"a\"\>", {0.24912109687429462`, 0.33450638772092395`}, \
{1, 1}], PolygonBox[{{0.3030611825483971, 0.2762854343193829}, {
    0.3203923810782073, 0.28503704201887997`}, {0.31930589640502216`, 
    0.26565197996428436`}}], 
   CircleBox[{0.5254158852992394, 0.14078476215641464`}, 0.2506857744838958, {
    2.5284620315250947`, 3.575659582721692}], 
   InsetBox["\<\"a\"\>", {0.2757341823396868, 0.16319914896061596`}, {1, 1}], 
   CircleBox[{0.306545493067777, -0.06467156727579006}, 
    0.024999999999999998`, {-4.581489286485115, 0.6544984694978737}], 
   PolygonBox[{{0.2811880999932363, -0.0398854457414448}, {
    0.30328233826227574`, -0.0398854457414448}, {
    0.292235219127756, -0.05901961735969928}}], 
   InsetBox["\<\"b,a\"\>", {0.28344850475499483`, -0.0551044814666628}, \
{1, -1}], 
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.049999999999999996`], InsetBox[
    SubscriptBox["\[Sigma]", 
     "4"], {0.6666666666666666, 0.33333333333333337`}], 
   PolygonBox[{{0.6636031460776404, 0.6083783455235283}, {0.6796076189217927, 
    0.6183703753522133}, {0.6802587341667297, 0.5995140803806567}}], 
   CircleBox[{0.8846311231428248, 0.5}, 0.23674075070442663`, {
    2.617993877991494, 3.665191429188092}], 
   InsetBox["\<\"a\"\>", {0.6478903724383982, 0.5}, {-1, 0}], 
   PolygonBox[{{0.35289153805266776`, 0.6002617074569431}, {
    0.3583290030813216, 0.6233628966939553}, {0.3756164873038789, 
    0.6071033192284455}}], 
   CircleBox[{0.7197690452235179, 0.7214465605217341}, 0.374512094829571, {
    3.406580134639655, 4.453777685836253}], 
   InsetBox["\<\"b\"\>", {0.45579461869734705`, 0.4557835948795264}, {1, 1}], 
   PolygonBox[{{0.40019402655403397`, 0.01777819172607204}, {
    0.3833333333333333, 0.}, {0.40716004561181235`, -0.005712692791506831}}], 
   CircleBox[{0.27962613559440874`, 0.38704053107225783`}, 
    0.4006938426723772, {4.97408836818384, 6.0212859193804364`}], 
   InsetBox["\<\"a\"\>", {0.5629311341777894, 0.1036788658223049}, {1, 1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.3333333333333333, 0.7666666666666667}, {0.3333333333333333, 
     0.7166666666666668}}], 
    PolygonBox[{{0.3333333333333333, 0.7166666666666668}, {
     0.31666666666666665`, 0.7416666666666667}, {0.35, 0.7416666666666667}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049420062256`*^9}],

Cell[BoxData["\<\"Los estados son: \"\>"], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942031227*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "0"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 0], "=", {}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942036227*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "1"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "0"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 1], "=", {
    Subscript[$CellContext`\[Sigma], 0]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942059229*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "2"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "1"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 2], "=", {
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942064229*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "3"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "2"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 3], "=", {
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049420672293`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "4"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "3"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 4], "=", {
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049420792303`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "5"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "4"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 5], "=", {
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049420862303`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "6"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 6], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049420902305`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "7"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 7], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942095231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "8"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 8], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942100231*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "9"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 9], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049421132317`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "10"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 10], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942119232*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "11"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 11], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049421242323`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "12"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 12], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942129233*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "13"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 13], "=", {
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942134233*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "14"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 14], "=", {
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049421562347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "15"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 15], "=", {
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049421622343`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "16"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 16], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942168235*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "17"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 17], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049421812353`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "18"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 18], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942186236*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "19"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 19], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049421912365`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "20"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 20], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422012367`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "21"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 21], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422202377`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "22"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 22], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422242384`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "23"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 23], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422302384`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "24"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 24], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422362385`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "25"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 25], "=", {
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422472396`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "26"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 26], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.54780494225624*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "27"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 27], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422622404`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "28"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 28], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942269241*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "29"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 29], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422842417`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "30"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 30], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422912416`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "31"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 31], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049422982426`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Los s\[IAcute]mbolos de entrada corresponden a: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}]}],
  SequenceForm[
  "Los s\[IAcute]mbolos de entrada corresponden a: ", {$CellContext`a, \
$CellContext`b, $CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942320244*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El estado inicial del aut\[OAcute]mata equivalente es: \"\>", 
   "\[InvisibleSpace]", 
   SubscriptBox["\[Mu]", "3"]}],
  SequenceForm["El estado inicial del aut\[OAcute]mata equivalente es: ", 
   Subscript[$CellContext`\[Mu], 3]],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942327244*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Los estados aceptados son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "2"], ",", 
     SubscriptBox["\[Mu]", "3"], ",", 
     SubscriptBox["\[Mu]", "4"], ",", 
     SubscriptBox["\[Mu]", "6"], ",", 
     SubscriptBox["\[Mu]", "7"], ",", 
     SubscriptBox["\[Mu]", "8"], ",", 
     SubscriptBox["\[Mu]", "10"], ",", 
     SubscriptBox["\[Mu]", "11"], ",", 
     SubscriptBox["\[Mu]", "12"], ",", 
     SubscriptBox["\[Mu]", "13"], ",", 
     SubscriptBox["\[Mu]", "14"], ",", 
     SubscriptBox["\[Mu]", "15"], ",", 
     SubscriptBox["\[Mu]", "16"], ",", 
     SubscriptBox["\[Mu]", "17"], ",", 
     SubscriptBox["\[Mu]", "18"], ",", 
     SubscriptBox["\[Mu]", "19"], ",", 
     SubscriptBox["\[Mu]", "20"], ",", 
     SubscriptBox["\[Mu]", "21"], ",", 
     SubscriptBox["\[Mu]", "22"], ",", 
     SubscriptBox["\[Mu]", "23"], ",", 
     SubscriptBox["\[Mu]", "24"], ",", 
     SubscriptBox["\[Mu]", "25"], ",", 
     SubscriptBox["\[Mu]", "26"], ",", 
     SubscriptBox["\[Mu]", "27"], ",", 
     SubscriptBox["\[Mu]", "28"], ",", 
     SubscriptBox["\[Mu]", "29"], ",", 
     SubscriptBox["\[Mu]", "30"], ",", 
     SubscriptBox["\[Mu]", "31"]}], "}"}]}],
  SequenceForm["Los estados aceptados son: ", {
    Subscript[$CellContext`\[Mu], 2], 
    Subscript[$CellContext`\[Mu], 3], 
    Subscript[$CellContext`\[Mu], 4], 
    Subscript[$CellContext`\[Mu], 6], 
    Subscript[$CellContext`\[Mu], 7], 
    Subscript[$CellContext`\[Mu], 8], 
    Subscript[$CellContext`\[Mu], 10], 
    Subscript[$CellContext`\[Mu], 11], 
    Subscript[$CellContext`\[Mu], 12], 
    Subscript[$CellContext`\[Mu], 13], 
    Subscript[$CellContext`\[Mu], 14], 
    Subscript[$CellContext`\[Mu], 15], 
    Subscript[$CellContext`\[Mu], 16], 
    Subscript[$CellContext`\[Mu], 17], 
    Subscript[$CellContext`\[Mu], 18], 
    Subscript[$CellContext`\[Mu], 19], 
    Subscript[$CellContext`\[Mu], 20], 
    Subscript[$CellContext`\[Mu], 21], 
    Subscript[$CellContext`\[Mu], 22], 
    Subscript[$CellContext`\[Mu], 23], 
    Subscript[$CellContext`\[Mu], 24], 
    Subscript[$CellContext`\[Mu], 25], 
    Subscript[$CellContext`\[Mu], 26], 
    Subscript[$CellContext`\[Mu], 27], 
    Subscript[$CellContext`\[Mu], 28], 
    Subscript[$CellContext`\[Mu], 29], 
    Subscript[$CellContext`\[Mu], 30], 
    Subscript[$CellContext`\[Mu], 31]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049423322444`*^9}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.8333333333333333, 0.8333333333333334}, 0.024999999999999994`],
    InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.8333333333333333, 0.8333333333333334}], 
   CircleBox[{0.8423919999119215, 0.8671407372534508}, 
    0.012499999999999997`, {-1.3089969389957465`, 3.926990816987242}], 
   PolygonBox[{{0.8498547874438471, 0.865272871686434}, {0.845627237975703, 
    0.8550666644248374}, {0.8565798474746069, 0.8565086028204676}}], 
   InsetBox["\<\"c,b,a\"\>", {0.8544660727405349, 0.8639054991896693}, \
{-1, 1}], 
   CircleBox[{0.16666666666666666`, 0.16666666666666674`}, 
    0.024999999999999994`], InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.16666666666666666`, 0.16666666666666674`}],
    PolygonBox[{{0.7861189888970046, 0.6705486650048065}, {0.8088137013232525,
     0.6617894086162636}, {0.7898806065593893, 0.6465148393178219}}], 
   CircleBox[{0.9200645904206506, -0.11713886999445555`}, 
    0.7868329070040347, {1.7126624571187155`, 2.7598600083153126`}], 
   InsetBox["\<\"a\"\>", {0.4342543549633392, 0.5018073624598115}, {1, 1}], 
   PolygonBox[{{0.9549588770830978, 0.8273276280633067}, {0.9807749771387022, 
    0.8173521413883444}, {0.9592279022352695, 0.7999824862510313}}], 
   CircleBox[{1.1260167822050906`, -0.19068535194710723`}, 
    1.0184472347200737`, {1.7138952327972397`, 2.7610927839938375`}], 
   InsetBox["\<\"b\"\>", {0.49621494265836485`, 0.6096798227153872}, {1, 1}], 
   PolygonBox[{{0.6181491727333738, 0.8297039701052888}, {0.6424726705379823, 
    0.8270364649588786}, {0.6280007944141611, 0.8073054505243977}}], 
   CircleBox[{0.9532658876130666, 0.09410398567934175}, 0.7961045427346395, {
    1.9718541759280028`, 3.0190517271246002`}], 
   InsetBox["\<\"c\"\>", {0.3176448266623836, 0.5734455234565905}, {1, 1}], 
   CircleBox[{1., 0.8333333333333334}, 0.024999999999999994`], 
   CircleBox[{1., 0.8333333333333334}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "2"], {1., 0.8333333333333334}], 
   PolygonBox[{{0.8633341792128454, 0.8194283208585489}, {0.8574814789905599, 
    0.8268628572057704}, {0.8668463264437553, 0.8282141761053936}}], 
   CircleBox[{0.9054594732645654, 0.9358450854438534}, 0.11907566504661375`, {
    4.297683678989454, 5.34478123018602}], 
   InsetBox["\<\"c\"\>", {0.9183945069847501, 0.8174740631919903}, {1, 1}], 
   PolygonBox[{{0.3719625978529944, 0.641381735715166}, {0.35638988621755224`,
     0.6570025387133946}, {0.3777042542592514, 0.6626785010963828}}], 
   CircleBox[{0.5339843014153265, 1.2790386735754153`}, 0.646891590132012, {
    4.434282839714, 5.4813803909106}], 
   InsetBox["\<\"a\"\>", {0.6911697187031924, 0.6515345110588927}, {1, 1}], 
   CircleBox[{1.032335783637895, 0.8467272534661114}, 
    0.012499999999999997`, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0325377586278806`, 0.8289988438598764}, {1.024726265775286, 
    0.836810336712471}, {1.0353969634534108`, 0.8396695415380012}}], 
   InsetBox["\<\"b\"\>", {1.0371193265424585`, 0.8351787593097204}, {-1, 1}], 
   CircleBox[{0.16666666666666666`, 0.8333333333333334}, 
    0.024999999999999994`], 
   CircleBox[{0.16666666666666666`, 0.8333333333333334}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "3"], {0.16666666666666666`, 0.8333333333333334}], 
   PolygonBox[{{0.1608996978331224, 0.7002366834919205}, {
    0.16019619053910364`, 0.6908148123238934}, {0.16870752396880861`, 
    0.694916492719539}}], 
   CircleBox[{0.0641549145561507, 0.7612071934021007}, 0.11907566504661364`, {
    5.65059305737824, 6.697890608574839}], 
   InsetBox["\<\"b\"\>", {0.18252464271278857`, 0.7482603226443857}, {1, 1}], 
   PolygonBox[{{0.46756558113008045`, 0.8499121468853225}, {
    0.48232233047033635`, 0.851011002862997}, {0.4739923186084419, 
    0.8632412946801006}}], 
   CircleBox[{0.35012148520600594`, 0.591577940018782}, 0.2911744796257678, {
    1.0995173504358724`, 2.146714901632489}], 
   InsetBox["\<\"c\"\>", {0.33489424418458125`, 0.8823539856556468}, {1, 1}], 
   PolygonBox[{{0.2994926566488089, 0.840347051797489}, {0.3091851876761066, 
    0.8398038094608964}, {0.3048093838263582, 0.8484694087258015}}], 
   CircleBox[{0.2370590477448743, 0.7372920573503843}, 0.12534288724194786`, {
    0.9576657047301822, 2.0048632559268116`}], 
   InsetBox["\<\"a\"\>", {0.24826624114697496`, 0.8621329088301606}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.5}, 0.024999999999999994`], 
   CircleBox[{0.6666666666666666, 0.5}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.6666666666666666, 0.5}], 
   PolygonBox[{{0.33908366001926976`, 0.7930393848501702}, {
    0.34327907582920486`, 0.8103968513405383}, {0.35621337485023324`, 
    0.7980847814245116}}], 
   CircleBox[{0.7521337946689328, 0.9227602946041586}, 0.4240138258353967, {
    3.4097960363957367`, 4.4569935875923345`}], 
   InsetBox["\<\"c\"\>", {0.45423694332839415`, 0.6210233388613078}, {1, 1}], 
   PolygonBox[{{0.19985653519332977`, 0.4904050934409421}, {
    0.19081481232389336`, 0.506470476127563}, {0.20924870328674403`, 
    0.5062681464831632}}], 
   CircleBox[{0.42787386006876627`, 0.8911868867052934}, 0.451889044662013, {
    4.160148833897018, 5.207246385093694}], 
   InsetBox["\<\"a\"\>", {0.41491032264439154`, 0.4394838256319888}, {1, 1}], 
   CircleBox[{0.70136723681475, 0.4954315832722982}, 
    0.012499999999999997`, {-2.7488935718910685`, 2.48709418409192}], 
   PolygonBox[{{0.6926779474838891, 0.47997734268960984`}, {0.689818742658359,
     0.4906480403677346}, {0.7004894403364836, 0.48778883554220437`}}], 
   InsetBox["\<\"b\"\>", {0.6997356594119993, 0.4830385225051256}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.8333333333333334}, 0.024999999999999994`],
    InsetBox[
    SubscriptBox["\[Mu]", "5"], {0.3333333333333333, 0.8333333333333334}], 
   PolygonBox[{{0.7907568447100118, 0.8394781564105926}, {0.8091851876761066, 
    0.8398038094608964}, {0.7996889923786762, 0.8556003960940348}}], 
   CircleBox[{0.5833333333333333, 0.44861692275556736`}, 
    0.45170370868554677`, {1.0471975511965979`, 2.094395102393195}], 
   InsetBox["\<\"c\"\>", {0.5833333333333334, 0.9003206314411141}, {0, 1}], 
   PolygonBox[{{0.1947188387279137, 0.8151293848906452}, {
    0.18943826228969604`, 0.8230156575882235}, {0.19890826300607925`, 
    0.8236456345815565}}], 
   CircleBox[{0.24597995238067652`, 0.9286431368066914}, 0.1198087103861645, {
    4.2209069104201395`, 5.268004461616877}], 
   InsetBox["\<\"b\"\>", {0.24982116464714754`, 0.8088960192099837}, {1, 1}], 
   PolygonBox[{{0.6339435636866889, 0.6904955550912419}, {0.6479615934722206, 
    0.6832534154979}, {0.647224455445042, 0.6990144551998483}}], 
   CircleBox[{0.36568890043546104`, 0.5103092500451083}, 
    0.33104011478729756`, {0.54969432788471, 1.5968918790813065`}], 
   InsetBox["\<\"a\"\>", {0.5236721406735458, 0.8012196372819045}, {1, 1}], 
   CircleBox[{0.5, 0.33333333333333337`}, 0.024999999999999994`], 
   CircleBox[{0.5, 0.33333333333333337`}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.5, 0.33333333333333337`}], 
   PolygonBox[{{0.9660228497481242, 0.8175276131636348}, {0.9874999999999999, 
    0.8116826982387224}, {0.9716995800661292, 0.796005397982159}}], 
   CircleBox[{1.1461672105491425`, 0.17233617901189002`}, 0.658740658644138, {
    1.814052758466629, 2.8612503096632267`}], 
   InsetBox["\<\"b\"\>", {0.6890841158525544, 0.6466929012089119}, {1, 1}], 
   PolygonBox[{{0.635738756578398, 0.8075865514396713}, {0.6542770825057841, 
    0.811619323931097}, {0.6485004029673488, 0.793548276488632}}], 
   CircleBox[{0.9700800891759598, 0.4520117337634367}, 0.47859080426614453`, {
    2.2914289691919123`, 3.3386265203885097`}], 
   InsetBox["\<\"c\"\>", {0.516782867724251, 0.605539538907246}, {1, 1}], 
   PolygonBox[{{0.3174617997632751, 0.6293290800287583}, {
    0.32542526751419965`, 0.642950374903403}, {0.3332399210326184, 
    0.629243162091562}}], 
   CircleBox[{0.6563564142197087, 0.634315998053127}, 0.3310437679875815, {
    3.1155074136348553`, 4.162704964831452}], 
   InsetBox["\<\"a\"\>", {0.3654444458440849, 0.47632801439856}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.16666666666666674`}, 
    0.024999999999999994`], 
   CircleBox[{0.3333333333333333, 0.16666666666666674`}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "7"], {0.3333333333333333, 0.16666666666666674`}], 
   PolygonBox[{{0.32390823199424196`, 0.6329920520457069}, {
    0.33970220522241523`, 0.642491525077413}, {0.3400320035763514, 
    0.6240638065192705}}], 
   CircleBox[{0.7309165148840507, 0.41674116055231003`}, 
    0.45167672418140714`, {2.6182188270178632`, 3.66541637821446}], 
   InsetBox["\<\"a\"\>", {0.2792398021305309, 0.41663955631382893`}, {1, 1}], 
   PolygonBox[{{0.14345696965122626`, 0.6294722738193284}, {
    0.15548409076709563`, 0.6443071050374591}, {0.16231787090491664`, 
    0.6264738970076587}}], 
   CircleBox[{0.6330625202381708, 0.5600115493167958}, 0.4849607169764519, {
    2.9668859146257214`, 4.014083465822319}], 
   InsetBox["\<\"b\"\>", {0.17731969015641297`, 0.39422442726147955`}, \
{1, 1}], PolygonBox[{{0.15826689158493756`, 0.4618024897478904}, {
    0.1669778049103406, 0.4750019362151121}, {0.17405340420414583`, 
    0.46085834075153786`}}], 
   CircleBox[{0.49847667223906716`, 0.4483156662839522}, 
    0.33257127964252625`, {3.061264035704886, 4.108461586901484}], 
   InsetBox["\<\"c\"\>", {0.19804709684104266`, 0.3056772203122223}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.024999999999999994`],
    CircleBox[{0.6666666666666666, 0.6666666666666667}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "8"], {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.20576871154395548`, 0.481675303176955}, {
    0.19079293603963812`, 0.4934484256744795}, {0.20847664695651913`, 
    0.5005312664538288}}], 
   CircleBox[{0.26753806436756417`, 0.969815606112255}, 0.4825095909101767, {
    4.552656499061438, 5.599754050258035}], 
   InsetBox["\<\"a\"\>", {0.4392358776909324, 0.5188883767056911}, {1, 1}], 
   PolygonBox[{{0.3666866678464403, 0.3595951868495381}, {0.3544562896189699, 
    0.34670571972302033`}, {0.3717340847055139, 0.34255863504339784`}}], 
   CircleBox[{0.24194523255685058`, 0.7535497555372495}, 
    0.42211468517317113`, {4.982091849442222, 6.029289400638819}], 
   InsetBox["\<\"c\"\>", {0.542775074407967, 0.45743792921030646`}, {1, 1}], 
   PolygonBox[{{0.5304386536490898, 0.5207619680202904}, {0.521650635094611, 
    0.5125}, {0.5331997185626766, 0.5090203366930375}}], 
   CircleBox[{0.482297036225148, 0.7026709006307406}, 0.19420009575354305`, {
    4.916346772242234, 5.963544323438827}], 
   InsetBox["\<\"b\"\>", {0.6114492006428485, 0.5576419531171198}, {1, 1}], 
   CircleBox[{0.16666666666666666`, 0.}, 0.024999999999999994`], InsetBox[
    SubscriptBox["\[Mu]", "9"], {0.16666666666666666`, 0.}], 
   PolygonBox[{{0.9592844237539595, 0.6562985619324824}, {0.9851855406425922, 
    0.6465288466767146}, {0.9637741605990406, 0.6289826790926525}}], 
   CircleBox[{1.13859729730799, -0.3607466216349873}, 1.0188910815910217`, {
    1.7219384934201507`, 2.769136044616748}], 
   InsetBox["\<\"a\"\>", {0.5021010846407079, 0.43487364419911523`}, {1, 1}], 
   PolygonBox[{{0.6255006165958609, 0.8134726780010683}, {0.6518499156759365, 
    0.8131971993926113}, {0.6384366946627756, 0.7905157763215803}}], 
   CircleBox[{1.0951038155362438`, 0.003337868634779362}, 
    0.9232259503268391, {2.071581234583986, 3.1187787857805835`}], 
   InsetBox["\<\"c\"\>", {0.3063050125517779, 0.4830696726327725}, {1, 1}], 
   PolygonBox[{{0.14138953811543548`, 0.6317333939369065}, {
    0.16019619053910364`, 0.6425185210094401}, {0.16013305835512687`, 
    0.6208389187141325}}], 
   CircleBox[{0.6957206445418394, 0.32039238107820733`}, 0.6249413499376757, {
    2.6000597243391748`, 3.6472572755357717`}], 
   InsetBox["\<\"b\"\>", {0.07087979306206271, 0.33159957448030797`}, {1, 1}],
    CircleBox[{0.16666666666666666`, 0.6666666666666667}, 
    0.024999999999999994`], 
   CircleBox[{0.16666666666666666`, 0.6666666666666667}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "10"], {0.16666666666666666`, 0.6666666666666667}], 
   PolygonBox[{{0.29972058659254625`, 0.6730021739327778}, {
    0.3091851876761066, 0.6731371427942298}, {0.3043360006715892, 
    0.6812662433385528}}], 
   CircleBox[{0.2475340799476115, 0.5711544314674448}, 0.11916934376641114`, {
    1.0270561959860125`, 2.074253747182781}], 
   InsetBox["\<\"a\"\>", {0.24993414974853712`, 0.690299604087521}, {1, 1}], 
   PolygonBox[{{0.4624604417208548, 0.8335690856619499}, {
    0.47628291754873714`, 0.8412390274837543}, {0.4627293151715646, 
    0.8493746717829945}}], 
   CircleBox[{0.46378834544543446`, 0.5091906567762049}, 0.3322833652495753, {
    1.533185300550863, 2.58038285174746}], 
   InsetBox["\<\"c\"\>", {0.30858477694253644`, 0.8030002671458266}, {1, 1}], 
   CircleBox[{0.13184494111166947`, 0.6701947581298314}, 
    0.012499999999999997`, {0.4226246649974703, 5.658612420980459}], 
   PolygonBox[{{0.13249366501980928`, 0.6778603485711555}, {
    0.1432451356351765, 0.6753217031096611}, {0.14006793178834906`, 
    0.6859020725213582}}], 
   InsetBox["\<\"b\"\>", {0.1331049737770854, 0.6826310886851875}, {-1, -1}], 
   CircleBox[{0.5, 0.5}, 0.024999999999999994`], 
   CircleBox[{0.5, 0.5}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "11"], {0.5, 0.5}], 
   PolygonBox[{{0.4855643823263641, 0.6374770478449223}, {0.493529523872437, 
    0.6425185210094401}, {0.49391299693237045`, 0.6330997695035432}}], 
   CircleBox[{0.5962460514061731, 0.5840541729294249}, 0.11818953009894725`, {
    2.6241421187985283`, 3.6713396699951257`}], 
   InsetBox["\<\"a\"\>", {0.47805875513342627`, 0.583327519815546}, {1, 1}], 
   PolygonBox[{{0.31742964442129906`, 0.7960095921817215}, {
    0.32542526751419965`, 0.8096170415700696}, {0.33321185281876986`, 
    0.7958889041583582}}], 
   CircleBox[{0.6565176324646693, 0.8002508509629264}, 0.33122481738991794`, {
    3.1133114415937935`, 4.160508992790392}], 
   InsetBox["\<\"c\"\>", {0.36510013811492237`, 0.6428160274901645}, {1, 1}], 
   CircleBox[{0.4820476892268817, 0.4699547917646527}, 
    0.012499999999999997`, {1.5558085351455242`, 6.791796291128513}], 
   PolygonBox[{{0.47130526091337777`, 0.48405931355705156`}, {
    0.48223502960848164`, 0.48245338782906816`}, {0.4753793727839051, 
    0.473790893345612}}], 
   InsetBox["\<\"b\"\>", {0.47131725771425764`, 0.4763663313264807}, {1, -1}],
    CircleBox[{0.8333333333333333, 0.5}, 0.024999999999999994`], 
   CircleBox[{0.8333333333333333, 0.5}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "12"], {0.8333333333333333, 0.5}], 
   PolygonBox[{{0.8143495089244935, 0.8015845938070704}, {0.8268628572057702, 
    0.8091851876761067}, {0.8271884904395655, 0.7945480132436006}}], 
   CircleBox[{1.073712176613693, 0.6666666666666667}, 0.28503704201888014`, {
    2.617993877991495, 3.665191429188092}], 
   InsetBox["\<\"c\"\>", {0.7886751345948129, 0.6666666666666667}, {-1, 0}], 
   PolygonBox[{{0.19759162386369872`, 0.645980990006229}, {0.1916631719651697,
     0.6670846653053119}, {0.21290371683665815`, 0.6616670176050106}}], 
   CircleBox[{0.6446978173864716, 1.1175943581533334`}, 0.6389048233516673, {
    3.924196326563547, 4.971293877760147}], 
   InsetBox["\<\"b\"\>", {0.4775823187819599, 0.5009325517892692}, {1, 1}], 
   PolygonBox[{{0.2065911405265433, 0.3221833341266644}, {0.1912584304710272, 
    0.3378327947444961}, {0.21247761594935163`, 0.34328658085251834`}}], 
   CircleBox[{0.3718549624901885, 0.9499695743834307}, 0.638221391340085, {
    4.42550131208316, 5.4725988632797575`}], 
   InsetBox["\<\"a\"\>", {0.5214911463452326, 0.32953782403100595`}, {1, 1}], 
   CircleBox[{0.8333333333333333, 0.6666666666666667}, 0.024999999999999994`],
    CircleBox[{0.8333333333333333, 0.6666666666666667}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "13"], {0.8333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.6855594328309929, 0.8092846939365563}, {0.6883160516530265, 
    0.8208311683323275}, {0.6969372823928941, 0.8126706292060104}}], 
   CircleBox[{0.8693350672974103, 0.8693375674224063}, 0.18740532216974995`, {
    3.403404927079093, 4.450602478275692}], 
   InsetBox["\<\"b\"\>", {0.7368212007263605, 0.7368202857420996}, {1, 1}], 
   PolygonBox[{{0.5300789112520738, 0.642102741020831}, {0.521650635094611, 
    0.6541666666666668}, {0.5363124392520029, 0.6554338051062224}}], 
   CircleBox[{0.6493788402721109, 0.9122827022099695}, 0.2879902467141296, {
    4.25287145543417, 5.299969006630825}], 
   InsetBox["\<\"a\"\>", {0.667806617599894, 0.6248826339684626}, {1, 1}], 
   PolygonBox[{{0.3727006149738438, 0.4883353320508914}, {
    0.35832210247938834`, 0.5007492773619748}, {0.3762621507272051, 
    0.5069944617952635}}], 
   CircleBox[{0.45634699933277323`, 0.9704364472498261}, 
    0.47980716747499397`, {4.506639785998048, 5.553737337194647}], 
   InsetBox["\<\"c\"\>", {0.6062757445374198, 0.514655480861653}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.024999999999999994`], 
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "14"], {0.6666666666666666, 0.33333333333333337`}], 
   PolygonBox[{{0.48508311146845834`, 0.7939436992154567}, {
    0.4973273492934579, 0.80847660510533}, {0.5037910960723968, 
    0.7906063311539655}}], 
   CircleBox[{0.9685280650970787, 0.7160592384020656}, 0.4801781796814701, {
    2.9479194276016214`, 3.9951169787982184`}], 
   InsetBox["\<\"c\"\>", {0.5142475915780993, 0.5604946678161447}, {1, 1}], 
   PolygonBox[{{0.18646968630430738`, 0.6328360473194427}, {
    0.18771051656680957`, 0.653170134468348}, {0.20469993746927717`, 
    0.641928500364784}}], 
   CircleBox[{0.6853966437638287, 0.8915366298619312}, 0.5518243083904392, {
    3.5882584484054516`, 4.6354559996020495`}], 
   InsetBox["\<\"b\"\>", {0.3735710621969081, 0.43626212584151247`}, {1, 1}], 
   PolygonBox[{{0.5297968594823349, 0.18777168977099934`}, {0.521650635094611,
     0.17916666666666675`}, {0.533175915896977, 0.17641434095413577`}}], 
   CircleBox[{0.47314640113053835`, 0.360186932202795}, 
    0.18740596908106247`, {4.974088368183837, 6.021285919380439}], 
   InsetBox["\<\"a\"\>", {0.6056491804368788, 0.22765764969018434`}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.}, 0.024999999999999994`], 
   CircleBox[{0.3333333333333333, 0.}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "15"], {0.3333333333333333, 0.}], 
   PolygonBox[{{0.7999040760631306, 0.646446862854797}, {0.8240208268410476, 
    0.6434658644643476}, {0.8093808311173194, 0.624070644829158}}], 
   CircleBox[{1.1204986343321865`, -0.0835496341684322}, 0.7851436974127876, {
    1.9580097504794336`, 3.0052073016760312`}], 
   InsetBox["\<\"b\"\>", {0.5002335720701576, 0.39782535284699666`}, {1, 1}], 
   PolygonBox[{{0.30603054607714975`, 0.796693445851455}, {0.3268628572057703,
     0.8091851876761067}, {0.32726486739912497`, 0.7848980061068542}}], 
   CircleBox[{1.0074996757737753`, 0.41906673646759224`}, 0.78451187675121, {
    2.6211371371135685`, 3.668334688310166}], 
   InsetBox["\<\"c\"\>", {0.2229916745386057, 0.41660081641520363`}, {1, 1}], 
   PolygonBox[{{0.14330940335308726`, 0.46289797120713894`}, {
    0.15548409076709563`, 0.4776404383707924}, {0.1621640981382733, 
    0.4597256162052997}}], 
   CircleBox[{0.633380279113119, 0.38883762521640475`}, 0.4860768524212925, {
    2.9578678494565103`, 4.005065400653107}], 
   InsetBox["\<\"a\"\>", {0.17510863305651608`, 0.22679502316261574`}, \
{1, 1}], CircleBox[{0.5, 0.8333333333333334}, 0.024999999999999994`], 
   CircleBox[{0.5, 0.8333333333333334}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "16"], {0.5, 0.8333333333333334}], 
   PolygonBox[{{0.20484285363447122`, 0.6715305684357878}, {
    0.19144952051923778`, 0.6633787866624542}, {0.2052058371786684, 
    0.6558557108299815}}], 
   CircleBox[{0.19063411120354842`, 0.9918515311268404}, 
    0.32847375655951266`, {4.714771401390594, 5.761968952587191}], 
   InsetBox["\<\"b\"\>", {0.3555482419892956, 0.7077770017943086}, {1, 1}], 
   PolygonBox[{{0.19977667104639923`, 0.5265738600978884}, {
    0.18765375055749872`, 0.5135846350616856}, {0.20496420965877343`, 
    0.5095804904683403}}], 
   CircleBox[{0.0718027078569521, 0.9194409448722007}, 0.4220673030546347, {
    4.99034282247868, 6.037540373675277}], 
   InsetBox["\<\"c\"\>", {0.3750314516442342, 0.6258542672980988}, {1, 1}], 
   PolygonBox[{{0.36177365426560465`, 0.6899326097798164}, {0.353455594462003,
     0.6815022525017334}, {0.36491552792960275`, 0.6785137800406575}}], 
   CircleBox[{0.308753783171069, 0.8632973360507443}, 0.1872103211238152, {
    4.953396814939918, 6.000594366136513}], 
   InsetBox["\<\"a\"\>", {0.438350719645172, 0.7281961206905215}, {1, 1}], 
   CircleBox[{1., 0.5}, 0.024999999999999994`], 
   CircleBox[{1., 0.5}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "17"], {1., 0.5}], 
   PolygonBox[{{0.529077635739209, 0.6466445355287088}, {0.5249549367618592, 
    0.6651662896435124}, {0.543056595836603, 0.6594757746326517}}], 
   CircleBox[{0.8831549912860319, 0.9828038976408722}, 0.478749338459496, {
    3.8670446944633796`, 4.914142245659978}], 
   InsetBox["\<\"a\"\>", {0.7317407395058065, 0.5286292028006163}, {1, 1}], 
   PolygonBox[{{0.533676966213112, 0.47775846135914246`}, {0.5241481456572267,
     0.493529523872437}, {0.5425706967163548, 0.4938961932852898}}], 
   CircleBox[{0.7490059779506204, 0.8850049404091465}, 0.45145769071163083`, {
    4.191016579734518, 5.238114130949256}], 
   InsetBox["\<\"b\"\>", {0.7499885183872673, 0.43354831888613804`}, {1, 1}], 
   PolygonBox[{{0.37226703659271637`, 0.3088775528998467}, {
    0.3567641434516433, 0.32461569964065606`}, {0.37814522490820796`, 
    0.3301725255625762}}], 
   CircleBox[{0.5386288816776377, 0.9475086207863552}, 0.648899356004789, {
    4.4283172768517485`, 5.4754148280483435`}], 
   InsetBox["\<\"c\"\>", {0.6925443400286143, 0.3171274615627958}, {1, 1}], 
   CircleBox[{0.8333333333333333, 0.33333333333333337`}, 
    0.024999999999999994`], 
   CircleBox[{0.8333333333333333, 0.33333333333333337`}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "18"], {0.8333333333333333, 0.33333333333333337`}], 
   PolygonBox[{{0.6664145835653309, 0.7975319528997008}, {0.6790952821048991, 
    0.8116416409537949}, {0.6849742811294343, 0.7936049898537495}}], 
   CircleBox[{1.1454863662847916`, 0.7045636762156136}, 0.4785251654144918, {
    2.9159152578123564`, 3.9631128090089534`}], 
   InsetBox["\<\"c\"\>", {0.6880408569173474, 0.564100371774467}, {1, 1}], 
   PolygonBox[{{0.19207087213702265`, 0.6369874819975958}, {
    0.19071520339569814`, 0.6598352772624223}, {0.21117980888616597`, 
    0.6495854231991125}}], 
   CircleBox[{0.7776433371790707, 1.0349083835359971`}, 0.6965374859087917, {
    3.7102275904326913`, 4.757325141629288}], 
   InsetBox["\<\"b\"\>", {0.456854302319366, 0.4166375170139529}, {1, 1}], 
   PolygonBox[{{0.20191456935896646`, 0.30857558753521797`}, {
    0.1908787008930766, 0.3271061832131617}, {0.21244460173037893`, 
    0.32739822781847405`}}], 
   CircleBox[{0.5009693239022579, 0.8622705659992107}, 0.618512013700041, {
    4.187231357136847, 5.2343289083489655`}], 
   InsetBox["\<\"a\"\>", {0.49997423273688263`, 0.24375935277437966`}, \
{1, 1}], CircleBox[{1., 0.6666666666666667}, 0.024999999999999994`], 
   CircleBox[{1., 0.6666666666666667}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "19"], {1., 0.6666666666666667}], 
   PolygonBox[{{0.6924193767003337, 0.8127510987377219}, {0.6911586083249338, 
    0.8283188748572825}, {0.705271082112602, 0.8216268442388867}}], 
   CircleBox[{0.9618571405821276, 1.0070515675422995`}, 0.3243810580176293, {
    3.7251500402613136`, 4.772247591457916}], 
   InsetBox["\<\"b\"\>", {0.8167771745881587, 0.7169225026973147}, {1, 1}], 
   PolygonBox[{{0.5343582367691597, 0.650822160255416}, {0.525, 
    0.6666666666666667}, {0.5434008634471486, 0.6668488842377632}}], 
   CircleBox[{0.7531635052520321, 1.0548375742466476`}, 
    0.45026130038119727`, {4.180994790166042, 5.228092341364367}], 
   InsetBox["\<\"c,a\"\>", {0.7496310549010589, 0.6045901307053381}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.16666666666666674`}, 
    0.024999999999999994`], 
   CircleBox[{0.6666666666666666, 0.16666666666666674`}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "20"], {0.6666666666666666, 0.16666666666666674`}], 
   PolygonBox[{{0.16641862276591615`, 0.6202761113250764}, {
    0.17120451267616096`, 0.6420819569145847}, {0.18769598395255357`, 
    0.627034331877843}}], 
   CircleBox[{0.8056573083736631, 0.8334571237601611}, 0.6626875617163407, {
    3.434551658520768, 4.481749209717366}], 
   InsetBox["\<\"b\"\>", {0.35189265322035584`, 0.35049496976965544`}, \
{1, 1}], PolygonBox[{{0.18887913813678509`, 0.4716491001495984}, {
    0.19034751150574142`, 0.49198641230735785`}, {0.20722595379457703`, 
    0.4805461075887214}}], 
   CircleBox[{0.6915534575980082, 0.7252259409840975}, 0.5528183048123425, {
    3.577143544071552, 4.624341095268149}], 
   InsetBox["\<\"c\"\>", {0.374116140092661, 0.2726316109371985}, {1, 1}], 
   PolygonBox[{{0.18201853747658195`, 0.2922000962124238}, {
    0.17784477043029015`, 0.310971535636152}, {0.19618819735998536`, 
    0.3052004042158549}}], 
   CircleBox[{0.545729519443857, 0.6371961945434059}, 0.4916927054939186, {
    3.8670432454777823`, 4.9141407966743795`}], 
   InsetBox["\<\"a\"\>", {0.3902209877204158, 0.1707427529255432}, {1, 1}], 
   CircleBox[{0.5, 0.16666666666666674`}, 0.024999999999999994`], 
   CircleBox[{0.5, 0.16666666666666674`}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "21"], {0.5, 0.16666666666666674`}], 
   PolygonBox[{{0.6459778204626078, 0.8024213711100951}, {0.6670871649537474, 
    0.8083368699596767}, {0.6616554649879728, 0.7870978919483218}}], 
   CircleBox[{1.1173884579502509`, 0.35493410830487415`}, 
    0.6390190284729597, {2.352762551975675, 3.3999601031722735`}], 
   InsetBox["\<\"b\"\>", {0.5007147180308974, 0.5224417715457026}, {1, 1}], 
   PolygonBox[{{0.33160442709489546`, 0.2963844822166064}, {
    0.33333083333333746`, 0.30833333345833336`}, {0.34281563893549327`, 
    0.3008637961777272}}], 
   CircleBox[{0.5152042033204908, 0.3753692562958495}, 0.19383430465519091`, {
    3.494728001008171, 4.541925552204768}], 
   InsetBox["\<\"c\"\>", {0.39121520605848775`, 0.2263777591588505}, {1, 1}], 
   PolygonBox[{{0.1737955905598232, 0.4605664463340157}, {0.1783200660935865, 
    0.47788217276049333`}, {0.191053687297016, 0.4653059987962143}}], 
   CircleBox[{0.5910028978460139, 0.5831797448345695}, 0.42590456478875405`, {
    3.3914159921027225`, 4.43861354329932}], 
   InsetBox["\<\"a\"\>", {0.28625786787975005`, 0.28564795658538267`}, \
{1, 1}], CircleBox[{0.6666666666666666, 0.8333333333333334}, 
    0.024999999999999994`], 
   CircleBox[{0.6666666666666666, 0.8333333333333334}, 0.016666666666666663`],
    InsetBox[
    SubscriptBox["\[Mu]", "22"], {0.6666666666666666, 0.8333333333333334}], 
   PolygonBox[{{0.5299859248669342, 0.6876450818174031}, {0.521650635094611, 
    0.6791666666666667}, {0.5331608028851412, 0.6761873015512985}}], 
   CircleBox[{0.4762471478449969, 0.862302555089801}, 0.18868023288875968`, {
    4.955311292496721, 6.0025088436933185`}], 
   InsetBox["\<\"a\"\>", {0.6071220749219033, 0.7263908788232969}, {1, 1}], 
   PolygonBox[{{0.36730777576508716`, 0.525726938661234}, {0.3545996035421343,
     0.5131432778029783}, {0.37185145962946803`, 0.5084295082513612}}], 
   CircleBox[{0.2534595423937294, 0.92865647732261}, 0.4276453331256457, {
    4.95105572291292, 5.998253274109517}], 
   InsetBox["\<\"c\"\>", {0.5487750754761131, 0.6193519884052779}, {1, 1}], 
   CircleBox[{0.6757270236041268, 0.8671402842778627}, 
    0.012499999999999997`, {-1.3090469389957464`, 3.926940816987242}], 
   PolygonBox[{{0.6831897177334456, 0.8652720455738042}, {0.6789616579602231, 
    0.8550660497024388}, {0.6899143395423559, 0.8565074404657919}}], 
   InsetBox["\<\"b\"\>", {0.6878009346557444, 0.8639044425144841}, {-1, 1}], 
   CircleBox[{0.5, 0.}, 0.024999999999999994`], 
   CircleBox[{0.5, 0.}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "23"], {0.5, 0.}], 
   PolygonBox[{{0.48559196233494034`, 0.7967549237480205}, {0.506470476127563,
     0.8091851876761067}, {0.5067961435687198, 0.7848887323743885}}], 
   CircleBox[{1.1863324974277052`, 0.4166666666666667}, 0.7850370420188805, {
    2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"c\"\>", {0.4012954554088247, 0.4166666666666668}, {-1, 0}], 
   PolygonBox[{{0.15041368898962337`, 0.6225085767915137}, {
    0.1625223811230242, 0.6420125615859149}, {0.17335898136330063`, 
    0.6217741341945844}}], 
   CircleBox[{0.8625223331512624, 0.6096608853921021}, 0.7007471468312126, {
    3.0954088340365753`, 4.142606385233172}], 
   InsetBox["\<\"b\"\>", {0.2401287539500132, 0.28767828281683333`}, {1, 1}], 
   PolygonBox[{{0.16229259081061176`, 0.2907598845956828}, {
    0.16666416666667083`, 0.30833333345833336`}, {0.17969743188580345`, 
    0.2957607132810902}}], 
   CircleBox[{0.5878565829417908, 0.42119333129287473`}, 0.4360509495906258, {
    3.4033960952238522`, 4.450593646420449}], 
   InsetBox["\<\"a\"\>", {0.2795232494834573, 0.11285749795954542`}, {1, 1}], 
   CircleBox[{1., 0.33333333333333337`}, 0.024999999999999994`], 
   CircleBox[{1., 0.33333333333333337`}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "24"], {1., 0.33333333333333337`}], 
   PolygonBox[{{0.675571771021598, 0.7971296772186783}, {0.6842550533903422, 
    0.8155668296688969}, {0.695880454601306, 0.7988283103242216}}], 
   CircleBox[{1.2352394681852863`, 0.8527961297600948}, 0.5522407501554079, {
    3.2090588044278086`, 4.256256355624406}], 
   InsetBox["\<\"b\"\>", {0.7766876179291609, 0.5450624027185312}, {1, 1}], 
   PolygonBox[{{0.3507200255332923, 0.7943162632433218}, {0.3534148399906541, 
    0.8184426285020643}, {0.3729614779770265, 0.8040456680941321}}], 
   CircleBox[{1.0754793803898708`, 1.1228321474303213`}, 0.7836007782891157, {
    3.5405412717272298`, 4.587738822923827}], 
   InsetBox["\<\"c\"\>", {0.6023479046963425, 0.4981908211931182}, {1, 1}], 
   PolygonBox[{{0.515078186452671, 0.6274096005046021}, {0.5164822356315037, 
    0.6478694352591539}, {0.5334989476967609, 0.6364235756248462}}], 
   CircleBox[{1.0226261529227498`, 0.8856584053409814}, 0.5592184361262635, {
    3.5807938543743254`, 4.627991405570922}], 
   InsetBox["\<\"a\"\>", {0.7031871476184746, 0.42665515786475805`}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.6666666666666667}, 0.024999999999999994`],
    CircleBox[{0.3333333333333333, 0.6666666666666667}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "25"], {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.3402825200919587, 0.5337948557334985}, {
    0.33980380946089633`, 0.5241481456572267}, {0.3483974607654222, 
    0.528556925127801}}], 
   CircleBox[{0.23757385019439728`, 0.5951121147295728}, 
    0.12444617100630707`, {5.676289433121173, 6.723586984317773}], 
   InsetBox["\<\"c\"\>", {0.3615890592471709, 0.5847642936194126}, {1, 1}], 
   PolygonBox[{{0.47273959789588077`, 0.6828679818361664}, {
    0.48232233047033635`, 0.6843443361963304}, {0.4762524038022186, 
    0.6919050488633997}}], 
   CircleBox[{0.4331344157503593, 0.5693913134875843}, 0.1250345887519662, {
    1.1664754763424998`, 2.2136730275389525`}], 
   InsetBox["\<\"a\"\>", {0.4182558881026798, 0.693537508755142}, {1, 1}], 
   PolygonBox[{{0.6288523769230708, 0.8338263455071686}, {0.6429495842154038, 
    0.8412390274837543}, {0.629481409667339, 0.849741226133037}}], 
   CircleBox[{0.6227388092093561, 0.5045223815812878}, 0.3373226571906377, {
    1.5108451601974031`, 2.5580427113940023`}], 
   InsetBox["\<\"b\"\>", {0.4718835308435313, 0.8062329383129374}, {1, 1}], 
   CircleBox[{0.16666666666666666`, 0.5}, 0.024999999999999994`], 
   CircleBox[{0.16666666666666666`, 0.5}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "26"], {0.16666666666666666`, 0.5}], 
   PolygonBox[{{0.4610753988184512, 0.6584741598789667}, {0.4750183773169222, 
    0.6657082679394495}, {0.4617819667135869, 0.6741661874933043}}], 
   CircleBox[{0.4534684373288533, 0.33832126463337964`}, 0.3280954889162879, {
    1.505067093412976, 2.552264644609574}], 
   InsetBox["\<\"c,a\"\>", {0.3084377311555162, 0.6326216963593307}, {1, 1}], 
   PolygonBox[{{0.6233583538570124, 0.8460430343264539}, {0.641963649625146, 
    0.8371753313872555}, {0.6249813457225195, 0.8254965240767279}}], 
   CircleBox[{0.677538817955722, 0.2734717014336643}, 0.5648250835653501, {
    1.6338224436853273`, 2.6810199948819258`}], 
   InsetBox["\<\"b\"\>", {0.36487800346073945`, 0.7438657810136893}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.5}, 0.024999999999999994`], 
   CircleBox[{0.3333333333333333, 0.5}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "27"], {0.3333333333333333, 0.5}], 
   PolygonBox[{{0.17992270638826585`, 0.6362480776303457}, {
    0.18295530795905876`, 0.6477014309748073}, {0.19135790212848547`, 
    0.6393484443027132}}], 
   CircleBox[{0.3644068769510819, 0.6915819056324662}, 0.18668199684449605`, {
    3.3788674644043226`, 4.426065015600921}], 
   InsetBox["\<\"b\"\>", {0.22920544597627454`, 0.5628545153528026}, {1, 1}], 
   PolygonBox[{{0.1901935901149451, 0.47457465349288264`}, {
    0.18434433619633034`, 0.4823223304703363}, {0.19397864823842845`, 
    0.4835140944683155}}], 
   CircleBox[{0.23705904774487424`, 0.5960412759829494}, 
    0.12534288724194786`, {4.278322051252776, 5.325419602449403}], 
   InsetBox["\<\"c\"\>", {0.24825999909039456`, 0.4711998642995543}, {1, 1}], 
   PolygonBox[{{0.19237924902956632`, 0.3596647970678721}, {
    0.18410084850681815`, 0.3512511820759847}, {0.19552645308882832`, 
    0.3482886844165261}}], 
   CircleBox[{0.13946392162409957`, 0.5317677256548482}, 
    0.18595342897401182`, {4.954699724173193, 6.001897275369791}], 
   InsetBox["\<\"a\"\>", {0.2683655040513714, 0.3977413857251981}, {1, 1}], 
   CircleBox[{0.8333333333333333, 0.16666666666666674`}, 
    0.024999999999999994`], 
   CircleBox[{0.8333333333333333, 0.16666666666666674`}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "28"], {0.8333333333333333, 0.16666666666666674`}], 
   PolygonBox[{{0.6563415144408171, 0.7935261084636192}, {0.6719391951325709, 
    0.8088956484271024}, {0.6774507668395506, 0.7877028907261838}}], 
   CircleBox[{1.2839661423691657`, 0.6302251679051551}, 0.6375736230065431, {
    2.857553684696639, 3.904751235893237}], 
   InsetBox["\<\"b\"\>", {0.6646000180006625, 0.4789448693252366}, {1, 1}], 
   PolygonBox[{{0.49614918364132404`, 0.623686718690292}, {0.5048754190642869,
     0.642146668931194}, {0.5164990872140232, 0.6253595522550536}}], 
   CircleBox[{1.0580192797594408`, 0.6787457260091321}, 0.5543533364233807, {
    3.207661882227807, 4.254859433424404}], 
   InsetBox["\<\"a\"\>", {0.5972821729890058, 0.3704780824775044}, {1, 1}], 
   PolygonBox[{{0.35573666394409886`, 0.29758850631647776`}, {
    0.35144795470136553`, 0.31610369338663596`}, {0.36962693168131033`, 
    0.3105602310052091}}], 
   CircleBox[{0.7080321586355692, 0.637847361381201}, 0.4802825026898093, {
    3.8756735289277686`, 4.922771080124366}], 
   InsetBox["\<\"c\"\>", {0.5600701671079159, 0.18092446695243924`}, {1, 1}], 
   CircleBox[{0.16666666666666666`, 0.33333333333333337`}, 
    0.024999999999999994`], 
   CircleBox[{0.16666666666666666`, 0.33333333333333337`}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", 
     "29"], {0.16666666666666666`, 0.33333333333333337`}], 
   PolygonBox[{{0.46155754519550607`, 0.6578231876718853}, {
    0.4788444794923057, 0.653345857680403}, {0.4663235308301562, 
    0.6406135984215632}}], 
   CircleBox[{0.5845402007733632, 0.2427149467000529}, 0.4240157196964227, {
    1.8227259359385746`, 2.8699234871351718`}], 
   InsetBox["\<\"c,a\"\>", {0.28768956558247294`, 0.5454838865476539}, \
{1, 1}], PolygonBox[{{0.6326841500605525, 0.8179421916462013}, {
    0.6541666666666667, 0.8116826982387224}, {0.6380045280579116, 
    0.7962080398243458}}], 
   CircleBox[{0.8030287334642752, 0.1628206314411138}, 0.6657190823914543, {
    1.7963139779429822`, 2.8435115291395796`}], 
   InsetBox["\<\"b\"\>", {0.34967936855888615`, 0.6503206314411141}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.024999999999999994`], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "30"], {0.3333333333333333, 0.33333333333333337`}], 
   PolygonBox[{{0.6248449336026468, 0.8210684780210249}, {0.6452372130221696, 
    0.8204578327023538}, {0.6345122389537371, 0.803102923343312}}], 
   CircleBox[{0.8996669509589607, 0.3289869569962628}, 0.5534239904574939, {
    2.048495864261482, 3.0956934154580793`}], 
   InsetBox["\<\"b\"\>", {0.43358889657443667`, 0.6273983516095265}, {1, 1}], 
   PolygonBox[{{0.4774692024914921, 0.6420592187162217}, {
    0.49310074345032207`, 0.642637512310724}, {0.4857857899145918, 
    0.6288110539428291}}], 
   CircleBox[{0.6603110484891437, 0.363535173258035}, 0.3253573447393772, {
    2.1105540466733226`, 3.1577515978699204`}], 
   InsetBox["\<\"a\"\>", {0.37595150702463453`, 0.5216397366139105}, {1, 1}], 
   PolygonBox[{{0.3213046254340059, 0.47106961484492227`}, {0.330070178527832,
     0.47521387846565477`}, {0.32927643955645297`, 0.46555055499781384`}}], 
   CircleBox[{0.430425766660731, 0.4006291047299765}, 0.12503652483455532`, {
    2.502454554906608, 3.5496521061032045`}], 
   InsetBox["\<\"c\"\>", {0.30622289105807327`, 0.4150436194541388}, {1, 1}], 
   CircleBox[{0.5, 0.6666666666666667}, 0.024999999999999994`], 
   CircleBox[{0.5, 0.6666666666666667}, 0.016666666666666663`], InsetBox[
    SubscriptBox["\[Mu]", "31"], {0.5, 0.6666666666666667}], 
   PolygonBox[{{0.6299109411674302, 0.8335387880880539}, {0.6417467919845584, 
    0.8313333718766998}, {0.6339189201110436, 0.8221859324993409}}], 
   CircleBox[{0.7009789458616517, 0.6478943316027178}, 0.19276495934053753`, {
    1.8831261354133555`, 2.9303236866099502`}], 
   InsetBox["\<\"b\"\>", {0.5579628757462295, 0.7771411235872763}, {1, 1}], 
   CircleBox[{0.4954315832722982, 0.7013672368147501}, 
    0.012499999999999997`, {-0.9162978572970233, 4.319689898685965}], 
   PolygonBox[{{0.5030411011349072, 0.7024974391956293}, {0.5030411011349072, 
    0.6914503200611096}, {0.5126081869440344, 0.6969738796283695}}], 
   InsetBox["\<\"c,a\"\>", {0.5078246440394708, 0.7029988142175008}, \
{-1, -1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.16666666666666666`, 0.8833333333333333}, {
     0.16666666666666666`, 0.8583333333333334}}], 
    PolygonBox[{{0.16666666666666666`, 0.8583333333333334}, {
     0.15833333333333333`, 0.8708333333333333}, {0.175, 
     0.8708333333333333}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049424422503`*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData["\<\"El diagrama de transici\[OAcute]n minimizado del nuevo aut\
\[OAcute]mata es: \"\>"], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.547804942515255*^9}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.3333333333333333, 0.6666666666666667}, 0.049999999999999996`],
    CircleBox[{0.3333333333333333, 0.6666666666666667}, 
    0.033333333333333326`], 
   InsetBox["1", {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.3456250546094486, 0.4004586481694025}, {
    0.34627428558845935`, 0.38162962464778677`}, {0.36225608279712795`, 
    0.39160638692934174`}}], 
   CircleBox[{0.1412507813674272, 0.5}, 0.23674075070442663`, {
    5.759486531581288, 6.806784082777885}], 
   InsetBox["\<\"b,c\"\>", {0.37799153177592787`, 0.4999881629624697}, \
{1, 0}], PolygonBox[{{0.5995140803806565, 0.6789565036768558}, {
    0.6183703753522132, 0.6796076189217928}, {0.6083783455235281, 
    0.6956120917659451}}], 
   CircleBox[{0.49999999999999994`, 0.4745841147007607}, 
    0.23674075070442657`, {1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.49999999999999994`, 0.7113248654051872}, {0, 1}], 
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.049999999999999996`], 
   InsetBox["2", {0.6666666666666666, 0.33333333333333337`}], 
   CircleBox[{0.6485493335094902, 0.2657185254930986}, 
    0.024999999999999998`, {1.8325957145940466`, 7.068583470577035}], 
   PolygonBox[{{0.6201736383841194, 0.28698279435906504`}, {
    0.6420788573819272, 0.28986667115032533`}, {0.633623758445639, 
    0.2694542566271322}}], 
   InsetBox["\<\"a,b,c\"\>", {0.6244011878522635, 0.2721890016206616}, \
{1, -1}], 
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.049999999999999996`],
    InsetBox["4", {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.680693452463763, 0.4009857473267647}, {0.6796076189217927, 
    0.38162962464778677`}, {0.6969134296515408, 0.39036732655564815`}}], 
   CircleBox[{0.4745841147007606, 0.5258819045102521}, 0.2506857744838958, {
    5.669954685114888, 6.717252236311485}], 
   InsetBox["\<\"c\"\>", {0.7242646966288715, 0.5034550336489259}, {1, 1}], 
   PolygonBox[{{0.3916216544764718, 0.6377212415673883}, {0.3816296246477867, 
    0.6537257144115407}, {0.40048591961934343`, 0.6543768296564776}}], 
   CircleBox[{0.49999999999999994`, 0.8587492186325728}, 
    0.23674075070442657`, {4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"b\"\>", {0.4999881629624696, 0.6220084682240722}, {0, -1}], 
   PolygonBox[{{0.3787325158557212, 0.06608788190330733}, {
    0.36650683099579984`, 0.03741014638889199}, {0.3974553209042554, 
    0.041161260478744965`}}], 
   CircleBox[{-0.012553994925475816`, 0.564550284511987}, 
    0.6492794737003129, {5.335711989477375, 6.383009540673972}], 
   InsetBox["\<\"a\"\>", {0.5792790289067044, 0.2975343545186373}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.}, 0.049999999999999996`], 
   CircleBox[{0.6666666666666666, 0.}, 0.033333333333333326`], 
   InsetBox["9", {0.6666666666666666, 0.}], 
   PolygonBox[{{0.644881363277907, 0.6023509072258313}, {0.670310620346499, 
    0.6167996274365376}, {0.6701089505668484, 0.5875528847104188}}], 
   CircleBox[{1.1543564985969483`, 0.31818500951644624`}, 
    0.5687451997923244, {2.588829223418912, 3.6360267746155093`}], 
   InsetBox["\<\"c\"\>", {0.585853162474864, 0.33476991545140466`}, {1, 1}], 
   PolygonBox[{{0.35322244596768737`, 0.26688284394004047`}, {
    0.3583290030813216, 0.29002956336062197`}, {0.3758213715569987, 
    0.2740337954640478}}], 
   CircleBox[{0.7174768279672367, 0.39290885967050515`}, 0.373592437998283, {
    3.4205759763358117`, 4.46777352753241}], 
   InsetBox["\<\"a\"\>", {0.4578853360570505, 0.12423886309972187`}, {1, 1}], 
   CircleBox[{0.719295453190195, -0.04615420705700481}, 
    0.024999999999999998`, {-3.337942194439155, 1.8980455615438334`}], 
   PolygonBox[{{0.6876738610446336, -0.062198648911798854`}, {
    0.6947758211801143, -0.041276949006601615`}, {
    0.7093435647206292, -0.057888276853190895`}}], 
   InsetBox["\<\"b\"\>", {0.7028118078126934, -0.06495020224397924}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.}, 0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.}, 0.033333333333333326`], 
   InsetBox["10", {0.3333333333333333, 0.}], 
   PolygonBox[{{0.5982748432809526, 0.0063876459489774565`}, {
    0.6170944235979761, 0.0065263096110025785`}, {0.6075645471855688, 
    0.02275521242309391}}], 
   CircleBox[{0.4938067806368688, -0.19418486665489354`}, 
    0.23555215809859387`, {1.0199618178783632`, 2.0671593690745427`}], 
   InsetBox["\<\"b\"\>", {0.5002214232809923, 0.04127993229529592}, {1, 1}], 
   PolygonBox[{{0.3043879082340549, 0.27504501219019495`}, {
    0.3203923810782073, 0.28503704201887997`}, {0.3210434963231442, 
    0.2661807470473233}}], 
   CircleBox[{0.5254158852992394, 0.16666666666666669`}, 
    0.23674075070442668`, {2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"a,c\"\>", {0.28867513459481275`, 0.1666666666666667}, \
{-1, 0}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.033333333333333326`], 
   InsetBox["12", {0.3333333333333333, 0.33333333333333337`}], 
   CircleBox[{0.26571852549309855`, 0.3514506664905098}, 
    0.024999999999999998`, {0.26179938779915, 5.497787143782139}], 
   PolygonBox[{{0.2694542566271321, 0.36637624155436094`}, {
    0.2898666711503253, 0.35792114261807284`}, {0.286982794359065, 
    0.3798263616158806}}], 
   InsetBox["\<\"a,b,c\"\>", {0.27218900162066156`, 0.37559881214773655`}, \
{-1, -1}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.3333333333333333, 0.7666666666666667}, {0.3333333333333333, 
     0.7166666666666668}}], 
    PolygonBox[{{0.3333333333333333, 0.7166666666666668}, {
     0.31666666666666665`, 0.7416666666666667}, {0.35, 0.7416666666666667}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.54749040761709*^9, 3.547490673093275*^9, 
  3.547490718534874*^9, 3.54749238744133*^9, 3.5475546338723583`*^9, 
  3.5478049425692577`*^9}]
}, Open  ]]
}, Open  ]],

Cell["\<\
Aut\[OAcute]mata determin\[IAcute]stico equivalente simplificado utilizando \
el comando NDFAToDFA\
\>", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145269790473`*^9, 3.5408145274750757`*^9}, {3.540815761449655*^9, 
   3.5408157619486837`*^9}, {3.541888710413685*^9, 3.541888711102724*^9}, {
   3.5474641415917597`*^9, 3.5474641654721255`*^9}, {3.5474644429599967`*^9, 
   3.5474644550486884`*^9}, 3.547464523005575*^9, {3.5474657606503644`*^9, 
   3.5474657641935673`*^9}, {3.547475330303717*^9, 3.547475331101763*^9}, {
   3.5474797914848824`*^9, 3.5474798358994226`*^9}, {3.547489647535616*^9, 
   3.5474896742731457`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "MFiniteAutomata`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "=", 
    RowBox[{"MakeAutomaton", "[", 
     RowBox[{"NDFA", ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", 
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"], ",", 
        SubscriptBox["\[Sigma]", "3"], ",", 
        SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
          RowBox[{"{", "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
          RowBox[{"{", "}"}]}], "}"}]}], "}"}], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", 
        SubscriptBox["\[Sigma]", "2"], ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BS", "=", 
   RowBox[{"NDFAToDFA", "[", "A", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowAutomaton", "[", 
  RowBox[{"BS", ",", 
   RowBox[{"Embedding", "\[Rule]", "Grid"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.54748988136699*^9, 3.547489898298959*^9}, {
   3.547489961524575*^9, 3.54748996440274*^9}, 3.54749079276812*^9, 
   3.5474909541813517`*^9}],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.3333333333333333, 0.6666666666666667}, 0.049999999999999996`],
    CircleBox[{0.3333333333333333, 0.6666666666666667}, 
    0.033333333333333326`], 
   InsetBox["1", {0.3333333333333333, 0.6666666666666667}], 
   PolygonBox[{{0.3217993956662448, 0.40047336698384106`}, {
    0.3203923810782073, 0.38162962464778677`}, {0.33741504793761734`, 
    0.3898329854390781}}], 
   CircleBox[{0.12830982911230113`, 0.5224143868042014}, 
    0.23815133009322723`, {5.6505930573782415`, 6.697890608574838}], 
   InsetBox["\<\"b\"\>", {0.3650492854255768, 0.4965206452887714}, {1, 1}], 
   PolygonBox[{{0.9351497991357008, 0.6995756568666427}, {0.9646446609406727, 
    0.7020220057259942}, {0.9477786297794694, 0.7263421309005353}}], 
   CircleBox[{0.7046076189217912, 0.18091395898074047`}, 0.5823854905512393, {
    1.1079426974452242`, 2.1551402486418634`}], 
   InsetBox["\<\"c\"\>", {0.6692522798624639, 0.76222528658808}, {1, 1}], 
   PolygonBox[{{0.5992952569909802, 0.6799072552695372}, {0.6183703753522132, 
    0.6796076189217928}, {0.6090923088606406, 0.6962769741766878}}], 
   CircleBox[{0.48705904774487646`, 0.4762878233863592}, 
    0.24203636919808902`, {0.9973536268475293, 2.0445511780443413`}], 
   InsetBox["\<\"a\"\>", {0.4991180954897505, 0.7180235952160172}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.6666666666666667}, 0.049999999999999996`],
    CircleBox[{0.6666666666666666, 0.6666666666666667}, 
    0.033333333333333326`], 
   InsetBox["2", {0.6666666666666666, 0.6666666666666667}], 
   PolygonBox[{{0.6790331195305217, 0.07751694372915453}, {0.6796076189217927,
     0.04829629131445341}, {0.7046261965324434, 0.06340414858910336}}], 
   CircleBox[{0.1862751382648806, 0.33478663956109134`}, 0.5704854565276686, {
    5.75695941943463, 6.8042569706312275`}], 
   InsetBox["\<\"c\"\>", {0.7567587003520165, 0.3333164361889782}, {1, 1}], 
   PolygonBox[{{0.3577626236808238, 0.07662068649657441}, {0.343357351846967, 
    0.048984885963308404`}, {0.3744932930796233, 0.05032745487340093}}], 
   CircleBox[{0.0064829901535450206`, 0.6035400382029109}, 
    0.6488572666171192, {5.25818137575647, 6.305478926953067}], 
   InsetBox["\<\"a\"\>", {0.5754867295888098, 0.2916899188338065}, {1, 1}], 
   CircleBox[{0.7154167519848121, 0.7169004121120697}, 
    0.024999999999999998`, {-1.8176079229446724`, 3.418379833038316}], 
   PolygonBox[{{0.7266339053804848, 0.7063693177819255}, {0.7093089164135724, 
    0.6926580041327723}, {0.7298457568364515, 0.6845097803917177}}], 
   InsetBox["\<\"b\"\>", {0.7333573753581704, 0.6994896673555892}, {-1, 1}], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.33333333333333337`}, 
    0.033333333333333326`], 
   InsetBox["3", {0.3333333333333333, 0.33333333333333337`}], 
   PolygonBox[{{0.5994411731851, 0.34600434786556455`}, {0.6183703753522132, 
    0.3462742855884594}, {0.60867200134319, 0.36253248667710336`}}], 
   CircleBox[{0.4950681598952276, 0.14230886293511702`}, 
    0.23833868753282228`, {1.0270561959855353`, 2.074253747183259}], 
   InsetBox["\<\"a\"\>", {0.4998682994970787, 0.38059920817526943`}, {1, 1}], 
   PolygonBox[{{0.9249208834417096, 0.6671381713238999}, {0.9525658350974743, 
    0.6824780549675087}, {0.9254586303431293, 0.6987493435659892}}], 
   CircleBox[{0.9275766908908685, 0.018381313552410905`}, 
    0.6645667304991507, {1.5331853005508624`, 2.580382851747461}], 
   InsetBox["\<\"c\"\>", {0.6171695538850721, 0.6060005342916542}, {1, 1}], 
   CircleBox[{0.28715288057683136`, 0.28072757525301967`}, 
    0.024999999999999998`, {1.373947982077437, 6.609935738060425}], 
   PolygonBox[{{0.27112421368983186`, 0.31235716649409817`}, {
    0.29204236850727455`, 0.30524477141771295`}, {0.2754237762806523, 
    0.29068531548370435`}}], 
   InsetBox["\<\"b\"\>", {0.2683651098338622, 0.29722059409462753`}, {1, -1}],
    CircleBox[{1., 0.6666666666666667}, 0.049999999999999996`], 
   CircleBox[{1., 0.6666666666666667}, 0.033333333333333326`], 
   InsetBox["4", {1., 0.6666666666666667}], 
   PolygonBox[{{0.40999086323764583`, 0.31092327745441106`}, {
    0.38289904103847555`, 0.32675757332490835`}, {0.41015785461295035`, 
    0.34230263164895236`}}], 
   CircleBox[{0.3999699391480461, 0.9812208370472624}, 0.6546858629330424, {
    4.686311079373752, 5.733408630570349}], 
   InsetBox["\<\"b\"\>", {0.7123889733273071, 0.4058879540943755}, {1, 1}], 
   PolygonBox[{{0.4073636507711563, 0.030158916704185353`}, {
    0.3831912931308901, 0.0037661445571313397`}, {
    0.41813428310666634`, -0.003971345155175051}}], 
   CircleBox[{0.14031520110351353`, 0.8248936527053523}, 0.8562938635282855, {
    4.999873089699796, 6.0470706408963935`}], 
   InsetBox["\<\"c\"\>", {0.7611568498172361, 0.23515232980299317`}, {1, 1}], 
   PolygonBox[{{0.7251474422128968, 0.3782588074894594}, {0.7077800776161554, 
    0.36178834062727827`}, {0.7307276026293646, 0.3549829951208042}}], 
   CircleBox[{0.6287533517169966, 0.7358788276025103}, 0.38234659126466247`, {
    4.920478359279385, 5.967675910475982}], 
   InsetBox["\<\"a\"\>", {0.8842093002836104, 0.45139477850021276`}, {1, 1}], 
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.049999999999999996`], 
   CircleBox[{0.6666666666666666, 0.33333333333333337`}, 
    0.033333333333333326`], 
   InsetBox["5", {0.6666666666666666, 0.33333333333333337`}], 
   PolygonBox[{{0.945579473042326, 0.36433766308768906`}, {0.9646446609406727,
     0.3686886723926608}, {0.9513439824012914, 0.38302410478806675`}}], 
   CircleBox[{0.8816296246477869, 0.12830982911230038`}, 
    0.25430981999819213`, {1.2382692838832756`, 2.2854668350798697`}], 
   InsetBox["\<\"b\"\>", {0.8333333333333335, 0.3779915320718531}, {1, 1}], 
   PolygonBox[{{0.9261792837429881, 0.671238381397337}, {0.9500142806265625, 
    0.6654717362419356}, {0.9331027209855871, 0.647713346019338}}], 
   CircleBox[{1.0526794979486338`, 0.27901630299665814`}, 
    0.39985991138470367`, {1.830457360731776, 2.8776549119283725`}], 
   InsetBox["\<\"c\"\>", {0.7705410950400315, 0.5623639169565542}, {1, 1}], 
   PolygonBox[{{0.393198015345174, 0.04172259058958301}, {
    0.37692834907742023`, 0.024484170442814954`}, {0.39999209197950775`, 
    0.019013436217229437`}}], 
   CircleBox[{0.2793262868712963, 0.38652822518090335`}, 
    0.37496941224329755`, {4.9756150427746, 6.022812593971198}], 
   InsetBox["\<\"a\"\>", {0.5448477044131386, 0.1217633541261226}, {1, 1}], 
   CircleBox[{0.3333333333333333, 0.}, 0.049999999999999996`], 
   CircleBox[{0.3333333333333333, 0.}, 0.033333333333333326`], 
   InsetBox["6", {0.3333333333333333, 0.}], 
   PolygonBox[{{0.9231435231069532, 0.30838271960108}, {0.9512114967897963, 
    0.32239340853889586`}, {0.9250438974037046, 0.33969564231208316`}}], 
   CircleBox[{0.8980247840337108, -0.32974078375050087`}, 
    0.6542994965356018, {1.4894185144715553`, 2.5366160656681522`}], 
   InsetBox["\<\"b\"\>", {0.6180187322795685, 0.26161734982660534`}, {1, 1}], 
   CircleBox[{0.2727115550684226, -0.035}, 0.024999999999999998`, {
    1.0471975511965983`, 6.283185307179586}], 
   PolygonBox[{{0.26479914054522946`, -0.02180446384167719}, {
    0.2852115550684226, -0.013349364905389034`}, {0.2676830173364897, 
    0.00010075515613058861`}}], 
   InsetBox["\<\"a,c\"\>", {0.2602115550684226, -0.01334936490538904}, \
{1, -1}], CircleBox[{1., 0.33333333333333337`}, 0.049999999999999996`], 
   CircleBox[{1., 0.33333333333333337`}, 0.033333333333333326`], 
   InsetBox["7", {1., 0.33333333333333337`}], 
   PolygonBox[{{0.9958939380034274, 0.6101542310336923}, {1.012940952255126, 
    0.6183703753522133}, {1.011532834830275, 0.5994991557923064}}], 
   CircleBox[{1.2050235042210318`, 0.47758561319579873`}, 
    0.23815133009322723`, {2.509100403788447, 3.556297954985046}], 
   InsetBox["\<\"c\"\>", {0.9682827535166052, 0.5034675177060508}, {1, 1}], 
   PolygonBox[{{0.4077038473319889, -0.03281578559940757}, {
    0.380767498235859, -0.015811388300841903`}, {
    0.40896191282052524`, -0.0009860243476702488}}], 
   CircleBox[{0.4211890482479537, 0.6576219035040923}, 0.6746453143812754, {
    4.652437813787198, 5.699535364983795}], 
   InsetBox["\<\"a\"\>", {0.7228694335468051, 0.054185705267239315`}, {1, 1}],
    CircleBox[{1.069968553608954, 0.33123535671980375`}, 
    0.024999999999999998`, {-2.6479694612902405`, 2.588018294692748}], 
   PolygonBox[{{1.0557925242509976`, 0.29873321223833205`}, {
    1.047953006038178, 0.31938986537672703`}, {1.0697619515196015`, 
    0.315850760733262}}], 
   InsetBox["\<\"b\"\>", {1.0692192762469792`, 0.30624658757374873`}, {1, 1}],
    CircleBox[{0.6666666666666666, 0.}, 0.049999999999999996`], 
   InsetBox["8", {0.6666666666666666, 0.}], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.3333333333333333, 0.7666666666666667}, {0.3333333333333333, 
     0.7166666666666668}}], 
    PolygonBox[{{0.3333333333333333, 0.7166666666666668}, {
     0.31666666666666665`, 0.7416666666666667}, {0.35, 0.7416666666666667}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.547490956102462*^9, 3.5474923965618515`*^9}]
}, Open  ]],

Cell[TextData[{
 "Ejemplo 17: m\[AAcute]quina de Turing que acepta ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["0", "n"], 
    SuperscriptBox["1", "n"]}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145320703382`*^9, 3.5408145325933685`*^9}, {3.5408157638037896`*^9, 
   3.54081576433082*^9}, {3.541888719013177*^9, 3.5418887195062046`*^9}, {
   3.5420263725584745`*^9, 3.5420263729784985`*^9}, {3.542030419975973*^9, 
   3.542030420493003*^9}, {3.5435764851605377`*^9, 3.5435764856675673`*^9}, {
   3.5435791871880856`*^9, 3.5435792015879087`*^9}, {3.5466125045728807`*^9, 
   3.5466125050649085`*^9}, {3.547492521560001*^9, 3.547492522034028*^9}, {
   3.5479141359325657`*^9, 3.547914136460596*^9}, 3.5479144764880447`*^9, {
   3.5484094107187853`*^9, 3.5484094108707943`*^9}, {3.5484116858379145`*^9, 
   3.548411738051901*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[TextData[{
 "Prueba con ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["0", "2"], 
    SuperscriptBox["1", "2"]}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145320703382`*^9, 3.5408145325933685`*^9}, {3.5408157638037896`*^9, 
   3.54081576433082*^9}, {3.541888719013177*^9, 3.5418887195062046`*^9}, {
   3.5420263725584745`*^9, 3.5420263729784985`*^9}, {3.542030419975973*^9, 
   3.542030420493003*^9}, {3.5435764851605377`*^9, 3.5435764856675673`*^9}, {
   3.5435791871880856`*^9, 3.5435792015879087`*^9}, {3.5466125045728807`*^9, 
   3.5466125050649085`*^9}, {3.547492521560001*^9, 3.547492522034028*^9}, {
   3.5479141359325657`*^9, 3.547914136460596*^9}, 3.5479144764880447`*^9, {
   3.5484094107187853`*^9, 3.5484094108707943`*^9}, {3.5484116858379145`*^9, 
   3.548411738051901*^9}, {3.5484311823820534`*^9, 3.5484311908845396`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MT", "=", 
   RowBox[{"TuringMachine", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "X", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "Y"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "Y", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "0", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "Y", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "Y"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "Y", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "X"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "X", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "Y"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "Y", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "Y"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "Y", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "B"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "B", ",", "0"}], "}"}]}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}], ",", "B"}], 
        "}"}]}], "}"}], ",", "13"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"First", "/@", "MT"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Last", "/@", "MT"}], "]"}]}], "Input",
 CellChangeTimes->{{3.548431197649926*^9, 3.548431198142955*^9}, {
  3.5484312299457736`*^9, 3.5484312363311386`*^9}, {3.5484312758373985`*^9, 
  3.548431384065589*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "3"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "3"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.548431246787737*^9, {3.5484312778155117`*^9, 3.5484313860036993`*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "1", "1", "B"},
    {"X", "0", "1", "1", "B"},
    {"X", "0", "1", "1", "B"},
    {"X", "0", "Y", "1", "B"},
    {"X", "0", "Y", "1", "B"},
    {"X", "0", "Y", "1", "B"},
    {"X", "X", "Y", "1", "B"},
    {"X", "X", "Y", "1", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.548431246787737*^9, {3.5484312778155117`*^9, 3.5484313860097*^9}}]
}, Open  ]],

Cell["Otras hileras n\[LessEqual]10", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145320703382`*^9, 3.5408145325933685`*^9}, {3.5408157638037896`*^9, 
   3.54081576433082*^9}, {3.541888719013177*^9, 3.5418887195062046`*^9}, {
   3.5420263725584745`*^9, 3.5420263729784985`*^9}, {3.542030419975973*^9, 
   3.542030420493003*^9}, {3.5435764851605377`*^9, 3.5435764856675673`*^9}, {
   3.5435791871880856`*^9, 3.5435792015879087`*^9}, {3.5466125045728807`*^9, 
   3.5466125050649085`*^9}, {3.547492521560001*^9, 3.547492522034028*^9}, {
   3.5479141359325657`*^9, 3.547914136460596*^9}, 3.5479144764880447`*^9, {
   3.5484094107187853`*^9, 3.5484094108707943`*^9}, {3.5484116858379145`*^9, 
   3.548411738051901*^9}, {3.5484311823820534`*^9, 3.548431241577439*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"n", "=", "1"}], ",", 
   RowBox[{"n", "\[LessEqual]", "10"}], ",", 
   RowBox[{
    RowBox[{"MT", "=", 
     RowBox[{"TuringMachine", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", "X", ",", "1"}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", "Y"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "3"], ",", "Y", ",", "1"}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", "0", ",", "1"}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", "Y", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", "Y"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", "Y", ",", "1"}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", "0", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", "X"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", "X", ",", "1"}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", "Y"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "2"], ",", "Y", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "3"], ",", "Y"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "3"], ",", "Y", ",", "1"}], "}"}]}], ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "3"], ",", "B"}], "}"}], "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "4"], ",", "B", ",", "0"}], "}"}]}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         RowBox[{"{", 
          RowBox[{"L", ",", "B"}], "}"}]}], "}"}], ",", "221"}], "]"}]}], ";", 
    RowBox[{"Print", "[", 
     RowBox[{"\"\<La hilera analizada es:\>\"", ",", " ", "L"}], "]"}], ";", 
    RowBox[{"Print", "[", 
     RowBox[{"TableForm", "[", 
      RowBox[{"First", "/@", "MT"}], "]"}], "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Print", "[", 
     RowBox[{"TableForm", "[", 
      RowBox[{"Last", "/@", "MT"}], "]"}], "]"}], ";", 
    RowBox[{"L", "=", 
     RowBox[{"Append", "[", 
      RowBox[{"L", ",", "1"}], "]"}]}], ";", 
    RowBox[{"L", "=", 
     RowBox[{"Prepend", "[", 
      RowBox[{"L", ",", "0"}], "]"}]}], ";", 
    RowBox[{"n", "++"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5479142256997004`*^9, 3.5479143027471075`*^9}, {
   3.5479144376198215`*^9, 3.5479145874203897`*^9}, {3.5479147393140774`*^9, 
   3.5479149086957655`*^9}, {3.5479154388250875`*^9, 
   3.5479154698488617`*^9}, {3.5479155418429794`*^9, 3.547915550524476*^9}, 
   3.5484094079746284`*^9, {3.548409507052295*^9, 3.5484095578141985`*^9}, {
   3.548409739615597*^9, 3.548410014998348*^9}, {3.5484100455380945`*^9, 
   3.5484100460271225`*^9}, {3.548410079616044*^9, 3.5484100805600977`*^9}, {
   3.548410407289786*^9, 3.5484104080218277`*^9}, {3.5484104468460484`*^9, 
   3.54841044792411*^9}, {3.548410588698162*^9, 3.548410589613214*^9}, {
   3.548410716455469*^9, 3.5484107264760423`*^9}, {3.548411142449835*^9, 
   3.548411144674962*^9}, {3.548411179068929*^9, 3.5484112308588915`*^9}, {
   3.548431408652995*^9, 3.548431554397331*^9}, {3.548431602363075*^9, 
   3.5484316048042145`*^9}, {3.5484316777933893`*^9, 3.548431696321449*^9}, {
   3.5484317715717525`*^9, 3.548431773348854*^9}, {3.5484318380885572`*^9, 
   3.5484318393396287`*^9}, {3.5484318895525007`*^9, 
   3.5484318913106017`*^9}, {3.548432256044463*^9, 3.548432260694729*^9}, {
   3.5484322954207153`*^9, 3.548432298456889*^9}, {3.5484323313847723`*^9, 
   3.5484323327128487`*^9}, {3.5484323628585725`*^9, 3.548432364178648*^9}, {
   3.5484323965344987`*^9, 3.5484323980535855`*^9}, {3.5484341485067053`*^9, 
   3.548434155306095*^9}, {3.5484342070560546`*^9, 3.5484342075300817`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}]}],
  SequenceForm["La hilera analizada es:", {0, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208304126*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "3"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "4"], "3", "2"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342083101263`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "1", "B"},
    {"X", "1", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"},
    {"X", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208324127*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["La hilera analizada es:", {0, 0, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342083321276`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "3"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "3"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "4"], "5", "4"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342083371277`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "1", "1", "B"},
    {"X", "0", "1", "1", "B"},
    {"X", "0", "1", "1", "B"},
    {"X", "0", "Y", "1", "B"},
    {"X", "0", "Y", "1", "B"},
    {"X", "0", "Y", "1", "B"},
    {"X", "X", "Y", "1", "B"},
    {"X", "X", "Y", "1", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"},
    {"X", "X", "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208354129*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["La hilera analizada es:", {0, 0, 0, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208364129*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "0"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "3"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "3"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "3"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "4"], "7", "6"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342083691297`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "1", "1", "1", "B"},
    {"X", "0", "0", "1", "1", "1", "B"},
    {"X", "0", "0", "1", "1", "1", "B"},
    {"X", "0", "0", "1", "1", "1", "B"},
    {"X", "0", "0", "Y", "1", "1", "B"},
    {"X", "0", "0", "Y", "1", "1", "B"},
    {"X", "0", "0", "Y", "1", "1", "B"},
    {"X", "0", "0", "Y", "1", "1", "B"},
    {"X", "X", "0", "Y", "1", "1", "B"},
    {"X", "X", "0", "Y", "1", "1", "B"},
    {"X", "X", "0", "Y", "1", "1", "B"},
    {"X", "X", "0", "Y", "Y", "1", "B"},
    {"X", "X", "0", "Y", "Y", "1", "B"},
    {"X", "X", "0", "Y", "Y", "1", "B"},
    {"X", "X", "0", "Y", "Y", "1", "B"},
    {"X", "X", "X", "Y", "Y", "1", "B"},
    {"X", "X", "X", "Y", "Y", "1", "B"},
    {"X", "X", "X", "Y", "Y", "1", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "Y", "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.54843420838313*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", 
     "1"}], "}"}]}],
  SequenceForm["La hilera analizada es:", {0, 0, 0, 0, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342083961315`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "0"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "0"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "3"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "3"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "3"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "3"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "4"], "9", "8"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342084011316`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "Y", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "Y", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "Y", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "Y", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "Y", "Y", "1", "1", "B"},
    {"X", "X", "0", "0", "Y", "Y", "1", "1", "B"},
    {"X", "X", "0", "0", "Y", "Y", "1", "1", "B"},
    {"X", "X", "0", "0", "Y", "Y", "1", "1", "B"},
    {"X", "X", "0", "0", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "0", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "0", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "0", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "0", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "Y", "Y", "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342084171324`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1"}], "}"}]}],
  SequenceForm["La hilera analizada es:", {0, 0, 0, 0, 0, 1, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208435134*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "0"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "0"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "0"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "3"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "3"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "3"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "3"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "3"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "4"], "11", "10"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342084401336`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342084581347`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1",
      ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm[
  "La hilera analizada es:", {0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208478136*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "0"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "0"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "0"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "0"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "3"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "3"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "3"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "3"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "3"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "3"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "4"], "13", "12"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208483136*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342085011373`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm[
  "La hilera analizada es:", {0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342085241385`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "0"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "0"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "0"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "0"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "0"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "3"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "3"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "3"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "3"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "3"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "3"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "3"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "4"], "15", "14"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208530139*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "1", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "1", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "1", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", 
     "B"},
    {"X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.54843420854814*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
     ",", "1"}], "}"}]}],
  SequenceForm[
  "La hilera analizada es:", {0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342086141434`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "0"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "0"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "0"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "0"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "0"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "1"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "2"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "0"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "3"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "3"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "3"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "3"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "3"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "3"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "3"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "3"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "4"], "17", "16"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208622144*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "1", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.5484342086401453`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
     ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm[
  "La hilera analizada es:", {0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 
   1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208665147*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "0"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "0"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "0"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "0"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "1"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "2"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "0"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "1"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "1"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "2"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "2"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "0"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "1"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "1"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "1"], "18", "17"},
    {
     SubscriptBox["\[Sigma]", "2"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "2"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "2"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "0"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "3"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "3"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "3"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "3"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "3"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "3"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "3"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "3"], "18", "17"},
    {
     SubscriptBox["\[Sigma]", "3"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "4"], "19", "18"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208672147*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208693148*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera analizada es:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", 
     ",", "1", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}]}],
  SequenceForm[
  "La hilera analizada es:", {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 
   1, 1, 1, 1}],
  Editable->False]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.54843420872015*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "2"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "0"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "2"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "0"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "2"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "0"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "0"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "1"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "0"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "1"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "1"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "2"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "2"], "6", "5"},
    {
     SubscriptBox["\[Sigma]", "0"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "1"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "1"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "1"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "2"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "2"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "2"], "7", "6"},
    {
     SubscriptBox["\[Sigma]", "0"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "1"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "1"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "1"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "1"], "18", "17"},
    {
     SubscriptBox["\[Sigma]", "2"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "2"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "2"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "2"], "8", "7"},
    {
     SubscriptBox["\[Sigma]", "0"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "1"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "1"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "1"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "1"], "18", "17"},
    {
     SubscriptBox["\[Sigma]", "1"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "2"], "18", "17"},
    {
     SubscriptBox["\[Sigma]", "2"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "2"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "2"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "2"], "9", "8"},
    {
     SubscriptBox["\[Sigma]", "0"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "1"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "1"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "1"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "1"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "1"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "1"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "1"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "1"], "18", "17"},
    {
     SubscriptBox["\[Sigma]", "1"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "1"], "20", "19"},
    {
     SubscriptBox["\[Sigma]", "2"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "2"], "18", "17"},
    {
     SubscriptBox["\[Sigma]", "2"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "2"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "2"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "2"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "2"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "2"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "2"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "2"], "10", "9"},
    {
     SubscriptBox["\[Sigma]", "0"], "11", "10"},
    {
     SubscriptBox["\[Sigma]", "3"], "12", "11"},
    {
     SubscriptBox["\[Sigma]", "3"], "13", "12"},
    {
     SubscriptBox["\[Sigma]", "3"], "14", "13"},
    {
     SubscriptBox["\[Sigma]", "3"], "15", "14"},
    {
     SubscriptBox["\[Sigma]", "3"], "16", "15"},
    {
     SubscriptBox["\[Sigma]", "3"], "17", "16"},
    {
     SubscriptBox["\[Sigma]", "3"], "18", "17"},
    {
     SubscriptBox["\[Sigma]", "3"], "19", "18"},
    {
     SubscriptBox["\[Sigma]", "3"], "20", "19"},
    {
     SubscriptBox["\[Sigma]", "3"], "21", "20"},
    {
     SubscriptBox["\[Sigma]", "4"], "21", "20"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.54843420872715*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "0", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "1", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "0", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "1", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "0", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "1", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "0", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "1", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "0", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "1", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "0", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "1", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "0", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "1", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "0", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "1", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "0", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "1", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"},
    {"X", "X", "X", "X", "X", "X", "X", "X", "X", "X", "Y", "Y", "Y", "Y", 
     "Y", "Y", "Y", "Y", "Y", "Y", "B"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.54843155822255*^9, 3.5484316084794245`*^9, 
  3.54843169861558*^9, 3.548431775997006*^9, 3.548431840623702*^9, 
  3.5484318921186476`*^9, 3.54843226140777*^9, 3.5484322993549404`*^9, 
  3.5484323335498962`*^9, 3.5484323650246964`*^9, 3.5484323989336357`*^9, 
  3.5484341636285706`*^9, 3.548434208746151*^9}]
}, Open  ]]
}, Open  ]],

Cell["Ejemplo 18: sumador de n\[UAcute]meros enteros", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.5402026216005535`*^9, 3.5402026748796005`*^9}, {3.540206586544335*^9, 
   3.5402065993230658`*^9}, {3.5402204053337245`*^9, 
   3.5402204095629663`*^9}, {3.5402222412437325`*^9, 3.540222241742761*^9}, {
   3.540645238684658*^9, 3.5406452392766924`*^9}, {3.540647770748484*^9, 
   3.5406477711465073`*^9}, {3.5406513204165134`*^9, 
   3.5406513213715687`*^9}, {3.5406514179550924`*^9, 
   3.5406514185601273`*^9}, {3.540652473056441*^9, 3.540652485595158*^9}, {
   3.5406566921347585`*^9, 3.5406567140270104`*^9}, {3.5406571182591314`*^9, 
   3.5406571189211693`*^9}, {3.540657623755044*^9, 3.540657625908167*^9}, {
   3.5408145320703382`*^9, 3.5408145325933685`*^9}, {3.5408157638037896`*^9, 
   3.54081576433082*^9}, {3.541888719013177*^9, 3.5418887195062046`*^9}, {
   3.5420263725584745`*^9, 3.5420263729784985`*^9}, {3.542030419975973*^9, 
   3.542030420493003*^9}, {3.5435764851605377`*^9, 3.5435764856675673`*^9}, {
   3.5435791871880856`*^9, 3.5435792015879087`*^9}, {3.5466125045728807`*^9, 
   3.5466125050649085`*^9}, {3.547492521560001*^9, 3.547492522034028*^9}, {
   3.5479141359325657`*^9, 3.547914136460596*^9}, 3.5479144764880447`*^9, {
   3.5484094107187853`*^9, 3.548409429315849*^9}, {3.5484116547491364`*^9, 
   3.5484116722811394`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MT", "=", 
   RowBox[{"TuringMachine", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "0", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "0", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "1", ",", "0"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "1", ",", "1"}], "}"}]}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", 
           ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", "0"}], 
        "}"}]}], "}"}], ",", "5"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"First", "/@", "MT"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Last", "/@", "MT"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5484114129033036`*^9, 3.5484115806869*^9}, 
   3.548411624823425*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     SubscriptBox["\[Sigma]", "0"], "1", "0"},
    {
     SubscriptBox["\[Sigma]", "1"], "2", "1"},
    {
     SubscriptBox["\[Sigma]", "1"], "3", "2"},
    {
     SubscriptBox["\[Sigma]", "1"], "4", "3"},
    {
     SubscriptBox["\[Sigma]", "1"], "5", "4"},
    {
     SubscriptBox["\[Sigma]", "2"], "5", "4"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.548411552466286*^9, 3.5484115815589504`*^9}, 
   3.5484116259204874`*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"1", "1", "1", "1", "0", "1", "1", "1", "1", "1", "1"},
    {"0", "1", "1", "1", "0", "1", "1", "1", "1", "1", "1"},
    {"0", "1", "1", "1", "0", "1", "1", "1", "1", "1", "1"},
    {"0", "1", "1", "1", "0", "1", "1", "1", "1", "1", "1"},
    {"0", "1", "1", "1", "0", "1", "1", "1", "1", "1", "1"},
    {"0", "1", "1", "1", "1", "1", "1", "1", "1", "1", "1"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.548411552466286*^9, 3.5484115815589504`*^9}, 
   3.5484116259234877`*^9}]
}, Open  ]],

Cell["Ejemplo 19: m\[AAcute]quina que copia (no tiene estados aceptados)", \
"Text",
 CellChangeTimes->CompressedData["
1:eJwd0Vsow2EcxvGFFHK2UUrmmEg2MpLxioULcpamHJeyzJUcLiZEDjnFbhA3
IkUy5JhISCzJcpyZueAlh/1dEMrv9148fe6em6+wTJVdacXj8YQw9KJk0HQg
p0TW+HCPeu3cxgpKKAknKVJ0NWehE21XVnajdSaNEd0J2r9Ht5qv31D+aTuH
jvm6CD1BnZz6ofVtay2o2jWyFe1RmQK8wGNOFIhuSLR9CnA+UK5BRdVZ6iqw
N582o8bZGakKPLUWJ6DTR8EBtaB2V8JcedTPSUspmbl6ZA5zBc8JYMR8BdMj
13GKgA/mUKZPv1SL9r9kMYt1QkkS2OmgjUE/MttkyWCKITEN1aUfNKExjQZm
dsjXGrroHL+ORie2FA6Ad7+DzMmVBgvqoeliWqrvLsfKKTkTvzNtjQMuJvAm
c5wZFqe2N4Nze31MX//JT72CkmX5EvPIRiE7B4NOxKmofZ5b+YSSknV3P2bH
s4ifUQM9BIQ5dP5n8VZRErXpxKHKEfM32kU4ZhX3dOhYC3+RP8xRu+FXJ3D7
tugD/QdxMQl6
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MT", "=", 
   RowBox[{"TuringMachine", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "0", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "0", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", "1", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "1", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "2"], ",", "1", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "3"], ",", "1", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "0"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", "1", ",", "1"}], "}"}]}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "1"}], "}"}], "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "4"], ",", "1", ",", 
          RowBox[{"-", "1"}]}], "}"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", "0"}], 
        "}"}]}], "}"}], ",", "44"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Last", "/@", "MT"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5479318167184415`*^9, 3.5479318266290083`*^9}, 
   3.5479318586438394`*^9, {3.5479320851997976`*^9, 3.547932142097052*^9}, {
   3.547932201983477*^9, 3.5479322435498548`*^9}, 3.5479322879993973`*^9, {
   3.547932381392739*^9, 3.547932400591837*^9}, {3.547932435213817*^9, 
   3.5479326117669153`*^9}, {3.5484070805885096`*^9, 3.548407090320066*^9}, {
   3.548407437013896*^9, 3.5484074380699563`*^9}, {3.5484074730789585`*^9, 
   3.54840751174017*^9}, {3.548407560186941*^9, 3.5484075900276475`*^9}, {
   3.548407856066864*^9, 3.5484079065467515`*^9}, {3.548409149191827*^9, 
   3.5484092066351123`*^9}, {3.5484092458203535`*^9, 3.548409336164521*^9}, {
   3.5484096161925373`*^9, 3.548409642917066*^9}, 3.5484097090468483`*^9, {
   3.548412021352105*^9, 3.548412056270102*^9}, {3.5484213967463465`*^9, 
   3.548421436405615*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {"1", "1", "1", "1", "0", "0", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "0", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "0", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "0", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "0", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "0", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "1", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "1", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "1", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "1", "0", "0", "0"},
    {"0", "1", "1", "1", "0", "1", "0", "0", "0"},
    {"1", "1", "1", "1", "0", "1", "0", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "0", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "0", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "0", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "0", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "0", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "1", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "1", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "1", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "1", "0", "0"},
    {"1", "0", "1", "1", "0", "1", "1", "0", "0"},
    {"1", "1", "1", "1", "0", "1", "1", "0", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "0", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "0", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "0", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "0", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "0", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "1", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "1", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "1", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "1", "0"},
    {"1", "1", "0", "1", "0", "1", "1", "1", "0"},
    {"1", "1", "1", "1", "0", "1", "1", "1", "0"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "0"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "0"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "0"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "0"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "0"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "1"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "1"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "1"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "1"},
    {"1", "1", "1", "0", "0", "1", "1", "1", "1"},
    {"1", "1", "1", "1", "0", "1", "1", "1", "1"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.5479324041170387`*^9, {3.547932604185482*^9, 3.547932613877036*^9}, {
   3.54840754985935*^9, 3.5484075919357567`*^9}, {3.5484078753339663`*^9, 
   3.548407909805938*^9}, {3.548409162254574*^9, 3.5484092083342094`*^9}, 
   3.5484092506136274`*^9, {3.5484092937430944`*^9, 3.548409338000626*^9}, {
   3.548409617701624*^9, 3.548409643773115*^9}, {3.548412030515629*^9, 
   3.5484120597513013`*^9}, 3.5484214537726088`*^9}]
}, Open  ]],

Cell["\<\
Ejemplo 20: funci\[OAcute]n encuentra n hileras de longitud m aceptadas por \
la m\[AAcute]quina de Turing\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQBmIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniH5YvmtZVzLQnAk7loNoBkcGls6UV44HDhmCaYbm9I74
1leOC35qdoLoCVUXSrraXjmy7bsDpvlubbbsBtLPSnaA6UXvpLsi2l85bko8
2w+iD8slX4wE0t2zMsD02trJpkVA+taUZHMQ/esQVyGIPpDrAKYBX6rXRw==

  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"EncuentraHilerasAceptadas", "[", 
    RowBox[{"n_", ",", "m_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"j", "=", "1"}], ",", 
       RowBox[{"j", "\[LessEqual]", "n"}], ",", 
       RowBox[{
        RowBox[{"L", "=", 
         RowBox[{"{", "}"}]}], ";", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", "m"}], ",", 
          RowBox[{
           RowBox[{"L", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"L", ",", 
              RowBox[{"RandomInteger", "[", 
               RowBox[{"{", 
                RowBox[{"0", ",", "1"}], "}"}], "]"}]}], "]"}]}], ";", 
           RowBox[{"i", "++"}]}]}], "]"}], ";", 
        RowBox[{"MT", "=", 
         RowBox[{"TuringMachine", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "1"], ",", "B", ",", "1"}], "}"}]}], 
             ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "5"], ",", "B", ",", "1"}], "}"}]}], 
             ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "1"], ",", "0", ",", "1"}], "}"}]}], 
             ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "2"], ",", "1", ",", "1"}], "}"}]}], 
             ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "3"], ",", "1", ",", 
                RowBox[{"-", "1"}]}], "}"}]}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "2"], ",", "1", ",", "1"}], "}"}]}], 
             ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "2"], ",", "B"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "4"], ",", "B", ",", 
                RowBox[{"-", "1"}]}], "}"}]}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "3"], ",", "0", ",", 
                RowBox[{"-", "1"}]}], "}"}]}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "3"], ",", "1", ",", 
                RowBox[{"-", "1"}]}], "}"}]}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "3"], ",", "B"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "0"], ",", "B", ",", "1"}], "}"}]}], 
             ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "4"], ",", "0"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "4"], ",", "0", ",", 
                RowBox[{"-", "1"}]}], "}"}]}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "4"], ",", "1"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "4"], ",", "B", ",", 
                RowBox[{"-", "1"}]}], "}"}]}], ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "4"], ",", "B"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "6"], ",", "0", ",", "0"}], "}"}]}], 
             ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "5"], ",", "0"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "5"], ",", "B", ",", "1"}], "}"}]}], 
             ",", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "5"], ",", "1"}], "}"}], "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "6"], ",", "B", ",", "0"}], 
               "}"}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             SubscriptBox["\[Sigma]", "0"], ",", 
             RowBox[{"{", 
              RowBox[{"L", ",", "B"}], "}"}]}], "}"}], ",", "100"}], "]"}]}], 
        ";", 
        RowBox[{"T", "=", 
         RowBox[{"First", "/@", "MT"}]}], ";", 
        RowBox[{"d", "=", 
         RowBox[{"Dimensions", "[", "T", "]"}]}], ";", 
        RowBox[{"While", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"ToString", "[", 
            RowBox[{"T", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"d", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "1"}], "]"}], "]"}], 
            "]"}], "\[NotEqual]", 
           RowBox[{"ToString", "[", 
            SubscriptBox["\[Sigma]", "6"], "]"}]}], ",", 
          RowBox[{
           RowBox[{"L", "=", 
            RowBox[{"{", "}"}]}], ";", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "m"}], ",", 
             RowBox[{
              RowBox[{"L", "=", 
               RowBox[{"Append", "[", 
                RowBox[{"L", ",", 
                 RowBox[{"RandomInteger", "[", 
                  RowBox[{"{", 
                   RowBox[{"0", ",", "1"}], "}"}], "]"}]}], "]"}]}], ";", 
              RowBox[{"i", "++"}]}]}], "]"}], ";", 
           RowBox[{"MT", "=", 
            RowBox[{"TuringMachine", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "1"], ",", "B", ",", "1"}], 
                  "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "5"], ",", "B", ",", "1"}], 
                  "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "1"], ",", "0", ",", "1"}], 
                  "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "2"], ",", "1", ",", "1"}], 
                  "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "3"], ",", "1", ",", 
                   RowBox[{"-", "1"}]}], "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "2"], ",", "1", ",", "1"}], 
                  "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "2"], ",", "B"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "4"], ",", "B", ",", 
                   RowBox[{"-", "1"}]}], "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "3"], ",", "0", ",", 
                   RowBox[{"-", "1"}]}], "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "3"], ",", "1", ",", 
                   RowBox[{"-", "1"}]}], "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "3"], ",", "B"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "0"], ",", "B", ",", "1"}], 
                  "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "4"], ",", "0"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "4"], ",", "0", ",", 
                   RowBox[{"-", "1"}]}], "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "4"], ",", "1"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "4"], ",", "B", ",", 
                   RowBox[{"-", "1"}]}], "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "4"], ",", "B"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "6"], ",", "0", ",", "0"}], 
                  "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "5"], ",", "0"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "5"], ",", "B", ",", "1"}], 
                  "}"}]}], ",", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "5"], ",", "1"}], "}"}], 
                 "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{
                   SubscriptBox["\[Sigma]", "6"], ",", "B", ",", "0"}], 
                  "}"}]}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                SubscriptBox["\[Sigma]", "0"], ",", 
                RowBox[{"{", 
                 RowBox[{"L", ",", "B"}], "}"}]}], "}"}], ",", "100"}], 
             "]"}]}], ";", 
           RowBox[{"T", "=", 
            RowBox[{"First", "/@", "MT"}]}], ";", 
           RowBox[{"d", "=", 
            RowBox[{"Dimensions", "[", "T", "]"}]}]}]}], "]"}], ";", 
        RowBox[{"Print", "[", "L", "]"}], ";", 
        RowBox[{"j", "++"}]}]}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"EncuentraHilerasAceptadas", "[", 
  RowBox[{"5", ",", "20"}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzE0ow3EcBvAZIisHm3k5mJfLlBwmO/gXZgfjsBW1WbKibamtNjbyUlKW
4SDLQhFZlrc1O0wWpWwrsbW0krbmJQdmZUN5uZA9v8O3T89Tz7eiT9ehotNo
NE76IC/o1hTrEwL2op94LjzVQdfKnB7+BMaGoLiEPgXXmq89MnNCEDfXBCC1
1xaGb72tMZj7Ph2HOwPmJHxY7ad1pV06+ciC4XUNA3LkQiZ0Tx4WQX6Dsx5+
U7sUzL/v0ZOdWDQMh/0Xs1DKXbZAj3p8A7oMrzuwcN69D5Mzzy6oKBs4ghop
0wcHf51BWPBQGSZ/2m1Ea5wZgY6WUBRKssWZ8rQv/Los6GXE8uCfkWLArZxH
DuklGeWQq1quJvnMWguPb+0yaAoeENmCq25I77xXQG1oVglZlj81HLRFR2FD
0wtxk640kR1rhCi3fy7CRtadFU5wv7zwyZHng1GD9xKGUhHiwg0vCu+MImLp
nDYJm6u2U/AfLw38jQ==
  "]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "1", ",", "0"}], "}"}]], "Print",
 CellChangeTimes->{
  3.560621644955769*^9, 3.56062168117303*^9, 3.5606217186521072`*^9, 
   3.560622338934651*^9, {3.560622461589069*^9, 3.560622468179372*^9}, 
   3.560622851794938*^9, {3.560622890333816*^9, 3.560622905741136*^9}, 
   3.560623056374016*^9, 3.5606231419486303`*^9, 3.560623272338593*^9, 
   3.560623341220724*^9, 3.56062364224465*^9, 3.56062370428969*^9, 
   3.560623827867736*^9, {3.560624002381703*^9, 3.560624009505015*^9}, {
   3.560673902413176*^9, 3.560673907501467*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Print",
 CellChangeTimes->{
  3.560621644955769*^9, 3.56062168117303*^9, 3.5606217186521072`*^9, 
   3.560622338934651*^9, {3.560622461589069*^9, 3.560622468179372*^9}, 
   3.560622851794938*^9, {3.560622890333816*^9, 3.560622905741136*^9}, 
   3.560623056374016*^9, 3.5606231419486303`*^9, 3.560623272338593*^9, 
   3.560623341220724*^9, 3.56062364224465*^9, 3.56062370428969*^9, 
   3.560623827867736*^9, {3.560624002381703*^9, 3.560624009505015*^9}, {
   3.560673902413176*^9, 3.5606739075344687`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", 
   ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
   "1", ",", "1", ",", "1", ",", "0", ",", "0"}], "}"}]], "Print",
 CellChangeTimes->{
  3.560621644955769*^9, 3.56062168117303*^9, 3.5606217186521072`*^9, 
   3.560622338934651*^9, {3.560622461589069*^9, 3.560622468179372*^9}, 
   3.560622851794938*^9, {3.560622890333816*^9, 3.560622905741136*^9}, 
   3.560623056374016*^9, 3.5606231419486303`*^9, 3.560623272338593*^9, 
   3.560623341220724*^9, 3.56062364224465*^9, 3.56062370428969*^9, 
   3.560623827867736*^9, {3.560624002381703*^9, 3.560624009505015*^9}, {
   3.560673902413176*^9, 3.5606739075414696`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", 
   ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", 
   "0", ",", "1", ",", "1", ",", "0", ",", "1"}], "}"}]], "Print",
 CellChangeTimes->{
  3.560621644955769*^9, 3.56062168117303*^9, 3.5606217186521072`*^9, 
   3.560622338934651*^9, {3.560622461589069*^9, 3.560622468179372*^9}, 
   3.560622851794938*^9, {3.560622890333816*^9, 3.560622905741136*^9}, 
   3.560623056374016*^9, 3.5606231419486303`*^9, 3.560623272338593*^9, 
   3.560623341220724*^9, 3.56062364224465*^9, 3.56062370428969*^9, 
   3.560623827867736*^9, {3.560624002381703*^9, 3.560624009505015*^9}, {
   3.560673902413176*^9, 3.5606739075434694`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "1", ",", "0"}], "}"}]], "Print",
 CellChangeTimes->{
  3.560621644955769*^9, 3.56062168117303*^9, 3.5606217186521072`*^9, 
   3.560622338934651*^9, {3.560622461589069*^9, 3.560622468179372*^9}, 
   3.560622851794938*^9, {3.560622890333816*^9, 3.560622905741136*^9}, 
   3.560623056374016*^9, 3.5606231419486303`*^9, 3.560623272338593*^9, 
   3.560623341220724*^9, 3.56062364224465*^9, 3.56062370428969*^9, 
   3.560623827867736*^9, {3.560624002381703*^9, 3.560624009505015*^9}, {
   3.560673902413176*^9, 3.56067390754947*^9}}]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "Por los resultados obtenidos el lenguaje de la m\[AAcute]quina de Turing \
esta formado por hileras que inician con 1 y contienen en cualquier lugar \
otro 1 e hileras que inician con ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["0", "n"], "1"}], ",", "n\[Epsilon]IN"}], 
   TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.560623836813408*^9, 3.560623951982729*^9}}]
},
WindowToolbars->"EditBar",
WindowSize->{1920, 997},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 3., 3. Inherited],
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1016, 15, 131, "Text"],
Cell[CellGroupData[{
Cell[1598, 39, 2447, 63, 451, "Input"],
Cell[4048, 104, 3806, 65, 1127, "Output"],
Cell[7857, 171, 3954, 69, 1127, "Output"],
Cell[11814, 242, 3540, 58, 1084, "Output"],
Cell[15357, 302, 3809, 65, 1127, "Output"],
Cell[19169, 369, 125, 2, 84, "Output"]
}, Open  ]],
Cell[19309, 374, 853, 13, 131, "Text"],
Cell[CellGroupData[{
Cell[20187, 391, 2783, 75, 347, "Input"],
Cell[22973, 468, 4321, 73, 1169, "Output"]
}, Open  ]],
Cell[27309, 544, 899, 13, 131, "Text"],
Cell[28211, 559, 900, 13, 131, "Text"],
Cell[CellGroupData[{
Cell[29136, 576, 3522, 90, 451, "Input"],
Cell[32661, 668, 5997, 107, 1198, "Output"],
Cell[CellGroupData[{
Cell[38683, 779, 380, 8, 63, "Print"],
Cell[39066, 789, 429, 10, 63, "Print"],
Cell[39498, 801, 643, 16, 63, "Print"]
}, Open  ]],
Cell[40156, 820, 1628, 45, 291, "Output"]
}, Open  ]],
Cell[41799, 868, 900, 13, 131, "Text"],
Cell[CellGroupData[{
Cell[42724, 885, 3887, 99, 607, "Input"],
Cell[CellGroupData[{
Cell[46636, 988, 732, 18, 63, "Print"],
Cell[47371, 1008, 393, 10, 63, "Print"],
Cell[47767, 1020, 314, 7, 63, "Print"],
Cell[48084, 1029, 3989, 98, 211, "Print"],
Cell[52076, 1129, 538, 13, 63, "Print"]
}, Open  ]]
}, Open  ]],
Cell[52641, 1146, 897, 13, 131, "Text"],
Cell[53541, 1161, 908, 13, 131, "Text"],
Cell[CellGroupData[{
Cell[54474, 1178, 3123, 81, 347, "Input"],
Cell[57600, 1261, 1006, 24, 84, "Output"]
}, Open  ]],
Cell[58621, 1288, 906, 13, 131, "Text"],
Cell[CellGroupData[{
Cell[59552, 1305, 3458, 92, 399, "Input"],
Cell[63013, 1399, 954, 24, 134, "Output"]
}, Open  ]],
Cell[63982, 1426, 636, 14, 181, "Text"],
Cell[CellGroupData[{
Cell[64643, 1444, 2257, 50, 607, "Input"],
Cell[66903, 1496, 17658, 308, 292, "Print"]
}, Open  ]],
Cell[84576, 1807, 1031, 16, 181, "Text"],
Cell[CellGroupData[{
Cell[85632, 1827, 1659, 43, 607, "Input"],
Cell[87294, 1872, 87065, 1438, 334, "Print"]
}, Open  ]],
Cell[174374, 3313, 490, 11, 1179, "Text"],
Cell[CellGroupData[{
Cell[174889, 3328, 2933, 74, 4527, "Input"],
Cell[177825, 3404, 5107, 90, 10485, "Output"],
Cell[182935, 3496, 2918, 76, 4734, "Output"],
Cell[185856, 3574, 3856, 68, 10143, "Output"],
Cell[189715, 3644, 302, 5, 756, "Output"]
}, Open  ]],
Cell[190032, 3652, 490, 11, 1179, "Text"],
Cell[190525, 3665, 514, 11, 1179, "Text"],
Cell[CellGroupData[{
Cell[191064, 3680, 1311, 34, 2187, "Input"],
Cell[192378, 3716, 1993, 36, 10107, "Output"]
}, Open  ]],
Cell[194386, 3755, 516, 11, 1179, "Text"],
Cell[CellGroupData[{
Cell[194927, 3770, 2084, 56, 399, "Input"],
Cell[197014, 3828, 3809, 65, 1127, "Output"],
Cell[200826, 3895, 3377, 90, 673, "Output"]
}, Open  ]],
Cell[204218, 3988, 490, 11, 131, "Text"],
Cell[CellGroupData[{
Cell[204733, 4003, 2867, 78, 659, "Input"],
Cell[207603, 4083, 2851, 53, 1212, "Output"],
Cell[210457, 4138, 116, 1, 63, "Print"]
}, Open  ]],
Cell[210588, 4142, 490, 11, 131, "Text"],
Cell[CellGroupData[{
Cell[211103, 4157, 6964, 173, 919, "Input"],
Cell[218070, 4332, 13552, 238, 10161, "Output"],
Cell[231625, 4572, 820, 19, 1206, "Output"],
Cell[232448, 4593, 8521, 140, 9693, "Output"],
Cell[240972, 4735, 822, 19, 1206, "Output"]
}, Open  ]],
Cell[241809, 4757, 511, 11, 1179, "Text"],
Cell[CellGroupData[{
Cell[242345, 4772, 4790, 128, 8145, "Input"],
Cell[247138, 4902, 5366, 91, 9801, "Output"],
Cell[252507, 4995, 288, 4, 567, "Print"]
}, Open  ]],
Cell[252810, 5002, 507, 11, 1179, "Text"],
Cell[CellGroupData[{
Cell[253342, 5017, 2740, 76, 5463, "Input"],
Cell[256085, 5095, 3148, 56, 10485, "Output"],
Cell[259236, 5153, 92, 1, 567, "Print"]
}, Open  ]],
Cell[259343, 5157, 535, 11, 1179, "Text"],
Cell[CellGroupData[{
Cell[259903, 5172, 3408, 83, 3591, "Input"],
Cell[263314, 5257, 3485, 57, 10044, "Output"]
}, Open  ]],
Cell[266814, 5317, 519, 11, 1179, "Text"],
Cell[CellGroupData[{
Cell[267358, 5332, 4318, 114, 5463, "Input"],
Cell[271679, 5448, 5457, 91, 10368, "Output"],
Cell[277139, 5541, 224, 4, 2268, "Output"],
Cell[277366, 5547, 225, 4, 2268, "Output"]
}, Open  ]],
Cell[277606, 5554, 1556, 23, 3537, "Text"],
Cell[279165, 5579, 1608, 23, 131, "Text"],
Cell[CellGroupData[{
Cell[280798, 5606, 16300, 372, 3779, "Input"],
Cell[CellGroupData[{
Cell[297123, 5982, 163, 2, 113, "Print"],
Cell[297289, 5986, 2982, 50, 1095, "Print"],
Cell[300274, 6038, 95, 1, 63, "Print"],
Cell[300372, 6041, 295, 9, 63, "Print"],
Cell[300670, 6052, 373, 11, 63, "Print"],
Cell[301046, 6065, 371, 11, 63, "Print"],
Cell[301420, 6078, 371, 11, 63, "Print"],
Cell[301794, 6091, 471, 14, 63, "Print"],
Cell[302268, 6107, 473, 14, 63, "Print"],
Cell[302744, 6123, 471, 14, 63, "Print"],
Cell[303218, 6139, 555, 16, 63, "Print"],
Cell[303776, 6157, 391, 10, 63, "Print"],
Cell[304170, 6169, 356, 8, 63, "Print"],
Cell[304529, 6179, 574, 15, 63, "Print"],
Cell[305106, 6196, 8754, 140, 1124, "Print"],
Cell[313863, 6338, 156, 2, 63, "Print"],
Cell[314022, 6342, 6766, 110, 1098, "Print"]
}, Open  ]]
}, Open  ]],
Cell[320815, 6456, 1614, 24, 131, "Text"],
Cell[CellGroupData[{
Cell[322454, 6484, 16118, 388, 3831, "Input"],
Cell[338575, 6874, 8547, 137, 1091, "Print"]
}, Open  ]],
Cell[347137, 7014, 1706, 27, 181, "Text"],
Cell[CellGroupData[{
Cell[348868, 7045, 2754, 75, 503, "Input"],
Cell[351625, 7122, 7324, 119, 1112, "Output"]
}, Open  ]],
Cell[358964, 7244, 552, 12, 131, "Text"],
Cell[359519, 7258, 1608, 23, 131, "Text"],
Cell[CellGroupData[{
Cell[361152, 7285, 14329, 342, 3727, "Input"],
Cell[CellGroupData[{
Cell[375506, 7631, 1156, 16, 113, "Print"],
Cell[376665, 7649, 4416, 71, 1215, "Print"],
Cell[381084, 7722, 1088, 15, 63, "Print"],
Cell[382175, 7739, 1290, 23, 63, "Print"],
Cell[383468, 7764, 1366, 25, 63, "Print"],
Cell[384837, 7791, 1364, 25, 63, "Print"],
Cell[386204, 7818, 1366, 25, 63, "Print"],
Cell[387573, 7845, 1366, 25, 63, "Print"],
Cell[388942, 7872, 1466, 28, 63, "Print"],
Cell[390411, 7902, 1466, 28, 63, "Print"],
Cell[391880, 7932, 1466, 28, 63, "Print"],
Cell[393349, 7962, 1466, 28, 63, "Print"],
Cell[394818, 7992, 1464, 28, 63, "Print"],
Cell[396285, 8022, 1466, 28, 63, "Print"],
Cell[397754, 8052, 1552, 30, 63, "Print"],
Cell[399309, 8084, 1549, 30, 63, "Print"],
Cell[400861, 8116, 1552, 30, 63, "Print"],
Cell[402416, 8148, 1552, 30, 63, "Print"],
Cell[403971, 8180, 1636, 32, 63, "Print"],
Cell[405610, 8214, 1355, 24, 63, "Print"],
Cell[406968, 8240, 1346, 22, 63, "Print"],
Cell[408317, 8264, 1887, 37, 63, "Print"],
Cell[410207, 8303, 13721, 229, 1107, "Print"],
Cell[423931, 8534, 1147, 16, 63, "Print"],
Cell[425081, 8552, 3654, 59, 1269, "Print"]
}, Open  ]]
}, Open  ]],
Cell[428762, 8615, 1614, 24, 131, "Text"],
Cell[CellGroupData[{
Cell[430401, 8643, 14173, 358, 3779, "Input"],
Cell[444577, 9003, 56237, 925, 1320, 5158, 86, "CachedBoxData", "BoxData", \
"Print"]
}, Open  ]],
Cell[500829, 9931, 1706, 27, 181, "Text"],
Cell[CellGroupData[{
Cell[502560, 9962, 2585, 70, 451, "Input"],
Cell[505148, 10034, 4726, 81, 1341, "Output"]
}, Open  ]],
Cell[509889, 10118, 633, 13, 131, "Text"],
Cell[510525, 10133, 1608, 23, 131, "Text"],
Cell[CellGroupData[{
Cell[512158, 10160, 14917, 376, 3883, "Input"],
Cell[CellGroupData[{
Cell[527100, 10540, 281, 4, 113, "Print"],
Cell[527384, 10546, 8391, 138, 1320, "Print"],
Cell[535778, 10686, 209, 3, 63, "Print"],
Cell[535990, 10691, 411, 11, 63, "Print"],
Cell[536404, 10704, 487, 13, 63, "Print"],
Cell[536894, 10719, 487, 13, 63, "Print"],
Cell[537384, 10734, 489, 13, 63, "Print"],
Cell[537876, 10749, 489, 13, 63, "Print"],
Cell[538368, 10764, 489, 13, 63, "Print"],
Cell[538860, 10779, 589, 16, 63, "Print"],
Cell[539452, 10797, 587, 16, 63, "Print"],
Cell[540042, 10815, 587, 16, 63, "Print"],
Cell[540632, 10833, 589, 16, 63, "Print"],
Cell[541224, 10851, 589, 16, 63, "Print"],
Cell[541816, 10869, 591, 16, 63, "Print"],
Cell[542410, 10887, 589, 16, 63, "Print"],
Cell[543002, 10905, 589, 16, 63, "Print"],
Cell[543594, 10923, 591, 16, 63, "Print"],
Cell[544188, 10941, 591, 16, 63, "Print"],
Cell[544782, 10959, 673, 18, 63, "Print"],
Cell[545458, 10979, 675, 18, 63, "Print"],
Cell[546136, 10999, 673, 18, 63, "Print"],
Cell[546812, 11019, 675, 18, 63, "Print"],
Cell[547490, 11039, 675, 18, 63, "Print"],
Cell[548168, 11059, 675, 18, 63, "Print"],
Cell[548846, 11079, 675, 18, 63, "Print"],
Cell[549524, 11099, 675, 18, 63, "Print"],
Cell[550202, 11119, 675, 18, 63, "Print"],
Cell[550880, 11139, 675, 18, 63, "Print"],
Cell[551558, 11159, 756, 20, 63, "Print"],
Cell[552317, 11181, 759, 20, 63, "Print"],
Cell[553079, 11203, 757, 20, 63, "Print"],
Cell[553839, 11225, 759, 20, 63, "Print"],
Cell[554601, 11247, 759, 20, 63, "Print"],
Cell[555363, 11269, 843, 22, 63, "Print"],
Cell[556209, 11293, 505, 12, 63, "Print"],
Cell[556717, 11307, 470, 10, 63, "Print"],
Cell[557190, 11319, 2606, 65, 162, "Print"],
Cell[559799, 11386, 300748, 4906, 984, 39342, 620, "CachedBoxData", \
"BoxData", "Print"],
Cell[860550, 16294, 270, 4, 1701, "Print"],
Cell[860823, 16300, 5974, 103, 35640, "Print"]
}, Open  ]]
}, Open  ]],
Cell[866824, 16407, 1706, 27, 4887, "Text"],
Cell[CellGroupData[{
Cell[868555, 16438, 4591, 123, 607, "Input"],
Cell[873149, 16563, 9176, 146, 1098, "Output"]
}, Open  ]],
Cell[882340, 16712, 1940, 33, 131, "Text"],
Cell[884283, 16747, 1952, 33, 131, "Text"],
Cell[CellGroupData[{
Cell[886260, 16784, 3312, 95, 451, "Input"],
Cell[889575, 16881, 1339, 44, 635, "Output"],
Cell[890917, 16927, 1027, 30, 635, "Output"]
}, Open  ]],
Cell[891959, 16960, 1832, 26, 131, "Text"],
Cell[CellGroupData[{
Cell[893816, 16990, 5334, 128, 763, "Input"],
Cell[CellGroupData[{
Cell[899175, 17122, 565, 11, 63, "Print"],
Cell[899743, 17135, 12598, 463, 9558, "Print"],
Cell[912344, 17600, 5492, 241, 9558, "Print"],
Cell[917839, 17843, 593, 11, 63, "Print"],
Cell[918435, 17856, 12598, 463, 9558, "Print"],
Cell[931036, 18321, 7712, 241, 9558, "Print"],
Cell[938751, 18564, 617, 11, 63, "Print"],
Cell[939371, 18577, 12598, 463, 9558, "Print"],
Cell[951972, 19042, 9931, 241, 9558, "Print"],
Cell[961906, 19285, 656, 13, 63, "Print"],
Cell[962565, 19300, 12598, 463, 9558, "Print"],
Cell[975166, 19765, 12154, 241, 9558, "Print"],
Cell[987323, 20008, 680, 13, 63, "Print"],
Cell[988006, 20023, 12924, 463, 9558, "Print"],
Cell[1000933, 20488, 14374, 241, 9558, "Print"],
Cell[1015310, 20731, 709, 14, 63, "Print"],
Cell[1016022, 20747, 12890, 463, 9558, "Print"],
Cell[1028915, 21212, 16594, 241, 9558, "Print"],
Cell[1045512, 21455, 737, 14, 63, "Print"],
Cell[1046252, 21471, 12866, 463, 9558, "Print"],
Cell[1059121, 21936, 20137, 462, 9558, "Print"],
Cell[1079261, 22400, 769, 15, 113, "Print"],
Cell[1080033, 22417, 12850, 463, 9558, "Print"],
Cell[1092886, 22882, 22366, 463, 9558, "Print"],
Cell[1115255, 23347, 797, 16, 113, "Print"],
Cell[1116055, 23365, 12842, 463, 9558, "Print"],
Cell[1128900, 23830, 24584, 463, 9558, "Print"],
Cell[1153487, 24295, 822, 16, 113, "Print"],
Cell[1154312, 24313, 12839, 463, 9558, "Print"],
Cell[1167154, 24778, 26804, 463, 9558, "Print"]
}, Open  ]]
}, Open  ]],
Cell[1193985, 25245, 1801, 26, 131, "Text"],
Cell[CellGroupData[{
Cell[1195811, 25275, 1772, 51, 295, "Input"],
Cell[1197586, 25328, 916, 28, 291, "Output"],
Cell[1198505, 25358, 964, 22, 291, "Output"]
}, Open  ]],
Cell[1199484, 25383, 744, 15, 131, "Text"],
Cell[CellGroupData[{
Cell[1200253, 25402, 3676, 95, 347, "Input"],
Cell[1203932, 25499, 3243, 66, 1968, "Output"]
}, Open  ]],
Cell[1207190, 25568, 717, 16, 181, "Text"],
Cell[CellGroupData[{
Cell[1207932, 25588, 13668, 354, 1699, "Input"],
Cell[CellGroupData[{
Cell[1221625, 25946, 759, 13, 63, "Print"],
Cell[1222387, 25961, 761, 13, 63, "Print"],
Cell[1223151, 25976, 761, 13, 63, "Print"],
Cell[1223915, 25991, 761, 13, 63, "Print"],
Cell[1224679, 26006, 758, 13, 63, "Print"]
}, Open  ]]
}, Open  ]],
Cell[1225464, 26023, 418, 11, 133, "Text"]
}
]
*)

(* End of internal cache information *)
