(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    124401,       2763]
NotebookOptionsPosition[    122066,       2688]
NotebookOutlinePosition[    122465,       2705]
CellTagsIndexPosition[    122422,       2702]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Diagramas de transici\[OAcute]n de m\[AAcute]quinas de estado finito\
\>", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691063501396*^9}, {
   3.569156661686796*^9, 3.5691566620908904`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Ejemplo 1", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.5466910774891963`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graph", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"inicio", "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "1"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "1"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "2"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "1"]}]}], "}"}], ",", 
   RowBox[{"EdgeLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "1"]}], "\[Rule]", "\"\<a/0\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "0"]}], "\[Rule]", "\"\<b/2\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "1"]}], "\[Rule]", "\"\<a/1\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "2"]}], "\[Rule]", "\"\<b/0\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "0"]}], "\[Rule]", "\"\<a/3\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "1"]}], "\[Rule]", "\"\<b/2\>\""}]}], 
     "}"}]}], ",", 
   RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
   RowBox[{"EdgeStyle", "\[Rule]", 
    RowBox[{"Arrowheads", "[", "Medium", "]"}]}], ",", 
   RowBox[{"EdgeShapeFunction", "\[Rule]", "\"\<Arrow\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5466911474932003`*^9, 3.546691148262244*^9}, 
   3.5466943957139883`*^9, {3.5466944291338997`*^9, 3.5466944695762124`*^9}, {
   3.5466945085654426`*^9, 3.5466945647346554`*^9}, {3.5466947354524198`*^9, 
   3.546694784495225*^9}, {3.5466951443368063`*^9, 3.546695315398591*^9}, {
   3.5466953652714434`*^9, 3.5466954089549417`*^9}, {3.5466954563806543`*^9, 
   3.546695470447459*^9}, {3.5466955369392624`*^9, 3.5466956454634695`*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`inicio, 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1], 
       Subscript[$CellContext`\[Sigma], 2]}, {{{1, 2}, {2, 3}, {2, 2}, {3, 
       3}, {3, 4}, {4, 2}, {4, 3}}, Null}, {EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 2]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 0]] -> "b/2", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/2", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/3"}, 
       EdgeShapeFunction -> {"Arrow"}, EdgeStyle -> {
         Arrowheads[Medium]}, ImagePadding -> 10, VertexLabels -> {"Name"}}]],
     Typeset`boxes, Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.43597663168935585`}, 0.023350154254437705`], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["inicio", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.1473964668235679`, 0.4359636363470484}, 
           0.023350154254437705`], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "0"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.091570753413875, 0.8719250841586367}, 
           0.023350154254437705`], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "1"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{2.091527220235569, 0.}, 0.023350154254437705`], 
          "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "2"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       StyleBox[{
         ArrowBox[{
           DynamicLocation["VertexID$1", Automatic, Center], 
           DynamicLocation["VertexID$2", Automatic, Center]}]}, 
        Arrowheads[Medium], StripOnInput -> False], {
        TagBox[
         StyleBox[{
           ArrowBox[{
             DynamicLocation["VertexID$2", Automatic, Center], 
             DynamicLocation["VertexID$3", Automatic, Center]}]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$1"], 
        InsetBox[
         FormBox["\"a/0\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$1", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$2", Automatic, Center], {
               1.24215980833551, 0.3555780310129252}, {1.280509037558888, 
               0.31413534735905607`}, {1.3078434063878903`, 
               0.2647289541373088}, {1.3225789397476102`, 
               0.210221858571076}, {1.323861741295927, 
               0.15377264395608348`}, {1.3116174751046434`, 
               0.0986524357208197}, {1.286555673286202, 
               0.04805534588281593}, {1.250128619947143, 
               0.004913380286714342}, {
               1.2044471940655892`, -0.02827346559972002}, {
               1.152158548039141, -0.049582076703746786`}, {
               1.0962927102004323`, -0.057777659235876494`}, {
               1.0400870003949987`, -0.05238529465906702}, {
               0.9867984334072755, -0.03371746032144782}, {
               0.9395149811020647, -0.002855921983855203}, {
               0.9009766302840934, 0.03841095246397311}, {0.873416605634918, 
               0.08769182554672902}, {0.8584319585582573, 
               0.14213096369613198`}, {0.8568910210658797, 
               0.198573721620479}, {0.8688830875766608, 
               0.25374934804431626`}, {0.8937132404735693, 
               0.30446051957069686`}, {0.9299426192677868, 
               0.34776861953648786`}, {0.9754717998479171, 
               0.3811640253008104}, {1.0276624521441853`, 0.4027115361396961}, 
               DynamicLocation["VertexID$2", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$2"], 
         InsetBox[
          FormBox["\"b/2\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$2", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$3", Automatic, Center], {
               2.0882963699350725`, 0.8740931025871573}, {2.0353935945146295`,
                0.9211450879181107}, {1.9978041157233444`, 
               0.981141954961062}, {1.9785430376532283`, 
               1.0492712720158144`}, {1.9791553180204609`, 
               1.120068292316968}, {1.9995918449698085`, 
               1.1878542889314505`}, {2.03821337640447, 
               1.2471920533012977`}, {2.091922025862253, 
               1.2933220212634697`}, {2.156409748274065, 
               1.3225440442753553`}, {2.226503894218296, 
               1.3325141834478516`}, {2.29658211528634, 
               1.3224327201260706`}, {2.3610233404259393`, 
               1.2931083024289112`}, {2.41465864982601, 
               1.2468930824648259`}, {2.4531858811249396`, 
               1.1874940469574304`}, {2.4735147118048704`, 
               1.1196756747124643`}, {2.474014538235749, 
               1.0488777711819992`}, {2.454645268648136, 
               0.9807791341441521}, {2.416960538949493, 0.9208420494777264}, {
               2.363983093438873, 0.8738741536558001}, {2.2999623263052795`, 
               0.8436428065737355}, {2.2300334318415094`, 
               0.8325729064005193}, {2.1598055034063255`, 
               0.8415523851422255}, {2.0949116202869966`, 0.8698609863875166}, 
               DynamicLocation["VertexID$3", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$3"], 
         InsetBox[
          FormBox["\"a/1\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$3", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$3", Automatic, Center], {
              2.1237968293964418`, 0.7798358358056495}, {2.131384369528757, 
              0.756357425020442}, {2.1378343435760017`, 0.7325413721768597}, {
              2.1431318339217054`, 0.7084427594720665}, {2.147264588434517, 
              0.6841173226127769}, {2.150223048805157, 0.6596213219087069}, {
              2.152000372653046, 0.635011412152713}, {2.1525924493514883`, 
              0.6103445115885642}, {2.1525750360801656`, 
              0.26157447792510957`}, {2.1519804962634796`, 
              0.23690763660594552`}, {2.150200714994091, 0.212297904447883}, {
              2.147239808582265, 0.18780219928393943`}, {2.143104625065829, 
              0.1634771752234408}, {2.1378047283719055`, 
              0.13937909162137438`}, {2.131352376197291, 
              0.11556368296073632`}, {2.123762491658633, 0.09208602994881276}, 
              DynamicLocation["VertexID$4", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$4"], 
        InsetBox[
         FormBox["\"b/0\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$4", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {
        TagBox[
         StyleBox[{
           ArrowBox[{
             DynamicLocation["VertexID$4", Automatic, Center], 
             DynamicLocation["VertexID$2", Automatic, Center]}]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$5"], 
        InsetBox[
         FormBox["\"a/3\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$5", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$4", Automatic, Center], {
              2.059301144253003, 0.09208924835298724}, {2.0517136041206876`, 
              0.11556765913819475`}, {2.0452636300734426`, 
              0.1393837119817772}, {2.039966139727739, 
              0.16348232468657042`}, {2.0358333852149273`, 
              0.18780776154585987`}, {2.032874924844288, 
              0.2123037622499299}, {2.031097600996399, 0.2369136720059239}, {
              2.030505524297956, 0.2615805725700727}, {2.0305229375692786`, 
              0.6103506062335271}, {2.031117477385965, 0.6350174475526912}, {
              2.0328972586553533`, 0.6596271797107538}, {2.035858165067179, 
              0.6841228848746974}, {2.0399933485836157`, 
              0.7084479089351959}, {2.045293245277539, 0.7325459925372624}, {
              2.0517455974521535`, 0.7563614011979005}, {2.0593354819908116`, 
              0.779839054209824}, 
              DynamicLocation["VertexID$3", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$6"], 
        InsetBox[
         FormBox["\"b/2\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$6", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}}], Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{43.92138661802018, 
       1036.4786133819798`}, {-302.4786133819798, 270.2004719592586}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.54669556854607*^9, 3.54669558287589*^9}, {
  3.546695614253684*^9, 3.5466956479256105`*^9}}]
}, Open  ]],

Cell["Ejemplo 2", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691084818616*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Forma 1:", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691084818616*^9}, {
   3.547208139637928*^9, 3.5472081438221674`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowGraph", "[", 
  RowBox[{
   RowBox[{"G", "=", 
    RowBox[{"SetGraphOptions", "[", 
     RowBox[{
      RowBox[{"FromOrderedPairs", "[", "h", "]"}], ",", 
      RowBox[{"VertexColor", "\[Rule]", "Black"}], ",", 
      RowBox[{"EdgeColor", "\[Rule]", "Gray"}]}], "]"}]}], ",", 
   RowBox[{"VertexLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<inicio\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(0\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)\>\""}], "}"}]}], ",", 
   RowBox[{"EdgeLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\>\"", ",", "\"\<a/0\>\"", ",", "\"\<b/1\>\"", ",", "\"\<c/0\>\"", 
      ",", "\"\<a/1\>\"", ",", "\"\<b/1\>\"", ",", "\"\<c/1\>\"", ",", 
      "\"\<a/1\>\"", ",", "\"\<b/0\>\"", ",", "\"\<c/0\>\""}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quit", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.546699584456767*^9, 3.546699720022521*^9}, {
  3.5466998018211994`*^9, 3.5466998479778395`*^9}, {3.546699890507272*^9, 
  3.54670012264855*^9}, {3.5467001600416884`*^9, 3.5467002285086045`*^9}, {
  3.5467002638846283`*^9, 3.546700304622958*^9}, {3.5467003457173085`*^9, 
  3.546700378061158*^9}, {3.546700466433213*^9, 3.5467004808500376`*^9}, {
  3.5467005182621775`*^9, 3.546700519299237*^9}, {3.5467005913153563`*^9, 
  3.5467007480193186`*^9}, {3.546700810125871*^9, 3.5467008106028986`*^9}, {
  3.5467008496311307`*^9, 3.546700896715824*^9}, {3.5467009590553894`*^9, 
  3.546701023664085*^9}, {3.546701054151829*^9, 3.546701190114605*^9}, {
  3.5467012932785063`*^9, 3.5467013068752837`*^9}, {3.546701812447201*^9, 
  3.5467018817151623`*^9}, {3.546701939350459*^9, 3.5467019445777583`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], ":", 
  " ", "\<\"Combinatorica Graph and Permutations functionality has been \
superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{
  3.5466997212105885`*^9, 3.5466998525881033`*^9, {3.5466998917733445`*^9, 
   3.5466998992557726`*^9}, {3.546699953864896*^9, 3.546699990093968*^9}, 
   3.546700125681723*^9, 3.546700231188758*^9, 3.546700266611784*^9, {
   3.546700352602702*^9, 3.5467003800692735`*^9}, 3.5467004833091784`*^9, 
   3.546700520599311*^9, {3.5467006001958637`*^9, 3.5467006761932106`*^9}, {
   3.546700726288076*^9, 3.546700751838537*^9}, 3.546700811783966*^9, {
   3.5467008634569216`*^9, 3.5467009028091726`*^9}, {3.546700988994102*^9, 
   3.546701026085223*^9}, {3.546701061750263*^9, 3.546701161372961*^9}, 
   3.5467012668199925`*^9, 3.5467013019430017`*^9, 3.5467018183225365`*^9, 
   3.5467018524624896`*^9, 3.546701882687218*^9, 3.5467019410365553`*^9, 
   3.546702505513842*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0.5], Thickness[0.005], ArrowBox[{{0.5, 1.}, {0., 0.5}}], 
     {GrayLevel[0], 
      InsetBox["\<\"\"\>", Scaled[{-0.02, -0.02}, {0.25, 0.75}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     CircleBox[{0.02, 0.52}, 0.028284271247461915`], 
     {GrayLevel[0], 
      InsetBox["\<\"a/0\"\>", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], ArrowBox[{{0., 0.5}, {0.5, 0.}}], 
     {GrayLevel[0], 
      InsetBox["\<\"b/1\"\>", Scaled[{-0.02, -0.02}, {0.25, 0.25}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], ArrowBox[{{0., 0.5}, {1., 0.5}}], 
     {GrayLevel[0], 
      InsetBox["\<\"c/0\"\>", Scaled[{-0.02, -0.02}, {0.5, 0.5}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     CircleBox[{0.52, 0.02}, 0.028284271247461915`], 
     {GrayLevel[0], 
      InsetBox["\<\"a/1\"\>", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     LineBox[{{0.5, 0.}, {0.23333333333333328`, 0.23333333333333328`}}], 
     ArrowBox[{{0.23333333333333328`, 0.23333333333333328`}, {0., 0.5}}], 
     {GrayLevel[0], 
      InsetBox["\<\"b/1\"\>", Scaled[{-0.02, -0.02}, {0.25, 0.25}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     LineBox[{{0.5, 0.}, {0.2666666666666667, 0.2666666666666667}}], 
     ArrowBox[{{0.2666666666666667, 0.2666666666666667}, {0., 0.5}}], 
     {GrayLevel[0], 
      InsetBox["\<\"c/1\"\>", Scaled[{-0.02, -0.02}, {0.25, 0.25}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     CircleBox[{1.02, 0.52}, 0.028284271247461926`], 
     {GrayLevel[0], 
      InsetBox["\<\"a/1\"\>", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], ArrowBox[{{1., 0.5}, {0.5, 0.}}], 
     {GrayLevel[0], 
      InsetBox["\<\"b/0\"\>", Scaled[{-0.02, -0.02}, {0.75, 0.25}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], ArrowBox[{{1., 0.5}, {0., 0.5}}], 
     {GrayLevel[0], 
      InsetBox["\<\"c/0\"\>", Scaled[{-0.02, -0.02}, {0.5, 0.5}], {1, 0}]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 1.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0], 
      InsetBox["\<\"inicio\"\>", Scaled[{0.02, 0.02}, {0.5, 1.}], {-1, 0}]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0], 
      InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(0\\)]\\)\"\>", 
       Scaled[{0.02, 0.02}, {0., 0.5}], {-1, 0}]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0], 
      InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(1\\)]\\)\"\>", 
       Scaled[{0.02, 0.02}, {0.5, 0.}], {-1, 0}]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0], 
      InsetBox["\<\"\\!\\(\\*SubscriptBox[\\(\[Sigma]\\), \\(2\\)]\\)\"\>", 
       Scaled[{0.02, 0.02}, {1., 0.5}], {-1, 0}]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.10500000000000001`, 1.105}, {-0.10500000000000001`, 1.105}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{
  3.546699722496662*^9, 3.5466998528781195`*^9, {3.5466998919663553`*^9, 
   3.546699899439783*^9}, {3.546699954053907*^9, 3.5466999902919793`*^9}, 
   3.5467001258807344`*^9, 3.54670023139577*^9, 3.546700266820796*^9, {
   3.5467003528127146`*^9, 3.5467003802752852`*^9}, 3.546700483482188*^9, 
   3.546700520804323*^9, {3.5467006003588734`*^9, 3.5467006763992224`*^9}, {
   3.546700726498088*^9, 3.5467007520495496`*^9}, 3.546700811988978*^9, {
   3.5467008636209307`*^9, 3.5467009030251846`*^9}, {3.5467009892001133`*^9, 
   3.5467010262802343`*^9}, {3.5467010619552755`*^9, 3.5467011616069746`*^9}, 
   3.5467012670330048`*^9, 3.5467013028180513`*^9, 3.546701818642555*^9, 
   3.546701853212532*^9, 3.5467018834532623`*^9, 3.546701941777598*^9, 
   3.546702505809859*^9}]
}, Open  ]],

Cell["Forma 2:", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691084818616*^9}, {
   3.5472081515666103`*^9, 3.547208156015865*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graph", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"inicio", "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "1"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "2"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "1"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "2"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "1"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}]}], "}"}], ",", 
   RowBox[{"EdgeLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "0"]}], "\[Rule]", "\"\<a/0\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "1"]}], "\[Rule]", "\"\<b/1\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "2"]}], "\[Rule]", "\"\<c/0\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "1"]}], "\[Rule]", "\"\<a/1\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "0"]}], "\[Rule]", "\"\<b/1,c/1\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "2"]}], "\[Rule]", "\"\<a/1\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "1"]}], "\[Rule]", "\"\<b/0\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "0"]}], "\[Rule]", "\"\<c/0\>\""}]}], 
     "}"}]}], ",", 
   RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
   RowBox[{"EdgeStyle", "\[Rule]", 
    RowBox[{"Arrowheads", "[", "Medium", "]"}]}], ",", 
   RowBox[{"EdgeShapeFunction", "\[Rule]", "\"\<Arrow\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.547208207304798*^9, 3.547208297107935*^9}, {
  3.5472083531301394`*^9, 3.5472084511467457`*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`inicio, 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1], 
       Subscript[$CellContext`\[Sigma], 2]}, {{{1, 2}, {2, 2}, {2, 3}, {2, 
       4}, {3, 3}, {3, 2}, {4, 4}, {4, 3}, {4, 2}}, Null}, {
      EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 0]] -> "b/1,c/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 2]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "c/0"}, 
       EdgeShapeFunction -> {"Arrow"}, EdgeStyle -> {
         Arrowheads[Medium]}, ImagePadding -> 10, VertexLabels -> {"Name"}}]],
     Typeset`boxes, Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.42204284169906175`}, 0.022811760241835538`], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["inicio", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.1107257376599562`, 0.4220302604183336}, 
           0.022811760241835538`], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "0"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.024724265410052, 0.8440584029712912}, 
           0.022811760241835538`], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "1"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{2.0246821209324937`, 0.}, 0.022811760241835538`], 
          "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "2"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       StyleBox[{
         ArrowBox[{
           DynamicLocation["VertexID$1", Automatic, Center], 
           DynamicLocation["VertexID$2", Automatic, Center]}]}, 
        Arrowheads[Medium], StripOnInput -> False], {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$2", Automatic, Center], {
               1.2054890790654205`, 0.34164465523754434`}, {
               1.2438383083206435`, 0.30020197157883965`}, {
               1.2711726771763605`, 0.2507955783430981}, {1.2859082105553092`,
                0.19628848275598204`}, {1.2871910121138197`, 
               0.1398392681160368}, {1.2749467459230663`, 
               0.08471905985486372}, {1.249884944095822, 
               0.03412196999312303}, {
               1.2134578907398776`, -0.00901999562167366}, {
               1.1677764648354094`, -0.04220684151940404}, {
               1.1154878187826949`, -0.06351545262569327}, {
               1.059621980917434, -0.07171103515029151}, {
               1.0034162710883505`, -0.06631867055635118}, {
               0.9501277040829098, -0.047650836193153634`}, {
               0.9028442517685139, -0.0167892978235685}, {0.8643059009518186, 
               0.024477576659901162`}, {0.8367458763154442, 
               0.07375844977866353}, {0.8217612292631813, 
               0.12819758796089625`}, {0.8202202918058272, 
               0.18464034591138673`}, {0.8322123583602733, 
               0.23981597235149937`}, {0.8570425113066039, 
               0.29052714388171497`}, {0.8932718901524037, 
               0.333835243837181}, {0.9388010707822173, 0.367230649576338}, {
               0.9909917231220468, 0.38877816037569013`}, 
               DynamicLocation["VertexID$2", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$1"], 
         InsetBox[
          FormBox["\"a/0\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$1", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$2", Automatic, Center], {
              1.1916566760329104`, 0.5003883267900973}, {1.2125945257979056`, 
              0.5197070301983822}, {1.2344369647937825`, 
              0.5379967462396498}, {1.2571334754331291`, 0.555215174128305}, {
              1.280631564816212, 0.5713224907733405}, {1.304876886137501, 
              0.5862814428819021}, {1.3298133643799444`, 
              0.6000574331193753}, {1.3553833260062782`, 
              0.6126186001267279}, {1.7209827371063162`, 
              0.7814298571479109}, {1.7471270434474668`, 
              0.7927471492312176}, {1.773785227479529, 0.8027943915529441}, {
              1.8008956336729942`, 0.8115483466695826}, {1.8283955605907702`, 
              0.8189887682756327}, {1.8562214059051987`, 
              0.8250984480296202}, {1.8843088134986676`, 
              0.8298632553538619}, {1.912592822307601, 0.8332721701159197}, 
              DynamicLocation["VertexID$3", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$2"], 
        InsetBox[
         FormBox["\"b/1\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$2", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$2", Automatic, Center], {
              1.2228528079954315`, 0.41124224601755693`}, {
              1.2511357004268973`, 0.40783290742822975`}, {
              1.2792219725571787`, 0.40306773043987765`}, {1.30704666594882, 
              0.39695773603990486`}, {1.334545427148396, 
              0.3895170555337132}, {1.3616546565243435`, 
              0.38076289786156575`}, {1.3883116553613346`, 
              0.37071550979743734`}, {1.4144547708710011`, 
              0.35939812912191105`}, {1.7800373241800158`, 
              0.19058602495457777`}, {1.8056060920926298`, 
              0.17802482671008596`}, {1.8305413764999592`, 
              0.1642488626627993}, {1.8547855066258647`, 
              0.14928999411117722`}, {1.8782824102083118`, 
              0.1331828181965819}, {1.900977743184312, 
              0.11596458788638397`}, {1.9228190153778526`, 
              0.0976751258146275}, {1.9437557119001236`, 0.07835673217952238}, 
              DynamicLocation["VertexID$4", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$3"], 
        InsetBox[
         FormBox["\"c/0\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$3", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$3", Automatic, Center], {
               2.021449881935688, 0.846226421406516}, {1.9685471066115818`, 
               0.8932784068457853}, {1.9309576279431375`, 
               0.9532752739656993}, {1.911696550012513, 
               1.0214045910598877`}, {1.912308830524699, 
               1.0922016113597877`}, {1.9327453576128348`, 
               1.1599876079324276`}, {1.9713668891689877`, 
               1.2193253722231991`}, {2.02507553872122, 
               1.2654553400754054`}, {2.0895632611928625`, 
               1.2946773629552553`}, {2.1596574071575065`, 
               1.3046475019842374`}, {2.2297356282049092`, 
               1.2945660385189746`}, {2.2941768532844686`, 
               1.265241620689875}, {2.3478121625899155`, 
               1.2190264006159737`}, {2.3863393937672286`, 
               1.1596273650296958`}, {2.406668224308304, 
               1.0918089927431076`}, {2.407168050594228, 
               1.0210110892116189`}, {2.3877987808671866`, 
               0.9529124522134295}, {2.3501140510458254`, 
               0.8929753676241614}, {2.2971366054390403`, 
               0.8460074719107038}, {2.23311583824355, 0.8157761249597186}, {
               2.1631869437571147`, 0.8047062249296784}, {2.0929590153403153`,
                0.8136857038151728}, {2.028065132278947, 0.841994305193331}, 
               DynamicLocation["VertexID$3", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$4"], 
         InsetBox[
          FormBox["\"a/1\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$4", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$3", Automatic, Center], {
              1.9437933270370982`, 0.7657003365995276}, {1.922855477272103, 
              0.7463816331912427}, {1.9010130382762263`, 
              0.7280919171499751}, {1.8783165276368794`, 0.71087348926132}, {
              1.8548184382537967`, 0.6947661726162844}, {1.8305731169325075`, 
              0.6798072205077229}, {1.8056366386900642`, 
              0.6660312302702497}, {1.7800666770637303`, 0.653470063262897}, {
              1.4144672659636923`, 0.4846588062417142}, {1.3883229596225417`, 
              0.47334151415840753`}, {1.3616647755904796`, 
              0.46329427183668104`}, {1.334554369397014, 
              0.45454031672004236`}, {1.3070544424792383`, 
              0.4470998951139924}, {1.2792285971648096`, 
              0.44099021536000493`}, {1.251141189571341, 
              0.43622540803576326`}, {1.2228571807624076`, 
              0.4328164932737053}, 
              DynamicLocation["VertexID$2", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$5"], 
        InsetBox[
         FormBox["\"b/1,c/1\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$5", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$4", Automatic, Center], {
               2.028023110940967, 0.002063898455821278}, {2.0929186827978983`,
                0.030368628168926992`}, {2.1631471468117334`, 
               0.039343917190874045`}, {2.2330753807357, 
               0.028269845173542807`}, {
               2.297094344193847, -0.0019653212476052895`}, {
               2.35006898756868, -0.04893637754911229}, {
               2.3877501414343825`, -0.10887571032917692`}, {
               2.407115348314408, -0.17697550279041616`}, {
               2.406611298176692, -0.24777337637591823`}, {
               2.386278421580041, -0.3155905357094927}, {
               2.3477476466830853`, -0.37498727262836884`}, {
               2.294109580240583, -0.4211992926997717}, {
               2.229666605760332, -0.4505198658679044}, {
               2.1595877833704518`, -0.46059714839930543`}, {
               2.089494232356056, -0.45062282752205585`}, {
               2.0250082534056046`, -0.4213969573113667}, {
               1.971302356095261, -0.37526378524547843`}, {
               1.9326843647405638`, -0.31592371687259396`}, {
               1.912251881848995, -0.2481365011630237}, {
               1.911643825137887, -0.1773394444600354}, {
               1.9309089676771727`, -0.10921127661654306`}, {
               1.9685020257339785`, -0.049216652218121076`}, {
               2.0214076081184538`, -0.0021678230793470976`}, 
               DynamicLocation["VertexID$4", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$6"], 
         InsetBox[
          FormBox["\"a/1\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$6", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {
        TagBox[
         StyleBox[{
           ArrowBox[{
             DynamicLocation["VertexID$4", Automatic, Center], 
             DynamicLocation["VertexID$3", Automatic, Center]}]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$7"], 
        InsetBox[
         FormBox["\"b/0\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$7", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$4", Automatic, Center], {
              1.9125550505970186`, 0.010788014400776702`}, {
              1.8842721581655526`, 0.01419735299010394}, {1.8561858860352711`,
               0.018962529978455933`}, {1.82836119264363, 
              0.025072524378428773`}, {1.8008624314440538`, 
              0.032513204884620506`}, {1.7737532020681064`, 
              0.041267362556767884`}, {1.7470962032311153`, 
              0.0513147506208963}, {1.7209530877214487`, 
              0.06263213129642253}, {1.355370534412434, 0.2314442354637558}, {
              1.32980176649982, 0.24400543370824757`}, {1.3048664820924907`, 
              0.2577813977555342}, {1.2806223519665851`, 
              0.2727402663071563}, {1.257125448384138, 0.2888474422217516}, {
              1.2344301154081379`, 0.3060656725319496}, {1.2125888432145973`, 
              0.324355134603706}, {1.1916521466923262`, 0.34367352823881114`}, 
              DynamicLocation["VertexID$2", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$8"], 
        InsetBox[
         FormBox["\"c/0\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$8", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}}], Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{43.921386618020186`, 
       1035.4786133819798`}, {-385.8809667230939, 338.47861338197987`}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.547208547753271*^9}]
}, Open  ]],

Cell["Ejemplo 3", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691084818616*^9}, {
   3.546702485910721*^9, 3.5467024866837645`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graph", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"inicio", "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "1"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "2"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "2"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "3"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "3"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "2"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "1"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "3"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "1"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "3"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "3"]}], ",", 
     RowBox[{
      SubscriptBox["\[Sigma]", "3"], "\[DirectedEdge]", 
      SubscriptBox["\[Sigma]", "0"]}]}], "}"}], ",", 
   RowBox[{"EdgeLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "1"]}], "\[Rule]", "\"\<a/1\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "0"]}], "\[Rule]", "\"\<b/1\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "2"]}], "\[Rule]", "\"\<c/2\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "0"]}], "\[Rule]", "\"\<a/2\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "2"]}], "\[Rule]", "\"\<b/0\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "3"]}], "\[Rule]", "\"\<c/0\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "3"]}], "\[Rule]", "\"\<a/1\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "2"]}], "\[Rule]", "\"\<b/0\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "1"]}], "\[Rule]", "\"\<c/1\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "1"]}], "\[Rule]", "\"\<a/2\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "3"]}], "\[Rule]", "\"\<b/2\>\""}], ",", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], "\[DirectedEdge]", 
        SubscriptBox["\[Sigma]", "0"]}], "\[Rule]", "\"\<c/2\>\""}]}], 
     "}"}]}], ",", 
   RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
   RowBox[{"EdgeStyle", "\[Rule]", 
    RowBox[{"Arrowheads", "[", "Medium", "]"}]}], ",", 
   RowBox[{"EdgeShapeFunction", "\[Rule]", "\"\<Arrow\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.546702588268575*^9, 3.5467027965504885`*^9}, {
  3.5467028330965786`*^9, 3.546702836745787*^9}, {3.546702880606296*^9, 
  3.546702929060067*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`inicio, 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1], 
       Subscript[$CellContext`\[Sigma], 2], 
       Subscript[$CellContext`\[Sigma], 3]}, {{{1, 2}, {2, 3}, {2, 2}, {2, 
       4}, {3, 2}, {3, 4}, {3, 5}, {4, 5}, {4, 4}, {4, 3}, {5, 3}, {5, 5}, {5,
        2}}, Null}, {EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/2", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/2", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 2]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 3]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/2", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 2]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 0]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "c/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 3]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 0]] -> "c/2", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 3]] -> "b/2"}, 
       EdgeShapeFunction -> {"Arrow"}, EdgeStyle -> {
         Arrowheads[Medium]}, ImagePadding -> 10, VertexLabels -> {"Name"}}]],
     Typeset`boxes, Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.541996462543823}, 0.026925136228555774`], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["inicio", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.2802531422654466`, 0.5421396862913046}, 
           0.026925136228555774`], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "0"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.550271897225852, 0.5421012135561799}, 
           0.026925136228555774`], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "1"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.0370619720597807`, 1.0836819020766006`}, 
           0.026925136228555774`], "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "2"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          DiskBox[{2.0369081075617026`, 0.}, 0.026925136228555774`], 
          "DynamicName", BoxID -> "VertexID$5"], 
         InsetBox[
          FormBox[
           SubscriptBox["\[Sigma]", "3"], TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       StyleBox[{
         ArrowBox[{
           DynamicLocation["VertexID$1", Automatic, Center], 
           DynamicLocation["VertexID$2", Automatic, Center]}]}, 
        Arrowheads[Medium], StripOnInput -> False], {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$2", Automatic, Center], {
              1.4143865339394537`, 0.5890818123613791}, {1.4485842343394015`, 
              0.6001342570071987}, {1.4832737661141908`, 
              0.6095297681981554}, {1.5183748986881969`, 0.617246615826272}, {
              1.5538064495280322`, 0.6232669522269785}, {1.5894864719029769`, 
              0.6275768534575126}, {1.6253324444128565`, 
              0.6301663515004662}, {1.6612614618450277`, 
              0.6310294573179958}, {2.169268963829189, 0.6310140682239458}, {
              2.205197928903212, 0.6301487856093281}, {2.2410437444597417`, 
              0.6275571158038222}, {2.276723505649139, 0.6232450528681628}, {
              2.312154691675304, 0.6172225698193892}, {2.3472553566512655`, 
              0.6095035955650696}, {2.3819443191251044`, 0.600105982688274}, {
              2.4161413498378854`, 0.5890514661577961}, 
              DynamicLocation["VertexID$3", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$1"], 
        InsetBox[
         FormBox["\"a/1\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$1", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$2", Automatic, Center], {
               1.1403461652391302`, 0.5781544491223232}, {1.0903591698073845`,
                0.5974953324855532}, {1.0462330006376652`, 
               0.6279198403035736}, {1.01038221205413, 0.6677631639538681}, {
               0.98476853511632, 0.714845103541028}, {0.9707935330138676, 
               0.7665893669699331}, {0.9692219084706097, 
               0.8201645429179268}, {0.980139659725421, 0.8726390337596828}, {
               1.002949374766373, 0.9211414706192266}, {1.0364029213145656`, 
               0.9630178327452682}, {1.0786697437836834`, 
               0.9959766737432088}, {1.1274370300515444`, 
               1.0182145079820004`}, {1.180036266985214, 
               1.0285144961159332`}, {1.233589259686398, 
               1.0263130297159155`}, {1.2851656243821277`, 
               1.0117305715439704`}, {1.3319431370555987`, 
               0.9855650639118464}, {1.3713621636478324`, 
               0.9492482658139378}, {1.401265721513309, 0.9047674080372545}, {
               1.4200175080608375`, 0.8545564532281753}, {1.4265914381317475`,
                0.8013629110920639}, {1.4206277906902436`, 
               0.7480974965085191}, {1.4024528925167503`, 
               0.6976748571691644}, {1.3730612618257803`, 0.6528540860146087}, 
               DynamicLocation["VertexID$2", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$2"], 
         InsetBox[
          FormBox["\"b/1\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$2", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {
        TagBox[
         StyleBox[{
           ArrowBox[{
             DynamicLocation["VertexID$2", Automatic, Center], 
             DynamicLocation["VertexID$4", Automatic, Center]}]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$3"], 
        InsetBox[
         FormBox["\"c/2\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$3", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$3", Automatic, Center], {
              2.4161385055518454`, 0.4951590874861056}, {2.3819408051518973`, 
              0.48410664284028593`}, {2.347251273377108, 
              0.4747111316493293}, {2.312150140803102, 
              0.46699428402121257`}, {2.276718589963267, 
              0.46097394762050625`}, {2.2410385675883218`, 
              0.45666404638997204`}, {2.2051925950784423`, 
              0.45407454834701855`}, {2.169263577646271, 
              0.45321144252948886`}, {1.6612560756621098`, 
              0.45322683162353883`}, {1.6253271105880867`, 
              0.45409211423815643`}, {1.5894812950315573`, 
              0.4566837840436624}, {1.55380153384216, 0.4609958469793217}, {
              1.5183703478159942`, 0.46701833002809545`}, {
              1.4832696828400334`, 0.4747373042824149}, {1.4485807203661945`, 
              0.48413491715921064`}, {1.4143836896534132`, 
              0.4951894336896884}, 
              DynamicLocation["VertexID$2", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$4"], 
        InsetBox[
         FormBox["\"a/2\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$4", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$3", Automatic, Center], {
              2.476050152687732, 0.5803290223233223}, {2.457517529485432, 
              0.5904453113843706}, {2.439492707121701, 0.6014409107714462}, {
              2.422017373731253, 0.6132903896636924}, {2.4051319465807786`, 
              0.6259663423723112}, {2.388875478591164, 0.6394394517249344}, {
              2.373285568015187, 0.6536785568709103}, {2.3583982714796012`, 
              0.6686507253506814}, {2.1531143014131726`, 
              0.8852830007588495}, {2.1389640505262886`, 
              0.9009536046707398}, {2.125583572243929, 0.9172864007589914}, {
              2.1130038131779325`, 0.9342436142378208}, {2.101253868022273, 
              0.9517860261576256}, {2.0903609122623257`, 
              0.9698730641112803}, {2.0803501393229125`, 
              0.9884628960707311}, {2.0712447023004943`, 1.007512527136867}, 
              DynamicLocation["VertexID$4", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$5"], 
        InsetBox[
         FormBox["\"b/0\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$5", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$3", Automatic, Center], {
              2.5160921579005877`, 0.4658711762051275}, {2.5069871081581914`, 
              0.44680618999317545`}, {2.4969759838083703`, 
              0.4282010020251423}, {2.486081938760333, 0.4100986427157932}, {
              2.474330168958228, 0.3925409795286902}, {2.4617478541075037`, 
              0.37556862014436526`}, {2.4483640948132, 0.3592208185421446}, {
              2.43420984527554, 0.3435353842128353}, {2.2288643294098804`, 
              0.1266948987903635}, {2.2139723258328377`, 
              0.1117081092897807}, {2.1983770107112535`, 
              0.09745462633536145}, {2.1821144531716117`, 
              0.08396741563991839}, {2.165222265550712, 0.0712776706679436}, {
              2.1477395164051782`, 0.05941474049080081}, {2.129706640152994, 
              0.048406061907663}, {2.111165343556051, 0.03827709598918766}, 
              DynamicLocation["VertexID$5", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$6"], 
        InsetBox[
         FormBox["\"c/0\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$6", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {
        TagBox[
         StyleBox[{
           ArrowBox[{
             DynamicLocation["VertexID$4", Automatic, Center], 
             DynamicLocation["VertexID$5", Automatic, Center]}]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$7"], 
        InsetBox[
         FormBox["\"a/1\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$7", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$4", Automatic, Center], {
               2.033159201647487, 1.0841181063653895`}, {1.964620325729694, 
               1.1018667812090097`}, {1.9038063048943965`, 
               1.1381193375412628`}, {1.8555951158778583`, 
               1.1899679076699639`}, {1.8238538448424504`, 
               1.2532536460620844`}, {1.81112850304616, 
               1.3229003160969595`}, {1.8184398077576482`, 
               1.3933214620276737`}, {1.8452013091121555`, 
               1.458868506324361}, {1.8892664300663986`, 
               1.5142838298916477`}, {1.9471006463126097`, 
               1.5551224929692469`}, {2.01406499536263, 
               1.5781087698988898`}, {2.0847881741462393`, 
               1.581398899610744}, {2.1535973786606335`, 1.564728976249329}, {
               2.2149733274267756`, 1.5294361174272522`}, {
               2.2639929706917443`, 1.4783512121718403`}, {2.296724375059554, 
               1.415571851400245}, {2.3105421093079563`, 
               1.3461336544837086`}, {2.3043378338585816`, 
               1.2756063552519397`}, {2.278609202227704, 
               1.2096470459379258`}, {2.2354199435492865`, 
               1.1535464139843734`}, {2.178234328006359, 
               1.1118043686852308`}, {2.1116392929274497`, 
               1.0877690972364202`}, {2.0409765181982773`, 1.083368502009249}, 
               DynamicLocation["VertexID$4", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$8"], 
         InsetBox[
          FormBox["\"b/0\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$8", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$4", Automatic, Center], {
              2.111283716597901, 1.0454540933094583`}, {2.129816339800201, 
              1.03533780424841}, {2.147841162163932, 1.0243422048613344`}, {
              2.1653164955543804`, 1.0124927259690883`}, {2.182201922704855, 
              0.9998167732604695}, {2.1984583906944692`, 
              0.9863436639078462}, {2.2140483012704464`, 
              0.9721045587618704}, {2.228935597806032, 0.9571323902820993}, {
              2.4342195678724603`, 0.7405001148739312}, {2.4483698187593443`, 
              0.7248295109620408}, {2.461750297041704, 0.7084967148737894}, {
              2.4743300561077004`, 0.6915395013949601}, {2.48608000126336, 
              0.6739970894751552}, {2.4969729570233072`, 
              0.6559100515215004}, {2.5069837299627205`, 
              0.6373202195620495}, {2.5160891669851386`, 0.6182705884959137}, 
              DynamicLocation["VertexID$3", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$9"], 
        InsetBox[
         FormBox["\"c/1\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$9", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$5", Automatic, Center], {
              2.071087846886967, 0.07623003735105233}, {2.080192896629363, 
              0.09529502356300443}, {2.0902040209791846`, 
              0.11390021153103763`}, {2.101098066027222, 
              0.13200257084038663`}, {2.112849835829327, 
              0.1495602340274897}, {2.125432150680051, 0.1665325934118146}, {
              2.1388159099743547`, 0.18288039501403527`}, {2.152970159512015, 
              0.19856582934334466`}, {2.3583156753776744`, 
              0.41540631476581646`}, {2.3732076789547167`, 
              0.43039310426639926`}, {2.3888029940763014`, 
              0.4446465872208185}, {2.4050655516159427`, 
              0.4581337979162616}, {2.4219577392368428`, 
              0.47082354288823636`}, {2.439440488382376, 
              0.48268647306537915`}, {2.457473364634561, 
              0.49369515164851696`}, {2.4760146612315035`, 
              0.5038241175669923}, 
              DynamicLocation["VertexID$3", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$10"], 
        InsetBox[
         FormBox["\"a/2\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$10", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$5", Automatic, Center], {
               2.0408226988240035`, 0.0003128359342870757}, {
               2.111484838644947, -0.004097942533902388}, {
               2.1780764092840488`, -0.02814281081359135}, {
               2.235256008743099, -0.06989309675839264}, {
               2.2784371822519787`, -0.12599995217879617`}, {
               2.3041563081502927`, -0.19196296858796846`}, {
               2.310350419772035, -0.2624911611919723}, {
               2.296522678855606, -0.3319273660991975}, {
               2.2637822276280604`, -0.3947020092617577}, {
               2.21475522297278, -0.44577984971435725`}, {
               2.1533741887530513`, -0.4810638632174515}, {
               2.0845625826330623`, -0.497723870238984}, {
               2.0138398787279566`, -0.49442354856968795`}, {
               1.946878842949877, -0.47142762157604834`}, {
               1.8890505126069177`, -0.43058062437288014`}, {
               1.8449933780707957`, -0.3751589511101924}, {
               1.818241323047634, -0.3096080508661242}, {
               1.8109401668774106`, -0.2391858520269224}, {
               1.8236755453963522`, -0.1695410165776995}, {
               1.85542593627639, -0.10625985311071764`}, {
               1.9036445967441824`, -0.054418231285568386`}, {
               1.9644638413419189`, -0.018174439302239942`}, {
               2.0330052743281235`, -0.00043564185236649733`}, 
               DynamicLocation["VertexID$5", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$11"], 
         InsetBox[
          FormBox["\"b/2\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$11", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {
        TagBox[
         StyleBox[{
           ArrowBox[{
             DynamicLocation["VertexID$5", Automatic, Center], 
             DynamicLocation["VertexID$2", Automatic, Center]}]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$12"], 
        InsetBox[
         FormBox["\"c/2\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$12", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}}], Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{43.92138661802018, 
       1076.5274679613217`}, {-436.64371943411476`, 389.6018347204203}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.546702932809282*^9, {3.5467124677106466`*^9, 3.546712484638615*^9}}]
}, Open  ]],

Cell[TextData[{
 "Procesamiento de una hilera de s\[IAcute]mbolos de entrada, se asume que el \
estado inicial es ",
 Cell[BoxData[
  SubscriptBox["\[Sigma]", "0"]],
  CellChangeTimes->{{3.546710829096924*^9, 3.5467108882443066`*^9}, {
   3.5467109198871164`*^9, 3.5467110458033185`*^9}}]
}], "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691063501396*^9}, {
   3.5467105172060843`*^9, 3.5467105349010963`*^9}, {3.5467109098145404`*^9, 
   3.546710913532753*^9}, {3.546711063276318*^9, 3.546711080818321*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"StringSalida", "[", 
    RowBox[{"M_List", ",", "\[Alpha]_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EA", "=", 
        SubscriptBox["\[Sigma]", "0"]}], ",", 
       RowBox[{"DS", "=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"dimensiones", "=", 
        RowBox[{"Dimensions", "[", "M", "]"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "\[LessEqual]", 
         RowBox[{"Length", "[", "\[Alpha]", "]"}]}], ",", 
        RowBox[{
         RowBox[{"DE", "=", 
          RowBox[{"\[Alpha]", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ";", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"j", "=", "1"}], ",", 
           RowBox[{"j", "\[LessEqual]", 
            RowBox[{"dimensiones", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"fila", "=", 
             RowBox[{"M", "[", 
              RowBox[{"[", "j", "]"}], "]"}]}], ";", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"EA", "==", 
                RowBox[{"fila", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "&&", 
               RowBox[{"DE", "\[Equal]", 
                RowBox[{"fila", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
              RowBox[{
               RowBox[{"DS", "=", 
                RowBox[{"Append", "[", 
                 RowBox[{"DS", ",", 
                  RowBox[{"fila", "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], ";", 
               RowBox[{"EA", "=", 
                RowBox[{"fila", "[", 
                 RowBox[{"[", "3", "]"}], "]"}]}], ";", 
               RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
            RowBox[{"j", "++"}]}]}], "]"}], ";", 
         RowBox[{"i", "++"}]}]}], "]"}], ";", 
      RowBox[{"Print", "[", "DS", "]"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b", ",", "a",
      ",", "c", ",", "c", ",", "b", ",", "b", ",", "b", ",", "a", ",", "c", 
     ",", "c", ",", "b", ",", "b", ",", "a", ",", "a", ",", "c", ",", "c", 
     ",", "a", ",", "a", ",", "b", ",", "b", ",", "b", ",", "a", ",", "c", 
     ",", "c", ",", "c", ",", "a", ",", "c", ",", "b", ",", "c", ",", "a"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringSalida", "[", 
  RowBox[{"M", ",", "\[Alpha]"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.546710829096924*^9, 3.5467108882443066`*^9}, {
   3.5467109198871164`*^9, 3.5467110458033185`*^9}, {3.5467110870666785`*^9, 
   3.5467114444631205`*^9}, {3.5467115103028865`*^9, 
   3.5467117855076275`*^9}, {3.546711870845508*^9, 3.546712060344347*^9}, {
   3.5467120982275133`*^9, 3.546712214555167*^9}, {3.5467122888484163`*^9, 
   3.5467123238224173`*^9}, {3.546712371515145*^9, 3.5467123794125967`*^9}, 
   3.5467124409751177`*^9, {3.546712580896121*^9, 3.546712581478154*^9}, {
   3.546712744588484*^9, 3.546712893767016*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "1", ",", "2", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "2", ",", "2", ",", "0", ",", "0", ",", "0", ",", "1", ",", "2", ",", 
   "2", ",", "0", ",", "0", ",", "1", ",", "2", ",", "0", ",", "2", ",", "1", 
   ",", "2", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "2", ",", 
   "2", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1"}], "}"}]], "Print",
 CellChangeTimes->{
  3.546712381837735*^9, 3.5467124432562485`*^9, 3.546712491248993*^9, 
   3.546712583343261*^9, 3.546712857387935*^9, {3.546712887982685*^9, 
   3.546712898713299*^9}}]
}, Open  ]],

Cell[TextData[{
 "Procesamiento de una hilera de s\[IAcute]mbolos de entrada tomando \
cualquier estado como ",
 Cell[BoxData[
  SuperscriptBox["\[Sigma]", "*"]], "Input"]
}], "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691063501396*^9}, {
   3.5467105172060843`*^9, 3.5467105349010963`*^9}, {3.5467109098145404`*^9, 
   3.546710913532753*^9}, {3.546711063276318*^9, 3.546711080818321*^9}, {
   3.546855970630947*^9, 3.5468559774113345`*^9}, 3.546856014519457*^9},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"StringSalidaSEI", "[", 
    RowBox[{"M_List", ",", "\[Alpha]_", ",", "\[Sigma]_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EA", "=", "\[Sigma]"}], ",", 
       RowBox[{"DS", "=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"dimensiones", "=", 
        RowBox[{"Dimensions", "[", "M", "]"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "\[LessEqual]", 
         RowBox[{"Length", "[", "\[Alpha]", "]"}]}], ",", 
        RowBox[{
         RowBox[{"DE", "=", 
          RowBox[{"\[Alpha]", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ";", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"j", "=", "1"}], ",", 
           RowBox[{"j", "\[LessEqual]", 
            RowBox[{"dimensiones", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"fila", "=", 
             RowBox[{"M", "[", 
              RowBox[{"[", "j", "]"}], "]"}]}], ";", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"EA", "==", 
                RowBox[{"fila", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "&&", 
               RowBox[{"DE", "\[Equal]", 
                RowBox[{"fila", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
              RowBox[{
               RowBox[{"DS", "=", 
                RowBox[{"Append", "[", 
                 RowBox[{"DS", ",", 
                  RowBox[{"fila", "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], ";", 
               RowBox[{"EA", "=", 
                RowBox[{"fila", "[", 
                 RowBox[{"[", "3", "]"}], "]"}]}], ";", 
               RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
            RowBox[{"j", "++"}]}]}], "]"}], ";", 
         RowBox[{"i", "++"}]}]}], "]"}], ";", 
      RowBox[{"Print", "[", "DS", "]"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "2"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b", ",", "a",
      ",", "c", ",", "c", ",", "b", ",", "b", ",", "b", ",", "a", ",", "c", 
     ",", "c", ",", "b", ",", "b", ",", "a", ",", "a", ",", "c", ",", "c", 
     ",", "a", ",", "a", ",", "b", ",", "b", ",", "b", ",", "a", ",", "c", 
     ",", "c", ",", "c", ",", "a", ",", "c", ",", "b", ",", "c", ",", "a"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"h", "=", "0"}], ",", 
   RowBox[{"h", "\[LessEqual]", "3"}], ",", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<La hilera s\[IAcute]mbolos de salida con \!\(\*SuperscriptBox[\(\
\[Sigma]\), \(*\)]\)=\>\"", ",", 
      SubscriptBox["\[Sigma]", "h"], ",", "\"\< es: \>\""}], "]"}], ";", 
    RowBox[{"StringSalidaSEI", "[", 
     RowBox[{"M", ",", "\[Alpha]", ",", 
      SubscriptBox["\[Sigma]", "h"]}], "]"}], ";", 
    RowBox[{"h", "++"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.546710829096924*^9, 3.5467108882443066`*^9}, {
   3.5467109198871164`*^9, 3.5467110458033185`*^9}, {3.5467110870666785`*^9, 
   3.5467114444631205`*^9}, {3.5467115103028865`*^9, 
   3.5467117855076275`*^9}, {3.546711870845508*^9, 3.546712060344347*^9}, {
   3.5467120982275133`*^9, 3.546712214555167*^9}, {3.5467122888484163`*^9, 
   3.5467123238224173`*^9}, {3.546712371515145*^9, 3.5467123794125967`*^9}, 
   3.5467124409751177`*^9, {3.546712580896121*^9, 3.546712581478154*^9}, {
   3.546712744588484*^9, 3.546712893767016*^9}, {3.5468559896820364`*^9, 
   3.5468560379737988`*^9}, {3.5468560729808006`*^9, 3.54685635497793*^9}, {
   3.546856388261834*^9, 3.546856393632141*^9}, {3.5468564572187777`*^9, 
   3.546856473936734*^9}, {3.546856531034*^9, 3.546856570760272*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera s\[IAcute]mbolos de salida con \
\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(*\\)]\\)=\"\>", 
   "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "0"], "\[InvisibleSpace]", "\<\" es: \"\>"}],
  SequenceForm[
  "La hilera s\[IAcute]mbolos de salida con \
\!\(\*SuperscriptBox[\(\[Sigma]\), \(*\)]\)=", 
   Subscript[$CellContext`\[Sigma], 0], " es: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.546856269672051*^9, 3.546856359710201*^9, 
  3.546856396550308*^9, 3.5468564761828628`*^9, 3.546856546103862*^9, 
  3.5468565762755876`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "1", ",", "2", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "2", ",", "2", ",", "0", ",", "0", ",", "0", ",", "1", ",", "2", ",", 
   "2", ",", "0", ",", "0", ",", "1", ",", "2", ",", "0", ",", "2", ",", "1", 
   ",", "2", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "2", ",", 
   "2", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1"}], "}"}]], "Print",
 CellChangeTimes->{3.546856269672051*^9, 3.546856359710201*^9, 
  3.546856396550308*^9, 3.5468564761828628`*^9, 3.546856546103862*^9, 
  3.546856576282588*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera s\[IAcute]mbolos de salida con \
\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(*\\)]\\)=\"\>", 
   "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "1"], "\[InvisibleSpace]", "\<\" es: \"\>"}],
  SequenceForm[
  "La hilera s\[IAcute]mbolos de salida con \
\!\(\*SuperscriptBox[\(\[Sigma]\), \(*\)]\)=", 
   Subscript[$CellContext`\[Sigma], 1], " es: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.546856269672051*^9, 3.546856359710201*^9, 
  3.546856396550308*^9, 3.5468564761828628`*^9, 3.546856546103862*^9, 
  3.5468565762855883`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "2", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "2", ",", "1", ",", "1", ",", "1", ",", "2", ",", "2", ",", "1", ",", "2", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "2", ",", "2", ",", 
   "1", ",", "2", ",", "2", ",", "0", ",", "1", ",", "2"}], "}"}]], "Print",
 CellChangeTimes->{3.546856269672051*^9, 3.546856359710201*^9, 
  3.546856396550308*^9, 3.5468564761828628`*^9, 3.546856546103862*^9, 
  3.5468565762885885`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera s\[IAcute]mbolos de salida con \
\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(*\\)]\\)=\"\>", 
   "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "2"], "\[InvisibleSpace]", "\<\" es: \"\>"}],
  SequenceForm[
  "La hilera s\[IAcute]mbolos de salida con \
\!\(\*SuperscriptBox[\(\[Sigma]\), \(*\)]\)=", 
   Subscript[$CellContext`\[Sigma], 2], " es: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.546856269672051*^9, 3.546856359710201*^9, 
  3.546856396550308*^9, 3.5468564761828628`*^9, 3.546856546103862*^9, 
  3.546856576291589*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "2", ",", "2", ",", "1", ",", "2", ",", "1", ",", "1", ",", "1", 
   ",", "0", ",", "2", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", 
   "2", ",", "1", ",", "1", ",", "1", ",", "2", ",", "2", ",", "1", ",", "2", 
   ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", ",", "2", ",", "2", ",", 
   "1", ",", "2", ",", "2", ",", "0", ",", "1", ",", "2"}], "}"}]], "Print",
 CellChangeTimes->{3.546856269672051*^9, 3.546856359710201*^9, 
  3.546856396550308*^9, 3.5468564761828628`*^9, 3.546856546103862*^9, 
  3.546856576297589*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"La hilera s\[IAcute]mbolos de salida con \
\\!\\(\\*SuperscriptBox[\\(\[Sigma]\\), \\(*\\)]\\)=\"\>", 
   "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "3"], "\[InvisibleSpace]", "\<\" es: \"\>"}],
  SequenceForm[
  "La hilera s\[IAcute]mbolos de salida con \
\!\(\*SuperscriptBox[\(\[Sigma]\), \(*\)]\)=", 
   Subscript[$CellContext`\[Sigma], 3], " es: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.546856269672051*^9, 3.546856359710201*^9, 
  3.546856396550308*^9, 3.5468564761828628`*^9, 3.546856546103862*^9, 
  3.546856576300589*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2", ",", "2", ",", "1", ",", "2", ",", "1", ",", "0", ",", "0", ",", "1", 
   ",", "2", ",", "2", ",", "0", ",", "0", ",", "0", ",", "1", ",", "2", ",", 
   "2", ",", "0", ",", "0", ",", "1", ",", "2", ",", "0", ",", "2", ",", "1", 
   ",", "2", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "2", ",", 
   "2", ",", "1", ",", "2", ",", "1", ",", "2", ",", "1"}], "}"}]], "Print",
 CellChangeTimes->{3.546856269672051*^9, 3.546856359710201*^9, 
  3.546856396550308*^9, 3.5468564761828628`*^9, 3.546856546103862*^9, 
  3.546856576303589*^9}]
}, Open  ]]
}, Open  ]],

Cell["Suma de dos n\[UAcute]meros binarios", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691063501396*^9}, {
   3.5467105172060843`*^9, 3.5467105349010963`*^9}, {3.5467109098145404`*^9, 
   3.546710913532753*^9}, {3.546711063276318*^9, 3.546711080818321*^9}, {
   3.5467149172777543`*^9, 3.5467149293994474`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["MEF", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691063501396*^9}, {
   3.5467105172060843`*^9, 3.5467105349010963`*^9}, {3.5467109098145404`*^9, 
   3.546710913532753*^9}, {3.546711063276318*^9, 3.546711080818321*^9}, {
   3.5467149172777543`*^9, 3.5467149293994474`*^9}, {3.5467153226069374`*^9, 
   3.5467153264301567`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Dibujo 1:", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691084818616*^9}, {
   3.547208139637928*^9, 3.5472081438221674`*^9}, {3.5472089151432843`*^9, 
   3.5472089184984765`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "2"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowGraph", "[", 
  RowBox[{
   RowBox[{"G", "=", 
    RowBox[{"SetGraphOptions", "[", 
     RowBox[{
      RowBox[{"FromOrderedPairs", "[", "h", "]"}], ",", 
      RowBox[{"VertexColor", "\[Rule]", "Black"}], ",", 
      RowBox[{"EdgeColor", "\[Rule]", "Gray"}]}], "]"}]}], ",", 
   RowBox[{"VertexLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<inicio\>\"", ",", "\"\<NSLL\>\"", ",", "\"\<SLL\>\""}], 
     "}"}]}], ",", 
   RowBox[{"EdgeLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\>\"", ",", "\"\<00/0\>\"", ",", "\"\<10/1\>\"", ",", 
      "\"\<01/1\>\"", ",", "\"\<11/0\>\"", ",", "\"\<00/1\>\"", ",", 
      "\"\<10/0\>\"", ",", "\"\<01/0\>\"", ",", "\"\<11/1\>\""}], "}"}]}], 
   ",", 
   RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quit", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.546720037186596*^9, 3.5467200649771852`*^9}, {
  3.5467201253696404`*^9, 3.5467202855558023`*^9}, {3.5467203596060376`*^9, 
  3.546720372013747*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], ":", 
  " ", "\<\"Combinatorica Graph and Permutations functionality has been \
superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{3.546720286476855*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"M", "::", "shdw"}], "MessageName"], ":", 
  " ", "\<\"Symbol \[NoBreak]\\!\\(\\\"M\\\"\\)\[NoBreak] appears in multiple \
contexts \[NoBreak]\\!\\({\\\"Combinatorica`\\\", \\\"Global`\\\"}\\)\
\[NoBreak]; definitions in context \[NoBreak]\\!\\(\\\"Combinatorica`\\\"\\)\
\[NoBreak] may shadow or be shadowed by other definitions. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:Combinatorica/ref/M\\\", ButtonNote \
-> \\\"Combinatorica`M::shdw\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.546720286549859*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0.5], Thickness[0.005], 
     ArrowBox[{{0.19615242270663188`, 0.9282032302755093}, {
      0.19615242270663152`, 0.}}], 
     {GrayLevel[0], 
      InsetBox["\<\"\"\>", 
       Scaled[{-0.02, -0.02}, {0.1961524227066317, 0.46410161513775466`}], \
{1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     CircleBox[{0.22115242270663152`, 0.025}, 0.035355339059327376`], 
     {GrayLevel[0], 
      InsetBox["\<\"00/0\"\>", 
       Scaled[{-0.02, -0.02}, {0.19615242270663152`, 0.}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     CircleBox[{0.21115242270663154`, 0.015}, 0.021213203435596437`], 
     {GrayLevel[0], 
      InsetBox["\<\"10/1\"\>", 
       Scaled[{-0.02, -0.02}, {0.19615242270663152`, 0.}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     CircleBox[{0.21615242270663151`, 0.02}, 0.028284271247461894`], 
     {GrayLevel[0], 
      InsetBox["\<\"01/1\"\>", 
       Scaled[{-0.02, -0.02}, {0.19615242270663152`, 0.}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     ArrowBox[{{0.19615242270663152`, 0.}, {1., 0.4641016151377545}}], 
     {GrayLevel[0], 
      InsetBox["\<\"11/0\"\>", 
       Scaled[{-0.02, -0.02}, {0.5980762113533158, 0.23205080756887725`}], \
{1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     CircleBox[{1.025, 0.4891016151377545}, 0.03535533905932733], 
     {GrayLevel[0], 
      InsetBox["\<\"00/1\"\>", 
       Scaled[{-0.02, -0.02}, {1., 0.4641016151377545}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     CircleBox[{1.015, 0.4791016151377545}, 0.021213203435596368`], 
     {GrayLevel[0], 
      InsetBox["\<\"10/0\"\>", 
       Scaled[{-0.02, -0.02}, {1., 0.4641016151377545}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     CircleBox[{1.02, 0.4841016151377545}, 0.028284271247461926`], 
     {GrayLevel[0], 
      InsetBox["\<\"01/0\"\>", 
       Scaled[{-0.02, -0.02}, {1., 0.4641016151377545}], {1, 0}]}}, 
    {GrayLevel[0.5], Thickness[0.005], 
     ArrowBox[{{1., 0.4641016151377545}, {0.19615242270663152`, 0.}}], 
     {GrayLevel[0], 
      InsetBox["\<\"11/1\"\>", 
       Scaled[{-0.02, -0.02}, {0.5980762113533158, 0.23205080756887725`}], \
{1, 0}]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.19615242270663188`, 0.9282032302755093}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0], 
      InsetBox["\<\"inicio\"\>", 
       Scaled[{0.02, 0.02}, {0.19615242270663188`, 0.9282032302755093}], \
{-1, 0}]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.19615242270663152`, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0], 
      InsetBox["\<\"NSLL\"\>", 
       Scaled[{0.02, 0.02}, {0.19615242270663152`, 0.}], {-1, 0}]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.4641016151377545}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0], 
      InsetBox["\<\"SLL\"\>", 
       Scaled[{0.02, 0.02}, {1., 0.4641016151377545}], {-1, 0}]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{0.10096004384196311`, 
   1.0951923788646685`}, {-0.10141016151377547`, 1.029613391789285}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{3.546720287337904*^9}]
}, Open  ]],

Cell["Dibujo 2:", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691084818616*^9}, {
   3.547208139637928*^9, 3.5472081438221674`*^9}, {3.5472089151432843`*^9, 
   3.5472089299671326`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graph", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"inicio", "\[DirectedEdge]", "NSLL"}], ",", 
     RowBox[{"NSLL", "\[DirectedEdge]", "NSLL"}], ",", 
     RowBox[{"NSLL", "\[DirectedEdge]", "SLL"}], ",", 
     RowBox[{"SLL", "\[DirectedEdge]", "SLL"}], ",", 
     RowBox[{"SLL", "\[DirectedEdge]", "NSLL"}]}], "}"}], ",", 
   RowBox[{"EdgeLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"NSLL", "\[DirectedEdge]", "NSLL"}], "\[Rule]", 
       "\"\<00/0,10/1,01/1\>\""}], ",", 
      RowBox[{
       RowBox[{"NSLL", "\[DirectedEdge]", "SLL"}], "\[Rule]", 
       "\"\<11/0\>\""}], ",", 
      RowBox[{
       RowBox[{"SLL", "\[DirectedEdge]", "SLL"}], "\[Rule]", 
       "\"\<11/1,01/0,10/0\>\""}], ",", 
      RowBox[{
       RowBox[{"SLL", "\[DirectedEdge]", "NSLL"}], "\[Rule]", 
       "\"\<00/1\>\""}]}], "}"}]}], ",", 
   RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "25"}], ",", 
   RowBox[{"EdgeStyle", "\[Rule]", 
    RowBox[{"Arrowheads", "[", "Medium", "]"}]}], ",", 
   RowBox[{"EdgeShapeFunction", "\[Rule]", "\"\<Arrow\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5472089560916266`*^9, 3.5472089595758257`*^9}, {
  3.5472089981150303`*^9, 3.5472091570811224`*^9}, {3.54720922539003*^9, 
  3.547209235679618*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`inicio, $CellContext`NSLL, $CellContext`SLL}, {{{1, 
       2}, {2, 2}, {2, 3}, {3, 3}, {3, 2}}, Null}, {
      EdgeLabels -> {
        DirectedEdge[$CellContext`SLL, $CellContext`SLL] -> "11/1,01/0,10/0", 
         DirectedEdge[$CellContext`SLL, $CellContext`NSLL] -> "00/1", 
         DirectedEdge[$CellContext`NSLL, $CellContext`SLL] -> "11/0", 
         DirectedEdge[$CellContext`NSLL, $CellContext`NSLL] -> 
         "00/0,10/1,01/1"}, EdgeShapeFunction -> {"Arrow"}, EdgeStyle -> {
         Arrowheads[Medium]}, ImagePadding -> 25, VertexLabels -> {"Name"}}]],
     Typeset`boxes, Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.}, 0.022613117298666746`], "DynamicName", BoxID -> 
          "VertexID$1"], 
         InsetBox[
          FormBox["inicio", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.0004074127454492`, 4.666248974332878*^-18}, 
           0.022613117298666746`], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["NSLL", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.000203644115611, 4.9566794084199865`*^-18}, 
           0.022613117298666746`], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["SLL", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       StyleBox[{
         ArrowBox[{
           DynamicLocation["VertexID$1", Automatic, Center], 
           DynamicLocation["VertexID$2", Automatic, Center]}]}, 
        Arrowheads[Medium], StripOnInput -> False], {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$2", Automatic, Center], {
               1.0757236897706548`, -0.024471741852423734`}, {
               1.1321770381053176`, -0.051233868438679414`}, {
               1.1799722931443473`, -0.09146825116499485}, {
               1.215969005971036, -0.1425312379880006}, {
               1.2378019661118889`, -0.2010676694568002}, {
               1.2440366107433185`, -0.2632313337948468}, {
               1.2342632844934087`, -0.32493768720862726`}, {
               1.209124156376827, -0.3821322341091108}, {
               1.1702710252509327`, -0.43105693297714304`}, {
               1.1202567862400525`, -0.46849712333157484`}, {
               1.062367689466577, -0.4919927491450052}, {
               1.0004074127454492`, -0.5}, {
               0.9384471360243214, -0.49199274914500524`}, {
               0.8805580392508459, -0.4684971233315748}, {
               0.8305438002399658, -0.4310569329771431}, {
               0.7916906691140716, -0.3821322341091109}, {
               0.7665515409974896, -0.32493768720862726`}, {
               0.7567782147475799, -0.2632313337948469}, {
               0.7630128593790095, -0.20106766945680016`}, {
               0.7848458195198624, -0.1425312379880006}, {
               0.8208425323465509, -0.09146825116499491}, {
               0.868637787385581, -0.05123386843867936}, {
               0.9250911357202437, -0.024471741852423734`}, 
               DynamicLocation["VertexID$2", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$1"], 
         InsetBox[
          FormBox["\"00/0,10/1,01/1\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$1", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$2", Automatic, Center], {
              1.1060000562552839`, 0.03695742522844214}, {1.1329212312950234`,
               0.045659051241751514`}, {1.1602296300162995`, 
              0.05305630208754575}, {1.1878620930613262`, 
              0.05913206927046499}, {1.215754711570496, 
              0.06387230064643257}, {1.243842974991946, 
              0.06726603292270816}, {1.272061920282726, 
              0.06930541701398774}, {1.3003462821564982`, 
              0.06998573619591142}, {1.7002647747045625`, 
              0.06998573619591142}, {1.7285491365783348`, 
              0.06930541701398774}, {1.756768081869115, 
              0.06726603292270816}, {1.7848563452905648`, 
              0.06387230064643257}, {1.8127489637997347`, 
              0.05913206927046488}, {1.8403814268447614`, 
              0.05305630208754564}, {1.8676898255660375`, 
              0.0456590512417514}, {1.894611000605777, 0.03695742522844203}, 
              DynamicLocation["VertexID$3", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$2"], 
        InsetBox[
         FormBox["\"11/0\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$2", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}, {{
         TagBox[
          StyleBox[{
            ArrowBox[
             BSplineCurveBox[{
               DynamicLocation["VertexID$3", Automatic, Center], {
               2.0002653278751326`, 0.003926587091415794}, {
               2.0113907616962123`, 0.07384666784839738}, {
               2.0416729441812866`, 0.13784340522391306`}, {
               2.0886828995833713`, 0.1907835323853024}, {2.148649894349998, 
               0.22842064849997606`}, {2.2167638928775766`, 
               0.24773582842031616`}, {2.287561377120962, 
               0.24717977484589673`}, {2.3553635829336343`, 
               0.22679708960312028`}, {2.4147320015954197`, 
               0.18822269607102357`}, {2.460904610120117, 
               0.13455069971542777`}, {2.4901778397066097`, 
               0.07008620560939643}, {2.500203644115611, 
               5.715105691732179*^-16}, {
               2.49017783970661, -0.07008620560939531}, {
               2.4609046101201173`, -0.1345506997154267}, {
               2.4147320015954197`, -0.18822269607102265`}, {
               2.355363582933635, -0.2267970896031195}, {
               2.2875613771209626`, -0.2471797748458961}, {
               2.216763892877577, -0.2477358284203157}, {
               2.1486498943499988`, -0.22842064849997576`}, {
               2.0886828995833717`, -0.19078353238530207`}, {
               2.041672944181287, -0.13784340522391297`}, {
               2.011390761696213, -0.07384666784839714}, {
               2.0002653278751326`, -0.003926587091415784}, 
               DynamicLocation["VertexID$3", Automatic, Center]}]]}, 
           Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
          "EdgeLabelID$3"], 
         InsetBox[
          FormBox["\"11/1,01/0,10/0\"", TraditionalForm], 
          DynamicLocation["EdgeLabelID$3", Automatic, 
           Scaled[0.5]], 
          ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}, {
        TagBox[
         StyleBox[{
           ArrowBox[
            BSplineCurveBox[{
              DynamicLocation["VertexID$3", Automatic, Center], {
              1.8946110006057766`, -0.03695742522844214}, {
              1.867689825566037, -0.045659051241751514`}, {
              1.840381426844761, -0.05305630208754575}, {
              1.8127489637997343`, -0.05913206927046499}, {
              1.7848563452905644`, -0.06387230064643257}, {
              1.7567680818691145`, -0.06726603292270816}, {
              1.7285491365783345`, -0.06930541701398774}, {
              1.7002647747045623`, -0.06998573619591142}, {
              1.300346282156498, -0.06998573619591142}, {
              1.2720619202827257`, -0.06930541701398774}, {
              1.2438429749919455`, -0.06726603292270816}, {
              1.2157547115704956`, -0.06387230064643257}, {
              1.1878620930613257`, -0.05913206927046488}, {
              1.160229630016299, -0.05305630208754564}, {
              1.132921231295023, -0.0456590512417514}, {
              1.1060000562552834`, -0.03695742522844203}, 
              DynamicLocation["VertexID$2", Automatic, Center]}]]}, 
          Arrowheads[Medium], StripOnInput -> False], "DynamicName", BoxID -> 
         "EdgeLabelID$4"], 
        InsetBox[
         FormBox["\"00/1\"", TraditionalForm], 
         DynamicLocation["EdgeLabelID$4", Automatic, 
          Scaled[0.5]], 
         ImageScaled[{0.5, 0.5}], BaseStyle -> "Graphics"]}}}], Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{87.1213866180202, 
       1082.1865743025412`}, {-161.47861338197978`, 132.0063948340368}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->25]], "Output",
 CellChangeTimes->{{3.547209205046866*^9, 3.547209236361657*^9}}]
}, Open  ]],

Cell["\<\
Funci\[OAcute]n que suma binarios por medio de una MEF\
\>", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
   3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
   3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
   3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
   3.5400399593238287`*^9}, {3.5400407258286705`*^9, 
   3.5400407295958858`*^9}, {3.5400420230448666`*^9, 3.540042025561011*^9}, {
   3.54123463308519*^9, 3.5412346464979563`*^9}, {3.5424551226061697`*^9, 
   3.5424551301326003`*^9}, 3.54661225647869*^9, {3.546622448543643*^9, 
   3.5466224685037847`*^9}, {3.546691042966222*^9, 3.546691063501396*^9}, {
   3.5467105172060843`*^9, 3.5467105349010963`*^9}, {3.5467109098145404`*^9, 
   3.546710913532753*^9}, {3.546711063276318*^9, 3.546711080818321*^9}, {
   3.5467149172777543`*^9, 3.5467149293994474`*^9}, {3.5467153226069374`*^9, 
   3.5467153390868807`*^9}, {3.54671590869246*^9, 3.5467159176369715`*^9}, {
   3.546719991935008*^9, 3.5467200111461067`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SumaBinaria", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"EA", "=", "NSLL"}], ",", 
       RowBox[{"DS", "=", 
        RowBox[{"{", "}"}]}]}], "}"}], ",", 
     RowBox[{
      RowBox[{"M", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"NSLL", ",", "\"\<00\>\"", ",", "NSLL", ",", "0"}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"NSLL", ",", "\"\<10\>\"", ",", "NSLL", ",", "1"}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"NSLL", ",", "\"\<01\>\"", ",", "NSLL", ",", "1"}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"NSLL", ",", "\"\<11\>\"", ",", "SLL", ",", "0"}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"SLL", ",", "\"\<00\>\"", ",", "NSLL", ",", "1"}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"SLL", ",", "\"\<10\>\"", ",", "SLL", ",", "0"}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"SLL", ",", "\"\<01\>\"", ",", "SLL", ",", "0"}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"SLL", ",", "\"\<11\>\"", ",", "SLL", ",", "1"}], "}"}]}], 
        "}"}]}], ";", 
      RowBox[{"va", "=", 
       RowBox[{"Characters", "[", 
        RowBox[{"ToString", "[", "a", "]"}], "]"}]}], ";", 
      RowBox[{"vb", "=", 
       RowBox[{"Characters", "[", 
        RowBox[{"ToString", "[", "b", "]"}], "]"}]}], ";", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "[", "va", "]"}], "\[NotEqual]", 
         RowBox[{"Length", "[", "vb", "]"}]}], ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", "va", "]"}], ">", 
           RowBox[{"Length", "[", "vb", "]"}]}], ",", 
          RowBox[{"vb", "=", 
           RowBox[{"Prepend", "[", 
            RowBox[{"vb", ",", "\"\<0\>\""}], "]"}]}], ",", 
          RowBox[{"va", "=", 
           RowBox[{"Prepend", "[", 
            RowBox[{"va", ",", "\"\<0\>\""}], "]"}]}]}], "]"}]}], "]"}], ";", 
      RowBox[{"\[Alpha]", "=", 
       RowBox[{"{", "}"}]}], ";", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", 
         RowBox[{"Length", "[", "va", "]"}]}], ",", 
        RowBox[{"i", "\[GreaterEqual]", " ", "1"}], ",", 
        RowBox[{
         RowBox[{"\[Alpha]", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"\[Alpha]", ",", 
            RowBox[{"StringJoin", "[", 
             RowBox[{
              RowBox[{"va", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", 
              RowBox[{"vb", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], "]"}]}], ";", 
         RowBox[{"i", "--"}]}]}], "]"}], ";", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "\[LessEqual]", 
         RowBox[{"Length", "[", "\[Alpha]", "]"}]}], ",", 
        RowBox[{
         RowBox[{"DE", "=", 
          RowBox[{"\[Alpha]", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ";", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"j", "=", "1"}], ",", 
           RowBox[{"j", "\[LessEqual]", "8"}], ",", 
           RowBox[{
            RowBox[{"fila", "=", 
             RowBox[{"M", "[", 
              RowBox[{"[", "j", "]"}], "]"}]}], ";", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"EA", "==", 
                RowBox[{"fila", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "&&", 
               RowBox[{"DE", "\[Equal]", 
                RowBox[{"fila", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}]}], ",", 
              RowBox[{
               RowBox[{"DS", "=", 
                RowBox[{"Append", "[", 
                 RowBox[{"DS", ",", 
                  RowBox[{"fila", "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}], "]"}]}], ";", 
               RowBox[{"EA", "=", 
                RowBox[{"fila", "[", 
                 RowBox[{"[", "3", "]"}], "]"}]}], ";", 
               RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
            RowBox[{"j", "++"}]}]}], "]"}], ";", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"i", "\[Equal]", 
             RowBox[{"Length", "[", "\[Alpha]", "]"}]}], "&&", 
            RowBox[{"EA", "==", "SLL"}]}], ",", 
           RowBox[{"DS", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"DS", ",", "1"}], "]"}]}]}], "]"}], ";", 
         RowBox[{"i", "++"}]}]}], "]"}], ";", 
      RowBox[{"vnb", "=", 
       RowBox[{"Reverse", "[", "DS", "]"}]}], ";", 
      RowBox[{"nb", "=", "\"\<\>\""}], ";", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "\[LessEqual]", 
         RowBox[{"Length", "[", "vnb", "]"}]}], ",", 
        RowBox[{
         RowBox[{"nb", "=", 
          RowBox[{"StringJoin", "[", 
           RowBox[{"nb", ",", 
            RowBox[{"ToString", "[", 
             RowBox[{"vnb", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "]"}]}], ";", 
         RowBox[{"i", "++"}]}]}], "]"}], ";", 
      RowBox[{"Print", "[", "nb", "]"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"SumaBinaria", "[", 
  RowBox[{"11000111011111110010", ",", "10000111010111110000"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.546717042522311*^9, 3.5467170577021794`*^9}, {
   3.546717104373849*^9, 3.546717180571207*^9}, {3.546717215007177*^9, 
   3.546717249239135*^9}, {3.5467175015525665`*^9, 3.5467175603129272`*^9}, {
   3.5467176266797233`*^9, 3.5467177125106325`*^9}, {3.5467177497687635`*^9, 
   3.54671778327468*^9}, {3.546717815537525*^9, 3.546717873861861*^9}, {
   3.546717970858409*^9, 3.5467180399663615`*^9}, {3.5467181167957563`*^9, 
   3.5467182452991056`*^9}, {3.546718294917944*^9, 3.546718314992092*^9}, {
   3.546718349686077*^9, 3.5467184632655735`*^9}, {3.5467185696306567`*^9, 
   3.546718570946732*^9}, {3.5467186045106516`*^9, 3.5467186147152357`*^9}, {
   3.5467187587164717`*^9, 3.546718792655413*^9}, {3.546718835754878*^9, 
   3.5467190024144106`*^9}, {3.546719033294177*^9, 3.5467191436274877`*^9}, 
   3.5467191818466735`*^9, {3.546719221580946*^9, 3.546719224497113*^9}, {
   3.546719316740389*^9, 3.546719319050521*^9}, {3.546719388671503*^9, 
   3.546719401966264*^9}, {3.5467194476308756`*^9, 3.5467195502387447`*^9}, {
   3.5467196051938877`*^9, 3.546719667595457*^9}, {3.5467197101628914`*^9, 
   3.5467198486038103`*^9}, {3.5467198835208073`*^9, 
   3.5467199392799964`*^9}, {3.546720431768165*^9, 3.546720560080504*^9}, 
   3.5467205976186514`*^9, {3.5467207145383387`*^9, 3.546720738634717*^9}, {
   3.5467207807121234`*^9, 3.546720789448623*^9}, {3.5467208285028567`*^9, 
   3.5467208376053777`*^9}, {3.5467209092774773`*^9, 3.546720909656499*^9}}],

Cell[BoxData["\<\"101001110110111100010\"\>"], "Print",
 CellChangeTimes->{3.5467209333018513`*^9}]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1584, 765},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>3. Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 844, 14, 131, "Text"],
Cell[1404, 36, 727, 11, 131, "Text"],
Cell[CellGroupData[{
Cell[2156, 51, 2693, 64, 347, "Input"],
Cell[4852, 117, 11898, 242, 689, "Output"]
}, Open  ]],
Cell[16765, 362, 725, 11, 258, "Text"],
Cell[17493, 375, 776, 12, 258, "Text"],
Cell[CellGroupData[{
Cell[18294, 391, 2628, 59, 684, "Input"],
Cell[20925, 452, 1133, 19, 255, "Message"],
Cell[22061, 473, 4702, 111, 2250, "Output"]
}, Open  ]],
Cell[26778, 587, 776, 12, 258, "Text"],
Cell[CellGroupData[{
Cell[27579, 603, 2922, 74, 480, "Input"],
Cell[30504, 679, 16489, 326, 1710, "Output"]
}, Open  ]],
Cell[47008, 1008, 777, 12, 258, "Text"],
Cell[CellGroupData[{
Cell[47810, 1024, 4091, 103, 684, "Input"],
Cell[51904, 1129, 21251, 418, 1851, "Output"]
}, Open  ]],
Cell[73170, 1550, 1152, 20, 528, "Text"],
Cell[CellGroupData[{
Cell[74347, 1574, 5182, 130, 2388, "Input"],
Cell[79532, 1706, 620, 11, 258, "Print"]
}, Open  ]],
Cell[80167, 1720, 1109, 19, 528, "Text"],
Cell[CellGroupData[{
Cell[81301, 1743, 5841, 144, 2592, "Input"],
Cell[CellGroupData[{
Cell[87167, 1891, 602, 13, 258, "Print"],
Cell[87772, 1906, 591, 10, 258, "Print"],
Cell[88366, 1918, 602, 13, 258, "Print"],
Cell[88971, 1933, 593, 10, 258, "Print"],
Cell[89567, 1945, 600, 13, 258, "Print"],
Cell[90170, 1960, 591, 10, 258, "Print"],
Cell[90764, 1972, 600, 13, 258, "Print"],
Cell[91367, 1987, 591, 10, 258, "Print"]
}, Open  ]]
}, Open  ]],
Cell[91985, 2001, 958, 14, 516, "Text"],
Cell[92946, 2017, 979, 15, 516, "Text"],
Cell[93928, 2034, 831, 13, 516, "Text"],
Cell[CellGroupData[{
Cell[94784, 2051, 1756, 47, 1368, "Input"],
Cell[96543, 2100, 384, 8, 510, "Message"],
Cell[96930, 2110, 639, 11, 510, "Message"],
Cell[97572, 2123, 3947, 109, 5094, "Output"]
}, Open  ]],
Cell[101534, 2235, 831, 13, 516, "Text"],
Cell[CellGroupData[{
Cell[102390, 2252, 1362, 33, 960, "Input"],
Cell[103755, 2287, 10037, 203, 2130, "Output"]
}, Open  ]],
Cell[113807, 2493, 1137, 18, 516, "Text"],
Cell[CellGroupData[{
Cell[114969, 2515, 6979, 167, 3204, "Input"],
Cell[121951, 2684, 99, 1, 258, "Print"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
